Menambahkan properti yang telah ditetapkan untuk komponen, koneksi atau jenis

Navigasi: Mengisi arsitektur anda> Properties>

Menambahkan properti yang telah ditetapkan untuk komponen, koneksi atau jenis

Kirim komentar tentang topik ini.

Perpustakaan standar sifat dapat ditentukan dan ditugaskan untuk hal lain dalam arsitektur. Perpustakaan ini dikenal sebagai Standar. Dengan menggunakan Standar, Anda hanya perlu mengumpulkan sistem sifat tertentu - sifat standar yang sudah ada.

Misalnya karakteristik kinerja standar Microsoft Windows 2000 dapat disimpan sebagai Standardan ditugaskan untuk setiap komponen (atau koneksi, tidak bahwa itu akan menjadi khas) menggunakan sistem operasi Microsoft Windows 2000.

Untuk menambahkan standaruntuk komponen, koneksi atau jenis

1. Klik kananpada komponen / koneksi / jenis.

2. Memilih Menetapkan Standar.

3. Memilih Sebuah Standardari daftar.

Lihat juga

Mengisi arsitektur anda - Ikhtisar | Mengubah sifat dari komponen, koneksi atau jenis | Sifat agregat

© 2001-2015 Avolution Pty Ltd..


Sifat agregat

Navigasi: Mengisi arsitektur anda> Properties>

Sifat agregat

Kirim komentar tentang topik ini.

Operasi "Agregat Properti"Memungkinkan Anda untuk menambahkan nilai-nilai dari properti yang mirip dan tulis (atau menambah) hasilnya menjadi sifat induk elemen yang dipilih itu. Hal ini juga memungkinkan Anda untuk menentukan ruang lingkup agregasi dan apakah akan memperbarui properti dari semua sub-elemen atau tidak.

Untuk sifat agregat

1. Pastikan Anda memiliki file ABACUS, Yang berisi Anda arsitektur penduduk, Buka.

2. Klik kanan pada elemen (arsitektur, komponen atau sambungan) di mana untuk melakukan agregasi dan pilih Properti agregat.

3. Pilih salah satu Options Agregat (Traverse Semua Sub-Level atau Hanya Direct Sub-Level). Jika Anda telah memilih Traverse Semua Sub-Level, Anda juga dapat memilih opsi apakah akan Perbarui Sub-Level.

o Traverse Semua Sub-Levelberarti bahwa ruang lingkup agregasi akan mencakup unsur-unsur di semua tingkat di bawah elemen yang Anda pilih.

o Perbarui Sub-Levelhanya dapat dilakukan jika Anda juga memilih opsi Traverse Semua Sub-Level. Ini berarti bahwa ketika Anda menggabungkan sifat dari bawah ke atas, hasil agregat pada setiap tingkat juga akan diperbarui ke masing-masing unsur yang sesuai.

o Hanya Direct Sub-Levelberarti bahwa hanya sifat-sifat elemen langsung di bawah elemen yang dipilih akan digabungkan.

o Memilih Sertakan StandarPropertijika Anda ingin properti didefinisikan dalam standar untuk dimasukkan. Jika tidak, hanya sifat unik untuk setiap contoh komponen yang akan digunakan.

4. Pilih yang sifat Anda ingin agregat. Mereka dikelompokkan ke dalam mereka Jenis.

5. Klik Berikutnya tombol.

6. Pilih opsi apakah akan Nilai Timpa atau Tambahkan Nilaike elemen yang dipilih.

o Nilai Timpaakan menulis hasil langsung ke properti dari elemen yang dipilih.

o Tambahkan Nilaiakan menambah hasil untuk sifat yang ada dari elemen yang dipilih.

Lihat juga

Menambahkan properti yang telah ditetapkan untuk komponen, koneksi atau jenis | Mengubah sifat dari komponen, koneksi atau jenis | Mengevaluasi arsitektur anda


Arsitektur Diff dan Sync

Navigasi: Menganalisis arsitektur anda>

Arsitektur Diff dan Sync

Kirim komentar tentang topik ini.

Bila Anda memiliki 2 atau lebih arsitektur, baik sebagai evolusi atau arsitektur dasar, Anda dapat secara visual 'diff' dua arsitektur menggunakan katalog atau diagram Perbandingan atau Fitur arsitektur Diff. Hal ini sangat berguna untuk menemukan / re-menemukan perubahan yang tepat yang dibuat dari satu arsitektur yang lain seperti yang Anda berevolusi arsitektur dan mengembangkan peta jalan di ABACUS.

Untuk menunjukkan 'diff' dengan arsitektur lain melalui diagram

1. Pastikan Anda memiliki ABACUS file yang terbuka .

2. Pastikan Anda memiliki minimal 2 arsitektur dalam proyek.

3. Buka diagram Anda ingin membandingkan arsitektur lain.

4. Klik 'Bandingkan Diagram ini untuk isi arsitektur lain' tombol pada toolbar Diagram.

5. Pilih arsitektur lainnya dari daftar drop-down untuk membandingkan.

6. Anda dapat menyaring apa perbedaan ditunjukkan dengan mengklik tombol 'Perbedaan' pada toolbar Diagram dan pilihan membatalkan pilihan, misalnya Berubah / Ditambahkan / diketahui dan Tak tentu / Sync Direkomendasikan/ Jauhkan Direkomendasikan.

Catatan

Komponen dan koneksi pada diagram akan disorot dalam merah, hijau atau ungu di mana ada perbedaan antara konten yang terlihat pada diagram saat ini dan isi dalam arsitektur lainnya. Merah digunakan di mana dianjurkan untuk Sync perbedaan (lihat di bawah), Hijau digunakan di mana tidak dianjurkan untuk melakukan sinkronisasi perbedaan, yang membuat mereka (lihat di bawah) dan Ungu digunakan di mana ABACUS tidak dapat membuat rekomendasi tentang syncing perbedaan (lihat di bawah). Hanya konten terlihat pada diagram dibandingkan jadi jika anotasi menunjukkan nilai properti repositori dan nilai yang berubah komponen diberikan atau koneksi akan ditampilkan di merah samar, hijau samar atau samar ungu dan '*' simbol ditampilkan di bagian atas-kiri untuk komponen, namun, jika beberapa nilai properti repositori yang mendasari lain berubah yang tidak ditampilkan dalam penjelasan maka ada indikasi akan diberikan. Konten yang terjadi pada diagram saat ini tetapi tidak ada yang cocok dalam arsitektur perbandingan akan ditampilkan di merah kuat, hijau yang kuat atau kuat ungudan '+' simbol ditampilkan di bagian atas-kiri untuk komponen. Pencocokan dilakukan dengan jenis komponen dan nama sehingga jika jenis atau nama komponen atau koneksi telah berubah dalam arsitektur lain tidak cocok akan ditemukan. Karena tidak ada cara untuk andal menentukan apakah konten tambahan dari arsitektur lain akan ditampilkan pada diagram arus (misalnya sebuah antarmuka tambahan antara 2 komponen seperti yang ditunjukkan di bawah ini dalam diagram dari arsitektur perbandingan di sebelah kanan), perbedaan ini tidak ditampilkan untuk diagram (mereka ditampilkan untuk katalog sesuai di bawah). Melayang di atas masing-masing berubah barang akan menunjukkan perbedaan dalam tooltip. Melayang di atas '*' simbol di kiri atas diagram menyediakan ringkasan perubahan (atau tidak ada perubahan) antara konten diagram dan isi arsitektur lainnya.

Warna Legenda

· Hijau menunjukkan item yang tidak dianjurkan untuk melakukan sinkronisasi perbedaan, yaitu untuk menjaga mereka.

· Merah menunjukkan item yang dianjurkan untuk sinkronisasi perbedaan.

· Ungu menunjukkan item mana ABACUS tidak dapat membuat rekomendasi tentang syncing perbedaan.

Untuk menyinkronkan ('sync') konten dari satu arsitektur dengan yang lain melalui diagram

1. Pastikan Anda memiliki ABACUS file yang terbuka .

2. Pastikan Anda memiliki minimal 2 arsitektur dalam proyek.

3. Membuka diagram Anda ingin membandingkan arsitektur lain.

4. Klik 'Bandingkan katalog ini untuk isi arsitektur lain' tombol pada toolbar Diagram.

5. Pilih arsitektur lainnya dari daftar drop-down untuk membandingkan.

Catatan

Lihat di atas untuk cara ABACUS menunjukkan 'diff' antara 2 arsitektur di katalog. Bagaimana khusus Merah digunakan di mana aku sdianjurkan untuk Sync perbedaan, Hijau digunakan di mana itu adalah tidakdianjurkan untuk melakukan sinkronisasi perbedaan dan Ungu digunakan di mana ABACUS tidak dapat membuat rekomendasi tentang syncing perbedaan.

6. Klik kanan elemen diagram (atau elemen menggunakan Shift atau kanvas diagram untuk Sync Semua) menunjukkan 'diff' dan pilih item menu Sync.

Catatan

Setiap perubahan sinkronisasi hanya akan diterapkan pada arsitektur yang saat ini fokus katalog milik. Untuk menerapkan perubahan pada arsitektur lain Anda harus menggunakan katalog dalam arsitektur lainnya. Selanjutnya, pengguna hanya akan dapat menerapkan perubahan sinkronisasi jika mereka memiliki izin untuk melakukannya .

Catatan

Tergantung di mana Anda klik kanan item menu akan menampilkan panduan tentang apa tepatnya yang akan disinkronkan. Misalnya. Mengklik kanan komponen tunggal dalam diagram hanya akan melakukan sinkronisasi komponen itu. Sedangkan mengklik kanan kanvas diagram dan memilih Sync Semua akan menyinkronkan semua perbedaan saat ditampilkan.

Untuk menunjukkan 'diff' dengan arsitektur lain melalui katalog

1. Pastikan Anda memiliki ABACUS file yang terbuka .

2. Pastikan Anda memiliki minimal 2 arsitektur dalam proyek.

3. Membuka katalog Anda ingin membandingkan arsitektur lain.

4. Klik 'Bandingkan katalog ini untuk isi arsitektur lain' tombol pada toolbar katalog.

5. Pilih arsitektur lainnya dari daftar drop-down untuk membandingkan.

6. Anda dapat menyaring apa perbedaan ditunjukkan dengan mengklik tombol 'Perbedaan' pada toolbar Diagram dan pilihan unselecting, misalnya Berubah / Ditambahkan / diketahui dan Tak tentu / Sync Direkomendasikan/ Jauhkan Direkomendasikan.

Catatan

Sel dalam katalog akan disorot dalam merah, hijau atau ungu di mana ada perbedaan antara isi dalam katalog saat ini dan konten yang cocok dalam arsitektur lainnya. Merah digunakan di mana dianjurkan untuk Sync perbedaan (lihat di bawah), Hijau digunakan di mana tidak dianjurkan untuk melakukan sinkronisasi perbedaan, yang membuat mereka (lihat di bawah) dan Ungu digunakan di mana ABACUS tidak dapat membuat rekomendasi tentang syncing perbedaan (lihat di bawah). Hanya baris dan kolom yang terlihat dalam katalog dibandingkan jadi jika ada perbedaan berturut-turut di luar baris saat ini ditampilkan atau nilai dalam kolom yang tidak ditampilkan memiliki perbedaan maka ada perbedaan akan ditunjukkan. Dimana nilai dalam sel individu berbeda dengan sel yang cocok dalam arsitektur perbandingan perbatasan sel akan disorot. Kolom header dan baris pemilih juga akan dinaungi di samar ungudan ditampilkan dengan simbol '*'. Ini '*' simbol dapat diklik untuk melompat ke perbedaan berikutnya dalam kolom atau baris masing-masing. Baris yang terjadi dalam katalog saat ini tetapi tidak ada yang cocok dalam arsitektur perbandingan akan ditampilkan dengan '+' simbol dalam baris pemilih di sebelah kiri dan perbatasan seluruh baris akan disorot. Baris yang akan terjadi di versi perbandingan arsitektur ini dari katalog (yaitu dengan filter yang sama dll) tapi tidak ada yang cocok dalam arsitektur saat ini akan ditampilkan dengan '-' simbol dalam baris pemilih di sebelah kiri, perbatasan seluruh baris akan disorot dan sel-sel seluruh baris isi akan ditampilkan di samar ungudan memukul-melalui, misalnya 08:00-06:00. Pencocokan dilakukan dengan jenis komponen dan nama sehingga jika jenis atau nama komponen atau koneksi telah berubah dalam arsitektur lain tidak cocok akan ditemukan. Melayang di atas masing-masing berubah barang akan menunjukkan perbedaan dalam tooltip. Melayang di atas '*' simbol di kiri atas diagram menyediakan ringkasan perubahan (atau tidak ada perubahan) antara konten diagram dan isi arsitektur lainnya.

Warna Legenda

· Hijau menunjukkan item yang tidak dianjurkan untuk melakukan sinkronisasi perbedaan, yaitu untuk menjaga mereka.

· Merah menunjukkan item yang dianjurkan untuk sinkronisasi perbedaan.

· Ungu menunjukkan item mana ABACUS tidak dapat membuat rekomendasi tentang syncing perbedaan.

Untuk menyinkronkan ('sync') konten dari satu arsitektur dengan yang lain melalui katalog

1. Pastikan Anda memiliki ABACUS file yang terbuka .

2. Pastikan Anda memiliki minimal 2 arsitektur dalam proyek.

3. Membuka katalog Anda ingin membandingkan arsitektur lain.

4. Klik 'Bandingkan katalog ini untuk isi arsitektur lain' tombol pada toolbar katalog.

5. Pilih arsitektur lainnya dari daftar drop-down untuk membandingkan.

Catatan

Lihat di atas untuk cara ABACUS menunjukkan 'diff' antara 2 arsitektur di katalog. Bagaimana khusus Merah digunakan di mana aku sdianjurkan untuk Sync perbedaan, Hijau digunakan di mana itu adalah tidakdianjurkan untuk melakukan sinkronisasi perbedaan dan Ungu digunakan di mana ABACUS tidak dapat membuat rekomendasi tentang syncing perbedaan.

6. Klik kanan sel, kolom atau baris pos (atau beberapa item menggunakan Shift atau Ctrl + A untuk semuanya) menunjukkan 'diff' dan pilih item menu Sync.

Catatan

Setiap perubahan sinkronisasi hanya akan diterapkan pada arsitektur yang saat ini fokus katalog milik. Untuk menerapkan perubahan pada arsitektur lain Anda harus menggunakan katalog dalam arsitektur lainnya. Selanjutnya, pengguna hanya akan dapat menerapkan perubahan sinkronisasi jika mereka memiliki izin untuk melakukannya .

Catatan

Tergantung di mana Anda klik kanan (yaitu sel, kolom atau baris judul) item menu akan menampilkan panduan tentang apa tepatnya yang akan disinkronkan. Misalnya. Mengklik kanan properti tunggal atau sel komponen yang melekat dalam katalog hanya akan melakukan sinkronisasi bahwa properti atau komponen yang melekat. Sedangkan mengklik kanan baris pos (atau judul menggunakan Shift) akan melakukan sinkronisasi seluruh baris (atau baris). Mengklik kanan header kolom akan melakukan sinkronisasi semua perbedaan dalam kolom tersebut.

Untuk melihat 'diff'dari 2 seluruh arsitektur

1. Pastikan Anda memiliki ABACUS file yang terbuka .

2. Pastikan Anda memiliki minimal 2 arsitektur dalam proyek.

3. Memilih Alat| Arsitektur Diff ....

4. Pada dialog yang muncul pilih yang pertama / kedua Dari dan / Untuk arsitektur untuk membandingkan.

5. Klik pada oke tombol.

Arsitektur Diff

Warna Legenda

· Hijaumenunjukkan bahwa node telah ditambahkan di kedua / Untuk arsitektur.

· Merahmenunjukkan bahwa node telah dihapus di kedua / Untuk arsitektur.

· Birumenunjukkan bahwa node memiliki atribut yang berbeda (misalnya sifat atau standar) di kedua / Untuk arsitektur.

· Kuningmenunjukkan bahwa node memiliki perbedaan pada anak-anak di kedua / Untuk arsitektur sehingga node harus diperluas.

Catatan

Anda dapat klik kanan dan "Tampilkan di Explorer" pada semua node untuk melihat rincian dan informasi lebih lanjut diberikan pada perbedaan Perbedaan Ringkasan panel ketika sebuah node yang dipilih.

Lihat juga

Menganalisis arsitektur anda | Melihat grafik waktu respon | Melihat matriks sebar arsitektur Anda berkembang | Berkembang arsitektur anda


Mengubah sifat dari komponen, koneksi atau jenis

Navigasi: Mengisi arsitektur anda> Properties>

Mengubah sifat dari komponen, koneksi atau jenis

Kirim komentar tentang topik ini.

Sifat biasanya persyaratan sistem yang menentukan, atau hasil evaluasi ABACUS '. (Ketika ABACUS melakukan evaluasi, ia menulis properti kembali ke file.) Dengan kata lain, sifat adalah hal-hal yang Anda tahu tentang sistem anda, atau hal-hal yang Anda gunakan ABACUS untuk mencari tahu.

Untuk mengubah nilai properti dari komponen, koneksi atau jenis

1. Klikpada komponen / koneksi / jenis (sifat-sifatnya akan ditampilkan dalam jendela Properties ke kanan).

2. Klikuntuk menyorot properti yang ingin Anda ubah.

3. Mengetiknilai baru.

Penting

Juga, banyak properti didefinisikan menggunakan Standar . Dengan mengubah properti dalam Standar, Anda tidak hanya mengubah objek saat, Anda juga mengubah master Standar (bawah Standar dibagian atas pohon). Sebelum melakukan ini, memeriksa apa komponen lain, koneksi atau jenis yang menggunakan Standar, Karena perubahan mungkin tidak relevan untuk mereka- Anda dapat menggunakan jendela Referensi untuk ini.

Tip

Anda dapat mengubah properti koneksi dari dalam cabang Komponen pohon (dan sebaliknya). Jadi, misalnya, jika Anda melihat apa koneksi yang melekat pada komponen, dan Anda sadar bahwa Anda harus mengubah satu, Anda bisa.

Untuk menambah properti baru untuk komponen atau koneksi (melalui jenis)

Catatan

Sifat hanya dapat ditambahkan ke jenis dan komponen atau koneksi dari jenis 'mewarisi' properti-properti.

1. Klikpada jenis (sifat-sifatnya akan ditampilkan dalam jendela Properties ke kanan).

2. Klikpada tombol Add di bagian atas jendela properti untuk menambahkan baris di atas grid properti untuk properti baru.

3. Tambah sebuah Mengetikuntuk properti baru.

4. Tambah sebuah Namauntuk properti baru.

5. Tambah sebuah Nilai defaultuntuk properti baru.

6. Tambah sebuah Satuanuntuk properti baru.

7. Mengatur Tipe datauntuk properti baru.

Catatan

Data Type dapat digunakan untuk membatasi nilai yang valid bahwa properti dapat memiliki. Itu adalah; Teks, Integer, Decimal, Tanggal / Waktu, Boolean atau Daftar.

o A TeksProperti adalah salah satu yang memiliki jumlah yang tidak terbatas karakter dan pada dasarnya tidak memiliki batasan pada nilai.Jika nilai properti adalah hyperlink benar terbentuk (yaitu URL harus mulai dengan salah satu 5string; http: //, https: //, ftp: //, mengajukan:atau \\ dan setiapruang harus dimasukkan dengan '% 20') Maka link tersebut diklik (melalui ctrl + klik).

o Sebuah Bilangan bulatproperti harus seluruh nomor baik positif atau negatifdan mungkin berisi periode, ruang, apostrof atau koma untuk digit pengelompokan tergantung pada Proyek Pengaturan daerah dari Berkas | Pilihan proyek.Pengaturan Daerah dan.Bersih Metode Long.TryParse aku s digunakan untuk menentukan valid Bilangan bulatnilai-nilai.

o A Desimalproperti dapat berisi titik atau koma untuk simbol desimal dan mungkin berisi periode, ruang, apostrof atau koma untuk digit pengelompokan tergantung pada Proyek Pengaturan daerah dari Berkas | Pilihan proyek.Pengaturan Daerah dan.Bersih Metode decimal.TryParse aku s digunakan untuk menentukan valid Desimal nilai-nilai.

o A Tanggal Waktuproperti memungkinkan baik Tanggal sebagian atau bagian Waktu atau keduanya. Wilayahpengaturandan Net Metode DateTime.TryParse terutama digunakan untuk menentukan Tanggal dan / atau Sisa nilai yang valid. Namun, Tanggal bagian jika berlaku memerlukan setidaknya Hari dan Bulan (Tahun akan diasumsikan tahun berjalan) atau Bulan dan Tahun bagian valid. Yaitu. Juni, Q3 2010 atau bahkan hanya 2010 adalah tidak sah. Sementara itu akan berbeda dengan pengaturan regional yang berbeda, biasanya bagian Hari, Bulan dan Tahun dapat dipisahkan dengan spasi, koma, dasbor ('-') atau garis miring ('/'). Bagian Day biasanya adalah bilangan bulat dari 1 sampai 31. Bagian Bulan biasanya bilangan bulat dari 1 sampai 12, 3 huruf singkatan berlaku untuk bulan (misalnya Jan, Feb, Mar) atau nama bulan penuh (misalnya Januari, Februari , Maret). Tahun bagian biasanya angka positif 4 digit tapi 1, 2 dan 3 digit tahun diterima sesuai dengan pengaturan di Control Panel-> Regional dan Language Options> Regional Pilihan-> Serasikan (tombol) -> tanggal-> Kalender. Biasanya mereka diinterpretasikan sebagai berikut; 0-29 ditafsirkan sebagai 2000-2029, 30-99 sebagai 1930-1999 dan 100-999 sebagai 100-999. Tanggal tidak valid seperti 31 Juni 2010 dan 31/9/2010 akan terdeteksi. Waktu bagian jika berlaku membutuhkan Jam dan Menit bagian dan opsional bagian Detik. The Jam, Menit dan Detik opsional bagian biasanya dipisahkan dengan tanda titik (':') dan bagian Detik dapat ditentukan dengan titik desimal ('.'). Untuk informasi lebih lanjut mengenai format yang berlaku silakan lihat bagian Keterangan pada Net Metode DateTime.TryParse .

Tip

Disarankan untuk menggunakan setidaknya 3 huruf Format nama bulan (yaitu "Juli" atau "Juli") untuk nilai tanggal daripada format numerik (yaitu "7" atau "07") sebagai nilai-nilai akan memvalidasi seluruh sebagian besar wilayah tergantung pada Proyek Pengaturan daerah dari Berkas | Pilihan proyek. Yaitu. dianjurkan untuk menggunakan "15 Jul 2010" daripada "15/7/2010" atau "2010/07/15". Dengan contoh ini, "15/7/2010" akan gagal validasi untuk 'Inggris (Amerika Serikat) dan "2010/07/15" akan gagal untuk' Inggris (United Kingdom) ', namun "15 Jul 2010" akan lulus untuk kedua.

o A Booleanproperti dapat berupa Benar atau Salah.Ini adalah kasus sensitif sehingga TRUE atau FALSE juga dapat digunakan namun ya, tidak, 1, 0 dll akan semua gagal kendala properti.

o A DaftarProperti memungkinkan koleksi nilai yang telah ditetapkan seperti Low | Sedang | Tinggi atau Mempertahankan | Menyegarkan | Redesign | Pensiun dan rentang nilai berasal dari kolom Unit untuk properti baik sebagai comma atau pipa '|' nilai dipisahkan. Properti dapat dianggap urut (sebagai lawan nominal, interval atau rasio) karena bila digunakan pada grafik dan warna elemen pada diagramdan 3DS nilai diperlakukan hanya dalam naik (atau turun) order. Itulah nilai-nilai diplot di naik (atau turun) order pada grafik sumbu atau rentang warna.

8. Data Type dapat ditetapkan menjadi Cacat, Diperingatkan atau Ditegakkandengan mengklik kanan kolom Jenis Data untuk setiap pengaturan selain teks, yang memungkinkan setiap karakter sehingga tidak pernah bisa salah.

9. Mengatur Wajibbendera untuk properti baru.

Catatan

Lapangan Diperlukan dapat digunakan untuk menunjukkan apakah suatu nilai harus dimasukkan untuk properti. Itu adalah bahwa hal itu tidak boleh kosong atau kosong. Salahadalah default dan berarti properti bisa kosong atau kosong, Benarberarti bahwa properti harus memiliki nilai dan tidak boleh kosong atau kosong. Diperlukan dapat ditetapkan menjadi Cacat, Diperingatkan atau Ditegakkandengan mengklik kanan bidang Diperlukan jika telah ditetapkan untuk Benar.

Lihat juga

Mengisi arsitektur anda - Ikhtisar | Menambahkan properti yang telah ditetapkan untuk komponen, koneksi atau jenis | Sifat agregat


Mengubah komponen / koneksi ini Jenis

Navigasi: Mengisi arsitektur anda> Mengisi manual> Pilihan tambahan>

Mengubah komponen / koneksi ini Jenis

Kirim komentar tentang topik ini.

Komponen dan koneksi jenis terutama digunakan untuk tujuan klasifikasi. Anda dapat menggunakan jenis sebagai filter saat melihat arsitektur anda. Misalnya, alih-alih melihat semuanya, Anda bisa melihat komponen Aplikasi hanya.

Untuk mengubah komponen / koneksi ini Jenis

1. Klik kananpada komponen atau koneksi.

2. Memilih Perubahan Jenis.

3. Memilih jenis yang berbeda dari daftar.

Tip

Bila Anda mengubah Type, Anda mungkin mendapatkan beberapa baru standaratau properti (apa pun yang terkait dengan Type - melihat Jenis cabang pohon). Yang ada standar dan sifat akan tetap tidak berubah. Anda dapat membuat jenis baru Anda sendiri dan menetapkan kombinasi Anda sendiri standar dan sifat mereka.

Lihat juga

Membuat Jenis baru | Mengisi arsitektur anda - Ikhtisar | Menganalisis arsitektur anda


Mengubah pengaturan Region sebuah Proyek

Navigasi: Mengisi arsitektur anda> Properties>

Mengubah pengaturan Region sebuah Proyek

Kirim komentar tentang topik ini.

Nilai properti harus diformat tertentu di berbagai daerah untuk menyesuaikan Data Jenis kendala untuk Integer, Desimal dan Tanggal / Waktu properti. Misalnya di Australia desimal "123.456 titik tujuh delapan sembilan" direpresentasikan sebagai "123,456.789", sementara di Jerman itu akan represnted sebagai "123.456,789" dan di Perancis itu akan menjadi " 123 456789 ".Demikian pula, di AS yang "kedua Desember 1970" direpresentasikan sebagai tanggal pendek sebagai "1970/12/02" tapi di Inggris itu direpresentasikan sebagai "1970/02/12" dan di Polandia sebagai "1970-1912 -02 ". Oleh karena itu, untuk bekerja dengan proyek ABACUS di daerah pengaturan global per proyek ABACUS diperlukan.

Untuk mengganti pengaturan Region proyek ABACUS ini

1. Pastikan Anda memiliki ABACUS berkas Buka.

2. Memilih Berkas | Proyek Pilihan ... dan dari dialog yang muncul pilih Wilayah dan klik OK. Catatan: Silakan lihat bagian bawah untuk default regional.

Catatan

Jika Anda tidak melihat Proyek Pilihan ... item menumaka Anda tidak memiliki Designer dan Administrator tambahans dan Anda tidak dapat mengubah kawasan proyek.Juga, jika tidak ada Region diatur (yaitu Daerah di Options Project adalah 'Tidak ada (Sistem Region)') maka setiap MS Windows pengaturan budaya saat pengguna (yaitu Regional Settings)digunakan untuk memvalidasi sifat.

Default wilayah

Tabel berikut berisi daftar default untuk masing-masing daerah sebagaimana melalui Berkas | Proyek Pilihan ...item menu.Silakan lihat di bawah meja untuk daftar simbol yang digunakan.

Wilayah | Decimal Symbol | Digit pengelompokan | Tanda negatif | Waktu singkat | Lama | AM / simbol PM | Tanggal singkat | Panjang Tanggal
English (Australia) | . | , | - | HH: mm | HH: mm: ss | AM | SORE | hh / MM / yyyy | dd MMMM yyyy
English (United Kingdom) | . | , | - | HH: mm | HH: mm: ss | AM | PM | hh / MM / yyyy | dd MMMM yyyy
Inggris amerika serikat) | . | , | - | h: mm tt | h: mm: ss tt | AM | PM | M / d / yyyy | dddd, dd MMMM yyyy
Perancis (France) | , | ruang | - | HH: mm | HH: mm: ss | | | hh / MM / yyyy | dddd d MMMM yyyy
Jerman (Jerman) | , | . | - | HH: mm | HH: mm: ss | | | DD.MM.YYYY | dddd, d. MMMM yyyy
Italia (Italia) | , | . | - | HH: mm | HH: mm: ss | | | hh / MM / yyyy | dddd d MMMM yyyy
Spanyol (Spain) | , | . | - | H: mm | H: mm: ss | | | hh / MM / yyyy | dddd, dd 'de' MMMM 'de' tttt
English (Kanada) | . | , | - | h: mm tt | h: mm: ss tt | AM | PM | hh / MM / yyyy | MMMM-dd-yy
Perancis (Kanada) | , | ruang | - | HH: mm | HH: mm: ss | | | yyyy-MM-dd | d MMMM yyyy
Arab (U.A.E.) | . | , | - | jj: mm tt | jj: mm: ss tt | ص | م | hh / MM / yyyy | dd MMMM yyyy
Arab (Saudi Arabia) | . | , | - | jj: mm tt | jj: mm: ss tt | ص | م | hh / MM / yy | hh / MMMM / tttt
English (Afrika Selatan) | , | ruang | - | jj: mm tt | jj: mm: ss tt | AM | PM | yyyy / MM / dd | dd MMMM yyyy
English (Selandia Baru) | . | , | - | h: mm tt | h: mm: ss tt | pagi | p.m. | d / MM / yyyy | dddd, d MMMM yyyy
English (India) | . | , | - | HH: mm | HH: mm: ss | AM | PM | dd-MM-yyyy | dd MMMM yyyy
Jerman (Swiss) | . | ' | - | HH: mm | HH: mm: ss | | | DD.MM.YYYY | dddd, d. MMMM yyyy
Perancis (Belgia) | , | . | - | HH: mm | HH: mm: ss | | | d / MM / yyyy | dddd d MMMM yyyy
Belanda (Belgia) | , | . | - | H: mm | H: mm: ss | | | d / MM / yyyy | dddd d MMMM yyyy
Republik (Republik Ceko) | , | ruang | - | H: mm | H: mm: ss | dop |. odp. | d.M.yyyy | d. MMMM yyyy
Denmark (Denmark) | , | . | - | HH: mm | HH: mm: ss | | | dd-MM-yyyy | d. MMMM yyyy
Yunani (Greece) | , | . | - | h: mm tt | h: mm: ss tt | πμ | μμ | d / M / tttt | dddd, d MMMM yyyy
Finlandia (Finlandia) | , | ruang | - | H: mm | H: mm: ss | | | d.M.yyyy | d. Tttt MMMM'ta '
Hungaria (Hungaria) | , | ruang | - | H: mm | H: mm: ss | de |. du. | yyyy.MM.dd. | tttt. MMMM d.
Belanda (Netherlands) | , | . | - | H: mm | H: mm: ss | | | d-M-yyyy | dddd d MMMM yyyy
Norwegia, Bokmål (Norwegia) | , | ruang | - | HH: mm | HH: mm: ss | | | DD.MM.YYYY | d. MMMM yyyy
Polandia (Polandia) | , | ruang | - | HH: mm | HH: mm: ss | | | yyyy-MM-dd | d MMMM yyyy
Rusia (Rusia) | , | ruang | - | H: mm | H: mm: ss | | | DD.MM.YYYY | d MMMM yyyy 'г.'
Swedia (Swedia) | , | ruang | - | HH: mm | HH: mm: ss | | | yyyy-MM-dd | 'den' d MMMM yyyy
Korea (Korea) | . | , | - | tt h: mm | tt h: mm: ss | 오전 | 오후 | yyyy-MM-dd | tttt '년' M '월' d '일' dddd
Ibrani (Israel) | . | , | - | HH: mm | HH: mm: ss | AM | PM | hh / MM / yyyy | dddd dd MMMM yyyy

Simbol-simbol berikut digunakan untuk menentukan bagaimana tanggal dan waktu ditampilkan:

Simbol waktu |
h | Jam (hh menampilkan jam dengan nol)
m | Menit (mm menampilkan menit dengan nol)
s | Kedua (ss menampilkan kedua dengan nol)
tt | PAGI. atau pemeriksaan mayat
h / H | Waktu tampilan 12 atau 24 jam
Tanggal simbol |
d, dd | Hari
ddd, dddd | Hari di minggu ini
M | Bulan
y | Tahun

Lihat juga

Mengisi arsitektur anda - Ikhtisar | Mengubah sifat dari komponen, koneksi atau jenis | Menambahkan properti yang telah ditetapkan untuk komponen, koneksi atau jenis


Pilihan Command Line

Navigasi: Referensi>

Pilihan Command Line

Kirim komentar tentang topik ini.

Anda dapat melakukan berbagai operasi ABACUS langsung dari baris perintah dengan operasi yang paling umum adalah untuk membuka file proyek tertentu dan mempublikasikannya ke HTML.

Secara khusus, penggunaan baris perintah dari ABACUS adalah sebagai berikut;

ABACUS.exe ProjectFile [OptionalFile] [/ exitOnCompletion] [/ dontShowDialogs] [/ user "PENGGUNA" / lulus "LULUS"]

Argumen | Deskripsi
ProjectFile | The ProjectFile dapat berupa file ABACUS proyek (.abacus), file library (.abacuslib), file XML (.xml) atau MS Access DB (.mdb) dan file yang ditentukan baik akan dibuka (jika .abacus atau .abacuslib ) atau proyek baru yang dibuat (jika xml atau berkas .mdb).
OptionalFile | OptionalFile dapat berupa script ABACUS (.abacusscript, vb atau Cs), makro (.abacusmac) atau file library (.abacuslib) dan file yang ditentukan akan baik dijalankan setelah membuka ProjectFile (jika .abacusscript, vb atau Cs atau .abacusmac) atau hanya membuka (jika .abacuslib).
/ exitOnCompletion | Akan keluar ABACUS dan jika diperlukan Hemat dan melakukan perubahan apapun pada proyek .abacus terbuka pada penyelesaian setiap naskah atau makro. Catatan: Bendera ini adalah kasus sensitif jadi pastikan untuk menggunakan 'O' besar dan 'C' dalam teks seperti yang ditunjukkan.
/ dontShowDialogs | Akan mencegah ABACUS Enterprise Edition (EE) dialog pemberitahuan update dari menunjukkan saat membuka sebuah proyek. Catatan: Bendera ini adalah kasus sensitif jadi pastikan untuk menggunakan huruf besar 'S' dan 'D' dalam teks seperti yang ditunjukkan.
/ user "PENGGUNA" / lulus "LULUS" | Username dan password PENGGUNA LULUS akan digunakan untuk log in ke proyek dengan, mengesampingkan setiap kredensial pengguna disimpan. Catatan: kutipan ganda harus ditempatkan di sekitar PENGGUNA dan LULUS bendera dan dua tanda kutip ganda dapat digunakan untuk melarikan diri tanda kutip ganda baik dalam PENGGUNA atau LULUS bendera.

Misalnya.;

ABACUS.exe "Data \ Example.abacus" "Scripts \PublishExample.vb"/ exitOnCompletion / dontShowDialogs / user "Public" / lulus "123456"

kapan dijalankan dari direktori mana itu ABACUS.exe biner aku s terletak akan Buka proyek Contoh dan log in sebagai Public pengguna dengan password 123456 (seperti yang dijelaskan sini ), Mempublikasikannya ke HTML dan kemudian menutup proyek semua tanpa menunjukkan dialog sepanjang jalan (misalnya 'Update Sukses' atau 'Tidak ada update yang tersedia' untuk proyek-proyek Perusahaan).

Misalnya.;

ABACUS.exe "Data \ Example.abacus" "Scripts \Katalog Excel Impor.vb"/ exitOnCompletion / dontShowDialogs

kapan dijalankan dari direktori mana itu ABACUS.exe biner aku s terletak akan Buka proyek Contoh dan impor "Server (2014 Aktual) .xlsx" file MS Excel ke dalam katalog 'Server' dari '2014 Realisasi' arsitektur proyek tanpa menunjukkan dialog sepanjang jalan dan kemudian menutup proyek pada penyelesaian. Jika operasi membuat perubahan pada proyek maka ketika penutupan perubahan akan disimpan secara lokal dan jika proyek Perusahaan berkomitmen untuk Enterprise Server.

Catatan

Pastikan untuk menggunakan yang benar ganda karakter kutipan karena ada beberapa dalam standar set karakter ASCII dan Windows Command Prompt hanya akan bekerja dengan benar dengan yang benar. Yang benar kode karakter kutip ganda adalah Decimal 34 (Heksadesimal 22).Ini adalah apa yang digunakan dalam contoh di atas sehingga merasa bebas untuk copy / paste dari sana.


Copy dan paste

Navigasi: Mengisi arsitektur anda> Mengisi manual> Pilihan tambahan>

Copy dan paste

Kirim komentar tentang topik ini.

Anda dapat menyalin sebagian atau seluruh arsitektur dan paste di lokasi yang berbeda di pohon.

Untuk menyalin

1. Klik kananpada item yang ingin Anda salin.

2. Memilih Salinan.

Untuk menyisipkan

1. Arahkan pohon untuk menemukan tempat Anda ingin menyisipkan item.

2. Klik kananpada cabang yang Anda inginkan muncul dalam.

3. Memilih Pasta.

4. Item tersebut akan disalin dengan nama asli (kecuali jika Anda salin ke cabang asli - maka akan disebut 'Copy ...').

Lihat juga

Bagaimana arsitektur diwakili di ABACUS


Diagram menyalin

Navigasi: Mengisi arsitektur anda> Menggunakan Gambar>

Diagram menyalin

Kirim komentar tentang topik ini.

Ada 2 skenario dasar untuk menyalin diagram yang ada; dalam arsitektur, atau di arsitektur.

Untuk salinandiagramdalam arsitektur

1. Pastikan Anda memilikiABACUS file yang terbukamengandung Anda arsitektur pendudukdengan setidaknya satu diagram.

2. Memperluas itu Diagram cabang (dan diperlukan setiap Kelompok diagram) dari yang diberikan Arsitekturbagian dari pohon.

3. Pilih diagram yang ingin Anda copy dan kemudian tekan Ctrl + C atau klik kanandan pilih Salinan dari menu.

Catatan

A salinan diagram akan ditambahkan ke Diagramcabang dari sama arsitektur. Ini akan memiliki "Copy" ditambahkan ke awal nama, Yang dapat Anda ubah kemudian oleh menekan F2 atau klik kanan di atasnyadan memilih Rename.

Untuk menyalin diagram di arsitektur

1. Pastikan Anda memilikiABACUS file yang terbukamengandung Anda arsitektur penduduksdengan setidaknya satu diagram.

2. Memperluas itu Diagram cabang (dan diperlukan setiap Kelompok diagram) dari itu Arsitekturbagian dari pohonuntuk arsitektur yang berisi diagram yang ingin Anda salin.

3. Pilih diagram yang ingin Anda copy dan pada Properti Umumjendela catatan Sudut pandang bahwa diagram ini terkait dengan (dalam kolom Jenis).

4. Sekarang, memperluas itu Diagram cabang (dan diperlukan setiap Kelompok diagram) dari itu Arsitekturbagian dari pohonuntuk arsitektur lain yang ingin Anda salin diagram ke dalam.

5. Klik kanan itu Diagram simpul (atau Kelompok diagram) Dan pilih Buat Diagram .... Dalam dialog yang muncul pilih Sudut pandang yang tercatat pada langkah 3 di atas dalam drop-down di bagian kanan atas. Tinggalkan segala sesuatu yang lain seperti dan klik oke. Dalam dialog Diagram Nama masukkan nama untuk (segera akan) disalin diagram. Catatan: Sebuah kanvas kosong diagram sesuai dengan sudut pandang yang dipilih akan dibuka.

6. Kembali ke diagram yang ingin Anda copy dan membuka bahwa dengan mengklik kanannode dan memilih Buka atau hanya klik ganda saya t.

7. Pilih latar belakang kanvas diagram yang ingin Anda salin dan tekan Ctrl + A. Ini akan memilih semua elemen pada diagram itu. Sekarang tekan Ctrl + Cuntuk menyalin konten ke clipboard.

8. Sekarang, kembali ke diagram kosong dalam arsitektur Anda ingin menyalin konten ke dalam, pilih latar belakangkanvas dan baik klik kanandan pilih Pasta atau cukup tekan Ctrl + Vuntuk menyisipkan konten. Setelah waktu singkat isi semua akan disisipkan ke dalam diagram kosong baru.

Catatan

Elemen akan ditambahkan ke tingkat atas dari arsitektur baru dan perlu diatur kembali atau digabung dengan konten yang ada sesuai.

Lihat juga

Menggambar Alat | Mengisi arsitektur anda | Menganalisis arsitektur anda


Menciptakan komponen baru / koneksi Ketik atau Tipe Grup

Navigasi: Mengisi arsitektur anda> Mengisi manual> Pilihan tambahan>

Menciptakan komponen baru / koneksi Ketik atau Tipe Grup

Kirim komentar tentang topik ini.

Komponen dan koneksi jenis terutama digunakan untuk tujuan klasifikasi. Anda dapat menggunakan jenis sebagai filter saat melihat arsitektur anda. Misalnya, alih-alih melihat semuanya, Anda bisa melihat komponen Aplikasi hanya.

Untuk membuat komponen baru / koneksi Jenis

Catatan

Untuk menambahkan jenis atau kelompok jenis dalam sebuah proyek ABACUS lisensi pengguna membutuhkan Designer add-on kemampuan. Silahkan hubungi Administrator ABACUS setempat atau Dukungan Avolution jika Anda memerlukan kemampuan ini.

1. Memperluas Jeniscabang pohon.

2. Klik kanan pada Jenis komponen (atau Jenis koneksi).

3. Memilih Tambahkan Component Type (atau Tambahkan Connection Type) atau Buat grup.

Tip

Setelah Anda membuat jenis, Anda harus mengubah icon-nya (lihat di bawah) dan menambahkan sifat dan standar untuk itu untuk komponen atau contoh koneksi ke 'mewarisi'.

Untuk mengubah ikon untuk komponen / koneksi Jenis

Catatan

Untuk mengubah ikon untuk jenis dalam proyek ABACUS lisensi pengguna membutuhkan Designer add-on kemampuan. Silahkan hubungi Administrator ABACUS setempat atau Dukungan Avolution jika Anda memerlukan kemampuan ini.

1. Klik kananpada Komponen Jenis (atau Connection Type) Anda ingin mengubah icon untuk.

2. Memilih Ganti Icon.

3. Dalam dialog browse Pilih Icon ke lokasi dan pilih file gambar dan klik Open.

Catatan

Anda dapat memiliki gambar ikon kustom dari berbagai ukuran tetapi akan selalu ditingkatkan agar sesuai dengan gambar 16x16 pixel di Window Explorer. Jadi jika ikon kustom gambar asli Anda tidak sama tinggi dan lebar icon Jendela Explorer Anda akan meregang. Dengan demikian, gambar kustom harus setidaknya 16x16 pixel dan jika Anda ingin mempertahankan bentuk yang tepat dari ikon kustom pastikan gambar ikon kustom Anda adalah sama tinggi dan lebar dalam pixel (16x16 atau lebih besar). Anda juga harus berhati-hati tentang tidak memiliki berwarna 'pixel' akan sampai ke perbatasan gambar ikon kustom karena akan terlihat miskin di Window Explorer dengan ikon yang berdekatan 'pendarahan' satu sama lain. Oleh karena itu, Anda harus meninggalkan setidaknya perbatasan putih 1 pixel.

Tip

Anda dapat membuat Anda ikon kustom gambar sebuah Ico, bmp, gif, jpg atau format file png namun karena keterbatasan pada Windows format hanya .ico akan melihat dulu dalam dialog ABACUS Pilih Icon jika Anda memiliki pilihan Menu View diatur untuk apa pun selain Thumbnail.

Lihat juga

Mengisi arsitektur anda - Ikhtisar | Menganalisis arsitektur anda


Membuat atau duplikasi arsitektur

Navigasi: Mengisi arsitektur anda> Mengisi manual> Pilihan tambahan>

Membuat atau duplikasi arsitektur

Kirim komentar tentang topik ini.

Anda dapat memiliki sejumlah arsitektur dalam file ABACUS tunggal. Biasanya, Anda akan menciptakan arsitektur baru setiap kali Anda ingin model dan mengevaluasi evolusi dari sistem anda.

Untuk membuat arsitektur baru

1. Klik kananpada Arsitekturcabang pohon.

2. Memilih Arsitektur baru.

Untuk membuat copy dari arsitektur yang ada

1. Klik kananpada arsitektur.

2. Memilih Salinan.

3. Klik kananpada Arsitekturcabang pohon.

4. Memilih Pasta.

5. Arsitektur baru akan disebut 'Copy ...'.

Berkembang arsitektur yang ada

1. Klik kananpada arsitektur.

2. Memilih Berkembang.

3. Arsitektur baru akan disebut '... 0,1'.

Catatan

Ada penjelasan rinci tentang berkembang arsitektur sini .

Lihat juga

Bagaimana arsitektur diwakili di ABACUS | Berkembang arsitektur anda


Laporan kustom

Navigasi: Pelaporan arsitektur anda>

Laporan kustom

Kirim komentar tentang topik ini.

Laporan kustom ABACUS 'memungkinkan Anda untuk membuat laporan kustom dikonfigurasi. Laporan dapat mencakup pencitraan kustom dan grafis serta merinci komponen, koneksi atau atribut dari repositori ABACUS serta hasil analisis rinci dari berbagai simulasi (termasuk TCO, Kinerja dan Keandalan). Selain itu, laporan dapat berisi diagram, grafik, katalog, matriks / tabel pivot, peta, alat pengukur, sparklines, data bar dan indikator (misalnya lalu lintas lampu-).

Catatan

Sementara setiap pengguna dapat membuka laporan kustom yang ada, to configure laporan lisensi pengguna membutuhkan Laporan konfigurasi kemampuan. Silahkan hubungi Administrator ABACUS setempat atau Dukungan Avolution jika Anda memerlukan kemampuan ini.

Untuk melihat adat melaporkan

1. Pastikan Anda memiliki ABACUS file yang terbuka mengandung Anda arsitektur penduduk(s).

2. Memilih Memasukkan| Laporan Kustomatau klik Buat Laporan Kustom tombol toolbar. Itu Laporan kustomwindow akan ditampilkan.

Laporan kustom jendela

3. Pilihada Melaporkan itu yang kamu mau menampilkan dari Laporan tersedia bagian.

4. Klik Jalankan Laporan.Laporan ini akan terbuka di Microsoft Report Viewer dan to Arahkan melalui halaman laporan, klik pada ikon [image] terletak pada toolbar di bagian atas sudut kiri layar.

Catatan

Kamu bisa menyimpan laporan ke berbagai format dengan mengklik Ekspor Laporan icon [image] terletak di toolbar. Anda dapat memilih untuk mengekspor dalam format berikut: Unggul, PDF dan Kata. Harap menyimpan laporan di lokasi yang diinginkan untuk digunakan nanti. Jika perubahan yang dibuat untuk arsitektur pada tahap berikutnya, sebuah laporan baru harus dibuat untuk mencerminkan perubahan.

Untuk mengedit data repositori yang dikirim ke a adat melaporkan

1. Pastikan Anda memiliki ABACUS file yang terbuka mengandung Anda arsitektur penduduk(s).

2. Memilih Memasukkan| Laporan Kustomatau klik Buat Laporan Kustom tombol toolbar. Itu Laporan kustom jendela (ditunjukkan di atas) akan ditampilkan.

Catatan

Sementara setiap pengguna dapat membuka laporan kustom yang ada, to configure data yang dikirim ke laporan kustom lisensi pengguna membutuhkan Laporan konfigurasi kemampuan. Silahkan hubungi Administrator ABACUS setempat atau Dukungan Avolution jika Anda memerlukan kemampuan ini.

3. Pilihada Melaporkan itu yang kamu mau menampilkan dari Laporan tersedia bagian.

4. Klik Set mengedit data. Itu Data Set Editorwindow akan ditampilkan.Jendela ini menunjukkan pengumpulan data set yang saat ini sedang dikirim ke laporan kustom. Pada contoh di bawah ada tiga (3);

· sebuah kumpulan data ApplicationProxy yang menentukan semua rincian untuk semua komponen Aplikasi dalam '2015 Aktual' arsitektur (termasuk sifat tentang Standar dan komponen terpasang),

· kumpulan data TwoDViewProxy yang menentukan satu atau lebih Diagram di mana nama cocok 'Aplikasi Landscape (Australia)',

· kumpulan data TargetProxy yang menentukan semua rincian untuk semua koneksi Sasaran dalam '2015 Aktual' arsitektur (termasuk komponen terlampir).

Data Set Editor jendela

Catatan

Query Nama akan digunakan untuk nama Dataset di Microsoft Report Builder (lihat di bawah). Sertakan lapangan menentukan apakah dataset yang baik Single Element, sebuah Koleksi Elements, Semua Jenis Komponen, Semua Jenis Connection, satu atau lebih Arsitektur, satu atau lebih Diagram atau satu atau lebih Charts. Untuk 'Koleksi Elemen' Data menetapkan tombol Filter disediakan yang ketika diklik membuka Filter jendela Elemen yang memungkinkan Anda untuk menerapkan beberapa filter untuk kembali hanya unsur-unsur dari Arsitektur tertentu, dan / atau dari Jenis tertentu, dan / atau dengan Standar tertentu , dan / atau melekat pada komponen tertentu, dan / atau dengan orang tua tertentu, dan / atau di Diagram tertentu, dan / atau di Charts tertentu dan / atau dengan nilai-nilai properti yang diberikan. Untuk jenis set data lain Nama lapangan disediakan dan menggunakan tombol Select Anda dapat memilih objek (s) untuk dimasukkan dengan kumpulan data.

Catatan

Set data disimpan dalamData Sets berkas (.xml)dengan nama file base sama dengan sebuahterkait Laporkan berkas Definition (.rdl). Jika file ini tidak ada kumpulan data Editor akan secara otomatis mengisi dengan nama permintaan apapun yang ada di Laporkan berkas Definition (.rdl)dan baru Data Sets berkas (.xml)akan dibuat ketika aa daftar valid pertanyaan didefinisikan.

3. Jika Anda ingin menghapus set data yang ada kemudian pilih Hapus Query tombol.

4. Jika Anda ingin menambahkan data baru ditetapkan kemudian klik Add New Data Settombol dan mengkonfigurasi data ditetapkan sebagai per Catatan atas.

Untuk membuat custom baru melaporkan(dari template)

1. Pastikan Anda memiliki ABACUS file yang terbuka mengandung Anda arsitektur penduduk.

2. Memilih Memasukkan| Laporan Kustomatau klik Buat Laporan Kustom tombol toolbar. Itu Laporan kustom jendela (ditunjukkan di atas) akan ditampilkan.

3. Klik Baru dan pilih A4 - Portrait, A4 Landscape, A3 - Portrait, A3 Landscape, Surat US - Portrait, Surat US - Landscape, US Tabloid - Portrait atau US Tabloid - Landscapetergantung pada orientasi laporan dan kertas ukuran yang diinginkan.

4. Browse ke lokasi untuk menyimpan Laporkan berkas Definition (.rdl / .rdlc) dan pencocokan data Set berkas (.xml) dan klik Menyimpan. Ini akan menambahkan laporan kustom baru ke bagian Laporan Tersedia dari jendela Kustom Laporan dan dapat dibuka atau diedit seperti dijelaskan di atas.

Untuk menambahkan kustom yang ada melaporkan

1. Pastikan Anda memiliki ABACUS file yang terbuka mengandung Anda arsitektur penduduk.

2. Memilih Memasukkan| Laporan Kustomatau klik Buat Laporan Kustom tombol toolbar. Itu Laporan kustom jendela (ditunjukkan di atas) akan ditampilkan.

3. Klik Menambahkan dan browse ke lokasi Laporkan berkas Definition (.rdl / .rdlc) dan klik Buka. Ini akan menambahkan laporan kustom baru ke bagian Laporan Tersedia dari jendela Kustom Laporan dan dapat dibuka atau diedit seperti dijelaskan di atas.

Catatan

Hal ini diasumsikan bahwa file data yang cocok Set (.xml) ada di lokasi yang sama dengan file Laporan Definition.

Untuk menyalin kustom yang ada melaporkan

1. Pastikan Anda memiliki ABACUS file yang terbuka mengandung Anda arsitektur penduduk.

2. Memilih Memasukkan| Laporan Kustomatau klik Buat Laporan Kustom tombol toolbar. Itu Laporan kustom jendela (ditunjukkan di atas) akan ditampilkan.

3. Pilihada Melaporkan itu yang kamu mau untuk menyalin dari Laporan tersedia bagian.

4. Klik Salinan dan salinan laporan yang dipilih (bernama 'Copy ...') akan ditambahkan ke bagian Laporan Tersedia dari jendela Kustom Laporan dan dapat dibuka atau diedit seperti dijelaskan di atas.

Catatan

Dengan melakukan ini, Anda akan membuat salinan dari laporan Laporan Definisi mengajukan (.rdl / .rdlc) serta yang pencocokan berkas Data Set (.xml)(jika ada).

Untuk menghapus kebiasaan yang ada melaporkan

1. Pastikan Anda memiliki ABACUS file yang terbuka mengandung Anda arsitektur penduduk.

2. Memilih Memasukkan| Laporan Kustomatau klik Buat Laporan Kustom tombol toolbar. Itu Laporan kustom jendela (ditunjukkan di atas) akan ditampilkan.

3. Pilihada Melaporkan itu yang kamu mau untuk menghapus dari Laporan tersediabagian dan klik Menghapus.

Catatan

Ketika Anda menghapus laporan itu tidak akan muncul lagi di daftar laporan. Namun, ini tidak akan menghapus Laporan Laporan Definisi mengajukan (.rdl / .rdlc) atau Data Set mengajukan(.xml). Jika diperlukan, menghapus file-file ini dapat dicapai melalui sistem file.

Untuk mengubah nama kustom yang ada melaporkan

1. Pastikan Anda memiliki ABACUS file yang terbuka mengandung Anda arsitektur penduduk.

2. Memilih Memasukkan| Laporan Kustomatau klik Buat Laporan Kustom tombol toolbar. Itu Laporan kustom jendela (ditunjukkan di atas) akan ditampilkan.

3. Pilihada Melaporkan itu yang kamu mau untuk mengubah nama di itu Laporan tersediabagian dan klik Ganti nama.

4. Masukkan nama baru untuk laporan.

Catatan

Kedua Laporkan berkas Definition (.rdl / .rdlc) dan pencocokan berkas Data Set (.xml) akan berganti nama sesuai.

Untuk mengedit desain sebuah adat melaporkan

1. Pastikan Anda memiliki ABACUS file yang terbuka mengandung Anda arsitektur penduduk.

2. Memilih Memasukkan| Laporan Kustomatau klik Buat Laporan Kustom tombol toolbar. Itu Laporan kustom jendela (ditunjukkan di atas) akan ditampilkan.

Catatan

Sementara setiap pengguna dapat membuka laporan kustom yang ada, to configure desain sebuah laporan kustom lisensi pengguna membutuhkan Laporan konfigurasi kemampuan. Silahkan hubungi Administrator ABACUS setempat atau Dukungan Avolution jika Anda memerlukan kemampuan ini.Selain itu, Microsoft Report Builder 3.0 diperlukan untuk merancang laporan dan dapat didownload secara gratis dari sini .

3. Pilihada Melaporkan itu yang kamu mau menampilkan dari Laporan tersedia bagian.

4. Klik Mengedit Laporan.Laporan ini akan terbuka di Microsoft Report Builder 3.0. Untuk bantuan tertentu dan beberapa 'tips & trik' pada beberapa tugas lebih umum dengan merancang laporan silakan merujuk ke bagian bawah. Untuk bantuan umum tentang merancang laporan silakan lihat dengan Microsoft Report Builder 3.0 bantuan halaman sini .

Menambahkan Tabel laporan Anda

1. Pastikan Anda memiliki file ABACUS Laporan Kustom Definition (.rdl / .rdlc) terbuka di Microsoft Report Builder 3.0.

2. Memilih itu Memasukkan tab di 'pita' di atas, maka klik Meja tomboldi bagian Data Wilayah dan pilih Insert Table.

3. Sekarang tarik kursoruntuk posisi di kanvas laporan di mana Anda ingin sudut kiri atas meja untuk ditempatkan. Klik kanvas. Secara default tabel akan ditambahkan dengan baris header dan kemudian kelompok rincian (grup akan digunakan untuk mengatur tampilan dari dataset laporan). Untuk menghapus grup, baik menghapus baris atau menghapus Row Group di toolbar Pengelompokan.

Tips

Formula / Expressions di sel tabel diedit dengan memilih sel kemudian mengklik kanan << Expr >> teks dan memilih Ekspresi .... Menyortir baris dalam tabel dilakukan dengan memilih meja dan kemudian browsing turun ke Lain -> lapangan SortExpressions dalam panel Properties dan masuk ekspresi. Untuk total baris pada akhir tabel menambahkan baris setelah (dan luar) pengelompokan dan kemudian menggunakan ekspresi berikut = Sum (Fields!Nama.Nilai)di mana 'Nama' adalah bidang yang berjumlah. Untuk menerapkan mewarnai untuk kolom menggunakan 'iif' pernyataan di properti backgroundColor. Untuk menambah alat ukur sebagai sel dalam sebuah tabel pertama memasukkan mengukur ke dalam sel dan kemudian turun bidang data yang diperlukan untuk mengukur. Saat mengedit tinggi & lebar dari baris tabel, memastikan Anda memilih baris yang benar, dan kemudian arahkan kursor mouse Anda di sekitar garis abu-abu sampai Anda mendapatkan panah atas / bawah kursor, kemudian mengubah ukuran.

Menambahkan Charts laporan Anda

1. Pastikan Anda memiliki Laporan ABACUS Kustom berkas Definition (.rdl / .rdlc) terbuka di Microsoft Report Builder 3.0.

2. Memilih itu Memasukkan tab di 'pita' di atas, maka klik Grafik tomboldi bagian Data Wilayah dan pilih Insert Bagan.

3. Sekarang tarik kursoruntuk posisi di kanvas laporan di mana Anda ingin sudut kiri atas grafik untuk ditempatkan. Klik kanvas dan kemudian pilih grafikAnda butuhkan dari pilihan dan klik oke.

Tips

Untuk menampilkan properti sebagai penjelasan pada grafik, klik kanan pada grafik dan pilih Tampilkan data Label, kemudian pilih salah satu label yang telah ditambahkan dan mengatur Misc -> UseValueAsLabel ke False pada panel Properties dan menambahkan ekspresi (misalnya = Fields Name.Value) di Lain-lain -> Label. Khusus untuk grafik bubble; Grafik bubble ditampilkan di bawah grafik Tebar pos. Menjatuhkan sumbu X properti ke bidang Series (atau menambahkan Series Properties). Jatuhkan Y axis properti ke bidang data (atau menambahkan Series Properties). Untuk menggunakan properti untuk menentukan ukuran gelembung, drop ini ke bidang data (atau menambahkan Series Properties). Grafik gelembung tidak dapat menampilkan jika ada terlalu banyak data (200 + item), kadang-kadang ini menyebabkan laporan seluruh untuk tidak menampilkan. Marker Type - Set ke lingkaran. Secara default, ketika menjatuhkan bidang ke bidang Data, ia menambahkan mereka dengan jumlah()rumus, sehingga menghapus ini. Khusus untuk Grafik ditumpuk / Timeline / Gantt chart; Untuk grafik Gantt menggunakan grafik jangkauan dan menambah properti sebagai nilai-nilai tinggi dan rendah di bidang data. Anda dapat memiliki beberapa 'bar' dengan menambahkan lebih banyak dan lebih rentang, dimana nilai rendah untuk satu sesuai dengan nilai yang tinggi bagi orang lain. Khusus untuk Diagram lingkaran; Untuk diagram lingkaran agregat, drop data ke dalam Kategori bidang dan di bidang data, menambahkan rumus = CountRows (). Menyaring setiap 0 nilai (misalnya pada grafik biaya), jika label untuk ini akan tetap muncul pada tabel.

Menggunakan pernyataan Iif untuk menambahkan warna untuk tabel dan grafik

1. Pastikan Anda memiliki Laporan ABACUS Kustom berkas Definition (.rdl / .rdlc) terbuka di Microsoft Report Builder 3.0.

2. Klik kanan sel dalam tabel untuk warna dan klik Text Box Properti.

3. Memilih Mengisi dan klik fxtombol di sebelah kanan label warna Isi dan di Set ekspresi untuk bidang backgroundColor memasukkan ekspresi, misalnya = IIF (Fields! InformationStatus.Value = "Mempertahankan", "lightgreen", iif (Fields! InformationStatus.Value = "Redesign", "Kuning", iif (Fields! InformationStatus.Value = "Refresh", "Orange", " Ikan salmon"))). Hal ini akan mengubah warna latar belakang hijau muda untuk setiap sel yang berisi Status 'Mempertahankan', kuning untuk setiap sel yang berisi Status 'Redesign', Orange untuk setiap sel yang berisi status 'Refresh' dan setiap nilai status lainnya akan diwarnai di 'Salmon'.

Catatan

Warna dapat ditambahkan untuk grafik dengan memilih seri pada grafik dan kemudian menetapkan Penampilan yang -> properti Color (atau untuk grafik gelembung Penampilan yang -> Marker -> Color properti) untuk ekspresi yang mirip dengan contoh di atas.

Hal yang perlu diingat ketika merancang laporan kustom

· Karena semua sifat kecuali Integer dikirim sebagai string dari ABACUS ke penampil laporan jika Anda ingin melakukan 'ekspresi' dengan mereka (seperti membagi satu properti dengan yang lain atau semacam) Anda perlu mengkonversi mereka ke Desimal atau Tanggal dll Untuk latar belakang . artikel ini adalah referensi yang baik. Misalnya. = CDate (Fields! LifecycleEndDate.Value) catatan: Pastikan bahwa bahasa laporan diatur ke en-GB (seperti dijelaskan di bawah) untuk menerima hh / bb / tttt karena mengharapkan Format hh / bb / tttt secara default dan sesuai 31/7/2011 akan gagal konversi. =Round(Convert.ToDecimal(Fields!CostMaintenanceCostfixed.Value)/Convert.ToDecimal(Fields!UsersNumberofUsers.Value)) = FormatCurrency (Fields! CostTotalCosttoOwnnext5years.Value, 0)

· Jika Anda menemukan bahwa Anda berjuang untuk menyimpan semua tabel dan grafik pada satu halaman, Ada cara utama beberapa mengelola ruang dokumen Anda:

· Page Break - Pastikan bahwa pengaturan tabel ini adalah off untuk setiap tabel yang Anda ingin berada di halaman yang sama.

· Jauhkan Bersama - Pastikan pengaturan meja ini benar untuk setiap tabel yang Anda ingin berada di halaman yang sama.

· Ketika bergerak hal di sekitar, lebih mudah untuk tampilannya menggunakan kontrol di bagian bawah kanan halaman dan kemudian multi-pilih item dan tarik

· Untuk baris gambar dalam sebuah tabel, memastikan bahwa 'Size' | Properti 'Ukuran' diatur ke 'Fit' jika gambar mungkin tampak terlalu besar, atau akan buruk membentang.

· Untuk mengulangi baris header tabel pada setiap halamanlaporan:

1. Terbuka Advanced Mode di Pengelompokan panel. (Klik panah di sebelah kanan Grup Kolom dan pilih Advanced Mode.)

2. Di daerah Row Groups (Grup tidak Kolom), klik pada sekelompok statis, yang menyoroti teks yang sesuai di tablix tersebut. Klik melalui masing-masing kelompok statis sampai menyoroti kolom paling kiri sundulan. Ini umumnya kelompok statis pertama yang terdaftar.

3. Pada jendela Properties, mengatur properti RepeatOnNewPage untuk Benar.

4. Pastikan bahwa properti KeepWithGroup diatur untuk Setelah.

· Mengubah pengaturan bahasadalam Laporan properti untuk mencocokkan format data yang Anda butuhkan, misalnya en-GB untuk menghasilkan tanggal Format Inggris (dd / mm / yyyy).

Lihat juga

Menganalisis arsitektur anda


Menyesuaikan antarmuka ABACUS

Navigasi: Pengantar ABACUS>

Menyesuaikan antarmuka ABACUS

Kirim komentar tentang topik ini.

Anda dapat mengubah tampilan dan perilaku dari antarmuka ABACUS dalam banyak cara. ABACUS mencakup beberapa pengaturan standar kombinasi yang dapat Anda gunakan untuk menerapkan sekelompok penyesuaian ke antarmuka. Selain itu, Anda dapat membuat penyesuaian individu untuk barang-barang seperti jendela, toolbar, tombol pintas, dan berbagai menampilkan pilihan.

Mengatur dan Dock Windows

Anda memiliki banyak pilihan untuk mengatur jendela dalam antarmuka untuk ABACUS, termasuk yang berikut:

· Jendela tab-dock.

· Dock jendela ke tepi bingkai dalam antarmuka.

· Meminimalkan alat jendela sepanjang tepi antarmuka.

· Atur ulang penempatan jendela untuk layout default.

Docking Windows

Ketika jendela adalah dockable, dapat diikat ke satu sisi bingkai dalam antarmuka atau dapat diatur pada panel tab dalam bingkai. Panduan berlian muncul ketika Anda tarik jendela dari lokasi mereka saat ini ke lokasi lain dalam antarmuka. Panduan berlian memungkinkan Anda untuk cepat kembali dermaga jendela di salah satu dari empat sisi frame atau di pusat sebagai panel tab. Ketika jendela adalah undocked atau tidak dockable, mengapung di atas jendela lain.

Untuk dermaga jendela

1. Klik jendela Anda ingin dermaga, untuk memberikan fokus.

2. Di Jendelamenu, klik Dockable.

3. Tarik jendela dari lokasi saat ini ke arah tengah frame Anda ingin dermaga itu dengan.

Panduan berlian muncul. Keempat anak panah dari titik berlian terhadap empat tepi frame dan pusat merupakan panel tab.

Tip

Untuk memindahkan jendela dockable tanpa gertakan itu ke tempatnya, tekan CTRL sambil menyeret itu.

4. Ketika jendela Anda menyeret mencapai posisi di mana Anda ingin dermaga itu, memindahkan kursor ke bagian yang sesuai dari panduan berlian. Garis besar jendela muncul di daerah yang ditunjuk.

5. Untuk dermaga jendela dalam posisi yang ditunjukkan, lepaskan tombol mouse.

Sebagai contoh, jika Penjelajahberlabuh di tepi kiri antarmuka dan Anda ingin dermaga itu di tepi kanan, Anda akan menyeret Penjelajahmenuju tengah antarmuka, arahkan kursor sisi kanan panduan berlian, dan kemudian lepaskan tombol mouse.

Meminimalkan Windows

Jendela (apakah mereka Alat jendela - muncul pada Melihatmenu, atau Dokumen Jendela - muncul pada Jendelamenu) mendukung fitur yang disebut Auto Hide. Auto Hide memungkinkan Anda untuk melihat lebih banyak arsitektur Anda pada satu waktu dengan meminimalkan jendela sepanjang tepi antarmuka jika tidak digunakan.

Untuk mengaktifkan Auto Hide

1. Klik jendela Anda ingin menyembunyikan untuk memberikan fokus.

2. Di Jendelamenu, klik Sembunyi otomatis.

- atau -

2. Klik ikon pushpin pada bar judul jendela.

Auto Hide Diaktifkan

Ketika jendela auto-tersembunyi kehilangan fokus, maka secara otomatis slide kembali ke tab di tepi antarmuka. Sementara jendela adalah auto-tersembunyi, nama dan ikon yang terlihat pada tab di tepi antarmuka. Untuk menampilkan jendela auto-tersembunyi, memindahkan pointer Anda di atas tab. Jendela slide kembali ke tampilan dan siap digunakan.

Catatan

Sebuah jendela yang auto-tersembunyi tidak dapat merapat. Untuk dermaga jendela Anda akan perlu mematikan Auto Hide seperti yang dijelaskan di bawah ini.

Untuk mematikan Auto Hide

1. Klik jendela Anda ingin menyimpan terlihat untuk memberikan fokus.

2. Di Jendelamenu, klik Sembunyi otomatisuntuk menghapus tanda centang.

- atau -

2. Klik ikon pushpin pada bar judul jendela.

Auto Sembunyikan Dinonaktifkan

Tip

Windows yang memiliki Auto Hide aktif sementara geser ke tampilan ketika jendela memiliki fokus. Untuk menyembunyikan jendela lagi, pilih item luar jendela saat. Setelah jendela kehilangan fokus, itu slide kembali keluar dari pandangan.

Ulang Windows Layouts

Anda dapat kembali antarmuka untuk tata letak jendela default dengan menggunakan Atur ulang Jendela Tata Letak perintah. Ketika Anda menjalankan perintah ini, tindakan berikut terjadi:

· Semua jendela dipindahkan ke posisi default.

· Jendela yang ditutup pada layout default jendela ditutup oleh perintah.

· Jendela yang terbuka dalam tata letak jendela default dibuka oleh perintah.

· Windows yang tersembunyi / terlihat dalam tata letak jendela default dibuat tersembunyi / terlihat oleh perintah.

Untuk mengatur ulang penempatan jendela dengan layout default

1. Di Jendelamenu, klik Atur ulang Jendela Tata Letak.

Menyesuaikan Menu dan Toolbars

Anda dapat mengubah tata letak, posisi, dan isi menu dan toolbar di antarmuka. Anda juga dapat menambahkan tombol untuk toolbar dan mengubah ikon ditugaskan untuk tombol apapun.

Membuat toolbar baru

Untuk membuat toolbar baru

1. Di Alatmenu, pilih Sesuaikan.

2. Dalam Menyesuaikankotak dialog, pilih Toolbarstab.

3. Memilih Baru.

4. Dalam Baru Toolbarkotak dialog, ketik nama untuk toolbar.

5. Memilih oke.

Untuk menambahkan tombol perintah untuk menu atau toolbar

1. Di Alatmenu, pilih Sesuaikan.

2. Dalam Menyesuaikankotak dialog, pilih Perintahtab.

3. Pilih kategori dan tarik perintah dari kotak dialog untuk menu atau toolbar.

4. Memilih Dekat.

Tip

Menekan Alt-kunci memungkinkan Anda untuk cepat-menyesuaikan perintah seolah-olah dialog Customize terbuka.

Lihat juga

The ABACUS antarmuka


Mendefinisikan dan Memvalidasi Kendala

Navigasi: Mengisi arsitektur anda> Mengisi manual> Pilihan tambahan>

Mendefinisikan dan Memvalidasi Kendala

Kirim komentar tentang topik ini.

Struktur dan sifat dari arsitektur dapat dibatasi dengan menggunakan kendala. Kendala dapat diterapkan untuk jenis komponen dan jenis sambungan untuk membatasi struktur arsitektur dalam dua cara. Cara pertama adalah dengan membatasi hirarkidengan mendefinisikan "orang tua harus / harus memiliki anak" dan "anak harus / harus memiliki orang tua" hubungan. Cara kedua adalah untuk membatasi topologidengan mendefinisikan "komponen harus / harus melekat pada koneksi" dan "koneksi harus / harus melekat pada komponen" hubungan. Selanjutnya, kendala dapat diterapkan untuk sifat-sifat jenis komponen, jenis koneksi, template, sudut pandang, arsitektur, diagramdan 3D untuk membatasi arsitektur (s) dalam dua cara tambahan. Cara pertama adalah untuk mengatur tipe dataproperti untuk membatasi nilai-nilai yang valid yang dapat memiliki, yaitu; Teks, Integer, Decimal, Tanggal / Waktu, Boolean atau Daftar. Cara kedua adalah untuk mengatur wajibstatus properti untuk menunjukkan apakah suatu nilai harus dimasukkan untuk properti (Catatan: kendala Diperlukan hanya berlaku untuk properti untuk komponen dan koneksi jenis). Informasi lebih lanjut tentang kendala properti disediakan di Mengubah sifat dari komponen, koneksi atau jenis bantuan topik. Setelah kendala telah didefinisikan, adalah mungkin untuk memvalidasi arsitektur terhadap kendala. ABACUS akan memperingatkan tentang kendala yang dilanggar.

Kunci untuk menentukan kendala (s) untuk mendefinisikan kebohongan dalam bahasa yang tepat digunakan untuk menggambarkan kendala. Untuk kendala hirarki mereka biasanya dalam bentuk "kata bendadapat / harus / harus didekomposisi menjadi n kata benda" atau "kata bendadapat / harus / harus dikumpulkan oleh kata benda"Dll Misalnya,"Departemenharus didekomposisi menjadi Tim" atau "Aplikasidapat didekomposisi menjadi Modul". Untuk kendala topologi mereka biasanya dalam bentuk"kata bendadapat / harus / harus kata kerja kata benda". Sebagai contoh, "Proses dapat dilakukan oleh Tim" atau "Aplikasi adalah host di Server. "Sekarang, Anda dapat melihat di setiap kendala ada berbagai dapat / harus / harus 'kualifikasi' dan ini bisa menjadi 3 jenis;

· Opsional- Ini akan biasanya menggunakan kata-kata / frase seperti; "mungkin", "dapat", "bisa", "opsional" dll

· Direkomendasikan- Ini akan biasanya menggunakan kata-kata / frase seperti; "harus", "dianjurkan", "menyarankan" dll

· Wajib- Ini akan biasanya menggunakan kata-kata / frase seperti; "keharusan", "adalah", "yang", "memiliki", "akan" dll

Tergantung pada jenis kendala (hierarki atau topologi) dan kualifikasi yang digunakan dalam menggambarkan itu, kendala tertentu (s) harus didefinisikan (lihat di bawah). Untuk contoh hirarki di atas "Departemenharus didekomposisi menjadi Tim"Kita harus mendefinisikan" Induk harus memiliki anak "kendala dan mengatur penegakan yang akan Ditegakkan. Untuk topologi contoh di atas"Proses dapat dilakukan oleh Tim. "Satu-satunya harus membuat dua (2)" Connection harus melekat pada Komponen "kendala untuk kedua ujung yang dilakukan oleh jenis sambungan khusus, kendala berikut dianjurkan untuk didefinisikan (lihat di bawah) untuk berbagai pilihan;

· Kendala hirarki;

o Kata benda A dapatdidekomposisi menjadi Kata benda B, atau Kata benda B dapatdikumpulkan oleh Kata benda A atau Kata benda B seharusnyadikumpulkan oleh Kata benda A- Tentukan "Anak harus memiliki Parent" kendala dengan jenis anak sebagai Noun B, jenis induk sebagai Noun A dan penegakan sebagai Diperingatkan.

Catatan

Ini berarti bahwa jika seorang anak ada, itu harus memiliki orang tua dari jenis tertentu. Jika tidak, Anda akan mendapatkan peringatan.

o Kata benda A seharusnyadidekomposisi menjadi Kata benda B- Tentukan "Induk harus memiliki anak" kendala dengan jenis induk sebagai Noun A, tipe anak sebagai Noun B dan penegakan sebagai Diperingatkan.

Catatan

Ini berarti bahwa jika orang tua ada, itu harus memiliki anak dari jenis tertentu. Jika tidak, Anda akan mendapatkan peringatan.

o Kata benda A harusdidekomposisi menjadi Kata benda B- Tentukan "Induk harus memiliki anak" kendala dengan jenis induk sebagai Noun A, tipe anak sebagai B dan penegakan Noun sebagai Penghilangan.

Catatan

Ini berarti bahwa jika orang tua ada, ia harus memiliki anak dari jenis tertentu. Jika tidak, Anda akan mendapatkan error.

o Kata benda A harusdikumpulkan oleh Kata benda B- Tentukan "Anak harus memiliki Parent" kendala dengan jenis anak sebagai Noun A, tipe orang tua seperti B dan penegakan Noun sebagai Penghilangan.

Catatan

Ini berarti bahwa jika seorang anak ada, ia harus memiliki induk dari jenis tertentu. Jika tidak, Anda akan mendapatkan error.

· Kendala topologi;

o Kata benda A dapat kata kerja Kata benda B- Tentukan dua (2) "Connection harus melekat pada Komponen" kendala. Yang pertama adalah dengan akhir Sumber jenis sambungan kata kerjamelekat kata benda jenis komponen dan penegakan diatur untuk Penghilangan. Yang kedua dengan Sink akhir jenis sambungan kata kerjamelekat Noun jenis komponen B dan penegakan diatur untuk Penghilangan.

Catatan

Ini berarti bahwa jika koneksi ada, itu harus menghubungkan komponen dari jenis tertentu. Jika tidak, Anda akan mendapatkan Kesalahan. Keseluruhan ini memastikan bahwa komponen ini masih bisa eksis dan tidak terhubung satu sama lain. Namun jika mereka terhubung, koneksi dari jenis yang tepat harus digunakan.

o Kata benda A seharusnya kata kerja Kata benda B- Tentukan dua (2) "Komponen harus melekat Connection" kendala. Yang pertama adalah dengan Noun Sebuah jenis komponen yang melekat pada akhir Sumber dari kata kerjajenis koneksi dan penegakan set untuk Diperingatkan. Yang kedua dengan Noun jenis komponen B melekat pada Sink akhir kata kerjajenis koneksi dan penegakan set untuk Diperingatkan. Selain itu, mendefinisikan dua (2) "Connection harus melekat pada Komponen" kendala. Yang pertama adalah dengan akhir Sumber jenis sambungan kata kerjamelekat kata benda jenis komponen dan penegakan diatur untuk Penghilangan. Yang kedua dengan Sink akhir jenis sambungan kata kerjamelekat Noun jenis komponen B dan penegakan diatur untuk Penghilangan.

Catatan

Ini berarti bahwa jika komponen dari kedua jenis ada, mereka harus melekat pada sambungan dari jenis tertentu. Jika tidak, Anda akan mendapatkan peringatan. Selain itu, ini berarti bahwa jika koneksi ada, itu harus terhubung ke komponen jenis tertentu. Jika tidak, Anda akan mendapatkan error. Keseluruhan ini memastikan bahwa jika komponen jenis ini ada, Anda akan mendapatkan peringatan jika mereka tidak terhubung satu sama lain.

o Kata benda A harus kata kerja Kata benda B- Tentukan dua (2) "Komponen harus melekat Connection" kendala. Yang pertama adalah dengan Noun Sebuah jenis komponen yang melekat pada akhir Sumber dari kata kerjajenis koneksi dan penegakan diatur untuk Penghilangan. Yang kedua dengan Noun jenis komponen B melekat pada Sink akhir kata kerjajenis koneksi dan penegakan diatur untuk Penghilangan. Selain itu, mendefinisikan dua (2) "Connection harus melekat pada Komponen" kendala. Yang pertama adalah dengan akhir Sumber jenis sambungan kata kerjamelekat kata benda jenis komponen dan penegakan diatur untuk Penghilangan. Yang kedua dengan Sink akhir jenis sambungan kata kerjamelekat Noun jenis komponen B dan penegakan diatur untuk Penghilangan.

Catatan

Ini berarti bahwa jika komponen dari kedua jenis ada, mereka harus melekat pada sambungan dari jenis tertentu. Jika tidak, Anda akan mendapatkan error. Selain itu, ini berarti bahwa jika koneksi ada, itu harus terhubung ke komponen jenis tertentu. Jika tidak, Anda akan mendapatkan error. Keseluruhan ini memastikan bahwa jika komponen jenis ini ada, Anda akan mendapatkan kesalahan jika mereka tidak terhubung satu sama lain.

Untuk menentukan kendala

1. Pastikan Anda memiliki ABACUS berkasterbuka dan Explorer Jendeladitampilkan.

2. Pada pohon explorer memperluas Jenis | Jenis komponenatau memperluas Jenis | Jenis koneksi.

3. Klik kananjenis komponen atau jenis koneksi dan pilih Tambahkan Kendala.

Menambahkan kendala

Untuk menentukan kendala hirarki, di mana orang tua harus memiliki anak tertentu

4. Di Tambahkan Kendalajendela centang Buat Kendalacheckbox di bawah Induk Harus Memiliki Anak Kendala daerah.

5. Pilih jenis komponendari kotak drop-down yang ingin Anda tentukan sebagai anak dari jenis komponen yang dipilih pada langkah 3.

Catatan

Jika sudah ada diaktifkan 'Parent Harus Memiliki Anak' kendala yang ditetapkan untuk jenis komponen induk dan lain jenis komponen anak maka kendala baru ini akan diperlakukan sebagai 'DAN'. Itu adalah jenis yang harus menjadi orangtua tipe Seorang anak danJenis anak B, apa pun tingkat penegakan (misalnya cacat, Diperingatkan atau Ditegakkan - lihat langkah 7) ditetapkan untuk setiap kendala.

6. Opsional Anda dapat menentukan minimum dan maksimum jumlah komponen dari jenis komponen tertentu yang harus anak-anak dari jenis komponen diklik kanan pada langkah 3.

7. Pilih apakah Anda ingin kendala menjadi Cacat, Diperingatkan atau Ditegakkan.

Catatan

Kendala cacat akan diabaikan dari validasi kendala, kendala Diperingatkan akan menghasilkan Peringatan di jendela Validasi jika mereka terdeteksi dan kendala Ditegakkan akan menghasilkan kesalahan di jendela Validasi jika mereka terdeteksi. Selain itu, semua Kesalahan harus diselesaikan sebelum Perusahaan Server proyek dapat dilakukan.

8. Klik oke.

Catatan

Kendala akan ditampilkan di pohon explorer bawah komponen tipe diklik kanan pada langkah 3. panah yang menunjukkan arah kendala dan dalam hal ini akan menunjuk ke bawah dan kanan. Gembok berwarna menurut apakah kendala adalah Disabled (abu-abu), Diperingatkan (kuning) atau Penghilangan (merah).

Orangtua harus memiliki anak memperingatkan kendala

Untuk menentukan kendala hirarki, di mana seorang anak harus memiliki orangtua yang spesifik

4. Di Tambahkan Kendalajendela centang Buat Kendalacheckbox di bawah Anak Harus Memiliki Kendala Induk daerah.

5. Pilih jenis komponendari kotak drop-down yang ingin Anda tentukan sebagai induk dari jenis komponen diklik kanan pada langkah 3.

Catatan

Jika sudah ada diaktifkan 'Anak Harus Memiliki Induk kendala yang ditetapkan untuk jenis komponen anak dan lain jenis komponen induk maka kendala baru ini akan diperlakukan sebagai' ATAU '. Itu adalah jenis yang harus menjadi anak tipe orang tua A atauJenis orangtua B, dan tingkat penegakan (misalnya Diperingatkan atau Ditegakkan - lihat langkah berikutnya) harus sama kendala sebaliknya ditegakkan akan selalu menimpa orang-orang yang memperingatkan.

6. Pilih apakah Anda ingin kendala menjadi Cacat, Diperingatkan atau Ditegakkan.

Catatan

Kendala cacat akan diabaikan dari validasi kendala, kendala Diperingatkan akan menghasilkan Peringatan di jendela Validasi jika mereka terdeteksi dan kendala Ditegakkan akan menghasilkan kesalahan di jendela Validasi jika mereka terdeteksi. Selain itu, semua Kesalahan harus diselesaikan sebelum Perusahaan Server proyek dapat dilakukan.

7. Klik oke.

Catatan

Kendala akan ditampilkan dalam tampilan explorer bawah jenis komponen yang dipilih pada langkah 5. panah yang menunjukkan arah kendala dan dalam hal ini akan menunjukkan dan kiri. Gembok berwarna menurut apakah kendala adalah Disabled (abu-abu), Diperingatkan (kuning) atau Penghilangan (merah).

Anak harus memiliki orang tua memperingatkan kendala

Untuk menentukan kendala topologi, di mana komponen harus melekat pada sambungan tertentu

4. Di Tambahkan Kendalajendela centang Buat Kendalacheckbox di bawah Komponen Harus Terlampir Kendala daerah.

5. Pilih jenis sambungandari kotak drop-down yang ingin Anda tentukan sebagai koneksi terpasang dari jenis komponen diklik kanan pada langkah 3. (Atau pilih jenis komponendari kotak drop-down yang ingin Anda tentukan sebagai komponen terpasang jika pada langkah 3 Anda mengklik kanan jenis koneksi.)

Catatan

Jika sudah ada diaktifkan 'Komponen Harus Attached' kendala yang ditetapkan untuk jenis komponen dan koneksi lain ketik maka kendala baru ini akan diperlakukan sebagai 'DAN'. Yang jenis komponen harus melekat pada jenis sambungan A dankoneksi tipe B, apa pun tingkat penegakan (misalnya cacat, Diperingatkan atau Ditegakkan - lihat langkah 7) ditetapkan untuk setiap kendala.

6. Opsional Anda dapat memilih sambungan peranbahwa Anda ingin menambah kendala. Smemilih spesifik peran (yaitu baik Sumber atau Sink) dari kotak drop-down.

7. Pilih apakah Anda ingin kendala menjadi Cacat, Diperingatkan atau Ditegakkan.

Catatan

Kendala cacat akan diabaikan dari validasi kendala, kendala Diperingatkan akan menghasilkan Peringatan di jendela Validasi jika mereka terdeteksi dan kendala Ditegakkan akan menghasilkan kesalahan di jendela Validasi jika mereka terdeteksi. Selain itu, semua Kesalahan harus diselesaikan sebelum Perusahaan Server proyek dapat dilakukan.

8. Klik oke.

Untuk menentukan kendala topologi, di mana sambungan harus melekat pada komponen tertentu

4. Di Tambahkan Kendalajendela centang Buat Kendalacheckbox di bawah Koneksi Harus Terlampir Kendala daerah.

5. Pilih jenis sambungandari kotak drop-down yang ingin Anda tentukan sebagai koneksi terpasang dari jenis komponen diklik kanan pada langkah 3. (Atau pilih jenis komponendari kotak drop-down yang ingin Anda tentukan sebagai komponen terpasang jika pada langkah 3 Anda mengklik kanan jenis koneksi.)

Catatan

Jika sudah ada diaktifkan 'Connection Harus Attached' kendala yang ditetapkan untuk jenis koneksi dan jenis komponen lain menggunakan koneksi yang sama peran(yaitu baik Sumber atau Sink), maka kendala baru ini akan diperlakukan sebagai 'ATAU'. Yang jenis sambungan harus dilampirkan ke komponen tipe A ataukomponen tipe B, dan tingkat penegakan (misalnya Diperingatkan atau Ditegakkan - lihat langkah 7) harus sama kendala sebaliknya ditegakkan akan selalu menimpa orang-orang yang memperingatkan. Perhatikan juga, bahwa jika ada beberapa kendala yang memiliki koneksi peranditetapkan sebagai 'Apa' (sebagai lawan khusus Sumber atau Sink) maka setiap akhir sambungan harus dilampirkan ke salah satu jenis komponen yang ditentukan dalam kendala.

6. Opsional Anda dapat memilih sambungan peranbahwa Anda ingin menambah kendala. Smemilih spesifik peran (yaitu baik Sumber atau Wastafel) dari kotak drop-down.

Catatan

Entah Sumber atau peran Sink perlu secara eksplisit karena adanya suatu Lampiran kolom menjadi avilable akan ditampilkan di komponen katalog .

7. Pilih apakah Anda ingin kendala menjadi Cacat, Diperingatkan atau Ditegakkan.

Catatan

Kendala cacat akan diabaikan dari validasi kendala, kendala Diperingatkan akan menghasilkan Peringatan di jendela Validasi jika mereka terdeteksi dan kendala Ditegakkan akan menghasilkan kesalahan di jendela Validasi jika mereka terdeteksi. Selain itu, semua Kesalahan harus diselesaikan sebelum Perusahaan Server proyek dapat dilakukan.

8. Klik oke.

Waktu sebenarnya memeriksa Model dan pembataspengesahan

ABacus termasukreal-time Model Memeriksa dan Fitur validasi untuk segera pameran efek operasi pengguna tertentu akan memiliki pada peringatan dan kesalahan dengan proyek ini, karena setiap hirarki dan topologi kendala yang sudah ditetapkan. Perlu dicatat bahwa semua Kesalahan harus diselesaikan sebelum Perusahaan Server proyek dapat dilakukan.

The real-time fitur validasi kendala yang paling terlihat ketika mengisi dengan diagram atau langsung di jendela Explorer. Secara khusus, selama operasi berikut, bimbingan diberikan menggunakan warna highlight untuk efek operasi akan memiliki pada peringatan dan kesalahan dengan proyek ini;

1. Ketika menyeret unsur ke atau sekitar diagram warna tua (atau melampirkan) komponen (jika ada) perbatasan akan berwarna sesuai dengan skema yang dijelaskan di bawah.

2. Ketika menghubungkan komponen menggunakan klik kanan tarik | Hubungkan Untuk menampilkan daftar Jenis Sambungan tersedia berwarna sesuai dengan skema yang dijelaskan di bawah.

3. Ketika menghubungkan komponen pada diagram menggunakan Mode Connector kursor akan berubah warna sesuai dengan skema yang dijelaskan di bawah.

4. Ketika menambahkan sub-komponen daftar Jenis Komponen tersedia berwarna sesuai dengan skema yang dijelaskan di bawah.

Secara umum warna berikut digunakan untuk menunjukkan efek operasi pengguna akan memiliki pada peringatan dan kesalahan dengan proyek ini;

Hitam : Tidak ada dampak pada peringatan atau kesalahan.

Hijau : Operasi ini secara eksplisit Menurutdidefinisikan hirarki dan topologi kendala untuk proyek tersebut.

Merah : Operasi ini secara eksplisit melanggarhirarki dan topologi kendala ditetapkan untuk proyek dan akan menghasilkan peringatan dan / atau kesalahan.

Latar belakang memeriksa Model dan pembataspengesahan

ABACUS termasuk Fitur validasi untuk menampilkan semua peringatan dan kesalahan dengan proyek ini, karena kendala yang sudah ditetapkan. Perlu dicatat bahwa semua Kesalahan harus diselesaikan sebelum Perusahaan Server proyek dapat dilakukan.

Catatan

Validasi perlu dijalankan secara manual melalui 'Validasi / Periksa Kendala Proyek' tombol pada Toolbar utama . Jendela Validasi tersembunyi secara defaulttapi akan muncul ketika tombol toolbar diklik. Melihat Menyesuaikan antarmuka untuk bagaimana unhide dan berpotensi meninggalkannya ditampilkan secara permanen. Juga, Anda dapat mengklik dua kali berturut-turut setiap di jendela Validasi untuk 'melompat' ke elemen yang relevan dalam proyek.

Jendela validasi

Kolom default di jendela Validasi dijelaskan sebagai berikut;

Peringatan atau Kesalahan: Kolom ini menampilkan ikon untuk apakah pelanggaran adalah Peringatan (segitiga kuning dengan tanda seru) atau Kesalahan (lingkaran merah dengan salib).

Jumlah: Kolom ini menampilkan jumlah pelanggaran.

Catatan

Hanya 200 pelanggaran ditampilkan pada satu waktu dan jika ada lebih dari 200 pelanggaran dalam proyek Start, Sebelumnya, Berikutnya dan navigator Akhir baris di atas-kanan jendela dapat digunakan untuk menelusuri pelanggaran tambahan.

Deskripsi: Ini adalah deskripsi lengkap dari pelanggaran termasuk Badan dan Kendala bersangkutan.

Kesatuan: Kolom ini menampilkan Badan perhatian pelanggaran.

Mengetik: Kolom ini menampilkan jenis elemen untuk Entitas.

Arsitektur: Kolom ini menampilkan Arsitektur di mana pelanggaran tersebut terjadi.

Terdeteksi: Kolom ini menampilkan waktu pelanggaran tersebut terdeteksi.

Tip

Hal ini berguna untuk menyortir turun dengan kolom Terdeteksi (seperti yang ditunjukkan dalam dialog di atas) untuk memastikan pelanggaran terbaru muncul di 'atas' dari daftar.

Ada beberapa pilihan pengguna untuk mengubah perilaku validasi model latar belakang. Misalnya to mengubah warna yang digunakan untuk pelanggaran kendala untuk sesuatu selain default Merah, klik Tools | Pilihan ... kemudian pergi ke itu Pengesahantab, dan mengatur warna melalui Perubahan tombol.

Pengesahan Pilihan

Untuk secara manual memvalidasi kendala

1. Klik kananpada Arsitekturnode, setiap arsitektur atau di mana saja baik dalam Komponen atau Koneksibagian dari tampilan explorer dan pilih Periksa Kendala.

Validasi kendala

2. Klik Rinciantombol pada Peringatanjendela untuk melihat di mana arsitektur melanggar kendala yang sudah ditetapkan.

Catatan

Pelanggaran hanya ditampilkan bagi mereka kendala yang telah ditetapkan untuk Diperingatkan atau dipaksakan. Selain kata-kata peringatan akan mencakup 'harus' jika kendala itu hanya peringatan atau 'harus' jika itu dipaksakan.

3. Klik oke.

Lihat juga

Mengisi arsitektur anda - Ikhtisar | Mengisi arsitektur anda secara manual


Menghapus komponen atau koneksi

Navigasi: Mengisi arsitektur anda> Mengisi manual> Pilihan tambahan>

Menghapus komponen atau koneksi

Kirim komentar tentang topik ini.

Untuk menghapus komponen atau koneksi

1. Klik kananpada komponen atau koneksi.

2. Memilih Hapus.

Peringatan

ABACUS akan memperingatkan Anda yang dilihat akan terpengaruh oleh penghapusan dan meminta Anda untuk mengkonfirmasi penghapusan. Hal ini karena elemen mungkin ada pada banyak diagram dan membayar untuk memeriksa apa penghapusan diusulkan akan mempengaruhi.

Tip

Jika Anda menghapus komponen, semua sub-komponen juga akan dihapus. Anda dapat memilih untuk menghapus koneksi internal dan eksternal untuk komponen. Jika Anda memilih untuk tidak menghapusnya, koneksi itu terlampir untuk akan tetap, tetapi mereka tidak akan lagi terpasang. Semua komponen dan koneksi dari tertentu Mengetik . Menghapus komponen / koneksi tidak berdampak pada Type (dalam Jenis cabang pohon). Demikian pula, jika komponen / koneksi memiliki Standar ditugaskan, penghapusan tidak akan berdampak pada master di cabang Standar.

Lihat juga

Mengisi arsitektur anda - Ikhtisar


Pandangan diagram

Navigasi: Mengisi arsitektur anda> Menggunakan Gambar>

Pandangan diagram

Kirim komentar tentang topik ini.

The sudut pandangFitur memastikan bahwa komponen dan koneksi yang ditambahkan ke diagram harus memiliki hubungan jenis ditetapkan sebelumnya sebelum mereka dapat ditambahkan ke diagram. Fitur ini memungkinkan untuk pembatasan jenis diagram yang dapat ditarik dengan membatasi bentuk & konektor yang berkaitan dengan Komponen dan Koneksiyang ada dalam arsitektur anda.

Mengaktifkan atau Menonaktifkan Menegakkan diagram sudut pandang

Kemampuan untuk menegakkan sudut pandang diagram secara otomatis diaktifkan secara default. Untuk menonaktifkan / mengaktifkan fitur ini klik Tools | Pilihan ...| itu Diagramtab, dan hapus / pilih Menegakkan Diagram Pandangancentang kotak yang sesuai.

Catatan

Jika Anda tidak melihat 'Menegakkan Diagram Pandangan'Pilihan pada tab Diagram maka Anda tidak memiliki Designer add-on dan pilihan diaktifkan secara default.

Membuat diagram dilaksanakan sudut pandang

1. Pastikan Anda memiliki ABACUS berkas terbuka dengan penjelajahpandangan ditampilkan.

2. Pada tampilan explorer klik kanan pada Melihattitiksdan klik Membuat Viewpoint diagram

3. Itu Viewpoint diagramwindow akan ditampilkan.

4. Menetapkan nama yang relevan dengan sudut pandang diagramdan perhatikan bahwa sudut pandang disimpan di bawah PandanganBagian dari explorer.

5. Itu Viewpoint diagramwindow akan ditampilkan.

6. Sekarang klik dan drag jenis komponen yang relevan dan jenis sambungan dalam arsitektur Anda ke bentuk sudut pandang kamu ingin. Jenis komponenharus diseret ke sebuah bentuk dalam bentuktab, sementara jenis sambunganharus diseret ke salah satu bentuk gaya 5 baris dalam konektortab.

7. Untuk menyimpan sudut pandang diagramtelah Anda buat klik pada [image] di sudut kanan atas dari Anda Viewpoint diagram jendela.

Catatan

Itu sudut pandang diagramdapat diedit dengan mengklik kanan pada sudut pandang dan memilih Buka atau klik ganda itu sudut pandang.

Synchonising sudut pandang diperbarui dengan diagram

1. Pastikan Anda memiliki ABACUS berkas Buka.

2. Entah klik kanan sudut pandang dalam Penjelajah jendela bawah Meta-Model | Pandangandan pilih Sync Diagram Pemetaan ...

- atau -

3. Dekat sudut pandang terbuka dan diperbarui jendela dan pilih iya nih dalam Sinkronisasi ke Viewpointdialog yang ditampilkan.

4. Itu Sudut pandang Sinkronisasidialog akan ditampilkan seperti yang ditunjukkan di bawah ini.

Centang

· Tambahkan Pemetaan Hilang- Apapun bentuk baru (untuk jenis komponen) atau konektor (untuk jenis sambungan) asosiasi yang telah ditambahkan untuk sudut pandangakan ditambahkan ke diagram yang sesuais (yaitu mereka setensilans) bahwa terkait dengan sudut pandang.

· Perbarui adaPemetaan- Setiap aspek diperbarui dari bentuk yang ada (untuk jenis komponen) atau konektor (untuk tipe koneksi) asosiasi untuk sudut pandang(misalnya warna, gaya font) akan diperbarui dalam diagram yang sesuais (yaitu mereka setensilans) bahwa terkait dengan sudut pandang.

· Hapus EkstraPemetaan- Apapun bentuk tambahan (untuk jenis komponen) atau konektor (untuk jenis sambungan) asosiasi yang telah ditambahkan dengan diagram (yaitu stensil mereka) tapi tidak dalam sudut pandangakan dihapus dari diagram yang sesuais (yaitu mereka setensilans) bahwa terkait dengan sudut pandang.

· Menimpa Local Settings untuk Tambah atau Diperbarui pemetaan (Perbedaan Only)- Setiap aspek diperbarui dari bentuk yang ada (untuk jenis komponen) atau konektor (untuk tipe koneksi) asosiasi untuk sudut pandang(misalnya warna, gaya font) akan diterapkan pada elemen yang sesuai pada diagram yang terkait dengan sudut pandang.Hanya diperbarui 'perbedaan' yang dibuat untuk sudut pandang yang diterapkan sehingga pengaturan lokal yang ada dalam diagram yang tidak diperbarui dalam sudut pandang akan tetap tidak berubah.

· [image] Penjelasan – Seperti di atas tetapi khusus untuk penjelasan.

Lihat juga

Menggambar Alat | Mengisi arsitektur anda | Menganalisis arsitektur anda


Menggambar Alat Fitur

Navigasi: Mengisi arsitektur anda> Menggunakan Gambar>

Menggambar Alat Fitur

Kirim komentar tentang topik ini.

Menggambar Alat mendukung sejumlah fitur menarik.

Zooming

Skala diagram dapat diubah dengan menggunakan fungsi zoom.

Untuk mengurangi skala atau 'zoom in'

1. Pastikan bahwa Anda memiliki baru atau yang sudah ada diagram terbuka .

2. tekan Ctrldan '=' kunci.

- atau -

2. Pilih Memperbesartombol pada Diagramtoolbar.

- atau -

2. tekan Ctrldan roll roda mouse meneruskan. Catatan: Dalam modus ini kanvas akan tampilannya menuju di mana mouse melayang di atas kanvas.

Untuk meningkatkan skala atau 'zoom out'

1. Pastikan bahwa Anda memiliki baru atau yang sudah ada diagram terbuka .

2. tekan Ctrldan '-' kunci.

- atau -

2. Pilih Zoom Outtombol pada Diagramtoolbar.

- atau -

2. tekan Ctrldan roll roda mouse ke belakang. Catatan: Dalam modus ini kanvas akan tampilannya keluar dari tempat mouse melayang di atas kanvas.

Auto-layout

Tata letak komponen dalam diagram dapat dimodifikasi secara otomatis.

Untuk tata letak semua komponen on diagram

1. Cmenjilat itu Diagram tata letaktombol pada toolbar Diagram.

2. Memilih salah satu Radial Tata Letak atau Tata Letak Grid.

Catatan

The Radial tata letak akan menggunakan apa yang disebut 'kekuatan-diarahkan' algoritma sehingga komponen terhubung ditarik bersama-sama sementara komponen tidak terhubung terpaksa terpisah. Grid Layout akan menggunakan algoritma lebar dan tinggi jarak tetap. Hal pertama memungkinkan pengguna untuk memilih diagram keseluruhan Aspect Ratio (misalnya 16: 9, A4 (Portrait), Surat (Landscape)) dan kemudian jarak di sisi dan antara kolom dan baris seperti gambar di bawah.Dengan tata letak Grid koneksi antara komponen tidak mempengaruhi tata letak seperti itu hanya mengatur komponen abjad (dengan nama mereka) dari atas-kiri ke kanan bawah kanvas. Dengan kedua algoritma bentuk bentuk yang unik yang tidak bergerak.

Untuk tata letak anak-anak komponen di orang tua tunggal on diagram

1. Klik kanankomponen tingkat tinggi yang anaknya ingin Anda auto-layout.

2. Memilih Tata letak Anak-anak.

Catatan

Secara default hanya algoritma tata letak Radial digunakan.

Mengubah Element Estetika seperti Warna, Transparansi, Shadows dan Rotasi

Semua elemen diagram memiliki estetika yang dapat dimanipulasi seperti yang diinginkan. Dalam kasus bentuk terkait, aspek-aspek ini dapat diatur per jenisdan dalam kebanyakan kasus juga per contoh. Dalam kasus bentuk bentuk yang unik, sifat ini dapat diatur per contohdi kanvas.

Catatan

Setiap per aspek contoh yang telah ditetapkan untuk bentuk terkait akan 'ditimpa' jika aspek yang sama berubah untuk jenis yang sesuai.

Untuk mengubah warna bentuk terkait atau bentuk bentuk yang unik

1. Pastikan bahwa Anda memiliki baru atau yang sudah ada diagram terbuka .

2. Klik kananpada bentuk terkait atau konektor di Komponen atau Koneksitab dari jendela stensil atau bentuk terkait atau bentuk bentuk yang unik di kanvas.

3. Memilih Perubahan Warna.

4. Pilih Tetap Warnatombol radio (jika ada).

5. Pilih Warna Dasar atau Tentukan Custom Warna dalam dialog dan klik oke.

- atau -

4. Pilih Lerengtombol radio (jika ada).

5. Pilih salah Horizontal, Vertikal, Teruskan Diagonal atau Mundur Diagonal untuk arah gradien di pull-down dan klik oke.

6. Pilih Warna Dasar atau Tentukan Custom Warna dalam dialog untuk Mulai dan Akhirdan klik oke.

Catatan

ABACUS akan mewarnai latar depan dari bentuk jika;
a) itu adalah bentuk 'sederhana' dengan elemen grafis yang mendasari tunggal (misalnya lingkaran, persegi panjang, poligon dll), atau
b) itu adalah bentuk 'kompleks' dengan beberapa subshapes mendasari bahwa semua sama warna / gradien sebagai satu sama lain atau subshapes memiliki LockScale = TRUE set.
Jika kondisi di atas tidak terpenuhi maka latar belakang bentuk berwarna.

Untuk mengatur warna dari bentuk terkait sesuai dengan properti

1. Pastikan bahwa Anda memiliki baru atau yang sudah ada diagram terbuka .

2. Klik kananpada bentuk terkait atau konektor di Komponen atau Koneksitab dari jendela stensil(TIDAK pada kanvas gambar).

3. Memilih Perubahan Warna.

4. Pilih Menggunakan Properti tombol radio.

5. Pilih properti dengan mengklik '...' tombol di sebelah kanan kotak teks.

6. Pilih Jarak tombol radio.

7. Menyesuaikan Min dan Maxnilai-nilai yang diinginkan. Catatan: setiap nilai di bawah nilai minimum akan ditampilkan sebagai warna Min dan nilai apapun di atas maksimal akan ditampilkan sebagai warna Max. Juga, ketika menggunakan Boolean, Daftar atau Tanggal / Waktu sifat nilai-nilai yang dikonversi ke indeks sebagai berikut; Boolean (False = 0, Benar = 1), Daftar (sebuah vale integer 1 sampai n untuk setiap nilai yang valid dalam urutan mereka ditentukan di bidang Unit) dan Date / Time (jumlah hari sejak 1 Januari 1900 - termasuk desimal untuk jam, menit, detik bagian - dan jika tanggal pra-1990 itu adalah angka negatif).

8. Pilih Warna Dasar atau Tentukan Custom Warna dalam dialog untuk Min dan Maxdan klik oke.

Tip

Jika Hijau (RGB - 128,255,0) dipilih sebagai warna Min dan Merah (RGB - 255,0,0) dipilih sebagai warna Max untuk properti dengan nilai kisaran 1 untuk 4maka nilai 1akan ditampilkan sebagai Hijau, Nilai 2 sebagai Kuning, 3 sebagai Jeruk dan 4 sebagai Merah.

Atau, untuk berbagai properti dari 1 untuk 3nilai 1akan menjadi seperti Hijau, Nilai 2 sebagai Amber dan 3 sebagai Merahalias 'Lampu Lalu Lintas' atau status RAG.

Untuk berbagai properti dari 1-5 jika Biru (RGB - 0,0,255) dipilih sebagai warna Min dan Merah (RGB - 255,0,0) dipilih sebagai Max mewarnai nilai 1 akan menjadi seperti Biru, Nilai 2 sebagai Aqua, Nilai 3 sebagai Hijau, Nilai 4 sebagai Kuning dan nilai 5 sebagai Merah.

Untuk berbagai properti dari 1-6 jika Ungu (RGB - 255,0,255) dipilih sebagai warna Min dan Merah (RGB - 255,0,0) dipilih sebagai Max mewarnai nilai 1 akan menjadi seperti Ungu, Nilai 2 sebagai Biru, Nilai 3 sebagai Aqua, Nilai 4 sebagai Hijau, Nilai 5 sebagai Kuning dan nilai 6 sebagai Merah.

Dan akhirnya, untuk berbagai properti dari 1-7 nilai 1 akan menjadi seperti Ungu, Nilai 2 sebagai Biru tua, Nilai 3 sebagai Biru muda, Nilai 4 sebagai Biru hijau, Nilai 5 sebagai Hijau, Nilai 6 sebagai Amber dan nilai 7 sebagai Merah

Catatan

Lihat catatan di atas pada foreground vs background mewarnai.

- atau -

7. Pilih Nilai spesifik tombol radio.

8. Klik Mengedit Warna tombol.

9. Pilih setiap nilai pada gilirannya dan klik Set Warnauntuk mengatur warna tertentu untuk setiap nilai.

Catatan

Rentang nilai untuk elemen hadir pada diagram akan menjadi pra-diisi.

10. Untuk menambahkan warna nilai tambah bagi mereka pra-diisi (misalnya setelah berbagai properti telah ulang) klik Tambahkan nilai.

Untuk mengubah transparansi warna bentuk terkait atau bentuk bentuk yang unik

1. Pastikan bahwa Anda memiliki baru atau yang sudah ada diagram terbuka .

2. Klik kananpada bentuk terkait atau konektor di Komponen atau Koneksitab dari jendela stensil atau bentuk terkait atau bentuk bentuk yang unik di kanvas.

3. Memilih Perubahan Warna.

4. Pada panel Transparency mengatur slider atas untuk transparansi yang diinginkan untuk warna dasar.

5. Jika Gradient atau Menggunakan opsi Properti yang digunakan, dalam panel Transparansi mengatur slider bawah untuk transparansi yang diinginkan untuk warna kedua.

6. Klik oke.

Memperlihatkan bayangan untuk semua dari terkait bentuk dalam diagram

1. Pastikan bahwa Anda memiliki yang ada diagram terbuka .

2. Klik kananpada bentuk terkait atau konektor di Komponentab dari jendela stensil.

3. Memilih Menambahkan Bayangan.

Untuk menunjukkan bayangan di komponen bentuk atau bentuk bentuk yang unik

1. Pastikan bahwa Anda memiliki baru atau yang sudah ada diagram terbuka .

2. Kanan-klikpada bentuk komponen atau bentuk yang unik di kanvas.

3. Memilih Menambahkan Bayangan.

Untuk memutar bentuk komponen dan bentuk bentuk bebas di diagram

1. Pastikan bahwa Anda memiliki baru atau yang sudah ada diagram terbuka .

2. Pilih bentuk komponen atau bentuk bentuk yang unik pada kanvas Anda ingin memutar.

3. Klik kananpada bentuk dan pilih Memutardan kemudian pilih sudut yang relevan Anda ingin memutar bentuk oleh.

Mengubah Elemen Penjelasan dan Freeform Teks Label

Semua elemen diagram memiliki anotasi yang dapat dimanipulasi seperti yang diinginkan. Dalam kasus bentuk terkait, aspek-aspek ini dapat diatur per jenisdan dalam kebanyakan kasus juga per contoh. Dalam kasus bentuk bentuk yang unikdan konektor, itulabel teks dapat diatur per contohdi kanvas.Delapan (8) berbagai jenis penjelasan dapat ditampilkan untuk elemen diagram (yaitu Nama, Jenis, Properti Nilai, Marker Properti, Komponen Terlampir, Anak (untuk komponen saja), Standar dan Cap waktu (Dibuat, Modified By dll)) di dua puluh lima (25) posisi yang berbeda (misalnya Centre - Outside Top, dalam kiri - Pusat, luar Kanan - Bawah luar).

Catatan

Setiap per aspek contoh yang telah ditetapkan untuk bentuk terkait akan 'ditimpa' jika aspek yang sama berubah untuk jenis yang sesuai.Selanjutnya, di mana 2 atau lebih penjelasan menempati posisi yang sama hanya Font tunggal, gaya font, warna font dan Ukuran dapat digunakan dan Separator (misalnya koma, ruang, baris baru) harus dipilih.

Memperlihatkan nama atau jenis untuk komponen terkait atau koneksi

1. Pastikan bahwa Anda memiliki yang ada diagram terbuka .

2. Klik kananpada bentuk terkait atau konektor di Komponen atau Koneksitab dari jendela stensil atau bentuk terkait atau konektor pada kanvas.

3. Memilih Penjelasan.

Catatan

Untuk bentuk individu terkait atau konektor pada kanvas Anda akan perlu memilih Override Stencil Penjelasancheckbox pertama kalinya.

4. Pilih New Anotasi pada toolbar dan pilih Nama atau Mengetik.

5. Pada dialog yang muncul pilih opsi Tampilan yang diinginkan termasuk kurung dan gaya Font, Font, warna Font dan Ukuran. Juga, pilih opsi tata letak yang diinginkan termasuk Horizontal dan Vertikal keselarasan (yaitu posisi anotasi) dan Angle (yaitu rotasi). Memilih oke.

Untuk menunjukkan properti nilai untuk komponen terkait atau koneksi

1. Pastikan bahwa Anda memiliki yang ada diagram terbuka .

2. Klik kananpada bentuk terkait atau konektor di Komponen atau Koneksitab dari jendela stensil atau bentuk terkait atau konektor pada kanvas.

3. Memilih Penjelasan.

Catatan

Untuk bentuk individu terkait atau konektor pada kanvas Anda akan perlu memilih Override Stencil Penjelasancheckbox pertama kalinya.

4. Pilih New Anotasi pada toolbar dan pilih Nilai properti.

5. Pada dialog yang muncul pilih properti dengan mengklik Properti yang: '...' tombol dan memilih properti dalam dialog Pilih A Propertidan pilih oke. Pilih Opsi tampilan yang diinginkan termasuk kurung dan gaya Font, Font, warna Font dan Ukuran. Juga, pilih opsi tata letak yang diinginkan termasuk Horizontal dan Vertikal keselarasan (yaitu posisi anotasi) dan Angle (yaitu rotasi). Memilih oke.

Untuk menunjukkan properti penanda untuk komponen terkait atau koneksi

1. Pastikan bahwa Anda memiliki yang ada diagram terbuka .

2. Klik kananpada bentuk terkait atau konektor di Komponen atau Koneksitab dari jendela stensil atau bentuk terkait atau konektor pada kanvas.

3. Memilih Penjelasan.

Catatan

Untuk bentuk individu terkait atau konektor pada kanvas Anda akan perlu memilih Override Stencil Penjelasancheckbox pertama kalinya.

4. Pilih New Anotasi pada toolbar dan pilih Marker properti.

5. Pada dialog yang muncul pilih properti dengan mengklik Properti yang: '...' tombol dan memilih properti dalam dialog Pilih A Propertidan pilih oke. Mengatur radius penanda dalam piksel dan metode pewarnaan baik Warna Dengan Rentang atau Warna Dengan Properti dan mengatur tugas warna. Juga, pilih opsi tata letak yang diinginkan termasuk Horizontal dan Vertikal keselarasan (yaitu posisi anotasi) dan Angle (yaitu rotasi). Memilih oke.

Memperlihatkan komponen terpasang untuk komponen terkait atau koneksi

1. Pastikan bahwa Anda memiliki yang ada diagram terbuka .

2. Klik kananpada bentuk terkait atau konektor di Komponen atau Koneksitab dari jendela stensil atau bentuk terkait atau konektor pada kanvas.

3. Memilih Penjelasan.

Catatan

Untuk bentuk individu terkait atau konektor pada kanvas Anda akan perlu memilih Override Stencil Penjelasancheckbox pertama kalinya.

4. Pilih New Anotasi pada toolbar dan pilih Komponen yang melekat.

5. Pada dialog yang muncul, untuk komponen terkait memilih jenis komponen terpasang dengan mengklik Terlampir: '...' tombol dan memilih jenis komponen dalam dialog Set Component Typedan pilih oke. Pilih jenis koneksi yang melekat dengan mengklik Terhubung Via: '...' tombol dan memilih jenis koneksi di Set Connection Type dialogdan pilih oke.Untuk koneksi terkait pilih akhir koneksi dengan memilih Sumber atau Sink dari Connection End: menu pull-down. Untuk kedua komponen terkait dan koneksi pilih Opsi tampilan yang diinginkan termasuk kurung dan gaya Font, Font, warna Font dan Ukuran. Juga, pilih opsi tata letak yang diinginkan termasuk Horizontal dan Vertikal keselarasan (yaitu posisi anotasi) dan Angle (yaitu rotasi). Memilih oke.

Memperlihatkan anak-anak untuk komponen terkait

1. Pastikan bahwa Anda memiliki yang ada diagram terbuka .

2. Klik kananpada bentuk terkait atau konektor di Komponentab dari jendela stensil atau bentuk terkait di kanvas.

3. Memilih Penjelasan.

Catatan

Untuk bentuk terkait individu pada kanvas Anda akan perlu memilih Override Stencil Penjelasancheckbox pertama kalinya.

4. Pilih New Anotasi pada toolbar dan pilih Anak-anak.

5. Pada dialog yang muncul pilih opsi Tampilan yang diinginkan termasuk kurung dan gaya Font, Font, warna Font dan Ukuran. Juga, pilih opsi tata letak yang diinginkan termasuk Horizontal dan Vertikal keselarasan (yaitu posisi anotasi) dan Angle (yaitu rotasi). Memilih oke.

Memperlihatkan standar untuk komponen terkait atau koneksi

1. Pastikan bahwa Anda memiliki yang ada diagram terbuka .

2. Klik kananpada bentuk terkait atau konektor di Komponen atau Koneksitab dari jendela stensil atau bentuk terkait atau konektor pada kanvas.

3. Memilih Penjelasan.

Catatan

Untuk bentuk individu terkait atau konektor pada kanvas Anda akan perlu memilih Override Stencil Penjelasancheckbox pertama kalinya.

4. Pilih New Anotasi pada toolbar dan pilih Standar.

5. Pada dialog yang muncul pilih opsi Tampilan yang diinginkan termasuk kurung dan gaya Font, Font, warna Font dan Ukuran. Juga, pilih opsi tata letak yang diinginkan termasuk Horizontal dan Vertikal keselarasan (yaitu posisi anotasi) dan Angle (yaitu rotasi). Memilih oke.

Memperlihatkan cap waktu untuk komponen terkait atau koneksi

1. Pastikan bahwa Anda memiliki yang ada diagram terbuka .

2. Klik kananpada bentuk terkait atau konektor di Komponen atau Koneksitab dari jendela stensil atau bentuk terkait atau konektor pada kanvas.

3. Memilih Penjelasan.

Catatan

Untuk bentuk individu terkait atau konektor pada kanvas Anda akan perlu memilih Override Stencil Penjelasancheckbox pertama kalinya.

4. Pilih New Anotasi pada toolbar dan pilih Dibuat, Dibuat oleh, menciptakan Marker, Modifikasi, Modifikasi Dengan atau Modified Marker.

5. Dalam dialog yang muncul, jika tidak penanda, pilih Pilihan tampilan yang diinginkan termasuk kurung dan gaya Font, Font, warna Font dan Ukuran. Jika penanda, mengatur radius penanda dalam piksel dan metode pewarnaan baik Warna Dengan Rentang atau Warna Dengan Properti dan mengatur tugas warna. Juga, pilih opsi tata letak yang diinginkan termasuk Horizontal dan Vertikal keselarasan (yaitu posisi anotasi) dan Angle (yaitu rotasi). Memilih oke.

Untuk mengubah gaya font dari bentuk bentuk yang unikatau konektor

1. Pastikan bahwa Anda memiliki baru atau yang sudah ada diagram terbuka .

2. Klik kananpada bentuk bentuk yang unik atau konektor di kanvas. Catatan: Jika konektor label teks tidak menunjukkan kemudian menunjukkan connectatau label teks: Klik kananconnectataudan pilih Penjelasan | Tampilkan Anotasi.

3. Memilih Ganti Font.

4. Memilih gaya font, font dan Ukuran dalam dialog dan pilih oke.

Untuk mengubah font warna dari bentuk bentuk yang unikatau konektor

1. Pastikan bahwa Anda memiliki baru atau yang sudah ada diagram terbuka .

2. Klik kananpada bentuk bentuk yang unik atau konektor di kanvas. Catatan: Jika konektor label teks tidak menunjukkan kemudian menunjukkan connectatau label teks: Klik kananconnectataudan pilih Penjelasan | Tampilkan Anotasi.

3. Memilih Perubahan Font Warna.

4. Pilih Font sebuahWarna (dan untuk bentuk Link Warna) dengan mengklik '...' tombol dan memilih warna dalam dialog dan pilih oke.

5. Pilih Transparansi label teks dengan menyesuaikan slider dengan 0 sepenuhnya transparan dan 255 sepenuhnya buram.

Untuk memutar label teks dari bentuk bentuk yang unikatau konektor

1. Pastikan bahwa Anda memiliki baru atau yang sudah ada diagram terbuka .

2. Klik kananpada bentuk bentuk yang unik atau konektor di kanvas. Catatan: Jika konektor label teks tidak menunjukkan kemudian menunjukkan connectatau label teks: Klik kananconnectataudan pilih Penjelasan | Tampilkan Anotasi.

3. Memilih Memutardan kemudian pilih sudut yang relevan Anda ingin memutar label teks oleh.

Lihat juga

Menggambar Alat | Mengisi arsitektur anda | Menganalisis arsitektur anda


Simulasi Biaya Total Kepemilikan (TCO)

Navigasi: Simulasi arsitektur anda> Simulators>

Simulasi Biaya Total Kepemilikan (TCO)

Kirim komentar tentang topik ini.

Latar belakang

Biaya Total Kepemilikan (TCO) adalah perkiraan keuangan, yang dirancang untuk mengukur total yang dikeluarkan biaya siklus hidup (dari akuisisi untuk dekomisioning / pembuangan) terkait dengan aset yang dimiliki. TCO tidak hanya mencerminkan biaya pembelian, itu juga mencakup semua aspek-aspek lain dalam penggunaan lebih lanjut dan pemeliharaan aset.

TCO digunakan untuk menentukan upaya dan anggaran biaya yang diperlukan untuk membeli sebuah sistem. Sebuah cara sederhana untuk pemodelan di ABACUS untuk TCO adalah untuk memecahkan sistem IT ke dalam komponen. Kami kemudian dapat mengetahui berapa banyak rata-rata biaya untuk menjalankan salah satu dari komponen ini. Setelah ini kita bisa maka faktor biaya yang berbeda tergantung pada apakah sistem TI evolvable atau terbuka dll Jika sistem sudah bangun dan berjalan, faktor utama untuk dipertimbangkan adalah biaya pemeliharaan dan mungkin biaya untuk menonaktifkan.

Sebuah contoh

Diagram untuk Contoh Perhitungan

Komponen di bawah Organisasi atau standar memiliki sifat ini:

· FTE= 100 000 $ / tahun

· Dukungan Usaha= 0.01 FTE + 0,001 FTE / tahun = 1000 $ + 100 $ / tahun

· Biaya pemeliharaan= 100 $ - 10 $ / tahun

· Biaya modal= 2000 $

· Menginstal Upaya= 2 FTE / hari = 0.01 FTE / tahun = 1000 $

Komponen di bawah Organisasi memiliki sifat ini:

· Menginstal Horizon= -2 Tahun (yaitu Sistem ini dipasang 2 tahun sebelum sekarang)

· Masa hidup= 3 tahun

Kapan Instal Horizon + umur <= 0 , Tidak ada lagi Pemeliharaan Biaya.

Perhitungan

Perhitungan adalah sebagai berikut:

Catatan

TC = biaya per tahun. SE = Dukungan Usaha. MC = Biaya Pemeliharaan.

· Biaya = Biaya Modal awal + Install Upaya= 2000 + 1000 = 3000 $

· Pada t = -2 (selama 1 tahun), TC = biaya awal + SE + MC= 3000 + 1000 + 100 = 4100 $

· Pada t = -1, TC = SE + MC= (1000 + 100) + (100 - 10) = 1190 $

· Pada t = 0, TC = (1000 + 200) + (100 - 20) = 1280 $

· Pada t = 1 (tahun terakhir), TC = (1000 + 300) + (100 - 30) = 1370 $

Grafik untuk Contoh Perhitungan

TCO adalah jumlah dari semua biaya sekarang dan masa depan sampai sistem telah dinonaktifkan.

· Pada t = -2 (selama 1 tahun), TCO = 4100 + 1190 + 1280 + 1370 = 7940 $

· Pada t = -1, TCO = 1190 + 1280 + 1370 = 3840 $

· Pada t = 0, TCO = 1280 + 1370 = 2650 $

· Pada t = 1 (tahun terakhir), TCO = 1370 $

Biaya Faktor Kunci

Faktor kunci biaya yang harus dipertimbangkan ketika menghitung TCO dari aset di ABACUS adalah:

· Hardware Akuisisi- Biaya awal peralatan (biaya modal).

· Software Akuisisi- Biaya awal lisensi untuk perangkat lunak (biaya modal).

· Instalasi- Biaya yang terkait dengan pengaturan awal.

· Latihan- Biaya yang berhubungan dengan pelatihan penjual eksternal setelah setup awal.

· Mendukung- Biaya yang terkait dengan dukungan internal.

· Pemeliharaan- Biaya untuk mengganti atau meng-upgrade vendor kontrak pemeliharaan, persediaan dan biaya pemulihan bencana.

· Infrastruktur- Biaya yang terkait dengan mendukung aset.

ABACUS Contoh Representasi Biaya Faktor Kunci

Menjalankan simulator Biaya

Untuk mensimulasikan arsitektur anda dalam hal biaya

1. Pastikan Anda memiliki file ABACUS, Yang berisi Anda arsitektur penduduk, Buka.

2. Memilih Analisa| Biaya.

3. Memilih Arsitektur (s)Anda ingin memasukkan dalam evaluasi.

Catatan

Secara default, ABACUS secara otomatis akan memilih arsitektur (s) yang re-simulasi diperlukan karena properti yang mendasari atau perubahan struktural.Penyorotan ini ditunjukkan pada Merah pada Simulasi toolbar .

4. Pilih Mata uangdari pull down.

5. Pindahkan Tahun untuk menghitungslider dengan jumlah tahun yang diperlukan.

Catatan

Secara default, jika Tahun untuk menghitung lebih dari 1 tahun biaya secara otomatis akan dihitung untuk setiap tahun individu (dan koleksi sifat menambahkan / update) dan kemudian nilai kumulatif untuk seluruh jumlah tahun juga dihitung. Jika hanya nilai kumulatif diperlukan kemudian hapus centang pada Hitung Biaya Per TahunPilihan seperti yang dijelaskan di bawah ini untuk menghemat jumlah properti dalam proyek.

6. Pilih apakah akan meninggalkan Hitung Biaya Per Tahundiperiksa atau hapus centang.

7. Klik Berikutnya.

8. Opsional memilih KoneksiAnda ingin atribut biaya bersama sebagai bagian dari evaluasi.

Catatan

Menggunakan Biaya | Atribusiproperti pada biaya koneksi dapat dikaitkan dari komponen yang melekat pada akhir wastafel dari koneksi ke komponen yang melekat pada akhir sumber(yaitu Biaya | Atribusi = "Sink ke Sumber"), atau dari komponen yang melekat pada sumber akhir koneksi ke komponen yang melekat pada wastafel akhir(yaitu Biaya | Atribusi = "Sumber untuk Sink"). Selain itu, ABACUS otomatis akan memilih koneksi mereka dengan Perilaku a | Hubungan = "proses" atau "mendukung"dan arah atribusi akan 'Sink ke Sumber'. Selanjutnya, biaya yang dibagi menurut Perilaku setiap | % Atau Biaya | Sifat% pada koneksi, atau alternatif di mana ada beberapa sambungan dari wastafel ke berbagai sumberatau sumber untuk banyak tenggelam, Menurut Perilaku setiap | Sifat pengolahan pada komponen sumberatau tenggelam komponen masing-masing.

9. Klik Selesaidan Anda akan mendapatkan Peringatan dialog.

10. Opsional menjelajahi peringatan dengan mengklik Detail >>.

11. Klik Terus.

Catatan

Pada titik ini, ABACUS akan melakukan evaluasi biaya berdasarkan aktivitas dari arsitektur (s) dan setelah waktu yang singkat (dengan progress bar untuk umpan balik) perhitungan dialog lengkap akan muncul.

12. Klik okeuntuk mengakui evaluasi.

Tip

Untuk kursus pelatihan dan bantuan lebih lanjut tentang Biaya Simulasi silakan merujuk pada Avolution Komunitas .

Komponen dan / atau Connection Properti

Tabel berikut berisi daftar komponen dan / atau koneksi sifat yang diperlukan untuk mengevaluasi biaya.Properti ini akan ditampilkan di jendela Properties dengan ikon masukan properti baris pemilih ( [image] ) Dengan tooltip 'Biaya Masukan'. Perubahan ke salah satu 'input' properti dan berbagai perubahan struktural untuk repositori akan menghasilkan simulator Biaya membutuhkan re-simulasi seperti yang ditunjukkan dalam Merah pada Simulasi toolbar .

Mengetik

Nama

Nilai Default

Satuan

Tipe data

Wajib

Deskripsi

Biaya

Menginstal Horizon

0

tahun

Bilangan bulat

Benar

Menentukan ketika komponen atau koneksi telah, atau akan dipasang.

· Nilai 0 (default) menunjukkan bahwa komponen atau koneksi sedang diinstal pada tahun berjalan.

· Nilai kurang dari 0 menunjukkan bahwa komponen atau koneksi telah diinstal di masa lalu.

· Sebuah nilai lebih besar dari 0 menunjukkan bahwa komponen atau koneksi akan dipasang di masa depan.

Biaya

Masa hidup

0

tahun

Bilangan bulat

Benar

Menentukan lamanya waktu di mana komponen atau koneksi akan tetap beroperasi, setelah itu akan dinonaktifkan.

Biaya

FTE

100.000,00

$ / tahun

Desimal

Salah

Biaya tahunan setiap Karyawan tetap.

Jika properti ini tidak ditemukan dalam komponensendiri atau dalam kasus koneksi komponen yang melekat pada akhir wastafel sambungan, Maka akan dicari dalam komponen lainnya.

Pertama, setiap 'tenggelam' komponens pada akhir a sehubungan dengan "dukungan" hubungan untuk komponen akan dicari, diikuti oleh yang 'tenggelam' orangtua komponens.

Jika properti FTE tidak ditemukan, komponen induk-components kemudian akan dicari. Jika FTE masih belum ditemukan, nilai default digunakan.

Harap Catatan: FTE hanya properti input yang valid pada komponen.

Biaya

Pemeliharaan Biaya (tetap)

0.00

$ / tahun

Desimal

Salah

Biaya tetap tahunan mempertahankan komponenatau koneksi.

Biaya

Biaya pemeliharaan (variabel)

0.00

$ / tahun

Desimal

Salah

Jumlah dimana total biaya pemeliharaan komponen atau koneksi akan berubah setiap tahun.

Misalnya, nilai $ -500 menunjukkan bahwa biaya pemeliharaan keseluruhan berkurang $ 500 setiap tahun, sementara nilai $ 500 menunjukkan bahwa total kenaikan biaya pemeliharaan dengan $ 500 setiap tahun.

Biaya

Dukungan Usaha (tetap)

0.00

FTE / tahun

Desimal

Salah

Upaya tetap tahunan mendukung komponenatau koneksi, Ditentukan dalam hal orang-tahun.

Biaya

Dukungan Usaha (variabel)

0.00

FTE / tahun

Desimal

Salah

Jumlah dimana upaya total mendukung komponen atau koneksi akan berubah setiap tahun.

Misalnya, nilai -0,01 menunjukkan bahwa upaya dukungan penuh menurun sebesar 0,01 orang-tahun setiap tahun, sementara nilai 0,01 menunjukkan bahwa upaya dukungan total meningkat sebesar 0,01 setiap tahun.

Biaya

Biaya modal

0.00

$

Desimal

Salah

Biaya awal pembelian komponenatau koneksi.

Biaya

Menginstal Upaya

0.00

FTE

Desimal

Salah

Upaya yang diperlukan, dalam orang-tahun, untuk menginstal komponenatau koneksi.

Tabel berikut berisi daftar komponen dan / atau koneksi sifat yang keluaran oleh evaluator TCO. Properti ini akan ditampilkan di jendela Properties dengan ikon keluaran properti baris pemilih ( [image] ) Dengan tooltip 'Biaya Keluaran'. Panah pada ikon akan menyoroti Merah ( [image] ) Ketika sifat ini dari tanggal karena properti yang mendasari atau perubahan struktural untuk repositori dan simulator Biaya membutuhkan re-simulasi sesuai dengan Merah menyoroti pada Simulasi toolbar .

Catatan

Di mana sifat output dari evaluator TCO harus 'bulat' "setengah Putaran bahkan" pendekatan (juga disebut sebagai 'bankir' pembulatan) digunakan.Teknik ini digunakan untuk lebih merata menyelesaikan setiap 0,5 'tie-break' dengan hasil yang dibulatkan ke atas atau bawah untuk terdekat bahkan Hasilnya, daripada selalu pembulatan ke atas atau bawah dan miring hasilnya. Yaitu. 2,5 dibulatkan ke 2, sementara 3,5 dibulatkan ke 4, daripada mereka berdua sedang baik dibulatkan ke 2 dan 3 atau dibulatkan ke 3 dan 4.

Mengetik | Nama | Satuan | Tipe data | Wajib | Deskripsi
Biaya | Total Biaya untuk Pemilik - x tahun ke depan. | $ | Bilangan bulat | Salah | Total biaya kepemilikan atas berikutnya xtahun, di mana x adalah panjang waktu yang ditentukan saat menjalankan evaluator. Ini termasuk biaya komponen atau koneksi yang standar, sub-komponenatau sub-koneksi(yaitu anak-anak) dan biaya dikaitkan.
Biaya | Total Biaya untuk Pemilik (lokal) - berikutnya x tahun. | $ | Bilangan bulat | Salah | Biaya 'lokal' kepemilikan atas berikutnya xtahun, di mana xadalah lamanya waktu yang ditentukan saat menjalankan evaluator. Ini tidak tidaktermasuk biaya sub-komponen komponen atau sub-koneksi sambungan ini (yaituanak-anak) atau biaya dikaitkan.
Biaya | Total Biaya untuk Pemilik (anak-anak) - x berikutnya tahun. | $ | Bilangan bulat | Salah | Biaya 'anak-anak' kepemilikan atas berikutnya xtahun, di mana x adalah panjang waktu yang ditentukan saat menjalankan evaluator. Ini hanya termasuk biaya sub-komponen komponen atau sub-koneksi sambungan ini (yaitu anak-anak).
Biaya | Total Biaya untuk Pemilik (dikaitkan) - berikutnya x tahun. | $ | Bilangan bulat | Salah | The 'disebabkan' biaya kepemilikan selama berikutnya xtahun, di mana x adalah panjang waktu yang ditentukan saat menjalankan evaluator. Ini hanya termasuk biaya apapun disebabkan dari komponen terpasang(yang mungkin tentu saja termasuk dikaitkan biaya dari setiap koneksi terlampir).

Tabel berikut berisi daftar komponen dan / atau koneksi sifat yang keluaran oleh evaluator TCOjika Hitung Per-Tahun Biaya opsi yang dipilih. Properti ini akan ditampilkan di jendela Properties dengan ikon keluaran properti baris pemilih ( [image] ) Dengan tooltip 'Biaya Keluaran'. Panah pada ikon akan menyoroti Merah ( [image] ) Ketika sifat ini dari tanggal karena properti yang mendasari atau perubahan struktural untuk repositori dan simulator Biaya membutuhkan re-simulasi sesuai dengan Merah menyoroti pada Simulasi toolbar .

Catatan

Lihat catatan atas pada kemungkinan pembulatan sifat output.

Mengetik | Nama | Satuan | Tipe data | Wajib | Deskripsi
Biaya | Total Biaya untuk Pemilik - tahunx. | $ | Bilangan bulat | Salah | Total biaya kepemilikan untuk tahun x, Di mana x adalah untuk setiap tahun ditentukan ketika menjalankan evaluator. Ini termasuk biaya komponenatau koneksi yang standar, sub-komponen atau sub-koneksi (yaitu anak-anak) dan biaya dikaitkan.
Biaya | Total Biaya untuk Pemilik (lokal) - tahunx. | $ | Bilangan bulat | Salah | Biaya 'lokal' kepemilikan untuk tahun x, dimana x aku s untuk setiap tahun ditentukan ketika menjalankan evaluator. Ini tidak tidaktermasuk biaya sub-komponen komponen atau sub-koneksi sambungan ini (yaitu anak-anak) atau biaya dikaitkan.
Biaya | Total Biaya untuk Pemilik (anak-anak) - tahunx. | $ | Bilangan bulat | Salah | Biaya 'anak-anak' kepemilikan untuk tahun x, Di mana x adalah untuk setiap tahun ditentukan ketika menjalankan evaluator. Ini hanya termasuk biaya sub-komponen komponen atau koneksi yang sub-koneksi (yaitu anak-anak).
Biaya | Total Biaya untuk Pemilik (dikaitkan) - tahunx. | $ | Bilangan bulat | Salah | The 'disebabkan' biaya kepemilikan untuk tahun x, Di mana x adalah untuk setiap tahun ditentukan ketika menjalankan evaluator. Ini hanya termasuk biaya apapun disebabkan dari komponen terpasang(yang mungkin tentu saja termasuk dikaitkan biaya dari setiap koneksi terlampir).

Tambahan Properti koneksi

Tabel berikut tambahan properti koneksi yang diperlukan oleh evaluator TCO. Properti ini akan ditampilkan di jendela Properties dengan ikon masukan properti baris pemilih ( [image] ) Dengan tooltip 'Biaya / Kinerja Masukan' atau hanya 'Biaya Input'. Perubahan ke salah satu 'input' properti dan berbagai perubahan struktural untuk repositori akan menghasilkan biaya dan / atau Kinerja simulator membutuhkan re-simulasi seperti yang ditunjukkan dalam Merah pada Simulasi toolbar .

Mengetik

Nama

Nilai Default

Satuan

Tipe data

Wajib

Deskripsi

Biaya

Atribusi

Tenggelam ke Sumber

[Sumber untuk Sink | Tenggelam ke Sumber]

Lookup / Daftar

Benar

Jika "Sumber ke Sink", Hubungan ini akan memiliki memiliki biayasdikaitkan 'bersama' saya t dari sumberkomponen ke wastafel komponen. Atau, jika "Tenggelam ke Sumber", Hubungan ini akan telah biaya dikaitkan 'bersama' saya t dari komponen wastafel untuk komponen sumber.

Tingkah laku

Hubungan

mendukung

[proses | mendukung]

Lookup / Daftar

Salah

Jika "mendukung", hubungan ini menunjukkan bahwa komponen "sumber" didukung oleh "tenggelam" komponen.

Selain itu, jika salah satu "mendukung" atau "proses" maka koneksi secara otomatis akan dipilih dalam koneksi untuk memiliki biaya mereka dikaitkan 'bersama' dari komponen wastafel untuk komponen sumber.

Biaya

%

100.0

%

Desimal

Salah

Menunjukkan proporsi biaya komponen wastafel yang akan dikaitkan dengan komponen sumber. Nilai-nilai% tidak perlu menambahkan hingga 100% dan itu hanya digunakan untuk skala "Total Biaya untuk Pemilik -. X tahun ke depan" Properti (lihat di atas) dari komponen wastafel seperti yang dikaitkan dengan komponen sumber.

Properti Arsitektur

Tabel berikut berisi daftar sifat-sifat arsitektur yang adalah output oleh evaluator TCO. Properti ini akan ditampilkan di jendela Properties dengan ikon keluaran properti baris pemilih ( [image] ) Dengan tooltip 'Biaya Keluaran'. Panah pada ikon akan menyoroti Merah ( [image] ) Ketika sifat ini dari tanggal karena properti yang mendasari atau perubahan struktural untuk repositori dan simulator Biaya membutuhkan re-simulasi sesuai dengan Merah menyoroti pada Simulasi toolbar .

Catatan

Lihat catatan atas pada kemungkinan pembulatan sifat output.

Mengetik | Nama | Satuan | Tipe data | Wajib | Deskripsi
Biaya | Total Biaya untuk Pemilik - x tahun ke depan. | $ | Bilangan bulat | Salah | Total biaya kepemilikan seluruh arsitektur selama x tahun ke depan.

Tabel berikut berisi daftar sifat-sifat arsitektur yang adalah output oleh evaluator TCOjika Hitung Per-Tahun Biaya opsi yang dipilih. Properti ini akan ditampilkan di jendela Properties dengan ikon keluaran properti baris pemilih ( [image] ) Dengan tooltip 'Biaya Keluaran'. Panah pada ikon akan menyoroti Merah ( [image] ) Ketika sifat ini dari tanggal karena properti yang mendasari atau perubahan struktural untuk repositori dan simulator Biaya membutuhkan re-simulasi sesuai dengan Merah menyoroti pada Simulasi toolbar .

Catatan

Lihat catatan atas pada kemungkinan pembulatan sifat output.

Mengetik | Nama | Satuan | Tipe data | Wajib | Deskripsi
Biaya | Total Biaya untuk Pemilik - tahunx. | $ | Bilangan bulat | Salah | Total biaya kepemilikan untuk seluruh arsitektur untuk tahun xke masa depan.


Simulasi Modularitas

Navigasi: Simulasi arsitektur anda> Simulators>

Simulasi Modularitas

Kirim komentar tentang topik ini.

Modularitas simulator menghitung jumlah koneksi masuk dan keluar untuk setiap komponen.

Untuk mensimulasikan arsitektur anda dalam hal modularitas

1. Pastikan Anda memiliki file ABACUS, Yang berisi Anda arsitektur penduduk, Buka.

2. Memilih Analisa| Modularitas.

3. Memilih Arsitektur (s)Anda ingin memasukkan dalam evaluasi.

Catatan

Secara default, ABACUS secara otomatis akan memilih arsitektur (s) yang re-simulasi diperlukan karena perubahan struktural yang mendasari.Penyorotan ini ditunjukkan pada Merah pada Simulasi toolbar .

4. Klik Berikutnya.

5. Memilih Jenis koneksi (s)Anda ingin memasukkan dalam evaluasi.

6. Klik Berikutnya.

7. Opsional menyesuaikan nama properti untuk hasil perhitungan.

8. Klik Selesai.

Catatan

Pada titik ini, ABACUS akan melakukan evaluasi struktural dari arsitektur (s) dan setelah waktu yang singkat (dengan progress bar untuk umpan balik) perhitungan dialog lengkap akan muncul.

9. Klik okeuntuk mengakui evaluasi.

Tip

Untuk kursus pelatihan dan bantuan lebih lanjut tentang Modularity Evaluasi silakan merujuk pada Avolution Komunitas .

Properti komponen

Tabel berikut berisi daftar sifat-sifat komponen yang adalah output oleh evaluator modularitas.Properti ini akan ditampilkan di jendela Properties dengan ikon keluaran properti baris pemilih ( [image] ) Dengan tooltip 'Modularity output'. Panah pada ikon akan menyoroti Merah ( [image] ) Ketika sifat ini dari tanggal karena perubahan struktural untuk repositori dan simulator Modularity membutuhkan re-simulasi sesuai dengan Merah menyoroti pada Simulasi toolbar .

Mengetik | Nama | Tipe data | Wajib | Deskripsi
Modularitas | Coupling-penggemar di (lokal) | Bilangan bulat | Salah | Jumlah koneksi yang penggemar ke komponen ini.
Modularitas | Coupling-fan out (lokal) | Bilangan bulat | Salah | Jumlah koneksi yang penggemar dari komponen ini.
Modularitas | Coupling-penggemar di | Bilangan bulat | Salah | Jumlah koneksi yang penggemar ke komponen ini, termasuk koneksi yang fan menjadi sub-komponen.
Modularitas | Coupling-fan out | Bilangan bulat | Salah | Jumlah koneksi yang penggemar dari komponen ini, termasuk koneksi yang fan menjadi sub-komponen.


Simulasi Keterbukaan

Navigasi: Simulasi arsitektur anda> Simulators>

Simulasi Keterbukaan

Kirim komentar tentang topik ini.

Keterbukaan simulator menentukan sejauh mana arsitektur dan unsur-unsurnya adalah 'terbuka', yaitu, kemampuan sistem untuk menangani penggantian komponen dengan dampak minimal.

Untuk mensimulasikan arsitektur anda dalam hal keterbukaan

1. Pastikan Anda memiliki file ABACUS, Yang berisi Anda arsitektur penduduk, Buka.

2. Pilih Analisis | Keterbukaan.

3. Memilih Arsitektur (s)Anda ingin memasukkan dalam evaluasi.

Catatan

Secara default, ABACUS secara otomatis akan memilih arsitektur pertama yang ulang simulasi diperlukan karena properti yang mendasari atau perubahan struktural.Penyorotan ini ditunjukkan pada Merah pada Simulasi toolbar .

4. Klik Selesaidan Anda akan mendapatkan Peringatan dialog.

5. Opsional menjelajahi peringatan dengan mengklik Detail >>.

6. Klik Terus.

Catatan

Pada titik ini, ABACUS akan melakukan evaluasi struktural dari arsitektur (s) dan setelah waktu yang singkat (dengan progress bar untuk umpan balik) perhitungan dialog lengkap akan muncul.

7. Klik okeuntuk mengakui simulasi.

Tip

Untuk kursus pelatihan dan bantuan lebih lanjut tentang Evaluasi Keterbukaan silakan merujuk pada Avolution Komunitas .

Komponen dan Connection Standard Properti

Tabel berikut berisi daftar komponen dan koneksi sifat standar yang diperlukan untuk mengevaluasi keterbukaan.Properti ini akan ditampilkan di jendela Properties dengan ikon masukan properti baris pemilih ( [image] ) Dengan tooltip 'Keterbukaan Masukan'. Perubahan ke salah satu 'input' properti di repositori akan menghasilkan simulator Keterbukaan membutuhkan re-simulasi seperti yang ditunjukkan dalam Merah pada Simulasi toolbar .

Mengetik | Nama | Nilai Default | Satuan | Tipe data | Wajib | Deskripsi
Keterbukaan | Standar-standar Maturity-Organisasi Tingkat |  | [0 | 1 | 2 | 3] | Lookup / Daftar | Salah | Tingkat Standar Tubuh bertanggung jawab 0:Organisasi / Proprietary 1:Konsorsium / de facto 2:Nasional / Militer 3: Internasional
Keterbukaan | Standar-standar Maturity-Status |  | [0 | 1 | 2 | 3] | Lookup / Daftar | Salah | Tingkat persetujuan dicapai dengan badan standar 0:Draft Kerja / Komite 1:Draft Umum / balloted 2:Draft Interim 3:Disetujui
Keterbukaan | Standar-standar Maturity-Stabilitas |  | [0 | 1 | 2 | 3] | Lookup / Daftar | Salah | Adalah standar kemungkinan akan berubah? 0:Standar usang 1:Berubah dalam 1 sampai 2 tahun yang sangat subjek 2:Dikenal perubahan / update fitur yang ada 3:Sangat stabil (tidak ada perubahan dalam waktu 2 tahun)
Keterbukaan | Standar-standar Maturity-vendor Dukungan |  | [0 | 1 | 2 | 3] | Lookup / Daftar | Salah | Vendor Dukungan 0:Tidak ada produk atau vendor mendukung standar 1:Satu atau lebih vendor yang menerapkan sebagian dari standar 2:Lebih dari satu vendor dengan produk yang menerapkan semua bagian dari standar 3:Banyak lebih dari satu vendor dengan produk yang menerapkan semua bagian dari standar
Keterbukaan | Standar-standar ketegasan-Dokumentasi |  | [0 | 1 | 2 | 3] | Lookup / Daftar | Salah | Kualitas dokumentasi standar 0: Miskin 1: Adil 2: Baik 3:Baik
Keterbukaan | Standar-standar ketegasan-Standar Lebar |  |  | Bilangan bulat | Salah | Sejumlah fitur. Sebuah hitungan terendah fitur standar tingkat - Sf
Keterbukaan | Standar-standar ketegasan-Sm |  | % | Desimal | Salah | Persentase jumlah fitur yang wajib
Keterbukaan | Standar-standar ketegasan-Jadi |  | % | Desimal | Salah | Persentase jumlah fitur yang opsional
Keterbukaan | Standar-standar ketegasan-Sc |  | % | Desimal | Salah | Persentase jumlah fitur yang didefinisikan kondisional
Keterbukaan | Profil-Profil Dokumentasi Dokumentasi- |  | [0 | 1 | 2 | 3] | Lookup / Daftar | Salah | Kualitas dokumentasi standar 0:Tidak ada 1: Miskin 2: Adil 3:Baik
Keterbukaan | Profil-Profil Dokumentasi-Akurasi |  | [0 | 1 | 2 | 3] | Lookup / Daftar | Salah | Apakah dokumentasi mencerminkan desain sistem yang sebenarnya? Apa tingkat fitur profil yang digunakan dalam sistem? 0:Tidak ada fitur 1:Beberapa fitur 2:Kebanyakan fitur 3:Semua fitur
Keterbukaan | Profil-Profil Dokumentasi-Maturity |  | [0 | 1 | 2 | 3] | Lookup / Daftar | Salah | Apakah profil matang dan tersedia? 0: AD hoc 1:Berdasarkan proyek 2:Organisasi 3: Publik
Keterbukaan | Profil-Profil ketegasan-Explicit Lebar |  |  | Bilangan bulat | Salah | Jumlah fitur standar ditetapkan sebagai DIBUTUHKAN dalam profil
Keterbukaan | Profil-Profil ketegasan-Pm |  | % | Desimal | Salah | Persentase fitur WAJIB di profil
Keterbukaan | Profil-Profil ketegasan-Po |  | % | Desimal | Salah | Persentase OPTIONAL fitur di profil
Keterbukaan | Profil-Profil ketegasan-Pc |  | % | Desimal | Salah | Persentase PERSYARATAN DEFINISI fitur di profil
Keterbukaan | Profil-Profil ketegasan-Coverage |  | % | Desimal | Salah | Persentase fitur standar khusus dibahas dalam profil
Keterbukaan | Profil-Profil Ekstensi-ekstensi Lebar |  |  | Bilangan bulat | Salah | Jumlah non-standar fitur yang ditentukan oleh profil
Keterbukaan | Profil-Profil Ekstensi-Coverage |  | % | Desimal | Salah | Persentase ekstensi rinci dalam profil
Keterbukaan | Produk-Produk Ketersediaan dan Conformance-Jumlah produk |  | [0 | 1 | 2 | 3] | Lookup / Daftar | Salah | Jumlah produk yang mendukung fitur wajib standar 0:Tidak ada produk mendukung standar 1:Satu atau lebih produk menerapkan sebagian dari standar 2:Lebih dari satu produk mengimplementasikan semua bagian dari standar 3:Banyak lebih dari satu produk mengimplementasikan semua bagian dari standar
Keterbukaan | Produk-Produk Ketersediaan dan Conformance-Aplikasi Kesesuaian |  | [0 | 1 | 2 | 3] | Lookup / Daftar | Salah | Bagaimana tingkat kesesuaian yang produk harus standar? 0:Tidak ada 1:Diklaim 2:Menunjukkan 3:Bersertifikat dan Menunjukkan
Keterbukaan | Produk-Produk Ketersediaan dan Conformance-Kesesuaian Kualitas |  | [0 | 1 | 2 | 3] | Lookup / Daftar | Salah | Kualitas pengujian kesesuaian 0:Tidak ada 1:In-house pengujian oleh pengembang produk 2:Pengujian independen (misalnya NIST) 3:Ditunjukkan dalam konteks produk yang relevan

Komponen, Connection dan Arsitektur Properti

Tabel berikut berisi daftar komponen, koneksi dan sifat arsitektur keluaran oleh evaluator keterbukaan. Semua properti berikut mengevaluasi antara nol (0) dan tiga (3), nol (0) yang paling diinginkan dan tiga (3) menjadi yang paling diinginkan.Properti ini akan ditampilkan di jendela Properties dengan ikon keluaran properti baris pemilih ( [image] ) Dengan tooltip 'Keterbukaan output'. Panah pada ikon akan menyoroti Merah ( [image] ) Ketika sifat ini dari tanggal karena perubahan properti yang mendasari untuk repositori dan simulator Keterbukaan membutuhkan re-simulasi sesuai dengan Merah menyoroti pada Simulasi toolbar .

Mengetik | Nama | Tipe data | Wajib | Deskripsi
Keterbukaan | Keterbukaan | Desimal | Salah | Keseluruhan evaluasi keterbukaan item.
Keterbukaan | Standar-standar Maturity | Desimal | Salah | Keadaan saat standar, mencerminkan apakah atau tidak telah disetujui, berapa lama telah digunakan dan seberapa baik diterima itu adalah dalam komunitas pengembang.
Keterbukaan | Standar-standar ketegasan | Desimal | Salah | The ketegasan dari standar, mencerminkan ambiguitas potensial dalam standar berikutnya
Keterbukaan | Profil-Profil Dokumentasi | Desimal | Salah | Sejauh mana profil antarmuka dokumentasi dikembangkan dan apakah dokumentasi profil mencerminkan desain sistem aktual dan / atau sistem yang diterapkan
Keterbukaan | Profil-Profil ketegasan | Desimal | Salah | Tingkat detail yang disediakan di profil / profil spesifikasi
Keterbukaan | Profil-Profil Ekstensi | Desimal | Salah | Sejauh mana profil sesuai dengan standar yang didasarkan
Keterbukaan | Produk-Produk Ketersediaan dan Kesesuaian | Desimal | Salah | Apakah atau tidak ada standar terbuka produk konforman tersedia untuk pemanfaatan dalam proyek


Simulasi Kinerja

Navigasi: Simulasi arsitektur anda> Simulators>

Simulasi Kinerja

Kirim komentar tentang topik ini.

Latar belakang

Evaluator arsitektur untuk kinerja adalah peristiwa simulator diskrit yang bekerja dengan mensimulasikan aliran pesan (atau token) di seluruh arsitektur. Teori di balik ini berasal dari penelitian yang dilakukan oleh University of Technology, Sydney, dan didasarkan pada Berlapis Queuing Jaringan Model(LQNM), Jangka waktu dan berwarna Petri-Nets(TCPN) dan Kegiatan Siklus Diagram(ACD).

Dalam simulasi kinerja ABACUS, pemrosesan pada salah satu komponen umumnya didorong oleh pesan yang dikirimkan ke sana dari komponen lain. Prinsip-prinsip di balik teknik ini dapat dipahami dalam empat bagian utama:

1. Itu Pesan-sentriskomunikasi dimodelkan di ABACUS menggunakan logis(atau tidak langsung) koneksi. Koneksi logis menentukan perilaku (frekuensi dan data) dari pesan melewati antara komponen. Sebuah contoh yang baik dari koneksi logis akan urutan mengalir antara dua (2) proses bisnis atau antarmuka logis antara dua (2) aplikasi.

2. Pesan logis diangkut ke tujuan mereka melalui hirarki(seperti swimlanes sumber daya) atau langsungkoneksi (seperti kabel fisik). Untuk melakukan hal ini mereka dapat dialihkan up, menemukan dan mundur hirarki (pendekatan berlapis) untuk mengikuti jalan langsung.

3. Kesetiaan model dapat disesuaikan sesuai. Sebagai contoh, sebuah proses dapat dibagi ke bawah sejauh sehingga setiap proses dasar dan fungsi memiliki jejak pengolahan terpisah. Atau, mungkin cukup untuk hanya memiliki satu nilai untuk seluruh proses, yang mencerminkan rata-rataTanggapan pengolahan untuk pesan.

4. Sebenarnya pengolahandilakukan hanya oleh komponen yang memiliki (atau) prosesor. Sebuah prosesor adalah hal yang umum, dan bisa menjadi CPU, seseorang, suatu unit organisasi atau apa pun yang mampu melaksanakan pekerjaan. Misalnya, proses bisnis tidak melakukan proses yang sebenarnya; hal ini dilakukan dengan pertama 'prosesor' itu menempatkan di salah hierarki induknya (jika notasi swimlane digunakan) atau jaringan pengolahan (jika notasi didistribusikan pengolahan digunakan).

Evaluasi ini dilakukan dengan mensimulasikan (ditentukan) lalu lintas dalam sistem, sehingga setiap koneksi disimulasikan setidaknya sekali. Kali kedatangan pesan secara acak berkaitan dengan frekuensi yang ditentukan mereka. Model mensimulasikan pengolahan sumber daya dan pertengkaran dan antrian pesan, mengumpulkan statistik sepanjang jalan berbagai sifat output.

Key Faktor Kinerja Masukan

1. Frekuensi- Frekuensi di mana koneksi terjadi.

2. Pengolahan- Jumlah waktu eksekusi untuk menyelesaikan satu proses. Hal ini mungkin dalam jam, menit, hari, operasi dll

3. Kecepatan- Kecepatan dari sumber daya prosesor. Artinya, berapa banyak siklus / petunjuk / tindakan itu dapat tampil di salah satu satuan waktu. Hal ini penting untuk konsisten dengan satuan yang digunakan untuk pengolahan.

4. Prosesor- Jumlah sumber daya prosesor. Prosesor bisa menjadi orang, CPU, organisasi eksternal dll

Key Faktor Kinerja Keluaran

1. Throughput- Jumlah pesan per satuan waktu melalui koneksi. Nilai aktual ini dapat dibandingkan dengan / nilai teoritis yang diharapkan (yaitu Frequency) untuk menyimpulkan saturasi sistem.

2. Pesan Tingkat- Jumlah pesan per satuan waktu melalui komponen. Ini adalah jumlah pesan masuk dan keluar semua komponen '.

3. Tanggapan- The minimum / rata / latency maksimum untuk ini koneksi. Ini adalah jumlah dari semua latency diamati untuk sambungan dari sumber ke wastafel dan setiap antrian dan pengolahan (dan latency kembali ke sumber jika dua arah).

4. Pemanfaatan- Pemanfaatan komponen. Ini akan menjadi 0% jika komponen tidak perangkat / prosesor (yaitu tidak memiliki Prosesor dan Kecepatan sifat didefinisikan di atas).

Sementara simulasi kejadian diskrit dilakukan untuk menghitung berbagai properti output, seperti dijelaskan di atas, rumus berikut dapat digunakan sebagai verifikasi kasar dari hasil (dimana sistem tidak jenuh):

Pemanfaatan = Sum Frekuensi untuk semua koneksi masuk * Pengolahan / (Kecepatan Prosesor)

Konsep keseluruhan mungkin paling ditunjukkan dengan mempertimbangkan diagram berikut, yang menunjukkan dua kinerja meta-model yang berbeda. Gaya tangan kiri adalah klasik 'swimlane' notasi dengan tugas pengolahan berdasarkan hirarki dalam sumber daya mereka prosesor. Gaya kanan adalah 'didistribusikan' notasi dengan tugas pengolahan terhubung melalui koneksi proses untuk sumber daya prosesor mereka. Notasi yang terakhir ini memungkinkan beberapa sumber daya prosesor untuk suatu tugas pengolahan diberikan, tidak seperti notasi swimlane terbatas.

Catatan

Tampil di setiap meta-model adalah sifat input (merah) dan sifat keluaran (warna biru):

Kinerja meta-model: Swimlane vs notasi Terdistribusi

Menjalankan simulator Kinerja

Untuk mensimulasikan arsitektur anda dalam hal kinerja

1. Pastikan Anda memiliki file ABACUS, Yang berisi Anda arsitektur penduduk, Buka.

2. Memilih Analisa| Prestasiatau klik tombol toolbar.

3. Pilih ArsitekturAnda ingin mengevaluasi dari menu pull-down.

Catatan

Secara default, ABACUS secara otomatis akan memilih arsitektur pertama yang ulang simulasi diperlukan karena properti yang mendasari atau perubahan struktural.Penyorotan ini ditunjukkan pada Merah pada Simulasi toolbar .

4. Pilih Komponen dan KoneksiAnda ingin mengevaluasi, dari Unsur standar pemilihan window .

5. Mengatur Run Time Scale Factorslider.

Catatan

Nilai-nilai yang lebih tinggi akan menghasilkan lebih statistik hasil yang konsisten tapi membutuhkan waktu lebih lama untuk menghitung.

Tambahan Centangdengan Unsur standar pemilihan window

· Save Berubah Model akan menyimpan salinan dari versi RBD mengubah proyek di folder yang sama dengan proyek ini dan menambahkan "_transformed" untuk nama proyek.Proyek berubah ini dapat digunakan untuk mendiagnosis secara rinci simulasi keandalan dilakukan oleh ABACUS.

Pilihan lain untuk Unsur standar pemilihan window

· Run Time Scale Factor mengontrol waktu simulasi dan akurasi yang lebih tinggi dengan nilai hasilinglebih statistik hasil yang konsisten tapi pengambilan waktu lebih lama untuk menjalankan.

Catatan

Ketika ABACUS menghitung waktu simulasi itu akan menentukan paling lambat langsung Frekuensi hubungan yang dipilih untuk simulasi dan kemudian 'pemanasan' untuk Periode (yaitu 1 lebih Frekuensi) dari hubungan ini (memulai generator pesan berkala untuk semua koneksi secara acak selama ini waktu pemanasan, memberikan mereka semua kesempatan untuk memulai) dan kemudian mensimulasikan untuk Run Time Scale Factor kali Periode hubungan itu. Atau (1 / Frekuensi) waktu pemanasan + (1 / Frekuensi) * Run Time Scale Factor waktu simulasi. Hal ini untuk memastikan bahwa semua koneksi yang dimulai sebelum statistik dikumpulkan dan kemudian koneksi paling lambat masih disimulasikan setidaknya sekali dalam simulasi. Misalnya. Jika koneksi tidak langsung paling lambat memiliki Frekuensi 0,033 waktu-unit (atau sekitar sebulan sekali jika waktu-unit hari) maka waktu pemanasan akan 30,3 waktu-unit dan waktu simulasi akan 30,3 waktu-unit kali waktu Run Skala Factor.

6. Klik Selesaidan Anda akan mendapatkan Peringatan dialog.

7. Opsional menjelajahi peringatan dengan mengklik Detail >>.

8. Klik Terus.

Catatan

Pada titik ini, ABACUS akan melakukan simulasi kejadian diskrit arsitektur dan setelah waktu yang singkat (dengan progress bar untuk umpan balik) perhitungan dialog lengkap akan muncul.

9. Klik okeuntuk mengakui simulasi.

Tip

Untuk kursus pelatihan dan bantuan lebih lanjut tentang Kinerja Simulasi silakan merujuk pada Avolution Komunitas .

Properti komponen

Tabel berikut berisi daftar sifat-sifat yang diperlukan untuk mengevaluasi kinerja. Properti yang mencari pertama dalam contoh Komponen, maka Standar Komponen dan jika tidak ditemukan, default digunakan.Properti ini akan ditampilkan di jendela Properties dengan ikon masukan properti baris pemilih ( [image] ) Dengan tooltip 'Kinerja Masukan'. Perubahan ke salah satu 'input' properti dan berbagai perubahan struktural untuk repositori akan menghasilkan simulator Kinerja membutuhkan re-simulasi seperti yang ditunjukkan dalam Merah pada Simulasi toolbar .

Mengetik | Nama | Nilai Default | Satuan | Tipe data | Wajib | Deskripsi
Tingkah laku | b_pack | 0.0 |  | Desimal | Salah | Waktu layanan tetap untuk berkemas dalam hitungan detik. Properti ini biasanya ditetapkan sebagai tipe standar dan kemudian digunakan untuk beberapa contoh komponen. Misalnya, CORBA memiliki b_pack = 0,23 ms.
Tingkah laku | m_pack | 0.0 |  | Desimal | Salah | Variabel waktu layanan untuk berkemas dalam detik / byte. Properti ini biasanya ditetapkan sebagai tipe standar dan kemudian digunakan untuk beberapa contoh komponen.
Tingkah laku | b_unpack | 0.0 |  | Desimal | Salah | Waktu layanan tetap untuk membongkar dalam hitungan detik. Properti ini biasanyaditetapkan sebagai tipe standar dan kemudian digunakan untuk beberapa contoh komponen.
Tingkah laku | m_unpack | 0.0 |  | Desimal | Salah | Variabel waktu layanan untuk membongkar di detik / byte. Properti ini biasanyaditetapkan sebagai tipe standar dan kemudian digunakan untuk beberapa contoh komponen.
Tingkah laku | Pengolahan | 0.0 |  | Desimal | Benar | Jumlah waktu eksekusi untuk menyelesaikan satu proses. Hal ini mungkin dalam jam, menit, hari, operasi dll
Tingkah laku | Prosesor | 1 |  | Bilangan bulat | Benar | Jumlah sumber daya Processor. Prosesor bisa menjadi orang, CPU, organisasi eksternal dll
Tingkah laku | Kecepatan | 100 |  | Bilangan bulat | Benar | Kecepatan sumber daya prosesor. Artinya, berapa banyak siklus / petunjuk / tindakan itu dapat tampil di salah satu satuan waktu. Hal ini penting untuk konsisten dengan satuan yang digunakan untuk pengolahan.
Tingkah laku | k_bkgd | 0.0 |  | Desimal | Salah | Pemrosesan latar belakang pada komponen. Ini digunakan untuk mengatur hasil untuk menyesuaikan offset tetap untuk%. Ini mungkin dapat diabaikan.

Tabel berikut berisi daftar komponen sifat keluaran oleh evaluator kinerja. Satu set sifat-sifat komponen yang dihasilkan untuk masing-masing komponen pada setiap kinerja run.Properti ini akan ditampilkan di jendela Properties dengan ikon keluaran properti baris pemilih ( [image] ) Dengan tooltip 'Kinerja Keluaran'. Panah pada ikon akan menyoroti Merah ( [image] ) Ketika sifat ini dari tanggal karena properti yang mendasari atau perubahan struktural untuk repositori dan simulator Kinerja membutuhkan re-simulasi sesuai dengan Merah menyoroti pada Simulasi toolbar .

Mengetik | Nama | Satuan | Tipe data | Wajib | Deskripsi
Tingkah laku | Pesan Tingkat |  | Desimal | Salah | Jumlah pesan per satuan waktu melalui komponen. Ini adalah jumlah pesan masuk dan keluar semua komponen '.
Tingkah laku | Bandwidth |  | Desimal | Salah | Secara keseluruhan bandwidth melalui komponen. Jumlah karena kedua pesan masuk dan keluar.
Tingkah laku | Pemanfaatan | % | Desimal | Salah | Pemanfaatan komponen. Ini akan menjadi 0% jika komponen tidak perangkat / prosesor (yaitu Ia tidak memiliki Prosesor dan Kecepatan sifat didefinisikan di atas)

Properti koneksi

Tabel berikut berisi daftar sifat-sifat yang diperlukan untuk mengevaluasi kinerja. Properti yang mencari pertama dalam contoh Connection, maka Standar Connection dan jika tidak ditemukan, default digunakan.Properti ini akan ditampilkan di jendela Properties dengan ikon masukan properti baris pemilih ( [image] ) Dengan tooltip 'Kinerja Masukan' atau 'Biaya / Kinerja Masukan'. Perubahan ke salah satu 'input' properti dan berbagai perubahan struktural untuk repositori akan menghasilkan simulator Kinerja dan / atau Biaya simulator membutuhkan re-simulasi seperti yang ditunjukkan dalam Merah pada Simulasi toolbar .

Mengetik

Nama

Nilai Default

Satuan

Tipe data

Wajib

Deskripsi

Tingkah laku

Jenis

dua arah

[bidirectional | searah]

Lookup / Daftar

Benar

Apakah koneksi dua arah (bidirectional) atau satu arah (searah).

Nilai-nilai yang diizinkan untuk properti ini adalah "dua arah" atau "searah".

Bidirectional berarti pesan permintaan / tanggapan sinkron sedangkan searah berarti sebuah asynchronous "acara" tunggal.

Tingkah laku

Abstraksi

tidak langsung

[tidak langsung | langsung]

Lookup / Daftar

Benar

Apakah sambungan fisik atau logis. Koneksi langsung adalah fisik "pipa" antara dua komponen yang mengalir koneksi logis bersama.

Nilai-nilai yang diizinkan untuk properti ini adalah "langsung" atau "tidak langsung".

Jika nilai "langsung" maka koneksi tidak membutuhkan properti lainnya (kecuali untuk properti Kind dan Abstraksi).

Data

L_app1

0

Bilangan bulat

Salah

Permintaan / ukuran acara di bytes.

Setiap koneksi biasanya akan memiliki nilai khusus untuk ini. Dalam CORBA, peristiwa sebenarnya dua arah dan selalu memiliki 12 byte mengakui (L_app2). Jika itu adalah koneksi searah benar maka biarkan properti L_app2.

Data

L_app2

0

Bilangan bulat

Salah

Tanggapan / mengakui ukuran dalam bytes.

Setiap koneksi biasanya akan memiliki nilai khusus untuk ini. Sambungan searah tidak akan memiliki L_app2.

Tingkah laku

Frekuensi

1

Desimal

Benar

Frekuensi di mana koneksi terjadi.

Setiap koneksi biasanya akan memiliki nilai khusus untuk ini. Jika Frekuensi properti ditinggalkan maka default digunakan.

Tingkah laku

Hubungan

proses

[proses | mendukung]

Lookup / Daftar

Salah

Koneksi yang memiliki "proses" properti menunjukkan bahwa komponen pada awal koneksi akan diubah untuk diproses di komponen pada akhir sambungan. Akibatnya komponen "sumber" dipindahkan untuk menjadi anak dari "tenggelam" komponen (koneksi terpasang juga "menyeret" dengan langkah ini).

Jika "proses" properti ada maka semua properti koneksi lainnya akan diabaikan, kecuali opsional "%" properti dijelaskan di bawah.

Tingkah laku

%

100.0

Desimal

Salah

Koneksi yang memiliki "proses" properti (dijelaskan di atas) opsional dapat memiliki "%" properti untuk menunjukkan proporsi pengolahan yang akan dikaitkan dengan komponen tujuan. Dengan cara ini komponen sumber tunggal dapat diproses oleh beberapa komponen tujuan di berbagai% 's. Nilai-nilai% tidak perlu menambahkan hingga 100% dan itu hanya digunakan untuk skala "pengolahan" properti (lihat di atas) untuk komponen sumber seperti yang berubah menjadi anak dari komponen tujuan.

Tabel berikut berisi daftar sifat-sifat yang dihasilkan oleh evaluator kinerja. Satu set properti koneksi ini dihasilkan untuk setiap koneksi pada setiap kinerja run.Properti ini akan ditampilkan di jendela Properties dengan ikon keluaran properti baris pemilih ( [image] ) Dengan tooltip 'Kinerja Keluaran'. Panah pada ikon akan menyoroti Merah ( [image] ) Ketika sifat ini dari tanggal karena properti yang mendasari atau perubahan struktural untuk repositori dan simulator Kinerja membutuhkan re-simulasi sesuai dengan Merah menyoroti pada Simulasi toolbar .

Mengetik | Nama | Satuan | Tipe data | Wajib | Deskripsi
Tingkah laku | Bandwidth |  | Desimal | Salah | Bandwidth keseluruhan untuk sambungan. Ini hanya dihitung untuk koneksi langsung dan pada dasarnya (L_app1 + L_app2) * throughput.
Tingkah laku | Bandwidth 1/2 |  | Desimal | Salah | Bandwidth khusus untuk keluar (1) dan masuk (2) pesan dari sambungan. Ini hanya dihitung untuk koneksi langsung dan pada dasarnya L_app1 * Throughput dan L_app2 * throughput.
Tingkah laku | Throughput |  | Desimal | Salah | Jumlah pesan per satuan waktu melalui sambungan. Nilai aktual ini dapat dibandingkan dengan / nilai teoritis yang diharapkan (yaitu Frequency) untuk menyimpulkan saturasi sistem.
Tingkah laku | Selesai | % | Desimal | Salah | The persen pesan pengolahan yang berhasil lengkap untuk koneksi. Ini hanya dihitung untuk koneksi langsung dan Throughput / Frekuensi. Kadang-kadang nilai Selesai melebihi 100% karena keacakan hasil generasi pesan di frekuensi generasi pesan sedikit lebih tinggi dari yang ditentukan.
Tingkah laku | Response (Min / Ave / Max) |  | Desimal | Salah | Minimum / rata / latency maksimum. Ini hanya dihitung untuk koneksi langsung dan latency diamati untuk sambungan dari sumber tenggelam dan setiap antrian dan pengolahan (dan latency kembali ke sumber jika dua arah).

Properti Arsitektur

Tabel berikut berisi daftar seluruh sistem sifat arsitektur yang dihasilkan oleh evaluator kinerja. Satu set tunggal properti untuk arsitektur yang "dikumpulkan" untuk setiap kinerja run.Properti ini akan ditampilkan di jendela Properties dengan ikon keluaran properti baris pemilih ( [image] ) Dengan tooltip 'Kinerja Keluaran'. Panah pada ikon akan menyoroti Merah ( [image] ) Ketika sifat ini dari tanggal karena properti yang mendasari atau perubahan struktural untuk repositori dan simulator Kinerja membutuhkan re-simulasi sesuai dengan Merah menyoroti pada Simulasi toolbar .

Mengetik | Nama | Satuan | Tipe data | Wajib | Deskripsi
Tingkah laku | Pesan Tingkat |  | Desimal | Salah | Jumlah pesan per satuan waktu melalui komponen dalam arsitektur. Ini adalah jumlah pesan masuk dan keluar semua komponen '.
Tingkah laku | Throughput |  | Desimal | Salah | Jumlah pesan per satuan waktu melalui koneksi dalam arsitektur. Ini adalah jumlah dari throughput semua koneksi langsung 'dan nilai ini sebenarnya dapat dibandingkan dengan / nilai teoritis yang diharapkan (yaitu Frequency) untuk menyimpulkan saturasi sistem.
Tingkah laku | Bandwidth |  | Desimal | Salah | Bandwidth secara keseluruhan. Jumlah bandwidth koneksi arsitektur ini.
Tingkah laku | Pemanfaatan | % | Desimal | Salah | Pemanfaatan semua komponen. Dapat lebih besar dari 100% karena hanya jumlah dari semua komponen utilisations arsitektur ini.
Tingkah laku | Response (Min / Ave / Max) |  | Desimal | Salah | Minimum / rata / latency maksimum. Jumlah seluruh latency yang diamati untuk koneksi arsitektur ini dari sumber tenggelam (dan kembali ke sumber jika dua arah).


Simulasi Keandalan dan Ketersediaan

Navigasi: Simulasi arsitektur anda> Simulators>

Simulasi Keandalan dan Ketersediaan

Kirim komentar tentang topik ini.

Latar belakang

The Keandalan Evaluator menghitung keandalan arsitektur dengan menggunakan komponen input dan koneksi.

Untuk komponen dan sambungan langsung, keandalan didasarkan pada Mean Time Antara Kegagalan (MTBF). Satu-satunya variabel yang dibutuhkan untuk menghitung keandalan elemen arsitektur adalah:

· Itu MTBFNilai (dalam tahun);

· Itu Berarti Waktu Untuk Perbaikan (MTTR)kegagalan (dalam tahun); dan

· Periode waktu tertentu untuk menguji Keandalan atas.

Rumus yang digunakan dalam perhitungan Keandalan diberikan sebagai:

Keandalan = -e (-y × usia)
Di mana y = 1 ÷ MTBF

Ketersediaan komponen dan koneksi didasarkan pada MTBF dan MTTR. Perhatikan ketersediaan bahwa, tidak seperti keandalan, tidak dipengaruhi oleh periode waktu yang sedang diuji.

Ketersediaan = MTBF / (MTBF + MTTR)

Sementara metode yang mengubah Keandalan Blok Diagram(menggunakan seri sederhana dan konstruksi paralel) memberikan hasil yang paling tepat, metode ini menjadi sangat saya mpraktis ketika kita mencoba untuk menghitung keandalan untuk misi dalam jaringan besar ribu elemen. Selanjutnya, pendekatan transformasional memecah bagi banyak struktur umum, seperti jaringan "jerat".

Itu Monte CarloMetode memungkinkan keandalan dan ketersediaan sistem ukuran sewenang-wenang dan kompleksitas untuk dihitung. Metode Monte Carlo mensimulasikan banyak skenario dan fatau masing-masing skenario keadaan acak, tersedia atau tidak tersedia, Ditugaskan untuk setiap elemen fisik. Probabilitas dari unsur tertentu yang dalam keadaan yang tersedia didasarkan pada keandalan / ketersediaan komponen.

Misalnya, komponen dengan ketersediaan 90% dapat diharapkan akan tersedia di sekitar 90% dari skenario. Keandalan langsung koneksi dan ketersediaan karena itu dapat diperkirakan sebagai proporsi scenarios- acak untuk yang jalur elemen ada dalam negara bagian yang tersedia dari sumber ke tujuan.

Catatan

Karena perhitungan keandalan lokal dan ketersediaan didasarkan pada parameter yang berbeda dan formula yang berbeda (dan karenanya menghasilkan nilai yang berbeda), perlu untuk menetapkan setiap elemen duanegara, Satu untuk ketersediaan, dan satu untuk keandalan. Perhitungan ketersediaan menggunakan negara ketersediaan di masing-masing skenario, sedangkan perhitungan reliabilitas menggunakan negara keandalan dalam setiap skenario.

Keandalan evaluator menggunakan teknik simulasi Monte Carlo untuk bekerja di luar keandalan arsitektur tertentu. Arsitektur dimasukkan melalui ribuan simulasi individu dan hasil tabulasi untuk mendapatkan ukuran keandalan. Seperti disebutkan di atas, Monte Carlo adalah teknik tercepat untuk simulasi jaringan yang lebih besar dan akan bekerja dengan kompleks (yaitu menyatu) struktur.

Evaluator output empat nilai:

1. Misi Keandalanselama beberapa tahun;

2. Tersedianya dari arsitektur;

3. Keandalan dari komponen lokalselama beberapa tahun; dan

4. Tersedianya dari komponen lokal.

Evaluator bekerja keluar probabilitas itu komponen atau sambungan yang bekerja (yaitu tidak gagal) dan waktu yang dibutuhkan untuk memperbaiki.

Bagaimana standar dengan MTBFs dan / atau MTTRs diperlakukan

Jika unsur (komponen atau koneksi) memiliki standar dengan ditugaskan MTBF dan / atau MTTR nilai-nilai, nilai-nilai ini juga digunakan dalam perhitungan keandalan lokal dan ketersediaan dari unsur sebagai koneksi serial.

Sebagai contoh, jika komponen A, Dengan standar yang ditetapkan B, C, dan Dmasing-masing memiliki MTBF dan MTTR nilai, lokal Keandalan = R(A)× R(B) × R(C) × R(D), dimana R = Reliabilitas dihitung (dengan menggunakan rumus) dari komponen / standar dan Lokal Faedahkemampuan = SEBUAH(A)× SEBUAH(B) × SEBUAH(C) × SEBUAH(D), dimana A = Dihitung faedahkemampuan (menggunakan rumus) dari komponen / standar. Artinya, jika unsur memiliki tiga standar setiap dengan MTBF dan MTTR nilais, Dan juga MTBF dan MTTR nilaisuntuk properti elemen, keandalan lokal dan avilability diberikan sebagai nilai seri dari masing-masing standar dan elemen itu sendiri.

Sebagai contoh lain, jika komponen Amemiliki standar yang ditetapkan B, C, dan Dtetapi hanya standar Bmemiliki kedua MTBF dan nilai MTTR, sementara standar Chanya memiliki nilai MTBF dan standar Dhanya memiliki nilai MTTR, Lokal Keandalan = R (A)× R (B)× R (C), dimana R= Reliabilitas dihitung (dengan menggunakan rumus) dari komponen / standar dan lokal Tersedianya = A A)× A (B)× A (C), dimana A= Ketersediaan dihitung (dengan menggunakan rumus) dari komponen / standar tetapi dalam menghitung A (C) karena standar hanya memiliki nilai MTBF itu 'pencarian'untuk nilai pencocokan MTTR (s) dan akan menambahkan semua MTTR nilai itu menemukan bahwa don't sendiri memiliki nilai MTBF yang cocok, sehingga dalam hal ini akan menggunakan nilai MTTR standar D. Jika ada standar lain, mengatakan E, Hanya dengan nilai MTTR juga maka A (C)akan menggunakan MTBF dari Cdengan MTTR dari D dan Editambahkan bersama-sama. Jika standar lain, mengatakan F, Baru saja nilai MTBF kemudian A (F)juga akan menggunakan MTTR dari D dan Editambahkan bersama-sama.

Menghitung Misi Keandalan

Sementara menghitung reliabilitas lokal adalah masalah menggunakan rumus sederhana, perhitungan sambungan langsung (misi) tidak begitu mudah, terutama setelah kami memiliki jaringan yang kompleks dan besar jalur interlaced (koneksi) dan komponen.

Mengambil seluruh jaringan memperhitungkan

Sebagai koneksi langsung tidak mewakili koneksi fisik, kita harus mengetahui bagaimana komponen sumber bisa mendapatkan komponen tujuan. Dan ini berarti melihat seluruh jaringan dan semua cara yang berbeda (dan jalur) komponen sumber kami dapat mengambil untuk mencapai komponen tujuan (sink).

Catatan

Selama ada paling sedikit satu lengkappath dari sumber ke tujuan, misi ini akan berhasildan koneksi tidak langsung disebut sebagai koneksi Tertutup.

Memahami Matrix link

Untuk mengetahui komponen / koneksi langsung terhubung dengan apa, kita perlu sebuah artefak untuk cepat memeriksa apakah dua blok yang terhubung dalam arah tertentu. Ini adalah fungsi dari matriks hubungan. Secara singkat, matriks link array dimensi dua variabel Boolean yang menyatakan apakah komponen tertentu bisa mencapai komponen lain secara langsung. Ukurannya sama dengan kuadrat dari jumlah komponen dalam jaringan.

Sebuah Keandalan Sederhana Blok Diagram (RBD)

Tautan Matrix terkait untuk Keandalan Block Diagram (RBD)

Karena tidak semua koneksi yang bi-directional (akan kedua-duanya), penting tahu cara membaca matriks link yang benar. Dalam evaluator kehandalan, argumen pertama adalah sumber dan argumen kedua adalah tujuan (sink).

Oleh karena itu jika link matriks (A, B) = Benar maka itu berarti bahwa A bisa ke B secara langsung (uni-directional). B bisa mendapatkan ke A jika hanya jika link matriks (B, A) = Benar. Jika ini benar, ini berarti koneksi dua arah.

Dalam contoh yang diberikan atas:

· Sumber 1 dapat mencapai tujuan 0 (sumber 1 dan tujuan 0 memberikan hasil True); dan

· Sumber 0 dapat mencapai tujuan 1 (0 sumber dan tujuan 1 memberikan hasil True), sebagai penghubung antara 0 dan 1 adalah dua arah.

· Sumber 2 tidak dapat mencapai tujuan 1 (sumber 2 dan tujuan 1 memberikan hasil False) bahkan ketika sumber 1 dapat mencapai tujuan 2 (sumber 1 dan 2 tujuan memberikan hasil True). Ini adalah menyiratkan bahwa hubungan antara 1 dan 2 adalah uni-directional.

Memahami Keandalan Blok Diagram

Diagram blok keandalan (RBD) merangkum struktur seluruh model objek dalam hal blok dan link. Setiap blok merupakan elemen yang memiliki kemungkinan kegagalan atau keberhasilan sesuai dengan link / jalur yang menghubungkan mereka. Kedua komponen dan koneksi dapat menjadi "blok" di RBD.

Contoh RBD Blok dan Link

Figur di atas merupakan contoh RBD. Garis merah putus-putus mewakili satu misi 4 sampai 1. Perhatikan bagaimana hanya ada dua kemungkinan jalur untuk misi 4-1.

Mempertimbangkan rute 4-3 untuk 0-1, dan rute 4-7 untuk 1. putus-putus blok 2, 5dan 6 merupakan blok yang tidak mempengaruhi kegagalan / non-kegagalan misi 4 sampai 1. Mereka tidak dianggap dan diabaikan. Hal ini penting karena bagi sebagian besar misi akan ada sejumlah besar blok berlebihan yang tidak akan mempengaruhi keberhasilan misi tertentu. Ini lebih jelas dalam jaringan yang lebih besar dimana jumlah blok berlebihan akan membuat hasil simulasi tidak akurat.

Untuk mempercepat waktu simulasi, dan memastikan hasil yang lebih akurat, perlu untuk abstrak dari seluruh RBD dan hanya menggunakan unsur-unsur yang mempengaruhi keberhasilan misi ini.

Catatan

Sebuah rute / jalur tunggal tidak dapat pergi melalui komponen apapun dua kali.

Pada tahap ini kita dapat membuat matriks hubungan dan melakukan simulasi Monte Carlo.

Menghitung Arsitektur Ketersediaan

Ketersediaan arsitektur adalah probabilitas bahwa semua koneksi langsung akan tersedia di setiap titik waktu. Ketersediaan setiap sambungan langsung ditentukan selama setiap iterasi dari simulasi Monte Carlo, namun ini koneksi tidak langsung (biasanya) bergantung pada set yang sama elemen fisik. Oleh karena itu, hanya menggabungkan ini ketersediaan individu akan "double-count" ini un-ketersediaan, memberikan ketersediaan arsitektur pesimis keseluruhan. Atau, ketersediaan keseluruhan arsitektur dihitung dengan melihat setiap iterasi dan melihat apakah unsur-unsur yang terlibat dalam hubungan tidak langsung yang menarik yang tersedia. Dan kemudian menggabungkan hasil ini pada akhir simulasi.

Menjalankan simulator Keandalan

Untuk mensimulasikan arsitektur anda dalam hal keandalan

1. Pastikan Anda memiliki file ABACUS, Yang berisi Anda arsitektur penduduk, Buka.

2. Memilih Analisa| Keandalan.

3. Pilih ArsitekturAnda ingin mengevaluasi dari menu pull-down.

Catatan

Secara default, ABACUS secara otomatis akan memilih arsitektur pertama yang ulang simulasi diperlukan karena properti yang mendasari atau perubahan struktural.Penyorotan ini ditunjukkan pada Merah pada Simulasi toolbar .

4. Pilih Komponen dan KoneksiAnda ingin mengevaluasi dari Unsur standar pemilihan window menggunakan 'Tampilkan Koneksi langsung' dan 'Tampilkan Proses Koneksi' filter radio-tombol di bagian kiri bawah dialog untuk membantu Anda dengan pilihan.

Tambahan Centangdengan Unsur standar pemilihan window

· Save Berubah Model akan menyimpan salinan dari versi RBD mengubah proyek di folder yang sama dengan proyek ini dan menambahkan "_transformed" untuk nama proyek.Proyek berubah ini dapat digunakan untuk mendiagnosis secara rinci simulasi keandalan dilakukan oleh ABACUS.

Radio tambahanKancing-kancingdengan Unsur standar pemilihan window

· Tampilkan Koneksi Langsung otomatis akan mengatur sambungan Memiliki penyaring Properti untuk properti Type = Perilaku, Nama = Abstraksi dan Nilai = langsung.Opsi ini dipilih secara default dan membantu pemilihan koneksi 'langsung' seperti dijelaskan di atas dan di bawah.

· Tampilkan Proses Koneksi otomatis akan mengatur sambungan Memiliki penyaring Properti untuk properti Type = Perilaku, Nama = Hubungan dan Nilai = proses.Pilihan ini membantu pemilihan koneksi 'langsung' seperti dijelaskan di atas dan di bawah.

5. Klik Berikutnya.

6. Memilih Misiyaitu Koneksi Anda ingin memasukkan dalam simulasi.

7. Mengatur Run Time Scale Factorslider.

Catatan

Nilai-nilai yang lebih tinggi akan menghasilkan lebih statistik hasil yang konsisten tapi memakan waktu lebih lama untuk menghitung.

Centang

· Menunjukkan Koneksi tertutup akan otomatis menyaring koneksi yang tersedia untuk hanya menyertakan orang-orang yang memiliki setidaknya satu jalur fisik lengkap dari komponen sumber ke komponen tujuan sesuai pilihan RBD dijelaskan di atas.

· Tampilkan Koneksi langsung otomatis akan mengatur sambungan Memiliki penyaring Properti untuk properti Type = Perilaku, Nama = Abstraksi dan Nilai = tidak langsung.Opsi ini dipilih secara default dan membantu pemilihan koneksi 'tidak langsung atau Misi seperti dijelaskan di atas dan di bawah.

Kancing-kancing

· Semuamemilih semua koneksi.

· Membalikkanmembatalkan pilihan semua yang sedang dipilih koneksi dan memilih semua orang yang tidak dipilih.

· Tidak adamembatalkan pilihan semua koneksi.

Pilihan lain

· Run Time Scale Factor mengontrol waktu simulasi dan akurasi yang lebih tinggi dengan nilai hasilinglebih statistik hasil yang konsisten tapi pengambilan waktu lebih lama untuk menjalankan.

Catatan

Ketika ABACUS menghitung jumlah iterasi untuk mensimulasikan itu akan menentukan elemen yang paling handal yang tidak sempurna dapat diandalkan dan kemudian mensimulasikan untuk Run Time Scale Factor kali 1 atas tersedianya elemen ditambah 1 iterasi. Atau (MTBF + MTTR) / MTTR * Run Time Scale Factor + 1. Hal ini untuk memastikan bahwa elemen yang masih gagal setidaknya sekali dalam simulasi. Misalnya. Jika unsur yang paling handal yang tidak sempurna dapat diandalkan memiliki MTBF 10.000 jam dan MTTR dari 8 jam kemudian simulasi akan mengambil (10.000 + 8) / 8 = 1.251 kali Factor Run Skala waktu + 1 iterasi.

· Tahun untuk Simulasikan Depan Menentukan jumlah tahun untuk Misi Keandalan harus dihitung untuk.

· NBanyaknya Threadsdetermines jumlah thread pengolahan yang akan digunakan untuk simulasi Monte-Carlo.Pilihan ini akan default untuk mencocokkan jumlah yang tersedia CPU / core (termasuk core hyper-threading) untuk meminimalkan waktu simulasi keseluruhan.

8. Klik Selesaidan Anda akan mendapatkan Peringatan dialog.

9. Opsional menjelajahi peringatan dengan mengklik Detail >>.

10. Klik Terus.

Catatan

Pada titik ini, ABACUS akan melakukan Monte-Carlosimulasi arsitektur dan setelah waktu yang singkat (dengan progress bar untuk umpan balik) perhitungan dialog lengkap akan muncul.

11. Klik okeuntuk mengakui simulasi.

Tip

Untuk kursus pelatihan dan bantuan lebih lanjut tentang Keandalan Simulasi silakan merujuk pada Avolution Komunitas .

Komponen dan Connection Properties

Tabel berikut berisi daftar komponen dan 'langsung'properti koneksi yang diperlukan untuk mengevaluasi keandalan. Properti ini akan ditampilkan di jendela Properties dengan ikon masukan properti baris pemilih ( [image] ) Dengan tooltip 'Keandalan Masukan'. Perubahan ke salah satu 'input' properti dan berbagai perubahan struktural untuk repositori akan menghasilkan simulator Keandalan membutuhkan re-simulasi seperti yang ditunjukkan dalam Merah pada Simulasi toolbar .

Mengetik | Nama | Nilai Default | Satuan | Tipe data | Wajib | Deskripsi
Keandalan | MTBF | ∞ | tahun, minggu, hari atau jam | Desimal | Benar | The Mean Time Sebelum Kegagalan elemen. Catatan: Nilai dapat dinyatakan dalam satuan tahun, minggu, hari atau jam dan diubah menyusul ketersediaan konsep '24 / 7 'sebagai berikut; - 1 tahun = 52 minggu atau 365 hari atau 8760 jam - 1 minggu = 7 hari atau 168 jam - 1 hari = 24 jam
Keandalan | MTTR | 0 | tahun, minggu, hari atau jam | Desimal | Benar | The Mean Time Untuk Perbaikan elemen. Catatan: Nilai dapat dinyatakan dalam satuan tahun, minggu, hari atau jam dan diubah menyusul ketersediaan konsep '24 / 7 'sebagai berikut; - 1 tahun = 52 minggu atau 365 hari atau 8760 jam - 1 minggu = 7 hari atau 168 jam - 1 hari = 24 jam

Tabel berikut berisi daftar komponen dan 'langsung' properti koneksi keluaran oleh evaluator kehandalan. Properti ini akan ditampilkan di jendela Properties dengan ikon keluaran properti baris pemilih ( [image] ) Dengan tooltip 'Keandalan output'. Panah pada ikon akan menyoroti Merah ( [image] ) Ketika sifat ini dari tanggal karena properti yang mendasari atau perubahan struktural untuk repositori dan simulator Keandalan membutuhkan re-simulasi sesuai dengan Merah menyoroti pada Simulasi toolbar .

Mengetik | Nama | Satuan | Tipe data | Wajib | Deskripsi
Keandalan | Keandalan - x tahun |  | Desimal | Salah | Probabilitas bahwa elemen tidak akan gagal dalam x tahun ke depan. Ini adalah nilai antara 0 dan 1.
Keandalan | Tidak dapat diandalkan - x tahun |  | Desimal | Salah | Probabilitas bahwa elemen akan gagal dalam x tahun ke depan. Ini adalah nilai antara 0 dan 1.
Keandalan | Tersedianya | % | Desimal | Salah | Ketersediaan dihitung dari komponen atau koneksi. Ini adalah nilai antara 0% dan 100%.
Keandalan | Tidak tersedianya | % | Desimal | Salah | Tersedianya dihitung dari komponen atau koneksi. Ini adalah nilai antara 0% dan 100%.

Tabel berikut berisi daftar 'tidak langsung'properti koneksi keluaran oleh evaluator kehandalan. Properti ini akan ditampilkan di jendela Properties dengan ikon keluaran properti baris pemilih ( [image] ) Dengan tooltip 'Keandalan output'. Panah pada ikon akan menyoroti Merah ( [image] ) Ketika sifat ini dari tanggal karena properti yang mendasari atau perubahan struktural untuk repositori dan simulator Keandalan membutuhkan re-simulasi sesuai dengan Merah menyoroti pada Simulasi toolbar .

Mengetik | Nama | Satuan | Tipe data | Wajib | Deskripsi
Keandalan | Misi Keandalan - x tahun |  | Desimal | Salah | Probabilitas bahwa koneksi tidak langsung tidak akan gagal dalam x tahun ke depan. Ini adalah nilai antara 0 dan 1.
Keandalan | Misi Unreliability - x tahun |  | Desimal | Salah | Probabilitas bahwa koneksi tidak langsung akan gagal dalam x tahun ke depan. Ini adalah nilai antara 0 dan 1.
Keandalan | Tersedianya | % | Desimal | Salah | Ketersediaan dihitung dari koneksi langsung. Ini adalah nilai antara 0% dan 100%.
Keandalan | Tidak tersedianya | % | Desimal | Salah | Tersedianya dihitung dari koneksi langsung. Ini adalah nilai antara 0% dan 100%.

Properti Arsitektur

Tabel berikut berisi daftar sifat arsitektur keluaran oleh evaluator kehandalan. Properti ini akan ditampilkan di jendela Properties dengan ikon keluaran properti baris pemilih ( [image] ) Dengan tooltip 'Keandalan output'. Panah pada ikon akan menyoroti Merah ( [image] ) Ketika sifat ini dari tanggal karena properti yang mendasari atau perubahan struktural untuk repositori dan simulator Keandalan membutuhkan re-simulasi sesuai dengan Merah menyoroti pada Simulasi toolbar .

Mengetik | Nama | Satuan | Tipe data | Wajib | Deskripsi
Keandalan | Tersedianya | % | Desimal | Salah | Ketersediaan semua koneksi tidak langsung yang telah dimasukkan dalam evaluasi. Artinya, probabilitas bahwa semuakoneksi tidak langsung akan tersedia pada titik waktu tertentu. Ini adalah nilai antara 0% dan 100%. Catatan: Hal ini tidak perbanyakan ketersediaan koneksi individu seperti ini akan menjadi "penghitungan ganda" un-ketersediaan komponen yang relevan.
Keandalan | Tidak tersedianya | % | Desimal | Salah | Tidak tersedianya koneksi tidak langsung yang telah dimasukkan dalam evaluasi. Artinya, probabilitas bahwa setidaknya satukoneksi tidak langsung akan tersedia pada titik waktu tertentu. Ini adalah nilai antara 0% dan 100%. Catatan: Hal ini tidak perkalian dari unavailabilities koneksi individu seperti ini akan menjadi "penghitungan ganda" un-ketersediaan komponen yang relevan.
Keandalan | Misi Keandalan - x tahun |  | Desimal | Salah | Probabilitas bahwa semua koneksi tidak langsung yang telah dimasukkan dalam evaluasi tersebut akan tidak gagal dalam berikutnya xtahun. Ini adalah nilai antara 0 dan 1. Catatan: Hal ini tidak perkalian dari reliabilitas koneksi individu seperti ini akan menjadi "penghitungan ganda" un-ketersediaan komponen yang relevan.
Keandalan | Misi Unreliability - x tahun |  | Desimal | Salah | Probabilitas bahwa setidaknya salah satu koneksi tidak langsung yang telah dimasukkan dalam evaluasi akan gagal dalam berikutnya xtahun. Ini adalah nilai antara 0 dan 1. Catatan: Hal ini tidak perkalian dari unreliabilities koneksi individu seperti ini akan menjadi "penghitungan ganda" un-ketersediaan komponen yang relevan.


Simulasi arsitektur anda

Navigasi: Simulasi arsitektur anda>

Simulasi arsitektur anda

Kirim komentar tentang topik ini.

Setelah Anda telah dihuni dan dianalisis arsitektur Anda, Anda siap untuk menggunakan ABACUS untuk menentukan apakah arsitektur Anda akan memenuhi kebutuhan kuantitatif Anda. Hal ini memerlukan simulasi. Untuk mensimulasikan arsitektur anda Anda harus terlebih dahulu memutuskan jenis informasi yang Anda ingin menemukan. Jenis informasi yang sering disebut sebagai KPI, atau Key Performance Indicator. Misalnya, apakah Anda ingin menganalisis kinerja, evolvability, dan keterbukaan, atau apakah Anda ingin mengumpulkan metrik seperti biaya total kepemilikan. Semua informasi ini dapat terungkap dalam beberapa cara. Setelah Anda memiliki data ini, Anda akan dapat menganalisis arsitektur anda dalam berbagai format grafis (atau menganalisis nilai-nilai baru langsung).

Ada tiga pilihan untuk simulasi arsitektur anda:

· Metrik sederhana ;

· Pre-built simulator ; atau

· Scripting .

Metrik sederhana

Setiap komponen dalam arsitektur Anda memiliki sifat - banyak dari yang mungkin kustom untuk aplikasi Anda dari ABACUS. Properti ini mewakili berbagai karakteristik komponen. Dalam beberapa kasus, hanya mengumpulkan metrik ini (membangun KPI) dapat cukup untuk memberitahu Anda informasi penting tentang arsitektur anda. Misalnya, KLOCS, atau Ribuan Lines of Code, telah banyak digunakan sebagai ukuran kompleksitas. Dalam kasus lain, Anda mungkin ingin mengekspor data dan menganalisanya menggunakan alat lain. Selain itu, Anda mungkin ingin mengumpulkan properti setelah melakukan jenis lain dari simulasi.

Sifat dapat dikumpulkan melalui proses pengumpulan . Agregasi menambahkan sub-sifat tertentu untuk total yang tercermin dalam komponen induk. Agregasi bekerja hanya pada komponen yang mengandung sub-komponen.

Pre-built Simulator

Ada lima simulator pre-built yang dapat digunakan dengan ABACUS. Ini adalah:

· Kinerja;

· Modularitas;

· Biaya Total Kepemilikan (TCO);

· Keterbukaan; dan

· Keandalan.

Catatan

ABACUS otomatis akan menyoroti yang simulator ini perlu kembali dijalankan melalui Merah menyoroti pada Simulasi toolbar .

Scripting

Scripting menyediakan fleksibilitas untuk mensimulasikan arsitektur Anda dengan cara kustom. Oleh menulis skrip Anda dapat melakukan simulasi di luar saat ini dalam kapasitas yang dibangun dari ABACUS. Seluruh model objek ABACUS tersedia untuk mesin scripting, sehingga Anda hanya dibatasi oleh kemampuan Anda untuk menulis skrip!

Visual Basic script adalah bahasa scripting yang didukung oleh ABACUS, karena menyediakan fitur pemrograman penting dalam format yang cukup sederhana.

Lihat juga

Mengekspor arsitektur anda | Sifat agregat | Script tulisan


Berkembang arsitektur anda

Navigasi: Mengisi arsitektur anda> Mengisi manual> Pilihan tambahan>

Berkembang arsitektur anda

Kirim komentar tentang topik ini.

Arsitektur dapat secara eksplisit berevolusi dan hirarki arsitektur diciptakan. Jadi dengan berkembang arsitektur anda di ABACUS, sejumlah solusi arsitektur canggih dapat dibuat, dibandingkan dan baselined. Tujuan (atau metrik) dapat didefinisikan untuk sejumlah properti arsitektur untuk arsitektur ada.

Sebuah cara sederhana untuk mempertimbangkan evolusi arsitektur adalah untuk menghubungkannya dengan konsep arsitektur keturunan. Ketika sebuah arsitektur berkembang, sebuah salinanarsitektur orangtua dibuat. Copy ini bisa dikatakan langsung keturunanasli induk arsitektur.

Catatan

Dalam dokumentasi bantuan online dan ABACUS toolset sendiri, istilah berkembanglebih sering digunakan daripada istilah keturunan, Perlu diketahui bahwa keduanya merujuk pada fungsi yang sama.

Berkembang arsitektur yang ada

1. Pastikan Anda memiliki ABACUS berkasterbuka dan Explorer Jendeladitampilkan.

2. Pilih arsitektur yang relevan Anda ingin berkembang dari pohon explorer.

3. Klik kananpada arsitektur dan pilih Berkembangdari menu.

Berkembang Arsitektur Terpilih

4. Arsitektur berkembang akan muncul di bawah arsitektur yang dipilih.

Evolved Arsitektur

Catatan

Arsitektur berkembang dapat diganti dengan mengklik kanan pada arsitektur dan memilih Ganti nama.Selanjutnya, semua diagram dan katalog dalam arsitektur berkembang akan secara otomatis diatur 'diff' terhadap arsitektur dasar bahwa itu berkembang dari.

Menetapkan tujuan untuk arsitektur anda berkembang

Menetapkan tujuan untuk arsitektur anda berkembang memungkinkan Anda untuk membuat kriteria untuk menilai evolusi arsitektur Anda. Gol tersebut ditentukan oleh jenis properti dan nama-nama orang-orang yang ada dalam arsitektur properti Anda berkembang. Tujuan juga dapat didefinisikan secara manual dan ditambahkan ke arsitektur Anda. Ikuti langkah berikut untuk menetapkan tujuan.

Menetapkan tujuan dari properti yang ada untuk arsitektur anda berkembang

1. Pastikan Anda memiliki ABACUS berkasterbuka dan Explorer Jendeladitampilkan.

2. Pilih Tools | Menentukan tujuanDari menu bar utama.

3. Itu Tujuan Masukanwindow akan ditampilkan.

Tujuan Masukan Jendela

4. Klik pada Ada tombol.

5. Itu Pilih Properti Awindow akan ditampilkan.

6. Pilih properti Anda ingin mengatur sebagai tujuan untuk arsitektur Anda berkembang dan klik pada oke tombol.

7. Tujuan yang dipilih sekarang akan muncul di Tujuan Masukan jendela.

8. Pilih tujuan dan klik pada Mengedit tombol.

9. Itu Mengedit Goalwindow akan ditampilkan.

Catatan

Jendela ini memungkinkan Anda untuk mengubah nama properti dan jenis yang tujuannya akan mencerminkan, serta yang terburuk dan terbaik nilai (atau minimum / nilai maksimum) untuk properti itu. Nilai-nilai ini ditemukan dengan membandingkan semua arsitektur dan menemukan nilai terkecil dan terbesar di masing-masing untuk bahwa properti tertentu. Nilai-nilai ini juga dapat didefinisikan secara manual. Misalnya, jika Anda adalah untuk menetapkan tujuan untuk properti bernama Response (Ave)dan jenis Tingkah laku, Nilai terburuk dan terbaik bisa mencerminkan kecepatan transaksi yang diperlukan untuk kinerja yang optimal (nilai terbaik) dan kecepatan transaksi yang diperlukan hanya aplikasi utama untuk diproses (nilai terburuk).

10. Setelah nilai-nilai yang relevan telah ditetapkan, pilih oke.

Menetapkan tujuan dari sifat baru untuk arsitektur anda berkembang

1. Pastikan Anda memiliki ABACUS berkasterbuka dan Explorer Jendeladitampilkan.

2. Pilih Tools | Menentukan tujuanDari menu bar utama.

3. Itu Tujuan Masukanwindow akan ditampilkan.

4. Klik pada Baru tombol.

5. Itu Gol baruwindow akan ditampilkan.

Catatan

Jendela ini memungkinkan Anda untuk menentukan nama properti dan jenis yang tujuannya akan mencerminkan, serta yang terburuk dan terbaik nilai (atau minimum / nilai maksimum) untuk properti itu. Misalnya, jika Anda adalah untuk menetapkan tujuan untuk properti bernama Response (Ave)dan jenis Tingkah laku, Nilai terburuk dan terbaik bisa mencerminkan kecepatan transaksi yang diperlukan untuk kinerja yang optimal (nilai terbaik) dan kecepatan transaksi yang diperlukan hanya aplikasi utama untuk diproses (nilai terburuk).

6. Setelah nilai-nilai yang relevan telah ditetapkan, pilih oke.

7. Sebuah dialog untuk Tambahkan ke semua arsitekturakan ditampilkan sebagai berikut:

8. Klik iya nihmenambah gol sebagai properti untuk semua arsitektur yang relevan. Hal ini memastikan bahwa tujuan baru didefinisikan dan sifat-sifatnya akan ditambahkan ke semua arsitektur dalam file. Jika Anda tidak ingin menyertakan properti di arsitektur, Anda dapat mengklik Tidak.

Lihat juga

Mengisi arsitektur anda - Ikhtisar | Mengisi arsitektur anda secara manual | Melihat plot bintang arsitektur Anda berkembang | Melihat plot pencar arsitektur Anda berkembang


Memperluas dan runtuh pohon

Navigasi: Mengisi arsitektur anda> Mengisi manual> Pilihan tambahan>

Memperluas dan runtuh pohon

Kirim komentar tentang topik ini.

Ketika sebuah node di pohon mengandung sub-komponen dan koleksi, itu akan memiliki kecil [image] atau [image] menandatangani di kiri. Anda dapat mengklik [image] untuk memperluas node dan melihat sub-komponen dan koneksi. Demikian pula, Anda dapat mengklik [image] runtuh node untuk menyembunyikan sub-komponen dan koneksi (untuk membuat lebih banyak ruang atau membuat pohon lebih mudah untuk memahami).

Atau, Anda dapat memperluas seluruh node, dalam hal ini semua sub-node yang juga akan diperluas, dan sub-node mereka, dan mereka ... dll Demikian pula, Anda dapat runtuh seluruh simpul - menutup beberapa tingkat sekaligus .

Selain itu, ada pilihan untuk memperluas hanya arsitektur, elemen (yaitu komponen dan koneksi), komponen atau koneksi.

Untuk membuka atau menutup seluruh simpul (dan sub-node yang, dll)

1. Klik kananpada node.

2. Memilih Memperluas | Semua atau Runtuh.

Untuk memperluas semua arsitektur (s)

1. Klik kananpada Arsitektur atau arsitektur.

2. Memilih Memperluas | Semua.

Untuk memperluas elemen

1. Klik kananpada Arsitektur atau arsitektur.

2. Memilih Memperluas | Elemen.

Untuk memperluas komponen

1. Klik kananpada Komponen, komponen atau sub-komponen.

2. Memilih Memperluas | Komponen | Semua.

Untuk memperluas koneksi

1. Klik kananpada Connections, koneksi atau sub-koneksi.

2. Memilih Memperluas | Koneksi | Semua.


Mengekspor Arsitektur Anda

Navigasi: Pelaporan arsitektur anda>

Mengekspor Arsitektur Anda

Kirim komentar tentang topik ini.

ABACUS memungkinkan Anda untukmengekspor arsitektur Anda untuk MDB (Microsoft Access), MS SQL Server, .abacus (ABACUS file), dan .xls (Microsoft Excel) format. Anda juga dapat mengekspor Anda diagrams ke PNG, JPG, SVG (Scalable Vector Graphics), TIFF, GIF dan BMP format dan laporan untuk Html (HTML), .pdf (Adobe Acrobat), .xls (Microsoft Excel), .doc (Microsoft Word) dan rtf (Rich Text Format) format. Hal ini memungkinkan Anda untuk menganalisis dan melihat arsitektur dan data dengan cara apapun yang Anda inginkan.

Untuk mengekspor arsitektur anda untuk .mdb (Microsoft Access)

1. Pastikan Anda memiliki ABACUS berkas Buka.

2. Klik pada Mengajukan menu.

3. Memilih Ekspor, dan kemudian Untuk MDB.

4. Mencatat peringatan dan klik oke.

5. Ketik nama untuk file.

6. Klik Menyimpan Tombol.

Catatan

Format ekspor database mdb adalah khusus untuk ABACUS dan setiap perubahan skema akan mengakibatkan ketidakmampuan untuk re-impor. Silahkan lihat Mengisi dengan MS Access untuk penjelasan dari skema MS Access.

Untuk mengekspor arsitektur anda untuk MS SQL Server

1. Pastikan Anda memiliki ABACUS berkas Buka.

2. Klik pada Mengajukan menu.

3. Memilih Ekspor, dan kemudian Untuk MS SQL Server.

4. Pada dialog yang muncul klik Ekspor Kosong MDB ...tombol dan impor ini ke server database MS SQL Server Anda.

5. Isi informasi database dan connection string.

6. Klik Ekspor Tombol.

Catatan

Format ekspor MS SQL Serverdatabase khusus untuk ABACUS dan setiap perubahan skema akan mengakibatkan ketidakmampuan untuk re-impor. Silahkan lihat Mengisi dengan MS Access untuk penjelasan dari skema database.

Untuk mengekspor arsitektur anda untuk .xls (file Excel)

1. Pastikan Anda memiliki ABACUS file yang terbuka , sebuah explorer ditampilkan , Dan arsitektur menambahkan .

2. Pastikan Anda memiliki Berkas Impor / Ekspor Excel Konfigurasi didefinisikan.

3. Klik kananpada arsitektur dalam model Anda atau bagian dari Komponensimpul (dalam arsitektur tertentu) Anda ingin ekspor ke File Konfigurasi Excel.

4. Memilih Ekspor | Untuk Unggul... dari menu.

5. Itu Pilih Berkas Impor / Konfigurasi Ekspor Excel Menggunakanwindow akan ditampilkan.

6. Pilih file konfigurasi yang relevan untuk model arsitektur Anda dan klik pada Buka tombol.

7. Jika tidak secara otomatis melakukannya, peta komponen tingkat atas dalam arsitektur Anda saat ini ke Set Id(sebagaimana didefinisikan sebelumnya) dan klik pada Ekspor....

Pemetaan contoh Top-Level Komponen

8. Pilih lokasi dan nama file file Excel Anda dan klik Menyimpan tombol.

Untuk mengekspor arsitektur anda untuk .abacus (ABACUS file)

1. Pastikan Anda memiliki ABACUS berkas Buka.

2. Klik kananpada node Arsitektur, setiap arsitektur dalam model atau setiap bagian dari pohon Komponen.

3. Memilih Ekspor | Untuk Mengajukan...dari menu.

4. Pilih lokasi dan nama file dan klik Menyimpan tombol.

Catatan

Anda dapat mengimpor file ABACUS kembali ke ABACUS oleh langkah-langkah berikut 1-2di atas dan kemudian memilih Impor | Dari Mengajukan.... Setelah Anda memilih file yang ingin Anda impor, Anda akan bertanya bagaimana Anda ingin mengimpor standar dan jenis. Anda dapat mengimpor standar dan jenis baik sebagai standar baru atau digabung dan jenis. Pengaturan standar adalah untuk standar dan jenis untuk digabung dengan standar yang ada dan jenis jika mereka sudah ada di Anda proyek.

Untuk mengekspor arsitektur anda untuk .xml

1. Pastikan Anda memiliki ABACUS berkas Buka.

2. Klik kananpada node Arsitektur, setiap arsitektur dalam model atau setiap bagian dari pohon Komponen.

3. Memilih Ekspor | Untuk XML ...dari menu. Atau Anda dapat mengklik menu Mengajukan| Ekspor| Untuk XML ...

4. Pilih lokasi dan nama file dan klik Menyimpan tombol.

Catatan

Anda dapat mengimpor file XML kembali ke ABACUS oleh langkah-langkah berikut 1-2di atas dan kemudian memilih Impor | Dari XML .... Setelah Anda memilih file XML yang ingin Anda impor, Anda akan bertanya bagaimana Anda ingin mengimpor standar dan jenis. Anda dapat mengimpor standar dan jenis baik sebagai standar baru atau digabung dan jenis. Pengaturan standar adalah untuk standar dan jenis untuk digabung dengan standar yang ada dan jenis jika mereka sudah ada di Anda proyek.

Untuk mengekspor diagram Anda ke PNG, JPG, SVG, TIFF, GIF atau BMP

1. Pastikan Anda memiliki ABACUS berkas Buka.

2. Buka diagramAnda ingin ekspor.

3. Klik pada Ekspor Diagramtombol pada Diagram toolbar.

4. Itu Ekspor Diagramjendela akan muncul.

5. Pilih Isitombol untuk menyimpan visualisasi di lokasi yang diinginkan.

6. Pilih Simpan sebagai jenismenu pull-down untuk memilih jenis file.

7. Klik Menyimpan tombol.

Untuk mengekspor laporan Anda ke .pdf (Adobe Acrobat), .xls (Microsoft Excel) atau.doc (Microsoft Word)

1. Pastikan Anda memiliki ABACUS berkas Buka.

2. Membuat melaporkan Anda ingin ekspor.

3. Klik pada Eksportombol pada laporan toolbar.

4. Memilih Excel, PDF atau Worddari kotak drop-down.

5. Tunggu beberapa saat sementara ekspor laporan.

6. Pilih lokasi dan nama file dan klik Menyimpan tombol.


Mencari dan mengganti item dalam arsitektur Anda

Navigasi: Mengisi arsitektur anda> Mengisi manual> Pilihan tambahan>

Mencari dan mengganti item dalam arsitektur Anda

Kirim komentar tentang topik ini.

Kamu dapat menemukan dan Ganti komponen tertentu, koneksi, jenis, standar atau properti dengan menggunakan ABACUS 'Cari dan Ganti fasilitas.

Untuk menemukan item

1. Klik node dari pohon yang ingin mencari di dalam.

2. Memilih Mengedit| Menemukanatau tekan Ctrl + F.

3. Masukkan teks untuk barang ituuntuk menemukan di 'Cari apa' lapangan.

4. Klik Cari Berikutnya.

Untuk menggantikan sebuah benda

1. Klik node dari pohon yang ingin mencari di dalam.

2. Memilih Mengedit| Menggantikanatau tekan Ctrl + H.

3. Masukkan teks untuk barang ituuntuk menemukan di 'Cari apa' lapangan dan teks untuk menggantinya dengan dalam 'Ganti dengan' lapangan (atau apa-apa jika lapangan dibiarkan kosong).

4. Klik Cari Berikutnyauntuk menemukan contoh pertama dari 'Cari apa' teks dan klik Menggantikan untuk menggantikan hal ini dengan 'Ganti dengan' teks atau klik Ganti semuauntuk mengganti semua contoh.

Anda memiliki pilihan untuk:

o Cocok kasusnya,

o Cocok dengan seluruh kata,

o Cari dari awal proyek,

o Abaikan arsitektur - yang arsitektur node sendiri. Setiap node di bawah node arsitektur seperti komponen dan koneksi masih akan dicari,

o Abaikan komponen - komponen yang bening sendiri,

o Abaikan koneksi - yaitu sambungan node sendiri,

o Abaikan standar - itu semua arsitektur, komponen dan koneksi node standar akan diabaikan,

o Abaikan jenis - yang adalah jenis yang node sendiri. Setiap node kendala bawah dari jenis node masih akan dicari,

o Abaikan template dan isi - yang adalah template node sendiri serta komponen Template dan node koneksi di bawah mereka,

o Abaikan sifat - yaitu semua jenis properti, nama, nilai-nilai dan unit dari semua elemen model akan diabaikan,

o Abaikan deskripsi - yang adalah deskripsi dari semua elemen model akan diabaikan.

Lihat juga

Bagaimana arsitektur diwakili di ABACUS


Bantuan dalam bahasa lain

Navigasi: Pengantar ABACUS>

Bantuan dalam bahasa lain

Kirim komentar tentang topik ini.

ABACUS bantuan tersedia dalam berbagai bahasa lainnya / terjemahan dan dapat didownload dari link di bawah ini.

Untuk menggantikan arus ABACUS file bantuandengan file bantuan diterjemahkan silakan ikuti langkah berikut:

1. Simpan file bantuan dari link yang relevan di bawah ini.

2. Ubah nama file bantuan untuk ABACUS.chm.

3. Membuka file dengan mengklik dua kali dan jika 'Open File - Security Warning' dialog muncul kemudian hapus centang pada "Selalu tanya sebelum membuka file" pilihan dan klik Open.

4. Menutup file.

5. Mengganti file ABACUS.chm dalam folder file program ABACUS, biasanya "C: \ Program Files \ Avolution \ ABACUS" atau "C: \ Program Files(x86)\ Avolution \ ABACUS".

Catatan

Konteks bantuan sensitif akan terus bekerja dengan bantuan file diterjemahkan.

ABACUS file bantuan dalam bahasa lain:

· Arab / العربية .

· Bulgaria / български .

· Bahasa Tiongkok yang disederhanakan) / 中文 (简体) .

· Ceko / Česká .

· Denmark / Dansk .

· Estonia / Eesti .

· Finlandia / Suomen .

· Perancis / Français .

· Jerman / Deutsch .

· Hongaria / Magyar .

· Bahasa Islandia / Bahasa Islandia .

· bahasa Indonesia / Indonesia .

· Italia / Italiano .

· Jepang / 日本 の .

· Latvia / Latvian .

· Malaysia / Malaysia .

· Malta / Gandum terendam air i .

· Norweigen / Norweigen .

· Polandia / Po lska .

· Portugis / Português .

· Rusia / русский .

· Slowakia / Slovenski .

· Slovenia / Slovenski .

· Spanyol / Españoles .

· Swedia / Svenska .

· Turki / Türk .

· Welsh / Cymraeg .

Lihat juga

Apa ABACUS lakukan?


Bagaimana arsitektur diwakili dalam ABACUS?

Navigasi: Pengantar ABACUS>

Bagaimana arsitektur diwakili dalam ABACUS?

Kirim komentar tentang topik ini.

Dalam ABACUS, Anda model arsitektur anda. Untuk mempermudah, kita sebut model arsitektur ini arsitektur.

Diagram di bawah menggambarkan bagaimana arsitektur khas 5komponen (di hirarki) dihubungkan dengan 2 koneksi akan diwakili di ABACUS.

Bagaimana arsitektur sederhana direpresentasikan dalam ABACUS

Anda dapat memiliki sejumlah arsitektur dalam file ABACUS tunggal.

Arsitektur pertama di pohon

Biasanya, Anda akan menciptakan sebuah arsitektur baru setiap kali Anda ingin mengevaluasi perubahan. Misalnya, Anda akan memodelkan arsitektur yang ada pertama - ini akan menjadi arsitektur pertama di pohon. Anda mungkin menyebutnya 'sekarang'.

Kedua

Bila Anda ingin model dan mengevaluasi perubahan arsitektur yang ada (misalnya meningkatnya kebutuhan) Anda akan menciptakan arsitektur baru. Cara termudah untuk melakukan hal ini akan membuat salinan dari 'sekarang' dan nama itu 'Evolution 1 Mencoba 1'. Ini akan menjadi arsitektur kedua di pohon. Jika evaluasi Anda dari 'Evolution 1 Mencoba 1' yang sukses, Anda dapat mengubah nama itu untuk hanya 'Evolution 1'.

Ketiga

Jika 'Evolution 1 Mencoba 1' tidak memenuhi kebutuhan Anda, Anda dapat membuat salinan itu, mengganti nama ke 'Evolution 1 Mencoba 2', dan coba lagi. Ini akan menjadi arsitektur ketiga di pohon.

Lihat juga

Apa ABACUS lakukan? | Bagaimana Anda melakukannya (Ikhtisar) | Apa arsitektur? | Bekerja dengan file ABACUS | Membuat atau duplikasi arsitektur


Cara menggunakan ABACUS (Ikhtisar)

Navigasi: Pengantar ABACUS>

Cara menggunakan ABACUS (Ikhtisar)

Kirim komentar tentang topik ini.

Topik ini memberikan gambaran dasar dari tugas yang terlibat dengan menggunakan ABACUS.

Diagram berikut menggambarkan proses analisis-arsitektur yang berbasis ABACUS menyediakan untuk berkembang arsitektur saat ini untuk arsitektur baru atau target.

The ABACUS Proses

Untuk menggunakan ABACUS:

1. Audit - Sebelum Anda menggunakan ABACUS, Anda harus mengumpulkan semua informasi yang Anda miliki tentang arsitektur, dan persyaratan.

· Arsitektur - Mengidentifikasi komponen potensi arsitektur dan bagaimana mereka berinteraksi. Seharusnya hanya ada beberapa komponen di tingkat atas. Ini disebut "komponen penting". Bahkan arsitektur yang paling kompleks harus memiliki kurang dari 10 komponen penting. misalnya Komponen penting dari arsitektur perusahaan asuransi mungkin kebijakan, penerimaan, klaim, dan pembayaran.

· Persyaratan- Anda harus tahu apa yang diharapkan dari arsitektur untuk menentukan apakah itu adalah memuaskan. misalnya Jumlah transaksi per jam.

· Di mana Anda menemukannya? - Informasi ini mungkin berasal dari spesifikasi persyaratan, dokumen desain, wawancara dengan para pemangku kepentingan, kode dikerahkan, dll Pada dasarnya materi yang tersedia menawarkan ABACUS informasi tentang arsitektur.

2. Mendiami -Gunakan ABACUS untuk model arsitektur dan menentukan persyaratan arsitektur akan diukur terhadap.

· Arsitektur - Dalam ABACUS Anda mulai dengan arsitektur kosong - Anda harus mendiami saya t. Ini berarti memasukkan semua informasi arsitektur Anda berkumpul di atas. Anda dapat mengisi arsitektur secara manual (menggunakan menu klik kanan), atau Anda dapat mengisi secara otomatis (dari Microsoft Visio, Excel, Access dll). Biasanya paling atas tingkat (lebih abstrak) arsitektur akan diisi secara manual, dan tingkat yang lebih rendah (lebih konkret) akan diisi secara otomatis.

· Persyaratan - Ketika Anda menambahkan komponen dan koneksi, Anda menentukan sifat-sifat mereka. Dalam kebanyakan kasus, sifat ini akan menjadi persyaratan arsitektur. Misalnya, jika Anda akan memiliki 1.250 MIPS node / cluster, Anda akan menambahkan node sebagai komponen, kemudian tambahkan properti kinerja, dan menetapkan nilai 1250 MIPS.

3. Menganalisa - Gunakan ABACUS untuk elegan menganalisis dan memvisualisasikan struktur kompleks arsitektur anda. Kamu dapat menganalisis arsitektur Anda dalam beberapa cara atau dari sejumlah sudut pandang, termasuk diagram, 3D dan Explorer. Atau Anda mungkin ingin menggunakan beberapa pandangan yang lebih spesifik sebagai berikut:

· Bagan arsitektur anda - untuk mendapatkan kinerja (waktu respon, bandwidth, dll), biaya (bar, pie, dll) atau evolvability (spasi kemampuan, trade-off, dll) dilihat.

· Membuat laporan pada arsitektur anda.

4. Menirukan - Gunakan ABACUS untuk mensimulasikan arsitektur Anda kinerja, ketersediaan, biaya, keterbukaan, dll

· Untuk melakukan ini, jalankan salah satu simulator. ABACUS mengevaluasi Anda arsitektur terhadap kebutuhan Andadengan melakukan simulasi. Bunyinya dan menganalisis arsitektur saat ini, berjalan simulasi, dan menghitung beberapa properti baru. Properti ini kemudian disimpan kembali ke arsitektur. Sifat baru data Anda mencoba untuk menganalisis, seperti pemanfaatan, waktu respon, bandwidth, ketersediaan%, TCO dll

5. Insinyur- Gunakan ABACUS untuk menjawab berbagai "bagaimana jika" skenario dan mengontrol evolusi arsitektur anda. Rekayasa adalah proses mengulangi Mengisi - Analisa - Simulasikansiklus.

· Pada titik ini, Andapernahmungkin mengembangkan pemahaman tentang Arsitektur Lancar dan menyoroti daerah yang Anda butuhkan untuk berkembang. Cukup sering, bagaimanapun, Anda harus mengulang Mengisi tersebut - Analisa - Simulasikan proses beberapa kali. Ini mungkin akan menjadi karena mungkin diperlukan beberapa iterasi sebelum Anda menemukan Arsitektur Target. Juga, jika arsitektur anda sangat kompleks, Anda mungkin ingin mengulang proses untuk setiap arsitektur "level".

6. Rencanamasa depan arsitektur anda menggunakan informasi yang diberikan oleh ABACUS.

Catatan

Jika Anda tidak mencoba untuk berkembang arsitektur yang ada, Anda mungkin perlu untuk mengulang beberapa langkah beberapa kali, dan dalam urutan yang berbeda. Itu tergantung pada apa yang Anda coba lakukan. Misalnya, jika Anda sedang merancang sebuah arsitektur baru, Anda mungkin hanya mengisi arsitektur Anda sekali, dan kemudian menggunakan ABACUS selama periode waktu yang panjang untuk memandu evolusi masa depan (s) dari arsitektur. Di sisi lain, jika Anda membeli sebuah arsitektur baru dan memiliki beberapa alternatif untuk dipilih, Anda harus Temukan dan Mengisi untuk masing-masing alternatif, dan kemudian Analisa dan Simulasikan masing-masing secara independen sebelum melakukan perbandingan final di akhir.

Lihat juga

Apa ABACUS lakukan? | Apa arsitektur? | Bagaimana arsitektur diwakili dalam ABACUS? | Mengisi arsitektur anda | Menganalisis arsitektur anda | Simulasi arsitektur anda


Mengimpor ke Arsitektur Anda

Navigasi: Mengisi arsitektur anda> Mengisi manual> Pilihan tambahan>

Mengimpor ke Arsitektur Anda

Kirim komentar tentang topik ini.

ABACUS memungkinkan Anda untuk diimpor ke arsitektur anda dari .abacus (ABACUS file), .xml (sebuah ABACUS XML fragmen atau file XML ArchiMate Interchange Language), .vsd (Microsoft Visio) format, dan .xls (Microsoft Excel) format. Hal ini memungkinkan Anda untuk membangun arsitektur anda dari sumber eksternal cepat.

Untuk impor arsitektur anda dari.abacus (ABACUS file)

1. Pastikan Anda memiliki ABACUS berkas Buka.

2. Klik kananpada node Arsitektur, setiap arsitektur dalam model atau setiap bagian dari pohon Komponen.

3. Memilih Impor| Dari Mengajukan...dari menu.

4. Memilih lokasi dan .abacus yang mengajukan dan klik Buka tombol.

Catatan

Setelah Anda memilih file yang ingin Anda impor, Anda akan bertanya bagaimana Anda ingin mengimpor standar, jenisdan sudut pandang. Anda dapat mengimpor standar, jenis dan sudut pandang baik sebagai standar baru atau digabung, jenisdan sudut pandang. Pengaturan standar adalah untuk standar, jenis dan sudut pandang untuk digabung dengan standar yang ada, jenis dan sudut pandang jika mereka sudah ada (dengan nama yang sama persis) Anda di proyek.

Untuk imporarsitektur anda dari.xml (fragmen ABACUS XML atau file XML ArchiMate Interchange Language)

1. Pastikan Anda memiliki ABACUS berkas Buka.

2. Klik kananpada node Arsitektur, setiap arsitektur dalam model atau setiap bagian dari pohon Komponen.

3. Memilih Impor| Dari XML ...dari menu.

4. Memilih lokasi dan .xml yang file dan klik Buka tombol.

Catatan

ABACUS hanya akan mengimpor benar terbentuk ABACUS XML fragmen atau file XML ArchiMate Interchange Bahasa. Setelah Anda memilih file XML yang ingin Anda impor, Anda akan bertanya bagaimana Anda ingin mengimpor standar, jenisdan sudut pandang. Anda dapat mengimpor standar, jenis dan sudut pandang baik sebagai standar baru atau digabung, jenisdan sudut pandang. Pengaturan standar adalah untuk standar, jenis dan sudut pandang untuk digabung dengan standar yang ada, jenis dan sudut pandang jika mereka sudah ada (dengan nama yang sama persis) Anda di proyek.

Untuk imporarsitektur anda dari.vsd(Visio mengajukan) melihat sini .

Untuk imporarsitektur anda dari.xls (file Excel) melihat sini .


Mengimpor jenis dan standar dari perpustakaan

Navigasi: Mengisi arsitektur anda> Mengisi manual> Pilihan tambahan>

Mengimpor jenis dan standar dari perpustakaan

Kirim komentar tentang topik ini.

Anda dapat mengimpor jenis dan standar dari file library ABACUS. Anda juga dapat mengekspor jenis dan standar dari file ABACUS Anda ke file library ABACUS.

Untuk mengimpor jenis dan standar dari perpustakaan ke dalam arsitektur Anda

1. Pastikan Anda memiliki ABACUS berkasterbuka dan Explorer Jendeladitampilkan.

2. Pilih File | Bukauntuk membuka ABACUS file library.

3. The ABACUS Perpustakaan akan terbuka di lembar tab kedua di jendela Explorer dan Anda harus undock sheet tab ini untuk dapat menyeret-dan-drop dari itu ke file ABACUS asli.

4. Drag-and-dropjenis dan standar dari perpustakaan ke dalam arsitektur Anda.

- atau -

1. Pilih File | Baru ...

2. Buat baru ABACUS berkasdidasarkan pada ABACUS file library.

Untuk mengekspor jenis dan standar dari arsitektur Anda ke perpustakaan

1. Pastikan Anda memiliki ABACUS berkas Buka Explorer Jendeladitampilkan, sebuah ABACUS file libraryterbuka dan Perpustakaan Jendeladitampilkan.

2. Drag-and-dropjenis dan standar dari arsitektur Anda ke perpustakaan.

Lihat juga

Mengisi arsitektur anda - Ikhtisar | Mengisi arsitektur anda secara manual


The ABACUS antarmuka

Navigasi: Pengantar ABACUS>

The ABACUS antarmuka

Kirim komentar tentang topik ini.

Ketika Anda mulai ABACUS, Anda akan melihat layar utama, yang kosong kecuali untuk menu dan toolbar di atas, jendela Explorer kosong dan judul-bar. Layar ini akan menjadi pusat interaksi Anda dengan ABACUS.

Unsur-unsur utama adalah:

· menu utama

· toolbar

· menu klik kanan

· penjelajah dan properti jendela

· status bar

Menu utama

Menu diatur dalam urutan logis.

Menu dijelaskan sebagai berikut;

· Menu file- Menu File memungkinkan Anda untuk membuat, membuka, menutup, menyimpan, ekspor dan mempublikasikan file ABACUS. Hal ini juga memungkinkan Anda untuk membuat, membuka, menutup dan menyimpan file ABACUS Perpustakaan.

· Mengedit menu- Edit menu memungkinkan Anda untuk memotong, menyalin, menempel, menghapus, mengubah nama, cari dan memilah elemendan undo / redo operasi.

· Lihat menu- Menu View memungkinkan Anda untuk membuka atau menutup berbagai antarmuka Windows dan status bar, Menavigasi maju dan mundur, pergi ke pandangan spesifik dan mengelola dashboard.

· Masukkan menu- Insert menu memungkinkan Anda untuk menambahkan baru standar, Template, jenis, unsur-unsur, lihattitiks, Katalog, diagram, grafik, Laporan dan matriks.

· Menu analisis- Menu Analisis memungkinkan Anda untuk menjalankan evaluasi terhadap arsitektur termasuk; kinerja, biaya, kehandalan, modularitas dan keterbukaan.

· Menu Tools- Menu Tools memungkinkan Anda untuk menjalankan scripting, menetapkan tujuan untuk arsitekturdan melakukan dan arsitektur 'diff'. Anda juga dapat memodifikasi pilihan program dan menyesuaikan antarmuka dari menu tool.

· Menu Window- Menu Window memungkinkan Anda untuk dermaga, mengatur, menampilkan dan menyembunyikan jendela yang telah terbuka.

· Bantuan menu- Dari menu Bantuan Anda dapat mengakses bantuan ini berkas ABACUS. Anda dapat mengakses situs web, melihat Anda lisensi kesepakatan dan melihat rincian umum tentang ABACUS termasuk versi dari perangkat lunak dan ABACUS dukungan dan rincian kontak. Anda dapat memberikan umpan balik melalui halaman pemberitahuan masalah. Jika diperlukan, Anda dapat memasukkan kunci pendaftaran melalui menu Help.

Ini adalah urutan yang Anda biasanya akan mengikuti ketika Anda melakukan tugas-tugas Anda;Setelah Anda membuat atau membuka mengajukan, Anda biasanya akan mengisi arsitektur anda, kemudian melihatitu (di Explorer, diagram, 3D, Charts, dll). Pada titik ini, Anda juga akan menjalankan penilai, Atau Anda akan ulangi proses dengan arsitektur yang sama atau arsitektur yang berbeda. (Melihat Cara menggunakan ABACUS (Ikhtisar) untuk informasi lebih lanjut.)

Silahkan lihat melalui menu utama dan mencoba untuk membayangkan bagaimana Anda akan menerapkannya ke sistem anda.

Catatan

Kamu bisa Sesuaikan menu Anda kapan saja.

Toolbar

Secara default ada toolbar berikut;

· Main toolbar -

· itu Simulasi toolbar -

· View toolbar -

· itu Alat diagrambar (jika diagram terbuka) -

· Makro Rekaman toolbar -

Silahkan lihat melalui tombol pada setiap toolbar dengan melayang di atas mereka untuk melihat alat-tip (shortcut-key).

Catatan

Hanya tombol tertentu akan aktif tergantung pada apa yang telah Anda pilih di jendela Explorer dan Anda dapat Sesuaikan toolbar Anda kapan saja.Selain itu, 'Validasi / Periksa Kendala Proyek' tombol pada toolbar utama dan tombol-tombol pada toolbar Simulasi akan menyoroti Merah ketika perubahan ke repositori mendasari memerlukan re-validasi proyek atau re-simulasi simulator yang masing-masing. Membawa lebih tombol untuk melihat mana arsitektur yang terpengaruh.

Menu klik kanan

Menu utama dan toolbar yang tidakdigunakan untuk segala sesuatu, meskipun. Hal ini sering lebih mudah untuk menggunakan menu konteks klik kanan untuk berbagai operasi. (Juga, tidak semua perintah yang tersedia melalui klik kanan tersedia melalui utama menu, toolbar, atau perintah keyboard.)

Misalnya, setelah Anda telah membuat sebuah file, dan Anda memiliki diagram pohon arsitektur Anda, lebih baik untuk klik kanan pada Arsitektur di pohon untuk menambahkan arsitektur baru. Demikian pula, Anda harus klik kanan pada Komponen untuk menambahkan komponen baru. Klik kanan pada beberapa hal di pohon untuk melihat apa yang dapat Anda lakukan.

Tip

Umumnya, Anda akan menggunakan menu utama untuk melakukan tugas-tugas tingkat tinggi lebih, seperti mengevaluasi arsitektur anda. Tugas tingkat rendah - seperti menambahkan komponen individu dan koneksi - dilakukan dengan menggunakan toolbar dan / atau klik kanan menu.

Explorer dan jendela properti

Ketika Anda membuka atau membuat file, diagram pohon akan ditampilkan dalam jendela Explorer. Ini adalah jendela ke dalam arsitektur Anda. Dan seperti yang Anda pilih elemen dalam jendela Explorer tiga jendela lain; Properties Umum, Referensidan jendela Properties akan memperbarui untuk mencerminkan informasi rinci tentang pilihan Anda.

Catatan

Properties Umum, Referensidan jendela Properti tersembunyi secara default. Melihat Menyesuaikan antarmuka bagaimana untuk unhide mereka dan berpotensi meninggalkan mereka ditampilkan secara permanen.

Meskipun Anda sedang membangun arsitektur anda, Explorer dan Properti jendela adalah representasi paling berguna. Karena mereka dapat runtuh dan diperluas sesuai kebutuhan, dan mereka tidak menjadi rumit.

Jendela Explorer memiliki Pohon (dan Status bar) dan jendela Properti memiliki 5bagian:

· Mengetik

· Standar

· Deskripsi

· Referensi

· Properti

ABACUS menganggap semua hal ini menjadi bagian dari arsitektur.

Pohon

Bagian ini memiliki pohon dikelompokkan menjadi 3 daerah mengikuti:

1. Meta-Model

· Standar- Jika banyak komponen memiliki set properti yang sama, Anda dapat menentukan set up-depan, dan kemudian hanya menetapkan ke komponen. Hal yang sama berlaku untuk koneksi dan salah satu unsur-unsur lain. Set ini sifat standar disimpan dalam Standarcabang pohon. Daripada mendefinisikan setiap properti untuk setiap komponen, dan setiap properti untuk setiap koneksi dll, hanya menetapkan standar. Misalnya karakteristik standar Unix-HP / UXdapat disimpan sebagai Standar dan ditugaskan untuk setiap komponen menggunakan Unix-HP / UXsistem operasi seperti yang ditunjukkan untuk OS01 server dalam screenshot atas.

· Jenis - Ini cabang dari pohon adalah sebuah perpustakaan dari jenis komponen dan koneksi Anda dapat menggunakan. Jenis yang digunakan untuk menentukan meta-model untuk arsitektur anda dan untuk klasifikasi dan penyaringan saat melihat arsitektur anda. Mereka juga menentukan template untuk apa standar, Sifat dan kendala komponen Anda / koneksi dapat memiliki.

· Pandangan- Melihattitiks dapat dibuat dari diagram yang ada dan dapat digunakan untuk membuat diagram baru.Mereka stensil diagram.

· Template - Template toko re-useable pola komponen dan koneksi bersama dengan cara di mana mereka diwakili atau dilihat. Mereka dapat dianggap sebagai "mini" arsitektur atau solusi yang dapat ditempatkan ke dalam arsitektur yang ada.

2. Arsitektur -The Arsitektur cabang pohon adalah di mana Anda membangun arsitektur (s) dari sistem anda. (Ini disebut mengisi arsitektur.) Anda dapat memiliki sejumlah arsitektur dalam file ABACUS tunggal.

3. Dashboard - The Dashboard cabang pohon adalah di mana Anda dapat mengakses disimpan dashboard untuk proyek tersebut.

Catatan

Item di pohon Explorer yang telah mereka Izin pembaruan dihapus (yaitu mereka hanya-baca) ditunjukkan dalam abu-abu.

Mengetik

Bagian ini menunjukkan komponen atau koneksi jenis tertentu dari elemen yang sedang dipilih di pohon.

Standar

Bagian ini memberikan daftar standar untuk elemen yang sedang dipilih di pohon.

Deskripsi

Bagian ini memberikan penjelasan singkat dari elemen yang dipilih di pohon. Setiap hyperlink terkait juga bisa ditambahkan ke bagian ini. Ini termasuk situs atau path absolut lokal menunjuk ke informasi lebih lanjut tentang unsur tertentu. Beberapa baris juga diperbolehkan. Hyperlink yang valid harus mulai dengan satu dari 5 string; http: //, https: //, ftp: //, file: /// atau mailto :.

Tip

Untuk hyperlink dengan spasi, pengguna dapat mengetikkan URL atau path, pilih teks yang diperlukan dan Klik kanan| Hyperlink. Ini akan mengubah spasi untuk 20%sehingga seluruh URL atau path akan bekerja dengan benar.

Dibuat dan Dimodifikasi

Ini bagians menyediakanpengguna dan tanggal / waktu untuk penciptaan, dan modifikasi terakhir ke, elemen yang sedang dipilih di pohon.

Referensi

Bagian ini memberikan daftar komponen keluar dan masuk untuk elemen yang sedang dipilih di pohon.Hal ini juga menunjukkan diagram, 3D dan pandangan Bagan bahwa elemen saat dipilih muncul di. Jika sebuah diagram yang dipilih itu menunjukkan Viewpoint jika berlaku untuk diagram dan untuk dilihat secara umum menunjukkan setiap Dashboard pandangan muncul di. Dan ketika Standard dipilih dalam pohon itu menunjukkan penggunaan standar dengan jenis, komponen dan koneksi.

Properti

Bagian ini adalah di mana Anda mendefinisikan karakteristik elemen dalam arsitektur anda, seperti cara Anda memerlukannya untuk melakukan, jumlah baris kode yang dimilikinya, persentase garis-garis yang komentar, dll

The 'input' dan 'output' sifat dari pre-built simulator akan ditampilkan di jendela Properties dengan ikon masukan properti baris pemilih ( [image] ) Dan ikon keluaran ( [image] ) Masing-masing dengan tooltip yang menunjukkan pre-built simulator properti berkaitan dengan, misalnya 'Modularity Keluaran' atau 'Kinerja Masukan'. Panah pada ikon keluaran akan menyoroti Merah ( [image] ) Ketika properti kedaluwarsa karena properti yang mendasari atau perubahan struktural untuk repositori dengan simulator membutuhkan re-simulasi sesuai dengan Merah menyoroti pada Simulasi toolbar .

Status bar

Bagian kiri dari status bar menunjukkan path lengkap ke elemen repositori saat-fokus, baik dipilih dalam jendela Explorer atau pada diagram kanvas. Hal ini dimaksudkan agar tempat yang tepat dalam hirarki repositori untuk elemen yang diberikan selalu dapat dengan mudah ditentukan. Bagian kanan status bar menunjukkan berbagai pesan operasional seperti 'Open File ABACUS Sukses' dan 'Biaya Perhitungan Selesai'.

Lihat juga

Bagaimana Anda melakukannya (Ikhtisar) | Menyesuaikan antarmuka | Apa arsitektur? | Bagaimana arsitektur diwakili dalam ABACUS? | Bekerja dengan file ABACUS


Apa ABACUS lakukan?

Navigasi: Pengantar ABACUS>

Apa ABACUS lakukan?

Kirim komentar tentang topik ini.

Untuk bantuan dalam bahasa lain / terjemahan klik sini .

ABACUS mengambil menebak-karya dari berurusan dengan solusi, sistem, software, informasi, teknologi, proses bisnis dan / atau seluruh perusahaan (secara kolektif disebut sebagai arsitektur). Ini dapat membantu Anda untuk merancang pragmatis, memantau, mensimulasikan, menganalisis, dan memvisualisasikan Anda arsitektur dengan pemodelan itu, menganalisis dengan cara yang intuitif (misalnya grafik, diagram dan 3D) dan kemudian mengevaluasi melawan kebutuhan non-fungsional Anda.

Catatan

Persyaratan non-fungsionaladalah mereka persyaratan yang TIDAK berhubungan langsung dengan CARA produk beroperasi. Sebaliknya, mereka prihatin dengan bagaimana BAIK beroperasi. Kebutuhan non-fungsional mencakup hal-hal seperti kinerja, keterbukaan, evolvability, kualitas, skalabilitas, modularitas, dll (sebagai lawan persyaratan fungsional seperti, menyalakan lampu ini ketika tombol ini diklik). Secara tradisional, persyaratan non-fungsional telah sulit - jika tidak mustahil - untuk mengukur. Bahkan, ABACUS adalah satu-satunya produk yang obyektif dan quantifiably dapat mengukur tiga pertama - prestasi, keterbukaan, dan evolvability.

Sederhananya, Anda memasukkan arsitektur dan apa yang Anda butuhkan untuk melakukan. ABACUS kemudian memberitahu Anda jika itu akan melakukan seperti yang diperlukan dan menunjukkan kelemahan atau celah.

ABACUS menarik di lebih dari 20 tahun penelitian sistem dan bertahun-tahun teori sistem didirikan. Ini memberi Anda kuantitatif, handal, jawaban objektif, sehingga Anda tidak mengandalkan pada penilaian subjektif.

ABACUS singkatan Architecture-Based Analysis, Communication dan Understanding dari Systems. Hal ini dapat membantu Anda dengan arsitektur skala besar, tapi itu umumnya digunakan untuk empat (4) hal:

· Yg mengembangkanarsitektur saat ini. Misalnya, jika arsitektur yang ada tidak memiliki kinerja, ABACUS akan memvisualisasikan arsitektur untuk Anda, mengidentifikasi masalah (kemacetan, dll), kemudian memberitahu Anda persisbagaimana meningkatkan arsitektur.

· Merancangarsitektur baru. Misalnya, jika Anda memerlukan arsitektur yang sama sekali baru, dan Anda merancang sendiri, ABACUS akan memberitahu Anda persiskomponen apa yang Anda butuhkan dan bagaimana mereka harus dihubungkan.

· Pembelianarsitektur baru. Misalnya, jika Anda telah menyerukan tender pada desain arsitektur baru, dan Anda memilih antara tiga desain, ABACUS akan memberitahu Anda persismana yang sesuai kebutuhan Anda yang terbaik.

· Menggabungkanarsitektur yang ada saat ini. Misalnya, jika Anda perlu untuk menggabungkan dua atau lebih arsitektur terpisah, ABACUS akan memandu Anda.

Lihat juga

Bagaimana Anda melakukannya (Ikhtisar) | Apa arsitektur? | Bagaimana arsitektur diwakili dalam ABACUS?


Menggunakan link di Diagram

Navigasi: Mengisi arsitektur anda> Menggunakan Gambar>

Menggunakan link di Diagram

Kirim komentar tentang topik ini.

Bentuk (bentuk bebas dan komponen) dan Konektor (bentuk bebas atau koneksi) dalam diagram dapat dihubungkan dengan representasi yang ada arsitektur di ABACUS, serta file eksternal / folder dan URL. Link ini kemudian dapat dikelola (diciptakan, dimodifikasi dan dihapus) melalui toolset ABACUS. Fitur ini dapat digunakan untuk meningkatkan navigasi dan pemahaman keseluruhan arsitektur anda diagram.

Untuk menambahkan link ke diagram Anda

1. Pastikan bahwa Anda memiliki yang ada diagram terbuka .

2. Pilih bentuk yang relevan atau konektor dari diagram Anda.

3. Klik kananpada bentukatau konektor.

4. Memilih Link terbukadan Linkwindow muncul.

5. Klik pada Menambahkanikon dan Tautan baruwindow muncul.

6. Pilih yang relevan Katalog | Matrix | Diagram| Tampilan 3D| Grafiktombol radio, kemudian pilih yang relevan Katalog, matriks, diagram, 3Datau grafik lihat dalam arsitektur saat ini dari Link Untuk menu drop down.

- atau -

6. Pilih Situs webtombol radio kemudian, masukkan URL yang relevan (misalnya http: //www.avolutionperangkat lunak.com /)di lapangan untuk link ke halaman web. URL yang valid harus mulai dengan salah satu 5string; http: //, https: //, ftp: //, mengajukan: atau \\. Spasi harus dimasukkan dengan '% 20'.

- atau -

6. Pilih Berkas mutlak | Relatif Berkas tombol radios,kemudian klik pada 'yang...'Tombol untuk menelisik file eksternal untuk link ke diagram Anda.

7. Klik okedan link baru akan ditampilkan di jendela Links. Catatan: Jendela Link dapat diubah ukurannya untuk melihat nama lengkap jika diperlukan.

8. Ulangi langkah-langkah 5-7untuk menciptakan lebih banyak link.

9. Untuk mengikuti link dibuat, pilih link yang relevan ditampilkan dalam Linkjendela dan klik Buka tautan.

Catatan

Kapan beberapa penjelasan yang sedang ditampilkan untuk bentuk atau konektor link ditampilkan pada penjelasan pertama di daftar penjelasan di dialog Edit Penjelasan.

Untuk mengikuti link dari diagram Anda

1. Pastikan bahwa Anda memiliki yang ada diagram terbuka .

2. Pilih bentuk yang relevan atau konektor dari diagram Anda.

3. Klikpada hyperlink yang relevan (biru digarisbawahi nama komponen) pada bentuk atau konektor dalam diagram untuk membuka dan melihat link pertama dari bentukatau konektor.Catatan: Kursor harus berubah menjadi 'tangan' ketika link siap untuk diklik.

- atau -

3. Pilih bentuk yang relevan atau konektor dari diagram Anda.

4. Klik kananpada bentukatau konektor.

5. Memilih Link terbukadan Linkwindow muncul.

6. Pilih link yang relevan yang Anda ingin melihat.

7. Klik pada Buka tautantombol untuk membuka dan melihat link yang relevan.

Untuk menghapus link dalam diagram Anda

1. Pastikan bahwa Anda memiliki yang ada diagram terbuka .

2. Pilih bentuk yang relevanatau konektordari diagram Anda.

3. Klik kananpada bentukatau konektor.

4. Memilih Link terbukadan Linkwindow muncul.

5. Pilih link yang relevan yang perlu dihapus.

6. Klik pada Hapus tombol. dan link akan dihapus dari Link jendela.

Link Organising dalam diagram Anda

Anda dapat memilih yang menghubungkan diagram, file eksternal, atau URL web ditampilkan saat label bentuknya Ctrl + klik pada diagram.

1. Pastikan bahwa Anda memiliki yang ada diagram terbuka .

2. Pilih bentuk yang relevan atau konektor dari diagram Anda.

3. Klik kananpada bentukatau konektor.

4. Memilih Link terbukadan Linkwindow muncul.

5. Untuk mengubah urutan link klik pada Move Up | Move Downtombol di sisi kanan Link jendela.

6. Link pertama yang muncul di sisi kiri Linkjendela adalah link yang menampilkan ketika Anda Ctrl + Klikbentuk hyperlink atau konektor nama.

Lihat juga

Mengisi arsitektur anda | Mengisi arsitektur anda secara manual | Menganalisis arsitektur anda


Memanipulasi Diagram

Navigasi: Mengisi arsitektur anda> Menggunakan Gambar>

Memanipulasi Diagram

Kirim komentar tentang topik ini.

Setelah diagram yang telah dibuat, unsur-unsur yang muncul di dalamnya dapat diatur kembali dan re-ukuran yang diinginkan.

Untuk memindahkan komponen dalam diagram

1. Pastikan bahwa Anda memiliki yang ada diagram terbuka .

2. Klik-dan-tahankomponen apapun untuk memindahkannya. Jika komponen yang dipilih memiliki orang tua, komponen orangtua akan disorot.

3. Sebagai elemen adalahmenyeret dari komponen induknya, dan lebih komponen lainnya, 'potensi' orang tua akan menjadi disorot. Skema warna yang digunakan menunjukkan efek operasi akan memiliki pada peringatan dan kesalahan dengan proyek saat ini dan dijelaskan dalam Mendefinisikan dan Memvalidasi Kendala . Dengan cara ini, Anda dapat menavigasi grafis hirarki dari rencana view '.

4. Melepaskantombol mouse untuk menjatuhkan elemen di lokasi baru.

Catatan

Anda juga dapat menggunakan keyboard untuk kembali posisi elemen pada kanvas gambar. Cukup pilih komponen atau bentuk bebas bentuk yang Anda inginkan untuk bergerak dan menggunakan tombol panah terletak pada keyboard untuk memindahkan bentuk ke tempat yang diinginkan.

Juga mencatat bahwa ketika menyeret komponen dengan mouse Anda komponen lain, 'potensi' komponen orangtua disorot ketika sudut kiri atas komponen Anda menyeret tumpang tindih komponen lain.

Tip

Bebas dari dan Mengambang bentuk dapat dipesan oleh mengklik kanandan memilih Bawa ke depan atau Kirim ke Kembalidari menu. Hal ini penting untuk dicatat bahwa bentuk komponen dapat dikonversi ke bentuk bentuk yang unik dengan mengklik kananpada bentuk komponen tertentu dan memilih Mengkonversi ke bentuk yang unik.

Untuk mengubah ukuran komponen dalam diagram

1. Pastikan bahwa Anda memiliki yang ada diagram terbuka .

2. Klik-tahan-tariksalah menangani komponen dan mengubah ukuran bentuk dengan ukuran yang diinginkan.

3. Atau untuk mempertahankan rasio aspek bentuk ini, tekan Shift + Klik-tahan-tarik.

Untuk memindahkan koneksi dalam sebuah diagram

1. Pastikan bahwa Anda memiliki yang ada diagram terbuka .

2. Klik-dan-tahankoneksi apapun untuk memindahkannya.

3. Melepaskantombol mouse untuk menjatuhkan elemen di lokasi baru.

Catatan

Anda hanya dapat memindahkan koneksi yang tidak terikat pada komponen. Jika mereka terpasang, Anda hanya dapat memindahkan ujung bebass, atau re-route koneksi .

Menghapus Komponen dan Koneksi

Ketika menghapus komponen atau sambungan dari diagram, Anda memiliki pilihan untuk menghapusnya dari seluruh arsitektur. Komponen yang dihapus dari arsitektur akan secara otomatis dihapus dari diagram lain di mana ia muncul. Sejak kasus bentuk yang unik hanya muncul dalam satu diagram, menghapus mereka tidak mempengaruhi model arsitektur atau diagram lainnya.

Untuk menghapus komponen atau sambungan dari diagram

1. Pastikan bahwa Anda memiliki yang ada diagram terbuka .

2. Klikpada setiap koneksi yang terkait atau komponen untuk memilihnya.

3. tekan HapusKunci untuk menghapusnya dari diagram, atau Shift + Deleteuntuk menghapusnya dari seluruh model.

- atau -

2. Klik kanan pada setiap elemen terkait atau komponen. Sebuah menu konteks akan muncul.

3. Memilih Hapus dari View atau Hapus dari Arsitekturdari menu konteks.

Catatan

Jika elemen yang ingin Anda hapus dari pandangan tersebut tidak memiliki anak dan hanya terjadi pada pandangan bahwa, ABACUS akan menanyakan apakah Anda ingin menghapus elemen dari repositori juga.

Peringatan

Ketika menghapus komponen dari model yang memiliki komponen anak, anak-anak juga akan berpotensi dihapus sesuai dengan dialog peringatan.

Penggabungan Komponen

Anda mungkin ingin menggabungkan dua komponen yang ada pada diagram yang sama (dan dalam arsitektur). Hal ini dapat dilakukan karena berbagai alasan, sebagai contoh, Dua server ada dalam perusahaan dengan infrastruktur H01 dan H02. Kedua server direpresentasikan sebagai dua komponen terpisah dalam arsitektur. H01 telah dianggap tidak perlu dan dengan demikian harus dihentikan. Semua aplikasi yang ada berjalan pada H01 harus bergeser ke H02 (masih dalam komisi). Perubahan ini kemudian dapat tercermin aksi "penggabungan" dua komponen H01 dan H02 pada diagram (dan dalam arsitektur).

Untuk pembahasan rinci tentang penggabungan silakan merujuk ke topik Item Penggabungan sini .

Untuk menggabungkan dua komponen yang ada

1. Pastikan bahwa Anda memiliki yang ada diagram terbuka .

2. Klik kanan-tahanpada komponen yang Anda ingin menggabungkan dan menyeretitu ke komponen yang Anda ingin bergabung dengan. Pastikan garis besar komponen tujuan disorot merah untuk menunjukkan bahwa ia dipilih.

3. Memilih Gabung | Pertahankan tujuan atau Timpa tujuandari menu.

Catatan

Itu Pertahankan tujuanPilihan mempertahankan nilai-nilai dari properti tujuan komponen jika mereka ada pada komponen berasal juga.

Itu Timpa tujuanPilihan menimpa sifat tujuan komponen dengan sifat umum dari komponen berasal.

Mengubah Koneksi

Koneksi ditampilkan dalam sebuah diagram selalumencerminkan struktur sebagaimana didefinisikan dalam arsitektur itu sendiri. Drawing Tool yang memungkinkan Anda untuk melepaskan koneksi dari komponen, memindahkan mereka, kurva mereka, re-rute mereka dan re-melampirkan mereka untuk komponen lain.

Untuk melepaskan / melampirkan koneksi dari / ke komponen

1. Pastikan bahwa Anda memiliki yang ada diagram terbuka .

2. Klik-dan-tahanpada koneksi apapun.

3. Memilih koneksi akhir (yaitu. Sumber atau Sink) Yang Anda ingin melepaskan / melampirkan. Catatan: ujung sambungan ditandai dengan lingkaran putih kecil dan melayang di atas lingkaran putih untuk kedua akan menyebabkan 'tooltip' tampil dengan masing-masing peran nama(yaitu baik Sumber atau Sink).

4. Menyeretkoneksi end ke lokasi baru (baik tempat kosong atau komponen) dan lepaskan tombol mouse.

Catatan

Ketika akhir koneksi ditempatkan di atas komponen yang valid, garis besar komponen tujuan disorot dengan garis putus-putus. Skema warna yang digunakan menunjukkan efek operasi akan memiliki pada peringatan dan kesalahan dengan proyek saat ini dan dijelaskan dalam Mendefinisikan dan Memvalidasi Kendala . Setelah dirilis bahwa akhir the koneksi dan komponen terhubung secara otomatis(atau melekat), Dan ini tercermin dalam model arsitektur.

Untuk kembali rute sambungan

1. Pastikan bahwa Anda memiliki yang ada diagram terbuka .

2. Posisikan pointer mouse di atas sambungan.

3. Pegang Bergeserbawah kunci dan Kliktombol mouse untuk menempatkan titik koneksi anchor. Lepaskan Bergeser kunci. Anda dapat menghapus anchor point dengan melakukan operasi yang sama.

4. Klik-dan-tariktitik anchor untuk kembali rute sambungan.

Tip

MenggunakanAlt kunci bukan BergeserKunci untuk membuat koneksi orthogonal.

Untuk kurva atau meluruskansambungan

1. Pastikan bahwa Anda memiliki yang ada diagram terbuka .

2. Posisikan pointer mouse di atas sambungan.

3. Klik kanantia koneksi dan dalam menu konteks yang muncul pilih Melengkung, Orthogonal atau Lurus.

Tip

Semua koneksidari jenis tertentu pada diagram dapat diatur untuk melengkung, Orthogonal atau Lurus dengan mengklik kanan garis terkait untuk jenis pada Tab Connections dari Window stensildan memilih Curve, Orthogonal atau Lurus.

Untuk jangkar ke titik tertentu di tepi bentuk

1. Pastikan bahwa Anda memiliki yang ada diagram terbuka .

2. Pilih sambungan.

3. Posisikan pointer mouse 'titik putih' pada akhir koneksi.

4. Klik kanantia end koneksi dan dalam menu konteks yang muncul pilih Jangkar Endpoint ke Shape.Pindahkan ujung sambungan ke lokasi keinginan di tepi bentuk.

ATAU

Pegang Ctrlbawah kunci dan cmenjilat-dan-tarik itu end koneksi arahkan ke lokasi keinginan di tepi bentuk.

Catatan

Koneksi akan snap ke mencegat sebenarnya bentuknya terhubung bukannya kotak berlari bentuk itu.

Lihat juga

Menggambar Alat | Mengisi arsitektur anda | Menganalisis arsitektur anda


Penggabungan item

Navigasi: Mengisi arsitektur anda> Mengisi manual> Pilihan tambahan>

Penggabungan item

Kirim komentar tentang topik ini.

Kapan Anda menggabungkan item?

Anda akan menggabungkan item ketika Anda memiliki dua (atau lebih) objek dalam model Anda yang terbaik diwakili oleh satu contoh. Ada banyak situasi ketika Anda mungkin ingin melakukan hal ini, termasuk:

· Sebagai hasil dari mengimpor satu set baru informasi ke dalam model Anda yang dapat menduplikasi atau menggantikan informasi yang ada. Misalnya jika Anda mengimpor versi terbaru dari spreadsheet ke dalam model Anda.

· Seiring waktu duplikat dari komponen 'yang sama' telah dibuat dan Anda ingin membersihkan duplikat tersebut.

· Jika Anda melakukan apa-jika skenario dan item Anda pemodelan sebenarnya penggabungan dalam kenyataan. Misalnya, jika Anda menggabungkan dua departemen dalam organisasi Anda, atau jika Anda menggabungkan dua server.

Apa yang dapat digabungkan?

Berikut jenis item mendukung yang bergabung:

· Standar

· Komponen dan Connection Jenis

· Komponen dan Koneksi

Bagaimana untuk menggabungkan item

Untuk memulai gabungan, dengan menggunakan tombol kanan mouse, tarik salah satu item dalam explorer ke lain. Item yang Anda menyeret adalah sumber, dan item yang Anda tarik ke adalah tujuan. Setelah melepaskan tombol mouse sebelah kanan Anda akan disajikan dengan menu dari mana Anda dapat memilih untuk Menggabungkan dua item. Anda harus memilih apakah Anda ingin mempertahankan atau menimpa tujuan. Hal ini dijelaskan lebih lanjut di bawah ini.

Penggabungan menu kanan-tarik

Apa perbedaan antara melestarikan dan Timpa tujuan?

Melestarikan atau menimpa opsi mendikte apa yang terjadi jika Nama, Deskripsi atau Properti antara sumber dan tujuan barang pertandingan.

Jika Pertahankan tujuan yang dipilih

· Nama tujuan dan Deskripsi akan disimpan.

· Apa Properti yang hanya ada di sumber ditambahkan ke tujuan.

Jika Timpa tujuan yang dipilih:

· Nama tujuan akan ditimpa dari sumber.

· Tujuan Deskripsi akan ditimpa dari sumber, kecuali sumber Deskripsi kosong.

· Apa Properti yang hanya ada di sumber ditambahkan ke tujuan.

· Nilai dan Unit setiap Properti yang ada di kedua sumber dan tujuan akan ditimpa dari sumber, kecuali sumber itu Nilai atau Satuan kosong.

Kasus khusus

· Jenis: Ketika penggabungan jenis, izin digabung, dengan cara 'pesimis', sehingga jika izin pada sumber tidak ada di tujuan, itu akan ditambahkan, dan jika memang ada di tujuan, maka jika individu izin untuk kelompok pengguna (Buat, Baca, Update atau Delete) tidak cocok (satu diberikan, satu ditolak), maka izin yang akan ditolak.

· Komponen: Ketika penggabungan komponen, sub-komponen dari sumber yang bermigrasi ke tujuan, dan digabung dengan sub-komponen di tujuan jika nama mereka adalah identik, Terlepas dari jenis mereka.Selanjutnya, beberapa sub-komponen dari sumber dengan nama yang sama akan digabungkan menjadi sub-komponen dalam tujuan.

· Koneksi: Hubungan tingkat atas sendiri harus keduanya memiliki lampiran yang sama (atau ketiadaan) akan diizinkan untuk digabung. Ketika penggabungan koneksi, sub-koneksi dari sumber yang bermigrasi ke tujuan, dan digabung dengan sub-koneksi di tujuan jika nama mereka adalah identik DANlampiran mereka identik. Jika lampiran tidak identik, sub-koneksi sumber akan ditambahkan ke tujuan tanpa penggabungan dengan koneksi pencocokan sudah ada. Hal ini dimaksudkan agar tidak ada lampiran yang hilang.


Navigasi dalam Diagram 3D

Navigasi: Menganalisis arsitektur anda> diagram 3D>

Navigasi dalam Diagram 3D

Kirim komentar tentang topik ini.

ABACUS memungkinkan Anda untuk dengan mudah menavigasi melalui arsitektur anda dalam 3D. Pengalaman ini mirip dengan terbang. Ada dua mode navigasi:

· Modus Kontrol dasar (default); dan

· Canggih Mode Control - perubahan ke mode ini dengan memilih Kontrol| Canggih Mode Control.

Catatan

Untuk beralih antara Kontrol Dasar dan Lanjutan Kontrol Mode, Anda dapat menggunakan F4Keyboard fungsi shortcut.

Modus Kontrol dasar

· Memegang Tombol Kiri dan menggerakkan mouse maju atau mundur perubahan lapangan;

· Memegang Tombol Kiri dan menggerakkan mouse ke kiri atau kanan mengubah yaw;

· Memegang Tombol Kanan dan memindahkan panci tikus pandangan;

· Memegang kedua tombol bawah dan menggerakkan mouse maju atau mundur, membesarkan dan keluar dari arsitektur; dan

· Memegang kedua tombol bawah dan menggerakkan mouse ke kiri atau kanan, gulungan kiri dan kanan.

- atau -

· Menekan Panah Kiripada keyboard atau keypad numerik akan berbelok ke kiri;

· Menekan Arah kananpada keyboard atau keypad numerik akan berbelok ke kanan;

· Menekan Panahpada keyboard atau keypad numerik akan memperbesar;

· Menekan Panahpada keyboard atau keypad numerik akan zoom out;

· Mendesak Bagian ataspada keyboard atau keypad numerik akan pitch; dan

· Mendesak Halaman bawahpada keyboard atau keypad numerik akan melenggang ke bawah.

Canggih Mode Control

· Pindahmouse depan dan belakang, dan atas dan ke bawah, mengubah pitch dan yaw (masing-masing);

· Mendesak W atau Panahmemperbesar (forward) ke arsitektur;

· Mendesak S atau Panahmembesarkan (mundur) dari arsitektur;

· Mendesak A atau Panah Kirigulungan ke kiri;

· Mendesak D atau Arah kanangulungan ke kanan;

· Mendesak Q atau Halaman bawahmengangkat pandangan (dengan menurunkan perspektif); dan

· Mendesak E atau Bagian atasmenurunkan pandangan (dengan mengangkat perspektif).

Interaktif Mode Control

Menekan dan menahan tombol shiftpada keyboard menimpa mode aktif (Basic atau Advanced) untuk memasuki mode kontrol interaktif. Dalam mode ini berikut adalah mungkin:

· Gulungankursor mouse di atas komponen atau koneksi untuk melihat komponen atau nama koneksi ini;

· Klikpada komponen untuk memperbesar komponen itu;

· Klik-dan-tarikpada komponen untuk memutar pandangan sekitar komponen yang; dan

· Klik kanankomponen atau koneksi dan pilih Tampilkan Dalam Exploreruntuk melihat bahwa komponen atau lokasi koneksi di pohon.

Kontrol umum

· Menggunakan ALT-ENTER / ESCuntuk beralih modus layar penuh;

· Menggunakan F2untuk mengubah mode tampilan. Ini juga dapat diakses di Melihat Menu.

· Menggunakan roda mouse atau +/-untuk mengubah kecepatan. Kecepatan ditunjukkan oleh sejumlah di pojok kiri bawah - hanya ditampilkan ketika berubah. 1 adalah paling lambat dan 100 adalah tercepat.


Membuka Diagram

Navigasi: Mengisi arsitektur anda> Menggunakan Gambar>

Membuka Diagram

Kirim komentar tentang topik ini.

The menggambar stensil dan kanvas jendela muncul secara otomatis ketika sebuah diagram dibuka atau dibuat. Demikian pula, ketika diagram ditutup, lembar tab yang sesuai di jendela kanvas menghilang dan jika tidak ada gambar lebih terbuka maka jendela stensil ditutup.

Untuk membuatdiagram baru

1. Pastikan Anda memilikiABACUS file yang terbukamengandung Anda arsitektur penduduk.

2. Klik pada Diagramikon di toolbar View.

- atau -

2. Memilih Memasukkan| Diagram.

- atau -

2. Klik kanan itu Diagramcabang diberikan ArsitekturBagian dari pohon dan pilih Membuat Diagram.

3. Pilih ArsitekturAnda ingin fokus pada dari menu pull-down. Catatan: arsitektur sudah akan dipilih untuk Anda jika Anda menggunakan Langkah 3 di atas untuk membuka diagram baru.

4. Pilih Sudut pandang Anda ingin menggunakan dari menu pull-down. Catatan: sudut pandang yang dipilih akan menyaring komponen dan daftar koneksi hanya menjadi orang-orang yang tersedia di sudut pandang.

5. Opsional pilih tampilan dari Filter Dengan Viewmenu pull-down untuk mengadakan pemilihan komponen dan koneksi dari tampilan yang dipilih. Catatan: ini secara efektif menggunakan tampilan terpilih sebagai query disimpan.

6. Pilih Mengeluarkan untuk menjadi baik Radial atau Kisi.

7. Pilih Komponen dan Koneksiyang Anda inginkan dalam diagram dari Unsur standar pemilihan window .

8. Klik oke.

Catatan

Sebuah diagram baru akan ditambahkan ke Diagramcabang arsitektur. Ini akan memiliki nama default, yang dapat Anda ubah kemudian dengan mengklik kanan di atasnya.Selanjutnya, negara terakhir dari komponen dan pemilihan koneksi filter akan disimpan dengan diagram secara efektif menyelamatkan 'permintaan' yang digunakan untuk membuat diagram.

Untuk membuka Diagram yang ada

1. Dalam arsitektur penduduk tertentu, memperluas Diagramcabang pohon.

2. Klik dua kali diagram Anda ingin membuka.

Untuk menyimpan diagram

1. Pastikan bahwa Anda memiliki diagram baru atau yang sudah ada Bukadan Anda telah membuat perubahan yang diperlukan. Catatan: tanda '*' akan ditampilkan setelah nama tampilan di header lembar tab jika ada perubahan untuk diselamatkan.

2. Pada tampilan explorer klik pada Menyimpantombol atau harus Mengajukan| Menyimpanatau menekan Ctrl + Suntuk menyimpan semua perubahan dalam arsitektur dan menulis ke file.

Untuk menyimpan diagram sebagai sudut pandang

1. Pastikan bahwa Anda memiliki diagram yang ada dalam file ABACUS Anda.

2. Klik kanandiagram di Diagrambagian dari pohon.

3. Memilih Save As Viewpoint diagram.

4. Masukkan nama untuk Anda yang baru sudut pandang diagramdan klik oke.

Lihat juga

Menggambar Alat | Mengisi arsitektur anda | Menganalisis arsitektur anda


Mengisi menggunakan Katalog

Navigasi: Mengisi arsitektur anda>

Mengisi menggunakan Katalog

Kirim komentar tentang topik ini.

A katalog memungkinkan Anda untuk melihat dan mengedit komponen atau koneksi dan sifat mereka dengan cara tabular sederhana.

Untuk membuat katalog baru melihat di ABACUS

Catatan

Sementara semua pengguna Arsitek dapat membuat Katalog baru, untuk menyimpan perubahan setting sebuah katalog yang sudah ada yang lisensi pengguna membutuhkan Designer add-on kemampuan. Hal ini untuk 'melindungi' konfigurasi Katalog ada yang dapat digunakan bersama oleh banyak pengguna. Namun, Arsitek menggunakan tanpa Designer add-on masih dapat memilih untuk 'Save As' pengaturan baru untuk katalog baru. Dan tentu saja semua lisensi pengguna dapat memilih untuk 'Buang' perubahan ke katalog yang ada. Silahkan hubungi Administrator ABACUS setempat atau Dukungan Avolution jika Anda memerlukan Designer add-on kemampuan. Dan ingat, ini hanya pengaturan katalog, semua suntingan dibuat untuk data dalam katalog yang akan segera diterapkan ke repositori, terlepas.

1. Pilih Insert | Katalog.

2. Dalam pull-down pilih Arsitektur yang berisi komponen ataukoneksi Anda ingin melihat.

3. Dalam pull-down pilih komponen atau jenis sambungan Anda ingin memiliki contoh terdaftar sebagai 'baris' dalam katalog.

4. Itu katalog akan diisi denganbaris untuk setiap contoh dari komponen atau koneksi jenis yang dipilih.

Catatan

Secara default kiri-paling Hirarki jalanKolom (yaitu hirarki komponen orang tua atau koneksi atas kasus yang dipilih) dan ke-2 Nama Kolom (yaitu daftar contoh komponen atau sambungan yang dipilih) dibekukan di sebelah kiri katalog. Untuk mengubah kolom pembekuan menyeret pemisah kolom di sebelah kanan kolom Nama. Kamu bisa re-orderkolom hanya dengan menyeret dan menjatuhkan judul kolom mereka. Sel dari kolom dengan garis bawah biru hyperlink untuk unsur-unsur lain dalam proyek dan hyperlink dapat diikuti dengan menekan Ctrl dan mengklik link. Kolom dapat tersembunyi dengan mengklik kanan kolom pos dan memilih Kolom | Sembunyikan Kolom. Kolom tersembunyi dapat unhidden dengan mengklik Configure tombol Kolom toolbar dan menggunakan Kolom Configure dialog seperti gambar di bawah, atau dengan memilih panah bagian bawah dari Configure tombol Kolom toolbar dan individual memilih kolom tersembunyi (s) baik dari General, Properti atau Lampiran koleksi. Baris dapat dikelompokkan oleh nilai-nilai kolom mereka dengan menyeret kolom pos ke biru pengelompokan bar di bagian atas katalog. Setiap saat Anda dapat klik dua kali pada pemilih katalog baris dan Berpindah kekomponen yang sesuaiatau koneksidi jendela Explorer.Nilai sel properti yang tebal di mana mereka berbeda ke default, dan dicetak miring di mana mereka hanya-baca. Timestamp, Properti dan Terlampir kolom Komponen mungkin berwarna menurut nilai-nilai sel atau nilai properti komponen terpasang oleh mengklik kanan judul kolom dan memilih Kolom | Perubahan Warna ... dan kemudian Warna oleh Timestamp atau pilihan Warna Oleh Properti, bagaimanapun, hanya Daftar, Integer, Desimal, Boolean atau Tanggal / Waktu tipe data properti akan mewarnai. Nilai properti untuk kolom Komponen Terlampir mungkin ditampilkan dengan mengklik kanan kolom pos dan memilih Kolom | Tampilkan Property ... dan kemudian pilihan Show Properti. Dan akhirnya, di mana ada Kendala yang dibutuhkan ditetapkan untuk kolom properti ini dapat ditampilkan dengan String (bersama-sama dengan mewarnai sesuai dengan tingkat penegakannya) dengan mengklik kanan kolom pos dan memilih Kolom | Tampilkan .

Katalog

Untuk menambahkan / show kolom untuk a Katalog lihat di ABACUS

1. Pastikan bahwa Anda memiliki Lihat katalog Buka.

2. Kolom tersembunyi dapat secara individual unhidden dengan mengklik panah di sebelah kanan Konfigurasi Kolom tombol toolbardan memilih kolom yang tersembunyi baik dari Umum, Properti atau Lampiran koleksi.

Catatan

Tanda centang akan ditampilkan di samping kolom saat ditampilkan untuk katalog.Selain itu, hanya lampiran tertentu akan tersedia di bawah Lampiran bagian sesuai dengan kendala yang didefinisikan dalam proyek Anda. Secara khusus, untuk lampiran akan tersedia untuk ditampilkan di katalog komponen jenis komponen untuk katalog harus ditetapkan sebagai baik sumber atau tenggelam (BUKAN 'Apa') dari "koneksi harus dilampirkan" kendala untuk sambungan jenis, dan ada juga harus ada setidaknya satu jenis komponen yang ditetapkan baik sebagai sumber atau tenggelam (BUKAN 'Apa') yang lain 'akhir' dari jenis koneksi yang sama.

- ATAU -

2. Beberapa kolom dapat unhidden (atau memerintahkan atau tetap) dengan mengklik Konfigurasi Kolom tombol toolbardan menggunakan Kolom Configure dialog yang ditampilkan di bawah ini.

Catatan

Kolom sedang ditampilkan akan ditampilkan pada panel di sebelah kanan dengan kolom yang tersedia ditampilkan pada panel di sebelah kiri. Kolom yang tersedia dapat disaring sesuai dengan Pilih Tersedia Kolom Daripull-down dan mereka dapat ditambahkan dengan memilih mereka dalam panel di sebelah kiri dan mengklik Menambahkan tombol peralihan dua panel.

Konfigurasi dialog Kolom

Untuk menghapus / menyembunyikan kolom dari Katalog lihat di ABACUS

1. Pastikan bahwa Anda memiliki Lihat katalog Buka.

2. Klik kanan header kolom untuk kolom yang ingin Anda hapus / petak pilih Kolom | Sembunyikan Kolom.

- ATAU -

2. Beberapa kolom dapat disembunyikan (atau memerintahkan atau tetap) dengan mengklik Konfigurasi Kolom tombol toolbardan menggunakan Kolom Configure dialog yang ditunjukkan di atas.

Catatan

Kolom sedang ditampilkan akan ditampilkan pada panel di sebelah kanan dengan kolom yang tersedia ditampilkan pada panel di sebelah kiri. Kolom sedang ditampilkan mungkin tersembunyi dengan memilih kolom di panel di sebelah kanan dan mengklik Menghapus tombol peralihan dua panel.

Untuk mengisi menggunakan Katalog lihat di ABACUS

1. Untuk tambah sebuah komponen atau koneksidari jenis yang dipilih untuk itu Katalog (dan proyek) klik Add New Komponen / tombol Add Connection toolbar baru. Baris harus muncul dan komponen atau koneksi akan dibuat di tingkat atas Komponen atau Koleksi koneksi untuk Arsitektur yang dipilih.

Catatan

Komponen baru dan koneksi ditambahkan secara default di tingkat atas Komponen atau Koneksi koleksi Arsitektur yang dipilih. Untuk mengubah induk dari komponen baru atau koneksi klik kanan sel Jalan Hierarchy untuk komponen atau sambungan baru baris dan pilih Perubahan Induk ...dan memilih induk yang diinginkan (mengambil catatan dari penyorotan kendala ).

Catatan

Baris baru / elemen ditambahkan langsung ke katalog melalui 'Add New' tombol, disisipkan ke katalog, atau dibuat melalui mengimpor ke dalam katalog dari MS Excel dibebaskan dari penyaringan sampai katalog ditutup. Ini adalah untuk memungkinkan setiap pengeditan yang diperlukan dari nilai kolom yang mungkin tidak memenuhi kriteria filtering saat katalog. Ini baris elemen baru yang ditandai dengan '+' simbol dalam sel baris pemilih pada awal baris, yang berwarna hijau jika elemen saat ini memenuhi kriteria penyaringan disimpan katalog (yaitu akan tetap pada katalog jika dibuka kembali), dan merah jika tidak.

2. Untuk menghapus komponen atau koneksidari jenis yang dipilih dari itu Katalog (dan proyek) pilih baris dan baik tekan tombol Del atau klik kanan baris pemilih dan pilih Hapus dari Arsitektur. Itu baris harus menghilang dari katalog dan itu akan dihapus dari proyek tersebut.

Untuk menyaring menggunakan Katalog lihat di ABACUS

1. Pastikan bahwa Anda memiliki Lihat katalog Buka.

2. Jika baris filter tidak menunjukkan di bagian atas katalog kemudian klik pada Tampilkan Filter header Rowtombol toolbar.

3. Dalam kolom Anda ingin menambahkan filter, klik ganda sel penyaring baris di mana itu menunjukkan '(Semua)'.

4. Untuk Timestamp, Hierarchy Path, Nama atau Deskripsikolom umum atau Teks, Integer, Decimal, Boolean atau Tanggal Waktukolom properti klik ... tombol yang muncul di sebelah kanan sel baris filter dan masukkan nilai sel yang harus dimasukkan dalam katalog.

Catatan

Pencocokan dilakukan seolah-olah '*' wildcard diterapkan secara otomatis sebelum dan setelah setiap nilai string sehingga entri dari 'kucing' (tanpa tanda kutip) akan mencakup baris dengan 'bobkucing','kucingWanita 'atau' applikucingion 'dll Beberapa /' atau 'nilai-nilai dapat dimasukkan pada baris baru menggunakan Ctrl + Enter. Untuk Integer dan kolom properti Decimal 'dan' logika dapat dimasukkan menggunakan '&'(Tanpa tanda kutip) dan lebih besar dari / kurang dari logika dll dapat dimasukkan menggunakan'> =','>','<' dan '<='(Tanpa tanda kutip) misalnya '> = 50000 & <90000'. Non-kosong baris dihargai dapat dimasukkan dengan memasukkan '(Non-Kosong)'(Tanpa tanda kutip) dan baris dihargai Kosong dapat dimasukkan dengan memasukkan'(Kosong)'(Tanpa tanda kutip).Dan akhirnya, semua filter yang oleh kasus default tidak sensitif sehingga 'kucing' (tanpa tanda kutip) akan mencakup baris dengan 'kucing', 'Cat' atau 'CAT' dll Untuk kasus pencocokan sensitif, masukkan '(Kasus)'(Tanpa tanda kutip) sebelum string misalnya '(Kasus) Cat' (tanpa tanda kutip) hanya akan mencakup baris dengan 'Cat' di dalamnya.

5. Untuk Lampirankolom, Standar kolom atau Daftar kolom properti klik tombol panah bawah yang muncul di sebelah kanan sel baris filter dan pilih nilai sel dari kotak centang yang harus disertakan dalam katalog.

Catatan

The '(Pilih Semua)' kotak centang akan memungkinkan semua kotak centang lainnya, berlaku termasuk semua baris yang tersedia. The '(Non-Kosong)' kotak centang akan mencakup non-kosong baris dihargai. The '(Kosong)' kotak centang akan mencakup kosong senilai baris. Dan akhirnya, centang setiap kotak centang tertentu dihargai secara otomatis akan hapuskan yang '(Pilih Semua)' dan '(Non-Kosong)' kotak centang untuk konsistensi.

6. Klik oke untuk menerapkan filter.

Untuk menonaktifkan / mengaktifkan penyaringan di a Katalog lihat di ABACUS

1. Pastikan bahwa Anda memiliki Lihat katalog Buka dengan menyaring terapan.

2. Klik kotak centang di sebelah kiri baris filter.

Untuk menghapus filter dari a Katalog lihat di ABACUS

1. Pastikan bahwa Anda memiliki Lihat katalog Buka dengan menyaring terapan.

2. Untuk menghapus kolom penyaring individu-klik kanan header kolom dan pilih Kolom | Jelas Penyaringan.

3. Untuk menghapus semua filter klik Pilihan tombol toolbar dan pilih Jelas Filter Settings.

Untuk menyimpan / Simpan sebagai aLihat katalog

Catatan

Sementara semua pengguna Arsitek dapat membuat Katalog baru, untuk menyimpan perubahan setting sebuah katalog yang sudah ada yang lisensi pengguna membutuhkan Designer add-on kemampuan. Hal ini untuk 'melindungi' konfigurasi Katalog ada yang dapat digunakan bersama oleh banyak pengguna. Namun, Arsitek menggunakan tanpa Designer add-on masih dapat memilih untuk 'Save As' pengaturan baru untuk katalog baru. Dan tentu saja semua lisensi pengguna dapat memilih untuk 'Buang' perubahan ke katalog yang ada. Silahkan hubungi Administrator ABACUS setempat atau Dukungan Avolution jika Anda memerlukan Designer add-on kemampuan.Dan ingat, ini hanya pengaturan katalog, semua suntingan dibuat untuk data dalam katalog yang akan segera diterapkan ke repositori, terlepas.

1. Pastikan bahwa Anda memiliki baru atau ada pandangan katalog Bukadan Anda telah membuat perubahan yang diperlukan.

2. Dalam Lihat katalogklik toolbar pada Menyimpantombol untuk menyimpan Lihat katalog dan perubahan format.

Catatan

Jika Anda tidak memiliki tombol Save pada tampilan katalog toolbar maka Anda tidak memiliki Designer add-on dan Anda hanya dapat Save Aspengaturan perubahan untuk katalog baru ketika Anda pergi untuk menutup katalog yang ada.

3. Jika itu Katalog Namadialog muncul (karena menjadi katalog baru) masukkan nama untuk katalog dan tekan oke.

Untuk ekspor ke katalog MS Excel

1. Pastikan bahwa Anda memiliki Lihat katalog Buka.

2. Klik Ekspor ke spreadsheet Excel katalogtombol toolbar.

3. Pilih nama file untuk menyimpan katalog MS Excel sebagai. Klik Menyimpan.

Catatan

Secara default nama file katalog MS Excel yang diekspor itu akan menjadi nama katalog bersufiks dengan nama Arsitektur dalam kurung, misalnya 'Proyek (2014 Aktual) Xlsx'. Anda dapat mengubah semua ini, termasuk apakah format file adalah menjadi .xlsx atau .xls. Nama Arsitektur disertakan untuk mengingatkan pengguna bahwa setiap katalog memiliki konten yang spesifik (yaitu ID di kolom A dan baris 1) untuk memungkinkan untuk menjadi bulat-tersandung kembali menggunakan Impor dari katalog MS Excel sesuai di bawah ini.

Catatan

Secara default Kolom tersembunyi dalam katalog MS Excel yang diekspor berisi ID unik untuk masing-masing elemen dalam repositori ABACUS. Hal ini memungkinkan setiap perubahan yang dibuat dalam MS Excel untuk 'dicocokkan' untuk unsur-unsur yang ada dalam ABACUS impor (lihat di bawah). Namun, penggunaan ID unik ini untuk 'menyesuaikan' baris dapat diganti dengan Eksternal | IDproperti pada elemen. Artinya, jika elemen memiliki Eksternal | ID properti dan itu termasuk dalam katalog pada ekspor maka nilai dari Eksternal | ID kolom akan digunakan untuk menyesuaikan baris impor (lihat di bawah) dan nilai-nilai ID yang unik dalam tersembunyi kolom A akan diabaikan (dan bahkan bisa menjadi kosong). Tersembunyi Kolom A itu sendiri harus tetap, bagaimanapun, khususnya nilai dalam sel A1. Selanjutnya, ketika menambahkan ID eksternal untuk koleksi elemen ABACUS yang ada kami sarankan menambahkan mereka sebagai properti yang berbeda pertama, misalnya Eksternal | Temp dan kemudian mengubah nama properti untuk Eksternal | ID. Jika tidak duplikat elemen akan ditambahkan.

Format katalogdiekspor secara default, namun, untuk katalog besar ini dapat mengakibatkan ekspor yang cukup lambat. Dengan demikian, di Tools | Pilihan ...kemudian pada itu Katalogtab,Anda dapat mengurangi jumlah format yang diekspor seperti yang ditunjukkan pada tab katalog di bawah, sehingga mempercepat ekspor.

Ekspor katalog Pilihan

4. Sebuah dialog Ekspor Selesai ditampilkan. Klik oke.

Diekspor ke katalog MS Excel

Untuk impor dari katalog MS Excel

Catatan

Secara default Kolom tersembunyi dalam katalog MS Excel yang diekspor (lihat di atas) berisi ID unik untuk masing-masing elemen dalam repositori ABACUS. Hal ini memungkinkan setiap perubahan yang dibuat dalam MS Excel untuk 'dicocokkan' untuk unsur-unsur yang ada dalam ABACUS pada impor. Namun, penggunaan ID unik ini untuk 'menyesuaikan' baris dapat diganti dengan Eksternal | IDproperti pada elemen. Artinya, jika elemen memiliki Eksternal | ID properti dan itu termasuk dalam katalog pada ekspor (lihat di atas) maka nilai dari Eksternal | ID kolom akan digunakan untuk menyesuaikan baris pada impor dan nilai-nilai ID yang unik dalam tersembunyi kolom A akan diabaikan (dan bahkan bisa menjadi kosong). Tersembunyi Kolom A itu sendiri harus tetap, bagaimanapun, khususnya nilai dalam sel A1. Selanjutnya, ketika menambahkan ID eksternal untuk koleksi elemen ABACUS yang ada kami sarankan menambahkan mereka sebagai properti yang berbeda pertama, misalnya Eksternal | Temp dan kemudian mengubah nama properti untuk Eksternal | ID. Jika tidak duplikat elemen akan ditambahkan.

1. Pastikan bahwa Anda memiliki Lihat katalog Buka.

2. Klik Impor dari spreadsheet Excel katalogtombol toolbar.

3. Pilih nama file untuk mengimpor katalog MS Excel dari. Klik Buka.

4. Kesalahan Baru Terdeteksi dan / atau Kesalahan baru / Peringatan Terdeteksi dialog mungkin muncul untuk setiap konten yang baru (yaitu baris dalam MS Excel) yang ditambahkan. Mencatat kesalahan / peringatan dan klik oke.

5. Sebuah dialog Import Selesai ditampilkan dan mungkin menunjukkan peringatan karena impor (lihat catatan di bawah). Klik oke.

Catatan

Untuk kolom Komponen yang ditugaskan Standar atau terpasang, entri baru melalui katalog MS Excel harus sama persis dengan nama dari Standard ada atau Komponen dari jenis yang tepat untuk tugas atau koneksi yang akan ditambahkan. Bernama Pertandingan pertama akan digunakan dan setiap entri yang tak tertandingi akan menghasilkan peringatan sesuai di bawah ini. Selanjutnya, sementara peringatan diberikan pada re-impor, elemen adalah tidak dihapusdari ABACUS jika mereka tidak hadir dalam katalog MS Excel. Hal ini karena tidak ada cara yang ABACUS dapat mengetahui apakah ditugaskan Standard atau melekat Komponen ada dalam proyek ABACUS tetapi tidak ada dalam katalog MS Excel karena telah dihapus dari katalog MS Excel atau telah ditambahkan ke ABACUS proyek sejak katalog diekspor. Dengan demikian, jika pengguna ingin mudah 'mendeteksi' yang koneksi telah ditambahkan selama proses impor mereka hanya dapat membuat properti yang diperlukan pada jenis koneksi dan mengatur itu default kosong sehingga mereka akan memperingatkan koneksi baru setiap kali impor selesai.

Catatan

Ketika mengimpor katalog MS Excel berbagai peringatan akan ditampilkan. Pertama, jika kolom baru ditambahkan ke Excel yang tidak sesuai dengan 'sintaks' untuk properti atau komponen yang melekat kolom akan diabaikan. Berikutnya, baris demi baris peringatan akan ditampilkan untuk setiap masalah dengan data pada setiap baris dari katalog Excel. Peringatan ini dimulai dengan nomor baris dalam tanda kurung persegi dan jika relevan label kolom (yaitu '[23, J] ...' untuk baris 23, kolom J) dan bisa merujuk ke item yang dihapus, Standar tertandingi atau nama Komponen terpasang (yang diabaikan sesuai catatan di atas) atau ID tidak valid atau kosong yang berkaitan dengan baris baru / elemen (yang akan ditambahkan). Untuk artikel rinci tentang mengisi ABACUS menggunakan katalog Excel, silakan rujuk ke Avolution Komunitas atau kursus pelatihan Portfolio Manager.

Catatan

Komponen baru dan koneksi ditambahkan secara default di tingkat atas Komponen atau Koneksi koleksi Arsitektur yang dipilih. Untuk mengubah induk dari komponen baru atau koneksi klik kanan sel Jalan Hierarchy untuk komponen atau sambungan baru baris dan pilih Perubahan Induk ...dan memilih induk yang diinginkan (mengambil catatan dari penyorotan kendala ).

Catatan

Elemen ditambahkan langsung ke katalog melalui 'Add New' tombol, disisipkan ke katalog, atau dibuat melalui mengimpor ke dalam katalog dari MS Excel dibebaskan dari penyaringan sampai katalog ditutup. Ini adalah untuk memungkinkan setiap pengeditan yang diperlukan dari nilai kolom yang mungkin tidak memenuhi kriteria filtering saat katalog. Ini baris elemen baru yang ditandai dengan '+' simbol dalam sel baris pemilih pada awal baris, yang berwarna hijau jika elemen saat ini memenuhi kriteria penyaringan disimpan katalog (yaitu akan tetap pada katalog jika dibuka kembali), dan merah jika tidak.

Untuk membandingkan isi katalog dengan arsitektur lain

1. Silakan lihat topik sini .

Lihat juga

Mengisi arsitektur anda - Ikhtisar | Mengisi arsitektur anda secara manual | Mengisi arsitektur anda dari Visio | Mengisi arsitektur anda dari Excel


Mengisi menggunakan Matriks

Navigasi: Mengisi arsitektur anda>

Mengisi menggunakan Matriks

Kirim komentar tentang topik ini.

Matriks A memungkinkan Anda untuk melihat dan mengedit 'langsung' hubungan antara komponen dalam cara tabular sederhanadan juga melihat 'jalur tidak langsung' antara komponen sesuai dengan komponen menengah (dan koneksi).

Untuk membuat pandangan Matrix di ABACUS

Catatan

Sementara semua pengguna Arsitek dapat membuat Matriks untuk menyelamatkan mereka dan / atau pengaturan mereka yang lisensi pengguna membutuhkan Designer add-on kemampuan. Hal ini untuk 'melindungi' konfigurasi Matriks yang ada yang dapat digunakan bersama oleh banyak pengguna. Namun, Arsitek menggunakan tanpa Designer add-on masih dapat memilih untuk 'Save As' pengaturan baru untuk Matrix baru. Dan tentu saja semua lisensi pengguna dapat memilih untuk 'Buang' perubahan ke Matrix yang ada. Silahkan hubungi Administrator ABACUS setempat atau Dukungan Avolution jika Anda memerlukan kemampuan ini.

1. Pilih Insert | Matriks.

2. Dalam rchitecture>pull-down pilih Arsitektur yang berisi komponen dan koneksi Anda ingin melihat.

3. Dalam <SumberKetik>pull-down pilih jenis komponen yang Anda ingin memiliki contoh terdaftar sebagai 'baris' bawah kiridari matriks.

4. Dalam <WastafelKetik>pull-down pilih jenis komponen yang Anda ingin memiliki contoh terdaftar sebagai 'kolom' di bagian atasdari matriks.

5. Dalam menurunkan pada dasarnya ada dua 'mode' dari matriks Anda dapat menentukan ...

Koneksi 'Direct' matriks

6. Cukup smemilih satu (1) atau lebih koneksi jenis di sisi kanan menu yang muncul jika Anda ingin melihat di 'sel' dari matriks jikaeksplisit nkoneksi ada dari Vertikal/ 'baris'Komponen matriks untuk Horisontal/ 'kolom'Komponen matriks.

Catatan

Hanya koneksi dengan sumber end melekat pada Vertikal/ 'baris'Komponen dan tenggelam akhir melekat pada Horisontal/ 'kolom'Komponen akan ditampilkan. Mengganti Sumber dan WastafelPilihan jenis komponen untuk melihat koneksi dalam arah yang berlawanan.

7. Matriks akan diisi dengan 'X' dalam sel (atau nilai properti - lihat catatan di bawah) jika ada koneksi dari Vertikal/ 'baris'komponen matriks untuk Horisontal/ 'kolom'Komponen matriks.

Catatan

Untuk matriks besar hanya maksimal 100 baris atau kolom (termasuk runtuh baris / kolom) akan ditampilkan pada waktu seperti yang ditunjukkan oleh 'R' dan 'C' indikator dalam sel sundulan top-kiri masing-masing. Untuk melihat baris tambahan menggunakan scroll bar. Setiap saat Anda dapat klik dua kali pada Vertikal/ 'baris' atau Horizontal / 'kolom' komponen judul dan Berpindah kekomponen sesuai pada jendela Explorer.Orang tua dari Vertikal/ 'baris' dan Horisontal/ 'kolom' komponens juga opsional ditampilkan sebagai pos baris / kolom dengan judul heading abu-abu. Ketika runtuh (dengan mengklik satu sel pos) jika lampiran anak ada maka 'X' akan pilih dapat ditampilkan jika semua anak-anak yang melekat atau 'O' akan pilih dapat ditampilkan jika hanya beberapa anak-anak yang terpasang. Sel-sel mungkin berwarna menurut nilai properti dari koneksi dengan mengklik Options 'gigi roda' di kanan atas toolbar matriks dan memilih Settings Warna ... dan kemudian tombol Edit dan memilih Warna oleh Timestamp atau Warna Dengan Properti pilihan dan memilih properti, kisaran nilai Min dan Max dan memilih warna, namun hanya Daftar, Integer, Desimal, Boolean atau Tanggal / Waktu tipe data properti akan mewarnai. Jika runtuh sel akan berwarna sesuai dengan nilai properti rata-rata koneksi. Bukan sebuah 'X', nilai properti untuk sel mungkin ditampilkan dengan mengklik Options 'gigi roda' di kanan atas toolbar matriks dan memilih Tampilkan Nilai Settings ... dan kemudian tombol Edit dan memilih opsi Tampilkan properti dan memilih properti.

Koneksi langsung matriks yang menunjukkan Server mana Aplikasi yang di-host dengan pewarna dan properti yang ditampilkan bukan generik 'X'

- ATAU -

Koneksi 'langsung' matriks

6. Smemilihurutan koneksi jenis dan jenis komponendi sisi kanan dan kiri dari menu yang muncul jika Anda ingin melihat di 'sel' dari matriks jikan jalan tidak langsung komponen yang terhubungada dari Vertikal/ 'baris'Komponen matriks untuk Horisontal/ 'kolom'Komponen matriks.

Catatan

Setiap jalan yang valid yang mencakup unsur-unsur yang dipilih dalam menu jalan wsakit akan ditampilkanterlepas dari arah koneksi yang mendasari, namun, ketika memilih jalan yang pertama dan elemen terakhir yang dipilih harus tipe koneksi. Selain itu, memesan dari unsur-unsur yang telah dipilih ditampilkan dengan awalan numerikdi alun-alun kurung ('[]') dan jenis tertentu dapat dimasukkan kali mutlipledi jalan (seperti yang ditunjukkan oleh awalan numerik). Temukan berturut-turut jenis komponen atau jenis koneksi ditafsirkan sebagai 'ATAU'jalan dan hirarki komponen yang terpasang mungkin opsional termasuk dengan memeriksa 'Juga mencari Lampiran orang tua / anak'Kotak centang. Mengganti Sumber dan WastafelPilihan jenis komponen untuk melihat jalur dalam arah yang berlawanan.

7. Matriks akan diisi denganpath / kumpulan komponendalam sel jika ada path dari Vertikal/ 'baris'komponen matriks untuk Horisontal/ 'kolom'Komponen matriks.

Catatan

Untuk matriks besar hanya maksimal 100 baris atau kolom (termasuk runtuh baris / kolom) akan ditampilkan pada waktu seperti yang ditunjukkan oleh 'R' dan 'C' indikator dalam sel sundulan top-kiri masing-masing. Untuk melihat baris tambahan menggunakan scroll bar. Setiap saat Anda dapat klik dua kali pada Vertikal/ 'baris' atau Horizontal / 'kolom' komponen judul dan Berpindah kekomponen sesuai pada jendela Explorer.Orang tua dari Vertikal/ 'baris' dan Horisontal/ 'kolom' komponens juga opsional ditampilkan sebagai pos baris / kolom dengan judul heading abu-abu. Ketika runtuh (dengan mengklik satu sel pos) jika ada anak-anak jalan ada maka 'X' akan pilih dapat ditampilkan jika semua anak-anak yang melekat atau 'O' akan pilih dapat ditampilkan jika hanya beberapa anak-anak memiliki jalur. Komponen jalan tidak langsung mungkin berwarna menurut nilai properti dari komponen dengan mengklik Options 'gigi roda' di kanan atas toolbar matriks dan memilih Settings Warna ... dan kemudian tombol Edit dan memilih Warna oleh Timestamp atau Warna Dengan Properti pilihan dan memilih properti, kisaran nilai Min dan Max dan memilih warna, namun hanya Daftar, Integer, Desimal, Boolean atau Tanggal / Waktu tipe data properti akan mewarnai. Nilai properti untuk komponen jalur tidak langsung mungkin ditampilkan dengan mengklik Options 'gigi roda' di kanan atas toolbar matriks dan memilih Tampilkan Nilai Settings ... dan kemudian tombol Edit dan memilih opsi Tampilkan properti dan memilih properti.

Tidak langsung koneksi matriks yang menunjukkan Aplikasi yang menerapkan Layanan yang diberikan oleh Departemen

Untuk menyaringpandangan Matrix di ABACUS

1. Pastikan bahwa Anda memiliki baru Tampilan Matrix Buka.

2. Klik Filter Axes 'corong' di kanan atas toolbar matriks.

3. Pada Sumber dan / atau tab Sink menambahkan Nama, Properti, Deskripsi, Hierarchy atau filter Standard dengan mengklik tombol Add, memilih properti jika perlu dan mengklik oke. Pilih opsi yang relevan di panel Kata Kunci / Item menggunakan logika / sintaks seperti yang dijelaskan dalam catatan di bawah. Panel pratinjau secara otomatis akan memperbarui untuk menunjukkan hasil set saat filter.

Catatan

Untuk Timestamp, Hierarchy Path, Nama atau Deskripsifilter atau Teks, Integer, Decimal, Boolean atau Tanggal Waktufilter properti pencocokan dilakukan seolah-olah '*' wildcard diterapkan secara otomatis sebelum dan setelah setiap nilai string sehingga entri dari 'kucing' (tanpa tanda kutip) akan mencakup baris dengan 'bobkucing','kucingWanita 'atau' applikucingion 'dll Beberapa /' atau 'nilai-nilai dapat dimasukkan pada baris baru menggunakan Ctrl + Enter. Untuk Bilangan bulat dan Desimal filter properti 'dan' logika dapat dimasukkan menggunakan '&'(Tanpa tanda kutip) dan lebih besar dari / kurang dari logika dll dapat dimasukkan menggunakan'> =','>','<' dan '<='(Tanpa tanda kutip) misalnya '> = 50000 & <90000'. Non-kosong baris dihargai dapat dimasukkan dengan memasukkan '(Non-Kosong)'(Tanpa tanda kutip) dan baris dihargai Kosong dapat dimasukkan dengan memasukkan'(Kosong)'(Tanpa tanda kutip). Untuk Standar atau Daftar Properti filter The '(Pilih Semua)' kotak centang akan memungkinkan semua kotak centang lainnya, berlaku termasuk semua elemen yang tersedia. The '(Non-Kosong)' kotak centang akan mencakup unsur-unsur properti non-kosong dihargai. The '(Kosong)' kotak centang akan mencakup properti kosong elemen dihargai. Dan centang setiap kotak centang tertentu dihargai secara otomatis akan hapuskan yang '(Pilih Semua)' dan '(-Kosong Non)' kotak centang untuk konsistensi. Dan akhirnya, semua filter yang oleh kasus default tidak sensitif sehingga 'kucing' (tanpa tanda kutip) akan mencakup unsur-unsur dengan 'kucing', 'Cat' atau 'CAT' dll Untuk kasus pencocokan sensitif, masukkan '(Kasus)'(Tanpa tanda kutip) sebelum string misalnya '(Kasus) Cat' (tanpa tanda kutip) hanya akan mencakup unsur-unsur dengan 'Cat' di dalamnya.

Untuk mengisi menggunakan tampilan Matrix di ABACUS

Catatan

Anda hanya dapat menambahkan / menghapus koneksi mana jenis koneksi tunggal telah digunakan untuk jalan yang dijelaskan di atas.

1. Untuk menambahkan sambungandari jenis yang dipilih antara Vertikal/ 'barisKomponen 'dan Horisontal/ 'kolom'Komponen matriks, di mana' X 'tidak sudah ada(atau nilai properti ditampilkan - lihat catatan di atas), Klik dua kali sel. Sebuah 'X' harus muncul (atau nilai properti - lihat catatan di atas) dan koneksi akan dibuat pada tingkat atas dari koleksi Koneksi untuk Arsitektur yang dipilih.

Catatan

Nama koneksi akan menjadi koneksi nama jenis sesuai pengaturan jenis koneksi dari matriks dan jika nilai properti sedang ditampilkan bukan sebuah 'X' nilai default untuk properti akan ditampilkan.

2. Untuk mengedit nilai properti ditampilkanpada sambungan antara a Vertikal/ 'barisKomponen 'dan Horisontal/ 'kolom'Komponen matriks, Klik dua kali sel, atau klik kanan-sel dan pilih Edit Nilai ..., dan mengedit nilai dalam dialog Perubahan Nilai.

3. Untuk menghapus sambungandari jenis yang dipilih antara Vertikal/ 'barisKomponen 'dan Horisontal/ 'kolom'Komponen matriks, di mana' X 'sudah ada(atau nilai properti ditampilkan - lihat catatan di atas), kanan-klik seldan pilih Disconnect. X harus menghilang dan sambungan akan dihapus dari proyek tersebut.

Untuk menyimpan / Simpan sebagai aTampilan Matrix

Catatan

Sementara semua pengguna Arsitek dapat membuat Matriks untuk menyelamatkan mereka dan / atau pengaturan mereka yang lisensi pengguna membutuhkan Designer add-on kemampuan. Hal ini untuk 'melindungi' konfigurasi Matriks yang ada yang dapat digunakan bersama oleh banyak pengguna. Namun, Arsitek menggunakan tanpa Designer add-on masih dapat memilih untuk 'Save As' pengaturan baru untuk Matrix baru. Dan tentu saja semua lisensi pengguna dapat memilih untuk 'Buang' perubahan ke Matrix yang ada. Silahkan hubungi Administrator ABACUS setempat atau Dukungan Avolution jika Anda memerlukan Designer add-on kemampuan.Dan ingat, ini hanya pengaturan Matrix, semua suntingan dibuat untuk data dalam Matrix akan segera diterapkan ke repositori, terlepas.

1. Pastikan bahwa Anda memiliki baru Tampilan Matrix Bukadan Anda telah membuat perubahan yang diperlukan.

2. Dalam Tampilan Matrixklik toolbar di paling kiri Menyimpan Matrikstombol untuk menyimpan Tampilan Matrix dan perubahan format.

Catatan

Jika Anda tidak memiliki tombol Save pada tampilan Matrix toolbar maka Anda tidak memiliki Designer add-on dan Anda hanya dapat Save Aspengaturan perubahan ke matriks baru ketika Anda pergi untuk menutup matriks yang ada.

3. Jika itu Matriks Namadialog yang muncul (karena menjadi matriks baru) masukkan nama untuk matriksdan tekan oke.

Untuk ekspor ke matriks MS Excel

1. Pastikan bahwa Anda memiliki Tampilan Matrix Buka.

2. Klik Ekspor ke Exceltombol toolbar.

3. Pilih nama file untuk menyimpan matriks MS Excel sebagai. Klik Menyimpan.

Catatan

Secara default nama file diekspor MS Excel matriks ini akan menjadi nama Matrix bersufiks dengan nama Arsitektur dalam kurung, misalnya 'Aplikasi host di Server (2014 Aktual) Xlsx'. Anda dapat mengubah semua ini, termasuk apakah format file adalah menjadi .xlsx atau .xls.

Format matriksdiekspor secara default, namun, untuk matriks yang besar ini dapat mengakibatkan ekspor yang cukup lambat. Dengan demikian, di Tools | Pilihan ...kemudian pada itu Matrikstab,Anda dapat mengurangi jumlah format yang diekspor seperti yang ditunjukkan pada tab Matrix bawah, sehingga mempercepat ekspor.

Ekspor matriks Pilihan

4. Sebuah dialog Ekspor Selesai ditampilkan. Klik oke.

Diekspor ke matriks MS Excel

Lihat juga

Mengisi arsitektur anda - Ikhtisar | Mengisi arsitektur anda secara manual | Mengisi arsitektur anda dari Visio | Mengisi arsitektur anda dari Excel


Mengisi Diagram

Navigasi: Mengisi arsitektur anda> Menggunakan Gambar>

Mengisi Diagram

Kirim komentar tentang topik ini.

Gambar di ABACUS lebih dari representasi hanya sewenang-wenang. Mereka dilihat dari arsitektur disesuaikan, diformat dan diatur untuk menunjukkan makna tertentu.

Menggambar Alat memberlakukan struktur hirarkis arsitektur, sehingga komponen visual bersarang di dalam komponen lainnya - secara efektif memberikan rencana pandangan 'dari unsur-unsur. Setelah komponen atau sambungan sudah ditetapkan dalam arsitektur, dapat digunakan di sejumlah diagram yang berbeda. Yang penting, Tool Drawing berhubungan erat dengan model arsitektur, sehingga perubahan dilakukan di salah satu selalu tercermin dalam lainnya.

Alat ini bekerja dengan mengasosiasikan bentuk dengan koneksi dan komponen tertentu jenis didefinisikan dalam Jenis bagian dari arsitektur. Asosiasi ini bervariasi tergantung pada jenis diagram ditarik, dan ada kemungkinan bahwa salah satu jenis komponen (atau sambungan) mungkin memiliki representasi yang berbeda dalam diagram yang berbeda, tergantung pada konteks.

Untuk mengatur hubungan antara bentuk dan komponen atau koneksi jenis

1. Pastikan bahwa Anda memiliki baru atau yang sudah ada diagram terbuka .

2. Memaksimalkan aplikasi ABACUS, dan mengkonfigurasi proporsi jendela seperti yang Anda inginkan.

3. Pilih Tab bentuk atau Tab konektor di jendela stensil.

4. Dalam Mengetikcabang dari Explorer, menemukan komponen atau koneksi jenis yang Anda ingin mengasosiasikan dengan bentuk atau konektor.

5. Pilih elemen tipe yang dipilih dari pohon, tarik ke dalam Bentuk tab atau tab Konektor, dan menjatuhkannya ke bentuk atau konektorAnda ingin menggunakan.

Catatan

Anda dapat memverifikasi asosiasi yang telah Anda buat dengan memilih Komponen atau tab Connections di jendela Stencil, yang menunjukkan elemen saat berhubungan.

Untuk menambah bentuk baru untuk diagram Anda / library

1. Membuat diagram MS Visio dengan bentuk yang ingin Anda tambahkan ke diagram dan mengimpor diagram MS Visio .

Tip

Hal ini penting apa ukuran Anda membuat bentuk master dalam MS Visio karena kanvas ABACUS berukuran dalam piksel dan hanya unit Milimeter di MS Visio mengkonversi granularly untuk piksel pada 4 pixel untuk 1 Milimeter rasio. Selanjutnya, default bentuk ABACUS biasanya 60 piksel tinggi sehingga diterjemahkan menjadi 15 Milimeter di MS Visio. Arti sebuah dianjurkan Ukuran bentuk master dalam MS Visio aku s 25mm lebar 15mm tinggikarena hal ini akan menerjemahkan untuk 100 pixel dan lebar 60 piksel tinggi di ABACUS.

Tip

Jika Anda ingin memiliki sedikit 'icon' di sudut kiri dari bentuk maka Anda hanya dapat membuat 'icon' di master MS Visio bentuk menggunakan palet MS Visio Drawing Tool (perhatikan bahwa garis hanya sederhana, lingkaran dan persegi panjang yang didukung dan bentuk raster / bitmap khususnya tidak didukung). Selain itu, jika Anda ingin ikon menjadi tetap dalam ukuran / skaladalam bentuk di ABACUS maka Anda dapat kelompok 'icon' di master MS Visio bentuk dengan memilih semua unsur-unsurnya, klik kanan salah satu unsur, memilih Shape | Kelompok, kemudian klik kanan bentuk dikelompokkan dan memilih data | Bentuk data ..., memilih Yes pada dialog yang muncul dan kemudian menambahkan properti dengan Label diatur ke LockScale(perhatikan huruf besar 'L' dan 'S'), Type diatur ke Boolean dan Nilai ditetapkan menjadi BENAR (perhatikan itu semua dalam huruf besar).

Tip

Jika Anda ingin memiliki sebagian dari bentuk beku dari skala horisontal maupun vertikal (seperti khas dengan 'swimlane' bentuk) maka Anda dapat mengklik kanan bagian (s) dari master MS Visio bentuk yang Anda inginkan beku dari skala dan pilih data | Bentuk data ..., memilih Yes pada dialog yang muncul dan kemudian menambahkan properti dengan Label diatur ke LockXScale atau LockYScale (perhatikan huruf besar 'L' dan 'S'), Type diatur ke Boolean dan Nilai ditetapkan menjadi BENAR (perhatikan itu semua dalam huruf besar), untuk mengunci skala horizontal atau vertikal masing-masing.

Tip

Untuk memungkinkan mewarnai bentuk di ABACUS setelah mengimpor daripada bentuk selalu menjadi warna tetap disarankan untuk membuat fill master MS Visio bentuk ini jelas dan kemudian menggunakan kemampuan inbuilt di ABACUS untuk warna latar belakang bentuk ini. Ini hanya bekerja dengan persegi panjang atau dekat-persegi panjang (misalnya persegi panjang bulat) bentuk sebagai seluruh latar belakang persegi panjang akan berwarna.

2. Buka diagram yang sesuai dan pilih Tab komponendi jendela stensil.

3. Untuk setiap bentuk baru yang ingin Anda untuk membuat tersedia untuk diagram lainnya Klik kananbentuk dan pilih Tambahkan ke Bentuk Perpustakaan. Ini akan membuat bentuk tersedia di Shapes tab di jendela stensil.

4. Mengasosiasikan jenis komponen yang relevan dengan bentuk baru dari perpustakaan Bentuk sesuai dengan langkah-langkah yang dijelaskan di atas.

Catatan

Hanya sederhana dan bentuk yang didukung di ABACUS saat ini "berbasis vektor", yaitu bitmap tidak didukung. Namun, alat-alat seperti Vector Magic ( www.vectormagic.com ) Yang tersedia yang akan mudah mengkonversi gambar bitmap ke dalam bentuk berbasis vektor (yaitu Format SVG) yang dapat dibuka di MS Visio dan karenanya digunakan dalam ABACUS sesuai petunjuk di atas.

MenambahkanKomponen dan Koneksi

Drawing Tool memungkinkan Anda untuk menambahkan komponen dan koneksi yang ada dari repositori atau membuat komponen baru dan koneksi seperti Anda menggambar diagram. Sebagai komponen dan koneksi yang dibuat dalam diagram, mereka secara bersamaan ditambahkan ke dalam gudang. Ada tiga direkomendasikan cara menambahkan komponen untuk diagramdan tiga direkomendasikan cara menambahkan koneksi ke diagram:

Untuk membuat komponen yang sama sekali baru atau sambungan pada diagramdari stensil

1. Pastikan bahwa Anda memiliki baru atau yang sudah ada diagram terbuka.

2. Pilih Komponen atau Koneksitab di jendela stensil untuk melihat bentuk terkait. Hanya bentuk-bentuk ini dapat digunakan untuk membuat elemen model baru.

3. Klik dan dragsalah satu bentuk yang terkait tersedia ke kanvas gambar. Unsur baru akan muncul di kanvas dan di pohon explorer.

4. Mulai mengetiknama untuk unsur baru dalam dialog dan setiap elemen yang ada yang cocok disarankan dan dapat dipilih daripada menambahkan elemen baru untuk arsitektur.

5. Klik oke.

6. Jika bentuk dijatuhkan ke komponen yang ada, maka itu baik akan menjadi anak komponen yang (jika bentuk berasal dari Komponentab), atau akan melekat pada komponen yang (jika bentuk berasal dari Koneksitab).

Catatan

Hal ini kadang-kadang diperlukan untuk menyesuaikan komponen baru atau koneksi ke tempat yang berbeda dalam hirarki arsitektur menggunakan explorer.

Untuk menempatkan komponen yang ada atau koneksi dari gudang ke diagram

1. Pastikan bahwa Anda memiliki baru atau yang sudah ada diagram terbuka.

2. Pastikan bahwa Anda memiliki kedua Tool Menggambar dan jendela Explorer dilihat.

3. Dalam Explorer, cari komponen atau koneksi(elemen) Anda ingin menambah diagram.

4. Klik dan dragelemen yang dipilih ke diagram. Sebuah bentuk yang mewakili elemen akan muncul di kanvas.

Catatan

Jika jenis elemen yang dipilih sudah dikaitkan dengan bentuk, bentuk yang sesuai akan muncul di kanvas. Namun, jika tidak ada hubungan didefinisikan untuk itu elemen tertentu, bentuk default (persegi panjang) akan muncul di kanvas kecuali Menegakkan Diagram Pandangan Pilihan ada di dalam hal bentuk tidak akan ditambahkan ke diagram.

Tip

Ketika komponen ditempatkan pada diagram yang terhubung ke komponen lain sudah pada diagram, Tool Drawing akan query jika Anda ingin menunjukkan koneksi (s) di antara mereka. Juga, jika ada anak-anak dari komponen Tool Drawing akan query jika Anda ingin memasukkan anak-anak, dengan cara rekursif.

Untuk membuat koneksi antara 2 komponen atau komponen yang terhubung pada diagram menggunakan konektor dinamis

1. Pastikan bahwa Anda memiliki baru atau yang sudah ada diagram terbuka.

2. Melayang-layang lebih komponen pada diagram yang ingin Anda terhubung ke komponen lain dan Anda akan melihat 2 ikon muncul di luar kanan atas batas bentuk seperti yang ditunjukkan di bawah ini. Catatan: Bagian atas ikon untuk membuat koneksi di mana komponen melayang adalah untuk menjadi sumber, ikon bawah adalah untuk menciptakan koneksi di mana komponen melayang adalah menjadi wastafel.

3. Bergerak kursor di atas ikon yang diinginkan dan klik dan dragikon untuk lebih baik atas ruang lain komponen atau gratis di kanvas seperti gambar di bawah.

4. Untuk menghubungkan ke komponen yang ada memilih Melampirkan ...item dalam menu pop-up dan jika browse diperlukan untuk sub-menu untuk memilih dari jenis koneksi yang tersedia.

- atau -

4. Untuk membuat komponen terhubung memilih dari Baru...item dalam menu pop-up dan jika browse diperlukan untuk sub-menu untuk memilih dari jenis koneksi yang tersedia seperti gambar di bawah. Mulai mengetiknama untuk unsur baru dalam dialog dan setiap elemen yang ada yang cocok disarankan dan dapat dipilih daripada menambahkan elemen baru untuk arsitektur.

Catatan

Ketersediaan item dalam menu pop-up dan sub-menu diatur oleh kendala dalam meta-model.Itu hanya sumber yang valid atau tenggelam jenis komponen yang ditentukan oleh kendala koneksi akan disajikan sebagai Lampirkan untuk ... dan item New ... menu.

Untuk -buka kembali dialog pemilihan elemen dan menempatkan komponen atau koneksi dari repositori yang ada ke diagram

1. Pastikan bahwa Anda memiliki baru atau yang sudah ada diagram terbuka.

2. Klik itu Terbuka Elemen Seleksitombol di toolbar Diagram. Catatan: dialog pemilihan elemen akan terbuka dengan negara terakhir dari setiap filter disimpan.

3. Pilih konten tambahan yang diinginkan untuk ditambahkan ke diagram dan klik oke. Catatan: konten baru akan ditambahkan ke ruang yang jelas di kanvas dan diagram dapat selanjutnya ditata lagi melalui Diagram tata letaktombol di toolbar Diagram.

Menggunakan Gratisuntuk mBentuk

Hal ini sering diinginkan untuk membuat elemen visual dalam sebuah diagram untuk alasan estetika murni. Unsur-unsur ini dapat membantu meningkatkan tata letak dan penampilan diagram, namun mereka tidak memiliki makna arsitektur yang ketat. Drawing Tool yang memungkinkan penggunaan bentuk bentuk yang unik untuk memberikan fleksibilitas menggambar.

Untuk menambahkan bentuk bentuk yang unik untuk sebuah diagram

1. Pastikan bahwa Anda memiliki baru atau yang sudah ada diagram terbuka.

2. Pilih Bentuk atau Konektortab di jendela stensil.

3. Klik dan dragsalah satu bentuk tersedia atau konektor ke kanvas gambar. Unsur baru akan muncul di kanvas - tapi tidakdi pohon explorer.

Catatan

Bentuk bentuk yang unik yang 'non-terkait' bentuk, karena mereka tidak memiliki hubungan dengan komponen tertentu atau koneksi dalam model arsitektur.

Untuk menampilkan informasi repositori di bentuk bentuk yang unikputradiagram

1. Pastikan bahwa Anda memiliki baru atau yang sudah ada diagram terbuka.

2. Klik kananbentuk bentuk yang unik dan pilih Penjelasan | Tampilan.

3. Memilih untuk menampilkan baik Diagram Nama, Diagram Keterangan, Diagram Properti, Sudut pandang Nama atau Nama Arsitektur.

Catatan

Teks dalam bentuk yang unik yang secara otomatis akan memperbarui sebagai perubahan data repositori yang mendasari.Dengan cara ini diagram 'title block' dapat dibuat untuk, dan kemudian dengan mudah disalin di seluruh, diagram.

Menggunakan Mengambang Bentuk

Mengambang bentuk dasarnya cara lain untuk mewakili komponen dalam diagram. Pertimbangkan sebuah organisasi dengan divisi utama: CEO, Pemasaran, Penjualan dan Pengembangan.

Tree View

Divisi ini dapat secara visual diwakili secara berlapis:

Berlapis View

Atau mereka mungkin secara visual diwakili dalam terhuyung sebuah / Mengambang cara untuk menunjukkan hirarki:

Terhuyung-huyung / Mengambang Melihat

Representasi yang terakhir menggunakan konsep bentuk mengambang.

Untuk mengkonversi komponen bentuk berlapis menjadi bentuk floating

1. Pastikan bahwa Anda memiliki baru atau yang sudah ada diagram terbuka.

2. Pilih komponendalam diagram Anda, Anda ingin mewakili sebagai bentuk mengambang atau bentuk terkait dalam Komponentab dari jendela stensil Anda ingin semua kasus sebagai bentuk mengambang.

3. Klik kanan dan pilih bentuk Mengapung Komponen dari menu konteks yang muncul. Perhatikan diamond menuju koneksidari komponen induk (s) untuk komponen mengambang (s).

4. Klik dan dragkomponen ke tempat yang diinginkan. Ketika sebuah mengambangkomponen yang dipilih akan memiliki garis biru.

Untuk mengkonversi komponen bentuk mengambang menjadi bentuk berlapis

1. Pastikan bahwa Anda memiliki baru atau yang sudah ada diagram terbuka.

2. Pilih komponendalam diagram Anda yang saat ini sedang ditampilkan sebagai bentuk mengambang atau bentuk terkait dalam Komponentab dari jendela stensil Anda ingin semua kasus sebagai bentuk berlapis.

3. Klik dan dragkomponen mengambang (s) kembali ke orang tua (s) (sesuai dengan diamond menuju koneksi). Catatan: Jika Anda tidak melakukan ini, maka ketika Anda mengubah komponen (s) kembali menjadi berlapis hirarki model Anda mungkin terpengaruh.

4. Klik kanan bentuk dan unselect Mengapung Komponen dari menu konteks yang muncul. Perhatikan bahwa diamond menuju koneksidari komponen induk (s) untuk komponen mengambang (s) akan hilang.

Replika

Drawing Tool memungkinkan Anda untuk menambahkan komponen yang sama untuk diagram beberapa kali dengan setiap contoh visual yang tambahan dari komponen pada diagram disebut sebagai replika. Ini adalah khusus berguna untuk diagram di mana komponen memiliki sejumlah besar koneksi yang melekat padanya dan itu adalah lebih baik untuk menunjukkan komponen di beberapa lokasi lebih dekat ke asal masing-masing koneksi, atau untuk diagram di mana hubungan satu-ke-banyak dari komponen adalah lebih baik untuk menunjukkan menggunakan fitur floating (dijelaskan di atas) dengan komponen di beberapa lokasi di atas 'banyak' komponen ini berhubungan dengan.

Catatan

Anda dapat melampirkan / melepaskan koneksi ke / dari contoh asli dari komponen pada diagram (seperti biasa) tetapi juga ke salah satu replika, namun, ketika koneksi secara otomatis ditambahkan ke diagram mereka yang melekat pada contoh pertama dari komponen pada diagram secara default.

Catatan

Replika dapat digabungkan satu sama lain dengan klik kanan dan seretkemudian memilih Gabung ReplicasNamun, penggabungan replika dengan komponen yang berbeda akan menghasilkan apapun replika lainnya menghilang dari diagram.

Catatan

Tidak ada perbedaan visual antara contoh asli dari komponen pada diagram dan setiap replika. Selain itu, menu klik kanan untuk komponen asli pada diagram dan replika setiap identik, dengan misalnya Tampilkan di Explorermembawa Anda ke komponen yang sama di Tree View dari repositori (alias model). Namun, mengklik kanan komponen dalam Tree View dari repositori dan memilih Pergi kedan browsing untuk diagram dengan replika akan selalu membawa Anda ke 'tertua' contoh komponen pada diagram. Biasanya ini akan menjadi contoh asli yang ditambahkan ke diagram tetapi jika itu contoh asli kemudian dihapus atau digabung dengan replika maka Go To akan melompat ke tertua dari replika tersisa yang ditambahkan.

Untuk menambahkan sebuah replika untuk diagram

1. Pastikan bahwa Anda memiliki baru atau yang sudah ada diagram terbuka.

2. Klik kanan komponen yang ada pada diagram dan pilih Buat Replika.Sebuah replika dari komponen yang dipilih akan dibuat di sebelah kanan komponen asli.

- ATAU -

Pilih komponen yang ada pada diagram dan tekan Ctrl + Catau klik kanan komponen yang ada pada diagram dan pilih Salinan. Sekarang klik kanan lokasi pada diagram yang Anda inginkan replika dan pilih Tempel sebagai Replica. Catatan: Menekan Ctrl + V (atau klik kanan dan memilih Paste) akan membuat copy dari komponen asli TIDAK replika.

- ATAU -

Klik dan dragkomponen dari Pohon View dari repositori (alias model) ke sebuah diagram di mana komponen sudah ada.

Konfigurasi Koneksi Caps / Berakhir

Drawing Tool memungkinkan Anda untuk mengatur simbol yang digunakan di ujung garis koneksi baik untuk simbol tetap atau simbol tergantung pada properti pada sambungan itu sendiri.Hal ini sangat berguna untuk diagram mana arah sambungan diperlukan untuk ditampilkan, atau untuk diagram mana kardinalitas koneksi (atau arah) yang terkandung dalam properti pada koneksi itu sendiri, misalnya 'Satu-ke-Banyak' vs 'Banyak-ke-Banyak' (atau 'Source untuk Sink' vs 'Sink ke Sumber').

Untuk mengkonfigurasi topi koneksi / berakhir pada diagram

1. Pastikan bahwa Anda memiliki baru atau yang sudah ada diagram terbuka.

2. Pilih Menghubungkaniontab di jendela stensil.

3. Benar-cmenjilatsalah satu terkait jenis sambungan dan pilih Konfigurasi Caps ....

4. Untuk koneksi tetap tutup / putus baik sumber atau tenggelam akhir sambungan pastikan relevan Tetap tombol radio dipilih dan kemudian pilih simbol akhir sambungan dari pull down, misalnya 'Panah Kepala' atau 'Diamond'.

- ATAU -

Untuk-properti berbasis koneksi topi / putus baik sumber atau tenggelam akhir sambungan pastikan relevan Menggunakan Propertitombol radio dipilih, kemudian klik '...' tombol dan pilih properti yang diperlukan dan kemudian di sebelah setiap simbol akhir koneksi memasukkan nilai properti yang simbol koneksi khusus yang akan ditampilkan.

Catatan

Beberapa nilai properti untuk simbol akhir koneksi yang diberikan dapat di masukkan dipisahkan dengan koma. Misalnya. dialog di bawah ini menunjukkan bahwa jika 'data | Kardinalitas 'properti memiliki nilai' One-to-Many 'maka akhir sumber koneksi akan memiliki dua baris stroke melalui itu dan akhir wastafel koneksi akan memiliki satu baris stroke yang melalui itu dan kemudian fan-out dari dua garis stroke di akhir.

Konfigurasi dialog Caps

Lihat juga

Menggambar Alat | Mengisi arsitektur anda | Menganalisis arsitektur anda


Mengisi arsitektur anda

Navigasi: Mengisi arsitektur anda>

Mengisi arsitektur anda

Kirim komentar tentang topik ini.

Proses membangun sebuah model arsitektur Anda dikenal sebagai Mengisi. Setelah Anda menemukan arsitektur dan diidentifikasi kebutuhan Anda, Anda siap untuk model arsitektur anda di ABACUS.

Selama populasi, Anda akan memasukkan semua rincian Anda tahu tentang arsitektur dan apa yang diminta itu.

Untuk mengisi arsitektur Anda

1. Pastikan Anda memiliki ABACUS file yang terbuka , sebuah explorer ditampilkan , Dan arsitektur menambahkan .

2. Manual mengisi komponen-tingkat yang lebih tinggi dan koneksi arsitektur Anda. Biasanya ini akan menjadi komponen yang lebih abstrak dan koneksi.

- atau -

2. Grafis mengisi komponen dan koneksi yang Anda ingin lihat diwakili diagram, menggunakan Menggambar Alat .

Anda juga mungkin ingin

3. Mengisi menggunakan Katalog - Anda dapat melihat dan komponen dan koneksi dengan cara tabular sederhana.

4. Mengisi menggunakan Matriks - Anda dapat melihat dan mengedit hubungan antara komponen dalam cara tabular sederhana.

5. Mengisi dari Microsoft Access - Anda dapat mengimpor arsitektur dari dan ekspor ke Microsoft Access.

6. Mengisi dari Microsoft Visio - Anda dapat mengimpor arsitektur dari dan ekspor ke Microsoft Visio.

7. Mengisi dari Microsoft Excel - Anda dapat mengimpor arsitektur dari dan ekspor ke Microsoft Excel.

8. Mengisi dari Microsoft SharePoint - Anda dapat mengimpor arsitektur dari dan ekspor ke Microsoft SQL Server.

9. Mengisi dari Microsoft SQL Server - Anda dapat mengimpor arsitektur dari Microsoft SQL Server.

10. Impor dari XML - Anda dapat mengimpor arsitektur dari ABACUS XML fragmen atau file XML ArchiMate Interchange Bahasa.

Lihat juga

Mengisi arsitektur anda secara manual | Menggambar Alat | Mengisi arsitektur Anda dari Microsoft Access | Mengisi arsitektur anda dari Microsoft Visio | Mengisi arsitektur anda dari Microsoft Excel


Mengisi arsitektur Anda dari Microsoft Access

Navigasi: Mengisi arsitektur anda> Mengisi dari produk Microsoft>

Mengisi arsitektur Anda dari Microsoft Access

Kirim komentar tentang topik ini.

Anda dapat mengekspor arsitektur untuk Microsoft Access untuk melakukan tujuan umum perhitungan, manipulasi atau laporan tentang arsitektur anda. Anda kemudian dapat mengimpor arsitektur kembali ke ABACUS.

Catatan

Terbuka dari Access / Ekspor ke database fitur mengharuskan Microsoft Access 2000atau yang lebih baru diinstal pada komputer.

Untuk mengekspor arsitektur anda untuk Microsoft Access

1. Pastikan Anda memiliki ABACUS berkas Buka Penjelajahditampilkan, dan arsitekturmenambahkan.

2. Pilih File | Ekspor | Untuk Database.

3. Mencatat dialog peringatan seperti dijelaskan di atas dan klik Yes untuk melanjutkan.

4. Pilih lokasi dan nama file untuk file database.

Untuk mengimpor arsitektur dimanipulasi menjadi ABACUS

1. Pastikan Anda memiliki ABACUS terbuka.

2. Pilih File | Baru dan pilih Dari Accessdari dialog yang muncul dan klik OK.

3. Cari file database yang ingin mengimpor.

ABACUS 'MS Access Database Schema

ABACUS memiliki pada intinya sebuahn ontologi / meta-meta-model yang terdiri dari komponen, Koneksi dan Kendala. Ini "CCC" pendekatan yang berasal dari berbagai pendekatan standar yang dikembangkan dari tahun 1960-an dan seterusnya berpuncak pada standar IEEE internasional 1471, yang pendiri Avolution berkontribusi untuk. Primitif berikut berlaku;

1. ABACUS mengandung Perpustakaan dari Standar(atau Standar), Komponen dan Jenis koneksi, Kendala, Pandangan, Template (atau Pola) dan banyak Arsitektur.

2. Standar, Jenis dan Pandangan Meisecara logis Dikelompokkan untuk kenyamanan.

3. Arsitektur mungkin berisibanyak keturunan Arsitektur(atau Evolutions).

4. Setiap Arsitektur mengandung banyak Komponen dan Koneksitertentu Jenisdan berbagai Dilihat.

5. Komponen dan Koneksi dapat membusuk ke Sub-Komponen dan Sub-Koneksi.

6. Setiap Komponen aku s melekatsejumlah Koneksitetapi masing-masing Koneksihanya bisa melekatmaksimal dua Komponen.

7. Komponen dan Koneksi bisa memiliki Standar dengan Propertiseperti Informasi, Kinerja, Keandalan, Biaya dll

8. Arsitektur, Komponen dan Koneksi bisa memiliki spesifik Propertiseperti Informasi, Kinerja, Keandalan, Biaya dll

9. Kendala bisa ada antara Komponen atau Koneksi atau terhadap Properti.

10. Templateadalah komposisi standar Komponen dan Jenis koneksi.

11. Pandanganadalah asosiasi standar Komponen dan Jenis koneksiuntuk notasi.

12. Dilihatadalah representasi visual Komponen dan Koneksi.

Berikut MS Access Entity Relationship Diagram (ERD) mendokumentasikan intiArsitektur, Evolusi, Jenis komponen / Connection (dan Grup), Komponen / Connections dan Sub konsep komponen / Connection.

Core skema database

Catatan

Integritas referensial belum diberlakukan pada hubungan antara tabel Komponen dan tabel Connections (untuk 'lampiran' antara Sumber diberikan atau Sink Komponen dan Connection a). Hal ini karena sambungan dapat eksis tanpa lampiran komponen. Kita bisa menambahkan meja 'lampiran' tetapi dalam kepentingan kesederhanaan memutuskan itu. Tentu saja hal ini berarti bahwa setiap pengeditan Komponen Id atau menghapus dari Komponen baris bersama-sama akan menghasilkan data yang tidak benar. ABACUS akan menangani setiap ketidaktepatan pada impor dengan mengabaikan data yang salah.

Berikut MS Access ERD mendokumentasikan Propertikonsep untuk Arsitektur, Jenis Komponen / Connection dan Komponen / Connections.

Properti skema database

Berikut MS Access ERD mendokumentasikan Standarkonsep Arsitektur, Jenis Komponen / Connection dan Komponen / Connections.Catatan: Tabel masih menggunakan istilah 'Implementasi' sesuai versi sebelumnya ABACUS.

Skema database standar

Berikut MS Access ERD mendokumentasikan KendalaKonsep untuk Komponen Jenis / Connection.

Kendalaskema database

Berikut MS Access ERD mendokumentasikan Pandangan Konsep untuk Arsitektur.Catatan: Tabel masih menggunakan istilah 'TwoDTempl' sesuai versi sebelumnya ABACUS.

Pandanganskema database

Berikut MS Access ERD mendokumentasikan KatalogKonsep untuk Arsitektur.

Katalogskema database

Berikut MS Access ERD mendokumentasikan MatriksKonsep untuk Arsitektur.

Matriksskema database

Berikut MS Access ERD mendokumentasikan DiagramKonsep untuk Arsitektur.Catatan: Tabel masih menggunakan istilah 'TwoD' sesuai versi sebelumnya ABACUS.

Catatan

Komponen / Connection Type untuk stensil pemetaan bentuk dan bagian-bagian bentuk Freeform dari MS Access ERD telah dihilangkan untuk kejelasan.

Diagramskema database

Berikut MS Access ERD mendokumentasikan Tampilan 3DKonsep untuk Arsitektur.

Tampilan 3Dskema database

Berikut MS Access ERD mendokumentasikan GrafikKonsep untuk Arsitektur.

Grafikskema database

Berikut MS Access ERD mendokumentasikan Dashboard konsep.

Dashboardskema database

ABACUS 'MS AccessQuery

Termasuk dengan MS Access Database beberapa pertanyaan berguna sebagai berikut;

· Comps oleh Props- Query ini berisi semua komponen dalam proyek (dengan arsitektur dan jenis) dan mencakup semua sifat sebagai kolom. Gunakan query ini dengan filter / kriteria pada jenis komponen dan / atau arsitektur untuk menghasilkan tabel 'khas' untuk setiap jenis komponen dengan sifat-sifat mereka.

· PMS oleh Props- Query ini berisi daftar semua standar yang digunakan, jumlah kejadian standar dan mencakup semua sifat sebagai kolom. Gunakan query ini sebagai katalog standar.

· Props oleh Jenis- Query ini berisi daftar semua sifat komponen dan% mereka lengkap oleh masing-masing jenis komponen sebagai kolom. Gunakan query ini untuk menentukan apakah sifat tertentu sedang dipertahankan.

· Jenis oleh Props- Query ini berisi daftar semua jenis komponen dan termasuk% lengkap semua properti sebagai kolom. Gunakan query ini untuk menentukan apakah sifat tertentu sedang dipertahankan.

· Jenis Hitungan- Query ini berisi daftar semua jenis komponen dan termasuk jumlah kejadian dari setiap jenis dalam urutan. Gunakan query ini untuk menentukan popularitas setiap jenis dalam proyek.

Sebuah catatan tentang bekerja dengan bidang Memo di MS Access

Komponen, Koneksi dan bidang Standar Nama di tabel didefinisikan sebagai bidang memo untuk memungkinkan jumlah yang tidak terbatas karakter, sesuai ABACUS. Untuk Komponen dan Koneksi ini menyebabkan beberapa masalah karena mereka juga memiliki lapangan ID unik untuk referensi, tetapi untuk Standar ini menyebabkan beberapa masalah ketika mencoba untuk bergabung meja karena Anda tidak dapat bergabung bidang memo di MS Access. Atau, Anda dapat menetapkan mana kriteria klausul untuk mencapai efek yang sama seperti yang ditunjukkan dalam Visual Query Builder dan sesuai potongan SQL berikut daftar yang keluar semua Standar mewarisi properti untuk semua komponen dalam proyek ABACUS yang diekspor.

Memo bidang 'bergabung' dalam Visual Query Builder

PILIH Components.Architecture_Id, Components.Id, Components.Name, ComponentImplementationLinks.Name, ImplementationProperties.Type, ImplementationProperties.Name, ImplementationProperties.Value, ImplementationProperties.Unit

DARI Komponen INNER JOIN ComponentImplementationLinks ON (Components.InternalId = ComponentImplementationLinks.Id) DAN (Components.Architecture_Id = ComponentImplementationLinks.Architecture_Id), Implementasi INNER JOIN ImplementationProperties ON Implementations.Id = ImplementationProperties.Implementation_Id

WHERE (((ComponentImplementationLinks.Name) = [Implementasi] [Nama]).);

Memo bidang 'bergabung' di SQL

Sebuah catatan secara otomatis menghasilkan ID ABACUS di MS Access

Berbagai ABACUS MS Access tabel memerlukan ID integer panjang unik sehingga metode VB sederhana disediakan untuk membantu dalam generasi ini. Dua metode ResetCounter () dan GetNextCounter () disediakan dalam ABACUS 'MS Access DB dan penggunaannya adalah sebagai berikut; ResetCounter () akan mengatur meja kembali ke 0. GetNextCounter () akan mengembalikan counter berikutnya dalam urutan.

Metode mengeksploitasi MS Access 'kekhasan' bahwa bahkan jika Anda memanggil metode ResetCounter () untuk setiap insert baris (yaitu bila Anda juga menjalankan GetNextCounter () fungsi) karena ResetCounter () fungsi tidak memiliki parameter itu hanya berjalan sekali dan karena itu tidak reset counter untuk setiap insert baris. Dan juga karena sama 'kekhasan' Anda harus melewati setiap variabel kolom lama ke GetNextCounter () fungsi untuk menipu ke berjalan setiap kali.

Ada juga trik untuk dapat menjalankan ResetCounter () fungsi dalam insert ke dalam pernyataan SQL karena Anda tidak bisa hanya memilikinya duduk di sana sebagai kolom sendiri, seperti apakah itu permintaan pilih. Disarankan untuk membuat ResetCounter () panggilan bagian dari salah satu bidang lainnya, dengan menggabungkan itu sampai akhir, seperti yang selalu mengembalikan null pula.

Di bawah ini adalah penggunaan SQL khas metode untuk menambahkan daftar Jenis Komponen dari tabel / query disebut 'Komponen Type Daftar'.

MASUKKAN KE DALAMComponentTypes (Id, Nama, Deskripsi)

SELECT GetNextCounter ([Komponen Jenis Daftar] .name)AS Id, [Komponen Jenis Daftar] .name AS Nama, [Komponen Jenis Daftar] .description & ResetCounter ()AS Deskripsi

DARI[Komponen Type Daftar];

ABACUS ID / Konter generasi di SQL

Lihat juga

Mengisi arsitektur anda - Ikhtisar | Mengisi arsitektur anda secara manual | Mengisi arsitektur anda dari Visio | Mengisi arsitektur anda dari Excel


Mengisi arsitektur anda dari Microsoft Excel

Navigasi: Mengisi arsitektur anda> Mengisi dari produk Microsoft>

Mengisi arsitektur anda dari Microsoft Excel

Kirim komentar tentang topik ini.

Anda dapat mengimpor arsitektur anda dari sebuah spreadsheet Excel (.xls atau Xlsx mengajukan). Excel importir memungkinkan Anda untuk memetakan daftar komponen dan koneksi dengan jenis, standar, sifat dan sifat standar dengan memilih kolom dalam spreadsheet Anda yang berisi data yang relevan.Meskipun demikian teknik yang lebih maju dari Pendekatan yang direkomendasikanuntuk mengimpor dari MS Excel yang melalui katalog seperti dijelaskan sini .

Catatan

Impor dari / ke Excel fitur mengharuskan Microsoft Excel 2003atau yang lebih baru diinstal pada komputer.

Fungsi utama dari importir Excel adalah untuk memungkinkan Anda untuk menentukan file konfigurasi (yaitu struktur hirarkis model arsitektur Anda). Toko file konfigurasi pemetaan disimpan sebelumnya dari file Excel ke file ABACUS. Setelah ditentukan, file konfigurasi yang disimpan kemudian digunakan untuk mengimpor lebih lanjut dan mengekspor ke file .xls.

Catatan

Langkah-langkah yang ditunjukkan di bagian bawah khusus untuk pengguna yang belum menentukan dan menyimpan file konfigurasi dan mengimpor dari excel untuk pertama kalinya. Anda harus membuat dan menyimpan file konfigurasi untuk menggunakan ekspor untuk unggul fungsi.

Untuk mengimpor spreadsheet Excel ke ABACUS

1. Pastikan Anda memiliki ABACUS terbuka.

2. Pilih File | Baru dan pilih Dari Ungguldari dialog yang muncul dan klik OK.

Catatan

Jika Anda ingin untuk diimpor ke proyek ABACUS yang ada maka baik klik kanan Komponen simpul dalam sebuah Arsitektur, atau klik kanan komponen individu dalam Arsitektur dan kemudian pilih Import | Dari Excel.

3. Itu Spreadsheet Excel imporwindow akan ditampilkan

Impor Excel Spreadsheet Jendela

4. Klik Buka File Excelikon dan browsing untuk file Excel yang ingin Anda impor.

5. Memilih Lembar KerjaAnda ingin mengimpor dari kotak drop-down.

Catatan

Setelah membuka file Excel Anda, Anda dapat menggunakan Data Previewtab untuk melihat kolom dan baris pertama 25 dari spreadsheet Anda. Dari sini Anda dapat memperoleh nomor kolom yang dibutuhkan untuk mengisi Komponen dan Koneksitab.

Anda juga dapat memilih apakah Anda ingin komponen dalam spreadsheet excel yang akan diimpor dengan sensitivitas kasus. Cukup centang Impor dengan sensitivitas kasuspilihan (secara default ini selalu dicentang) dan spreadsheet akan diimpor sesuai.

Sampel file Excel

Catatan

Dalam contoh ini kita akan mengimpor Infrastruktur sederhana dan Orang Arsitektur dari data excel ditampilkan dalam gambar di atas. Koneksi akan dibuat antara "Orang-orang yang bertanggung jawab" dan "Server" bahwa orang-orang mengelola.

Untuk mengisi tab Komponen

Bagian ini adalah untuk menentukan jenis komponen dan struktur hirarkis untuk file konfigurasi.

1. Pilih Komponentab. Mengubah nama Set IDdengan menimpa (batal) nilai

Catatan

Fitur ini memungkinkan Anda untuk menentukan sama sekali berbeda Setuntuk komponen fungsional yang terpisah. Seperti yang ditunjukkan pada gambar di bawah, Anda mungkin ingin membedakan komponen Infrastruktur Anda dari komponen People Anda. Jika ada hubungan (koneksi) antara set terpisah dari komponen, mereka dapat didefinisikan di bawah Koneksitab. Kemudian dalam contoh ini kita akan mendefinisikan koneksi jenis "mengelola" antara Infrastruktur dan Orang Set.

Anda juga dapat memilih apakah Anda ingin menambahkan tingkat atas Pengelompokankomponen untuk semua elemen dari himpunan. Cukup centang Kelompok bawah Set IDpilihan (secara default ini unticked) dan spreadsheet akan diimpor sesuai.

Menugaskan Set ID

2. Setelah Settelah didefinisikan pilih SetAnda ingin mengisi dan memperluas dengan mengklik [+] tanda.

3. Memilih Tingkat Komponen dalam Set inidari daftar diperluas.

4. Itu Komponen Hierarchy Sets: Set IDjendela akan muncul untuk itu Set.

Komponen Hirarki dan Nilai Menetapkan (Set ID: Infrastruktur)

5. Mengubah nama Tingkat Nomorkolom dengan menimpa (batal) nilai.

Catatan

Itu Tingkat NomorKolom memungkinkan Anda untuk menetapkan hirarki untuk komponen Anda. Setiap tingkat sesuai dengan lapisan dalam arsitektur dimana tingkat pertama adalah yang paling top induk tingkat. Misalnya, Tingkat Nomor "1" sesuai dengan lapisan hirarkis paling atas, Tingkat Nomor "2" adalah anak dari Tingkat Nomor "1" dan seterusnya.

6. Memilih dan menetapkan kolom yang relevan dari spreadsheet Excel untuk setiap Tingkat Nomordengan memasukkannya di bawah Kolom komponen kolom.

Catatan

Anda dapat memilih untuk mengecualikan baris tertentu yang Anda tidak ingin diwakili dalam arsitektur Anda. Ini mungkin header kolom, baris kosong, dll Untuk mengecualikan baris menggunakan Baris untuk Kecualikan:kotak teks di dekat bagian atas sudut kanan dari jendela. Dalam contoh ini kita telah dikeluarkan baris 1 karena mengandung header kolom kami.

7. Anda dapat memilih untuk menambahkan deskripsi untuk komponen Anda dengan Timpa (batal)nilai dalam Keterangan Kolom.

Catatan

Deskripsi ini adalah apa yang akan muncul di ABACUS bawah Properti UmumBagian | Deskripsi bidang.

8. Jika kolom spreadsheet diberikan memiliki lebih dari satu komponen per sel (masuk menggunakan Alt-Enter atau CHAR (10) perintah) kemudian centang kotak di bawahnya Perlakukan Baris New Sebagai Komponen terpisah. Setiap baris akan diimpor sebagai komponen terpisah.

Tip

Untuk mengimpor 'matriks' dari koleksi kolom, di mana 'X' di 'matriks' sel tertentu (sel B2: D2 mengatakan) menyiratkan bahwa komponen ditentukan oleh baris (dalam sel A2 mengatakan) terhubung ke komponen ditentukan oleh kolom 'menuju' (berturut-turut 1 katakanlah), rumus sederhana dapat digunakan. Masukkan rumus berikut untuk setiap baris dalam kolom luar sel matriks (kolom F mengatakan); = IF (B2 = "", "", B $ 1 & CHAR (10)) & IF (C2 = "", "", C $ 1 & CHAR (10)) & IF (D2 = "", "", D $ 1 & CHAR (10)). Kemudian mengatur koneksi ditetapkan sebagai dijelaskan di bawah antara komponen ditentukan oleh baris (di kolom A mengatakan) dan yang dijelaskan dengan rumus ini (dalam kolom F mengatakan). Pastikan untuk memeriksa Perlakukan Baris New Sebagai Komponen terpisahpilihan ketika komponen dari rumus diimpor. Untuk impor matriks yang lebih maju, termasuk judul dengan beberapa lapisan hirarki atau sel dengan nilai-nilai yang berbeda dari sekedar 'X' polos, silahkan hubungi Dukungan Avolution .

9. Isi sisa kolom yang diperlukan.

Catatan

Anda dapat memilih untuk mendapatkan jenis dari baris kolom dengan mencentang kotak centang di bawah Dapatkan Jenis Dari Kolomkolom dan memasukkan kolom yang relevan dari spreadsheet Excel bawah Komponen Jenis Nilai atau Kolom kolom. Ini akan mengimpor semua komponen dalam kolom itu dan mengatur mereka dengan jenis didefinisikan dalam kolom. Atau, dan sebagai dengan screen shot di atas dan di bawah, Anda dapat memilih untuk menggunakan / pra-didefinisikan nama jenis tetap dengan memasukkan nama jenis di bawah Komponen Jenis Nilai atau Kolomkolom dan memastikan kotak centang adalah un-diperiksa.

Komponen Hirarki dan Nilai Menetapkan (Set ID: Orang)

Catatan

Dalam contoh ini kita ingin memiliki jaringan kami dan orang-orang kelompok di tingkat 1 Arsitektur tersebut. Pada level 2 kita ingin memiliki server kami dan orang-orang yang bertanggung jawab untuk mengelola server tersebut. Itu Komponentab telah diisi sesuai, seperti yang ditunjukkan dalam dua screenshot di atas. Dalam screenshot pertama di atas kita telah mendefinisikan tingkat 1 (pengelompokan jaringan) dan level 2 (server) komponen untuk Infrastruktur Set. Dan di layar tepat di atas kita telah mendefinisikan tingkat 1 (orang pengelompokan) dan level 2 (orang yang bertanggung jawab) komponen untuk Rakyat Set.

Atau, untuk MasyarakatSet, daripada menggunakan kolom C sebagai pengelompokan People, kita bisa menggunakan Kelompok bawah Set IDpilihan pada tab komponen tingkat atas dan kemudian hanya masuk satu orang sub-tingkat dari Kolom D. Hal ini ditunjukkan pada gambar di bawah.

Komponen Hirarki dan Menetapkan Nilai menggunakan opsi Grup Under Set ID (ID Set: Orang)

10. Setelah komponen telah diidentifikasi, pilih tingkat komponen Anda ingin mengisi properti dan / atau standar dan memperluas dengan mengklik [+] tanda.

11. Memilih Sifat Komponen di Level ini atau Komponen Standar di Level inidari daftar diperluas dan mengisi kolom yang relevan sesuai kebutuhan.

Mengisi Komponen

Catatan

Sifat Komponen di Level inimemungkinkan Anda untuk menentukan properti untuk komponen di tingkat yang dipilih. Komponen Standar di Level inimemungkinkan Anda untuk menentukan standar dan sifat standar mereka untuk komponen pada tingkat yang dipilih.

12. Ulangi langkah-langkah 2 - 11sampai semua tingkat komponen telah dihuni untuk semua didefinisikan Set. Gunakan panah kembali dekat bagian atas sudut kanan dari jendela untuk menavigasi kembali ke Setyang Anda ditetapkan sebelumnya.

Untuk mengisi tab Connections

Bagian ini adalah untuk menentukan jenis koneksi dan struktur hirarkis untuk file konfigurasi.

1. Pilih Koneksitab. Untuk setiap set koneksi Anda harus mengidentifikasi komponen Setbahwa Anda ingin menjadi komponen sumber dan komponen SetAnda ingin menjadi komponen tujuan.

2. Di bawah Sumber Komponen Set ID Masukkan SetNama yang sesuai dengan Setdidefinisikan sebelumnya di Komponentab. Di bawah Sumber Tingkat Komponen Jumlahmasukkan nomor yang sesuai dengan tingkat komponen Anda ingin menghubungkan pada akhir sumber koneksi.

3. Sekarang memilih komponen kelompok akan berada di akhir tujuan sambungan. Di bawah Tujuan Komponen Set ID Masukkan SetNama yang sesuai dengan Setdidefinisikan dalam Komponentab. Di bawah Tujuan Tingkat Komponen Jumlahmasukkan nomor yang sesuai dengan tingkat komponen Anda ingin menghubungkan pada akhir tujuan sambungan.

Catatan

Dalam contoh ini kita ingin menghubungkan orang yang bertanggung jawab untuk mengelola server ke server yang mereka mengelola. Orang-orang yang bertanggung jawab yang didefinisikan dalam Orang Setsebagai level 2 komponen sementara server yang didefinisikan dalam Infrastruktur Setsebagai level 2 komponen. Itu Koneksitab telah diisi sesuai, seperti yang ditunjukkan pada gambar di bawah.

Koneksi Tab Bagian 1 dari 2

4. Jika Anda gulir ke kanan, Anda akan menemukan pilihan tambahan untuk mengimpor koneksi Anda. Dapatkan Jenis Dari Kolom dan Connection Type Nilai atau Kolombekerja dengan cara yang sama seperti untuk Komponentab.

5. Jika Sumber Komponen Set IDdan Sumber Tingkat Komponen Jumlahadalah sama dengan Tujuan Komponen Set IDdan Tujuan Tingkat Komponen Jumlah(misalnya jika Anda menghubungkan jenis komponen yang sama, seperti membuat koneksi dari server ke server lain) maka Anda harus memiliki kolom lain dalam spreadsheet Anda yang berisi nama-nama mereka server diulang. Dalam situasi ini, Anda akan menempatkan bahwa kolom spreadsheet di Tujuan berulang pada Kolom kolom. Jika di kolom spreadsheet Anda telah memasukkan lebih dari satu komponen yang terhubung per sel kemudian centang kotak di bawahnya Perlakukan Baris New Sebagai Komponen terpisah.

Koneksi Tab Bagian 2 dari 2

6. Setelah koneksi telah diidentifikasi pilih koneksi Anda ingin mengisi properti dan / atau standar dan memperluas dengan mengklik [+] tanda.

7. Memilih Properti untuk Koneksi ini atau Standar Untuk Koneksi inidari daftar diperluas dan mengisi kolom yang relevan sesuai kebutuhan.

Catatan

Properti untuk Koneksi inimemungkinkan Anda untuk menentukan properti untuk kelompok koneksi yang dipilih. Standar untuk Koneksi inimemungkinkan Anda untuk menentukan standar dan sifat standar mereka untuk kelompok koneksi yang dipilih.

8. Ulangi langkah-langkah 2-7sampai semua kelompok sambungan sudah ditetapkan.

9. Bila Anda telah selesai mendefinisikan kelompok koneksi, klik pada Selesaitombol dan arsitektur Anda akan dibuat dari file Excel impor. Contoh di atas akan menghasilkan arsitektur yang ditunjukkan pada gambar di bawah.

Sampel Arsitektur Diimpor dari Excel

10. Sekarang simpan konfigurasi dipetakan ke file dengan mengklik Simpan Konfigurasiicon. Konfigurasi yang disimpan dapat diambil kemudian dengan mengklik Buka Configuration sebuahikon di dekat bagian atas sudut kiri jendela.

Lihat juga

Mengisi arsitektur anda - Ikhtisar | Mengisi arsitektur anda secara manual | Mengisi arsitektur anda dari Access | Mengisi arsitektur anda dari Visio


Mengisi arsitektur anda dari Microsoft SharePoint

Navigasi: Mengisi arsitektur anda> Mengisi dari produk Microsoft>

Mengisi arsitektur anda dari Microsoft SharePoint

Kirim komentar tentang topik ini.

Kamu bisa sinkronisasi arsitektur anda denganMicrosoft Daftar SharePoint. Sinkronisasi melibatkan baik membuat daftar SharePoint baru (dan kolom mereka) dari jenis ABACUS, sifat dan lampiran mereka, atau pemetaan daftar SharePoint yang ada (dan kolom mereka) untuk jenis ABACUS, sifat dan lampiran mereka, maka baik mengirimkan konten dari ABACUS ke SharePoint atau SharePoint untuk ABACUS.

Catatan

Itu SharePoint Sync Fitur mengharuskan Sebuah Microsoft SharePoint 2010, 2013 atau SharePoint Online situs yang tersedia untuk menghubungkan dan sinkronisasi dengan.Sementara fitur SharePoint Sync dapat membuat daftar (dengan kolom) di situs SharePoint dari setiap proyek ABACUS, Avolution juga dapat menyediakan berbagai situs SharePoint template untuk mendukung kerangka kerja standar (misalnya TOGAF, ArchiMate, ITIL dll) maka silakan hubungi Dukungan Avolution jika Anda memerlukan kemampuan ini.

Untuk membuat daftar SharePoint baru dan peta ke ABACUS komponen atau koneksi jenis

1. Pastikan Anda memiliki ABACUS terbuka.

2. Memilih Tools | SharePoint Sync.

3. Klik Pemetaan barutombol dan dialog Pemetaan SharePoint seperti yang ditunjukkan di bawah ini akan muncul.

4. Masukkan URL situs, Username dan Password untuk situs SharePoint dan klik Menghubungkan.

Catatan

Sebuah SharePoint valid 'admin' atau rekening 'penyumbang' diperlukan untuk sinkronisasi dari dan ke SharePoint dan akun 'pembaca' hanya akan memungkinkan sinkronisasi dari SharePoint.

5. Pilih ABACUS komponen atau koneksi jenis untuk memetakan dari Pilih Jenis menurunkan.

6. Klik Tambah barutombol dan kemudian untuk setiap komponen atau jenis sambungan aspek ABACUS Anda ingin memetakan ke yang sesuai SharePoint daftar bidang pilih item di panel kiri dan di panel kanan memasukkan nama baru daftar SharePoint di Daftar Baru kolom (hanya pertama kali) , maka nama kolom SharePoint dalam Nama Kolom (atau menggunakan default) dan klik Menetapkan setiap kali.

Catatan

Sebagai minimum untuk memungkinkan sinkronisasi ABACUS EEID, Arsitektur dan aspek Nama akan secara otomatis dipetakan ke Nomor SharePoint dan dua (2) baris tunggal dari teks (alias Text) kolom masing-masing. Ini tidak dapat ditugaskan. Selanjutnya, aspek ABACUS hanya tertentu saat ini dapat dipetakan ke kolom SharePoint tertentu dan Kolom Jenis pull-down akan secara otomatis ditetapkan ke SharePoint kolom jenis yang dibutuhkan. Yaitu;

· ABACUS 'Hierarchy Path to SharePoint Beberapa baris teks (alias Catatan) kolom (Catatan: SharePoint satu baris teks (alias Text) kolom hanya mendukung 255 karakter sehingga mereka tidak disukai),

· ABACUS 'Komponen Terpasang ke SharePoint Lookup kolom (Catatan: pemetaan A harus sudah ada untuk daftar untuk komponen melekat diri),

· ABACUS 'Teks dan Deskripsi properti untuk SharePoint Beberapa baris teks (alias Catatan) kolom (Catatan: SharePoint satu baris teks (alias Text) kolom hanya mendukung 255 karakter sehingga mereka tidak disukai),

· ABACUS 'Decimal atau Integer properti untuk kolom SharePoint Nomor,

· ABACUS 'Daftar properti untuk kolom SharePoint Choice (Catatan: SharePoint tidak menegakkan nilai-nilai pilihan sehingga jenis Daftar Data tidak perlu ditegakkan di ABACUS),

· ABACUS 'Tanggal / Waktu properti untuk SharePoint Beberapa baris teks (alias Catatan) kolom (Catatan: SharePoint Tanggal dan kolom Waktu tidak dapat digunakan sebagai namun karena dukungan konsisten SharePoint untuk wilayah pengaturan / regionalisasi),

· Sifat Boolean ABACUS 'untuk SharePoint Ya / Tidak (alias Boolean) kolom.

Sebuah ABACUS elemen Associated Standar tidak dapat dipetakan ke daftar kolom SharePoint belum.

7. Memilih Buat Pemetaan.

Untuk membuat pemetaan baru antara komponen ABACUS atau jenis koneksi dan daftar SharePoint yang ada

1. Pastikan Anda memiliki ABACUS terbuka.

2. Memilih Tools | SharePoint Sync.

3. Klik Pemetaan barutombol dan dialog Pemetaan SharePoint seperti yang ditunjukkan di bawah ini akan muncul.

4. Masukkan URL situs, Username dan Password untuk situs SharePoint dan klik Menghubungkan.

Catatan

Sebuah SharePoint valid 'admin' atau rekening 'penyumbang' diperlukan untuk sinkronisasi dari dan ke SharePoint dan akun 'pembaca' hanya akan memungkinkan sinkronisasi dari SharePoint.

5. Pilih ABACUS komponen atau koneksi jenis untuk memetakan dari Pilih Jenis menurunkan.

6. Pilih daftar situs SharePoint untuk memetakan dari Pilih Daftar menurunkan.

7. Untuk setiap komponen atau jenis sambungan ABACUS aspek yang ingin untuk memetakan ke daftar SharePoint yang sesuai kolom pilih item di panel kiri dan kanan masing-masing panel dan klik Menetapkan.

Catatan

Sebagai minimum untuk memungkinkan sinkronisasi ABACUS EEID, Arsitektur dan aspek Nama harus dipetakan ke Nomor SharePoint dan kemudian untuk Arsitektur dan Nama baik satu baris teks (alias Text) atau Beberapa baris teks (alias Catatan) kolom masing-masing. Sampai yang dilakukan tombol Pemetaan Buat tidak akan diaktifkan. Selanjutnya, aspek ABACUS hanya tertentu saat ini dapat dipetakan ke kolom SharePoint tertentu. Yaitu;

· Aspek ABACUS 'Arsitektur ke SharePoint satu baris teks (alias Text) atau Beberapa baris teks (alias Catatan) kolom (ini diperlukan untuk konten pemetaan tertentu seperti yang dijelaskan di bawah),

· ABACUS 'Hierarchy Path to SharePoint satu baris teks (Text alias) atau Beberapa baris teks (alias Catatan) kolom (Catatan: SharePoint satu baris teks (alias Text) kolom hanya mendukung 255 karakter sehingga setiap karakter tambahan akan terpotong dan karena itu dianjurkan untuk mengkonversikannya ke Beberapa baris teks (alias Catatan) kolom di SharePoint sebelum pemetaan),

· ABACUS 'Komponen Terpasang ke SharePoint Lookup kolom (Catatan: pemetaan A harus sudah ada untuk daftar untuk komponen melekat diri),

· ABACUS 'Teks dan Deskripsi properti untuk SharePoint satu baris teks (Text alias) atau Beberapa baris teks (alias Catatan) kolom (Catatan: SharePoint satu baris teks (alias Text) kolom hanya mendukung 255 karakter sehingga setiap karakter tambahan akan terpotong dan oleh karena itu dianjurkan untuk mengkonversikannya ke Beberapa baris teks (alias Catatan) kolom di SharePoint sebelum pemetaan),

· ABACUS 'Decimal atau Integer properti untuk kolom SharePoint Jumlah (Catatan:. SharePoint Dihitung kolom dapat digunakan namun mereka hanya akan dapat disinkronkan dari SharePoint ke ABACUS Mencoba untuk sync' untuk 'kolom dihitung akan menghasilkan peringatan sesuai di bawah ini) .

· ABACUS 'Daftar properti untuk kolom SharePoint Choice,

· ABACUS 'Tanggal / Waktu properti untuk SharePoint Beberapa baris teks (alias Catatan) kolom (Catatan: SharePoint Tanggal dan kolom Waktu tidak dapat digunakan karena dukungan konsisten SharePoint untuk wilayah pengaturan / regionalisasi),

· Sifat Boolean ABACUS 'untuk SharePoint Ya / Tidak (alias Boolean) kolom.

Sebuah ABACUS elemen Associated Standar tidak dapat dipetakan ke daftar kolom SharePoint belum. Dan SharePoint Mata, Orang atau Grup, Hyperlink atau Gambar, Task Hasil, Data Eksternal dan Managed kolom Metadata tidak dapat dipetakan ke aspek ABACUS belum.

8. Memilih Buat Pemetaan.

Untuk sinkronisasiMicrosoft Anda Daftar SharePoint (s)ke ABACUS

1. Pastikan Anda memiliki ABACUS terbuka.

2. Memilih Tools | SharePoint Sync.

Catatan

Untuk sinkronisasi daftar SharePoint denganProyek ABACUS lisensi pengguna membutuhkan SharePoint Syncadd-on kemampuan. Silahkan hubungi Administrator ABACUS setempat atau Dukungan Avolution jika Anda memerlukan kemampuan ini.

3. Pilih pemetaan SharePoint yang ada (atau pemetaan menggunakan Ctrl-klik atau Pilih Semuatombol) dari SharePoint pemetaan panelseperti yang ditunjukkan pada gambar sampel atas. Catatan: di sini kita menunjukkan hanya 'Gol (atau Kebutuhan)' ABACUS jenis komponen pemetaan untuk daftar SharePoint disebut Gol yang dipilih.

4. Pilih Arsitektur (s) yang Anda ingin untuk melakukan sinkronisasi konten dengan dari Sync Isi dari Arsitekturpanel sebagai ditunjukkan pada gambar sampel atas. Catatan: di sini kita menunjukkan hanya '2.015 Aktual' arsitektur yang disinkronkan.

5. Pilih Sync Dari SP tombol.

Catatan

Jika kredensial situs SharePoint tidak 'Semua Disimpan' untuk pemetaan (s) dipilih kemudian Login ke dialog SharePoint akan muncul menanyakan untuk URL situs, Nama pengguna dan / atau Kata sandi.Masukkan tersebut. Selanjutnya, sinkronisasi akan mencakup pemetaan lainnya yang diperlukan untuk komponen kolom / lookup terpasang. Setiap pemetaan tambahan yang disertakan secara otomatis akan ditampilkan dalam dialog sesuai di bawah ini.

6. Sinkronisasi sukses Hasil dialog SharePoint Sync akan muncul seperti gambar dibawah daftar perubahan dan peringatan apapun. Klik oke.

Untuk sinkronisasi dari ABACUS ke Microsoft Anda Daftar SharePoint (s)

1. Pastikan Anda memiliki ABACUS terbuka.

2. Memilih Tools | SharePoint Sync.

Catatan

Untuk sinkronisasi daftar SharePoint denganProyek ABACUS lisensi pengguna membutuhkan SharePoint Syncadd-on kemampuan. Silahkan hubungi Administrator ABACUS setempat atau Dukungan Avolution jika Anda memerlukan kemampuan ini.

3. Pilih pemetaan SharePoint yang ada (atau pemetaan menggunakan Ctrl-klik atau Pilih Semuatombol) dari SharePoint pemetaan panelseperti yang ditunjukkan pada gambar sampel atas. Catatan: di sini kita menunjukkan hanya 'Gol (atau Kebutuhan)' ABACUS jenis komponen pemetaan untuk daftar SharePoint disebut Gol yang dipilih.

4. Pilih Arsitektur (s) yang Anda ingin untuk melakukan sinkronisasi konten dengan dari Sync Isi dari Arsitekturpanel sebagai ditunjukkan pada gambar sampel atas. Catatan: di sini kita menunjukkan hanya '2.015 Aktual' arsitektur yang disinkronkan.

5. Pilih Sync Untuk SP tombol.

Catatan

Jika kredensial situs SharePoint tidak 'Semua Disimpan' untuk pemetaan (s) dipilih kemudian Login ke dialog SharePoint akan muncul menanyakan untuk URL situs, Nama pengguna dan / atau Kata sandi.Masukkan tersebut. Selanjutnya, sinkronisasi akan mencakup pemetaan lainnya yang diperlukan untuk komponen kolom / lookup terpasang. Setiap pemetaan tambahan yang disertakan secara otomatis akan ditampilkan dalam dialog sesuai di bawah ini.

6. Sinkronisasi sukses Hasil dialog SharePoint Sync akan muncul seperti gambar dibawah daftar perubahan dan peringatan apapun. Klik oke.

Catatan

ABACUS akan memperbarui kolom SharePoint dengan nilai kosong bahkan jika 'Mengharuskan kolom ini berisi informasi' diatur ke Ya di SharePoint. Hal ini karena SharePoint tidak mengekspos pengaturan ini secara eksternal. Jika ini adalah untuk dicegah dianjurkan bahwa ABACUS Designer menetapkan kendala Diperlukan untuk Benar dan Penghilangan untuk properti yang diberikan menggunakan ABACUS ' pembatas ciri .

Lihat juga

Mengisi arsitektur anda - Ikhtisar | Mengisi arsitektur anda secara manual | Mengisi arsitektur anda dari Visio | Mengisi arsitektur anda dari Excel


Mengisi arsitektur anda dari Microsoft SQL Server

Navigasi: Mengisi arsitektur anda> Mengisi dari produk Microsoft>

Mengisi arsitektur anda dari Microsoft SQL Server

Kirim komentar tentang topik ini.

Anda dapat mengimpor arsitektur anda dari database Microsoft SQL Server. Anda memiliki pilihan untuk hanya mengimpor Tabel dan Hubungan efektif mengimpor hanya struktur generik dari database atau Tabel, Baris dan Hubungan yang akan mengimpor tidak hanya struktur tetapi data juga.

Catatan

Dari SQL Server fitur mengharuskan Microsoft SQL Server 20052008, 2008 R2, 2012 atau 2014diinstal pada komputer.

Untuk mengimpor database Microsoft SQL Server Anda ke ABACUS

1. Pastikan Anda memiliki ABACUS terbuka.

2. Pilih File | Baru dan pilih Dari SQL Serverdari dialog yang muncul dan klik OK.

3. Dalam dialog Server Impor SQL yang muncul mengatur 'machinename' dan nilai-nilai 'SQLINSTANCE' dari Connection String variabel dan nilai 'dbname' dari variabel Nama Database untuk nilai-nilai yang benar seperti yang ditunjukkan pada gambar contoh di bawah.

4. Set variabel Nama Database untuk nilai yang sama sebagai variabel awal Katalog ditetapkan pada langkah di atas, seperti yang ditunjukkan pada gambar contoh di bawah.

5. Tekan tombol Test Connection dan Tabel Impor bagian dari dialog harus diisi dengan tabel database yang tersedia, seperti yang ditunjukkan pada gambar contoh di bawah.

6. Pilih tabel yang ingin Anda impor dengan baik secara individu memilih mereka atau menggunakan All, None dan tombol Invert kanan dialog.

Catatan

Hanya Hubungan Foreign Key yang ada antara Tables yang Anda pilih akan mendapatkan diimpor.

7. Menggunakan tombol radio Impor Style memilih apakah Anda ingin mengimpor hanya Tables dan Hubungan di antara mereka atau Tabel, Baris mereka dan Hubungan khusus antara Rows.

Catatan

Opsi pertama impor Tabel sebagai komponen dari jenis 'Tabel' dan Hubungan antara dua Tabel (dari kunci asing) yang diimpor sebagai koneksi dari jenis 'Tabel Hubungan'. Ini adalah klasik 'ERD' pandangan gaya tabel sistem. Pilihan kedua impor Tabel Rows sebagai diskrit sub-komponen dari jenis 'Table Row' dengan sifat yang sesuai dengan masing-masing kolom / bidang dan dengan hubungan antara Tabel Deretan jenis 'Tabel Hubungan'. Selain itu, jika ada kolom / field yang disebut 'Nama' maka ini digunakan untuk nama Table Row sub-komponen individu.

8. Pilih Impor ... tombol.

9. Setelah waktu singkat (dengan progress bar untuk umpan balik) proyek ABACUS baru akan dibuat dengan Tabel, Tabel Baris (jika opsi kedua yang dipilih pada langkah di atas) dan Hubungan dari database Microsoft SQL Server.

Lihat juga

Mengisi arsitektur anda - Ikhtisar | Mengisi arsitektur anda secara manual | Mengisi arsitektur anda dari Visio | Mengisi arsitektur anda dari Excel


Mengisi arsitektur anda dari Microsoft Visio

Navigasi: Mengisi arsitektur anda> Mengisi dari produk Microsoft>

Mengisi arsitektur anda dari Microsoft Visio

Kirim komentar tentang topik ini.

Anda dapat mengimpor arsitektur Anda dari Microsoft Visio. Bentuk dalam gambar Visio Anda akan diimpor sebagai komponen dalam ABACUS. Koneksi dalam gambar Visio Anda akan diimpor sebagai koneksi dan gambar itu sendiri akan diimpor ke ABACUS sebagai diagram. Selanjutnya, setiap Kustom Properti di gambar Visio Anda akan diimpor sebagai properti dengan Sort Key dipetakan ke Tipe Properti, Label ke Nama Properti dan Nilai dengan Nilai Properti.

Catatan

Impor dari fitur Visio mensyaratkan bahwa Microsoft Visio 2003atau yang lebih baru diinstal pada komputer.

Untuk mengimpor gambar Visio Anda ke ABACUS

1. Pastikan Anda memiliki ABACUS terbuka.

2. Pilih File | Baru dan pilih Dari Visiodari dialog yang muncul dan klik OK.

Catatan

Jika Anda ingin untuk diimpor ke proyek ABACUS yang ada maka baik klik kanan Komponen simpul dalam sebuah Arsitektur, atau klik kanan komponen individu dalam Arsitektur dan kemudian pilih Import | Dari Visio.

3. Cari file Visio Anda ingin mengimpor.

Catatan

Berikut adalah beberapa aturan sederhana atau praktik direkomendasikan ketika membangun (atau memodifikasi) MS Visio gambar untuk impor ke ABACUS.

1. Garis atau koneksi perlu konektor yang sebenarnya, TIDAK bentuk.

· Jika tidak ABACUS hanya akan mengimpor mereka sebagai komponen dan sesuai mereka tidak akan "melekat" untuk apa pun.

· Jika Anda perlu melakukan beberapa "pintar" routing (yaitu selain garis lurus) kemudian menggunakan konektor Dinamis pada stensil Basic Shapes, ABACUS akan mengimpor poin routing yang / jangkar baik.

· Cobalah untuk menghindari menggunakan "Cincin jaringan" dan "Ethernet" bentuk dari Jaringan dan Peripherals stensil yang memungkinkan banyak komponen yang akan "terhubung" untuk itu. Sementara kita mengimpor lampiran baik sebagai koneksi bentuk asli masih "diperluas" untuk mencerminkan lampiran. Gunakan memisahkan terpisah "hub / bus" bentuk (tanpa konektor "kaki") dan kemudian secara eksplisit menghubungkan setiap komponen ke hub / bus dengan konektor yang terpisah.

· Jika garis atau koneksi berperilaku seperti bentuk, klik kanan di atasnya dan pergi ke 'Format | Perilaku ... 'dan pastikan bahwa gaya Interaksi diatur ke Line (1 dimensi).

2. Komponen harus bentuk TIDAK konektor.

· Jika tidak ABACUS hanya akan mengimpor mereka sebagai koneksi dan sesuai semua informasi bentuk akan hilang.

· Jika komponen berperilaku seperti konektor, klik kanan di atasnya dan pergi ke 'Format | Perilaku ... 'dan pastikan bahwa gaya Interaksi diatur ke Box (2-dimensi).

3. Konektor ujung perlu melekat pada bentuk, tidak melayang-layang di latar belakang di balik bentuk.

· Jika Anda tidak menghubungkan konektor ke bentuk kemudian ABACUS tidak memiliki cara untuk mengetahui bahwa Anda dimaksudkan untuk melampirkan konektor diberikan dengan bentuk / komponen dan sesuai akan meninggalkan bahwa akhir koneksi un-terpasang.

4. Label untuk bentuk harus (jika mungkin) label teks inbuilt untuk bentuk, tidak kotak teks yang terpisah pada gambar.

· Kotak teks terpisah akan mendapatkan diimpor oleh ABACUS sebagai komponen dalam hak mereka sendiri dan sementara Anda dapat menggabungkan komponen "label" dengan komponen nyata di ABACUS, atau hanya mengubah komponen "label" untuk bentuk bentuk yang unik (bukan komponen itu sendiri) yang terbaik adalah untuk menghindari langkah-langkah ini.

5. Gunakan bentuk dasar yang sama untuk setiap contoh dari jenis yang sama, TIDAK menjadi malas dan menggunakan persegi panjang kadang-kadang dan kotak lain dari stensil bentuk yang berbeda.

· ABACUS menggunakan bentuk dasar dan warna dasar untuk secara unik mengidentifikasi jenis komponen dan koneksi dalam gambar sehingga "persegi panjang merah" dan "kotak merah" akan mendapatkan diimpor sebagai dua jenis komponen terpisah. Jenis komponen dapat digabungkan dalam ABACUS tapi yang terbaik adalah untuk menghindari langkah-langkah ini.

6. Sepenuhnya merangkum "anak" bentuk dalam "orang tua" mereka, JANGAN meninggalkan mereka menggantung di tepi.

· ABACUS akan mendeteksi setiap bentuk yang sepenuhnya dikemas dalam bentuk lain sebagai anak orang tua jadi pastikan seluruh bentuk, termasuk bagian label, tertutup.

7. JANGAN posisi bentuk tumpang tindih dua bentuk lainnya.

· Jika bentuk tumpang tindih dua bentuk lainnya, baik itu "pengelompokan" / latar belakang persegi panjang atau sebaliknya, maka akan diimpor oleh ABACUS sebagai komponen yang adalah anak tidak bentuk tumpang tindih tetapi segera setelah Anda memilih komponen dalam alat gambar ABACUS ' , karena atas-kiri menjadi komponen referensi titik, itu akan menjadi anak kiri tumpang tindih bentuk / komponen.

8. Cobalah untuk meminimalkan penggunaan catatan teks pada gambar karena ini akan mendapatkan diimpor sebagai komponen dalam hak mereka sendiri dan akan perlu dikonversi ke bentuk bentuk yang unik di ABACUS. Pikirkan tentang apakah mereka benar-benar nama komponen atau koneksi yang ada.

9. Sementara ABACUS mendukung kaya / berwarna / bentuk berbasis vektor, mencoba untuk meminimalkan penggunaan bitmap, bentuk asing dan Metafiles Ditingkatkan untuk bentuk sebagai ABACUS saat melakukantidakmendukung jenis. Mereka akan diimpor sebagai persegi panjang putih sederhana.

10. Cobalah untuk menghindari tombol kembali (shift-pulang) di label seperti yang diimpor dan ditampilkan sebagai karakter khusus "[]" di ABACUS untuk nama komponen.

11. Cobalah untuk meminimalkan warna yang berbeda yang digunakan untuk bentuk dari jenis yang sama. Seperti disebutkan di atas, warna dasar dan basis bentuk unik mengidentifikasi komponen dan koneksi jenis sehingga lebih banyak variasi ada yang lebih penggabungan dan konsolidasi yang akan perlu dilakukan pasca-impor di ABACUS.

12. Hati-hati dengan bentuk penuh karena jika bentuk diisi semua jalan ke sudut kemudian mewarnai nanti di ABACUS tidak akan berpengaruh.

13. Untuk bentuk berbasis online yang kompleks Anda harus menggunakan poligon yang dibuat dengan memiliki baris yang dimulai di mana sebelumnya selesai dan kemudian akhirnya akan kembali ke titik awal. Jika diinginkan, Anda dapat menggunakan mengisi dan garis lebar untuk membuat poligon terlihat seperti 'panah' atau bentuk apapun yang Anda inginkan.

14. Pastikan bentuk ID di MS Visio bermakna bukan hanya Shape.xx. Ini dapat diedit menggunakan klik kanan 'Tampilkan Shapesheet' yang tersedia dalam mode pengembang MS Visio (diaktifkan melalui Tools | Options di MS Visio).

15. Elips dan busurdalam bentukdidukung dalam ABACUS tapi nurbs dan splines saat ini tidak didukung.

16. Pastikan seluruh bentuk dikelompokkan dalam MS Visio atau akan mendapatkan diimpor sebagai beberapa komponen / jenis.

17. Cobalah untuk meminimalkan penggunaan bentuk diputar dalam subshapes karena mereka kadang-kadang tidak diimpor dengan benar.

Lihat juga

Mengisi arsitektur anda - Ikhtisar | Mengisi arsitektur anda secara manual | Mengisi arsitektur anda dari Access | Mengisi arsitektur anda dari Excel


Mengisi arsitektur anda secara manual

Navigasi: Mengisi arsitektur anda> Mengisi manual>

Mengisi arsitektur anda secara manual

Kirim komentar tentang topik ini.

Komponen-tingkat yang lebih tinggi dan koneksi arsitektur Anda mungkin perlu untuk diisi secara manual. Biasanya ini akan menjadi komponen yang lebih abstrak dan koneksi.

Untuk secara manual mengisi arsitektur Anda

1. Pastikan Anda memiliki ABACUS berkasterbuka, sebuah penjelajahditampilkan, dan arsitektur menambahkan .

2. Tambahkan komponen. Untuk melakukan ini, Klik kananpada daerah pohon Anda ingin mengisi, dan pilih Tambahkan Sub-Komponen ..., Atau klik Komponen barutombol pada Lihat toolbar . Komponen hanya dapat ditambahkan di bawah cabang komponen dari pohon. Anda ingin diagram pohon Anda menjadi representasi akurat dari arsitektur anda. Bila Anda menemukan arsitektur anda, Anda akan belajar persis bagaimana semua itu cocok bersama-sama. Anda akan membutuhkan pengetahuan ini ketika Anda menambahkan komponen dan koneksi. Jika Anda menambahkan komponen pertama Anda, Anda akan menambahkannya langsung ke cabang Komponen. Sisa komponen Anda dapat baik di tingkat yang sama di pohon, atau mereka dapat sub-komponen yang pertama.

3. Memperbarui nilai-nilaisifatmasing-masing komponen yang Anda tambahkan. Untuk melakukan ini, klikpada komponen, dan mengedit properti ditampilkan dalam Jendela properti(biasanya) ke kanan. Sifat umumnya hal-hal seperti persyaratan, kapasitas pengolahan, dll Ketika ABACUS mengevaluasi arsitektur anda, itu akan menghitung beberapa properti baru, dan menyimpannya kembali ke arsitektur. Sifat baru data Anda mencoba untuk menganalisis, seperti pemanfaatan, waktu respon, bandwidth, dll

4. Tambahkan koneksi Anda dan memperbaruisifat merekasaat Anda pergi - seperti yang Anda lakukan untuk komponen (tetapi di bawah Koneksi cabang pohon).

5. Melampirkankoneksi dan komponen. Untuk melakukan hal ini, menemukan koneksi, klik pada salah satu nya berakhir atau peran , Dan drag ke komponen. Atau, klik pada komponen dan drag ke salah satu koneksi yang peran (yaitu baik Sumber atau Sink). Atau Anda bisa klik kanan dan drag komponen ke komponen lain dan pilih Terhubung ke. Atau cukup klik kanan dan pilih komponen Menghubungkan.... Ketika Anda tarik sambungan peran, Anda akan melihat simbol pintas ketika Anda menunjuk pada komponen Anda dapat melampirkan ke. Hal ini menunjukkan bahwa Anda tidak membuat salinan, Anda hanya melampirkan. Pastikan Anda pasangkan ke komponen tujuan yang benar. Sebagai contoh, jika Sumber koneksi ini peran, Drag melakukan komponen sumber (yaitu komponen yang merupakan sumber dari aliran data).

Tip

Re-memesan entitas dalam arsitektur Anda (misalnya Komponen, Koneksi dll) di penjelajahcukup mudah. Hanya Klik| Memegang| Menyeretentitas yang relevan dan tempat di mana yang diinginkan di arsitektur anda. Re-pemesanan fungsi juga memungkinkan Anda untuk menempatkan entitas dalam hirarki yang berbeda dari arsitektur anda.

Anda juga mungkin ingin

6. Tambahkan Standar (pra-dikonfigurasi set sifat - preset) untuk komponen Anda, koneksi atau jenis

7. Mengubah properti dari komponen, koneksi atau jenis

8. Undo dan Redo operasi

9. Ubah Ketik dari komponen atau koneksi

10. Buat Tipe baru atau Jenis Grup

11. Hapus komponen atau koneksi

12. Buat, menduplikasi atau berevolusi arsitektur

13. Jenis dan standar impor dari perpustakaan

14. Impor dari file ABACUS lain, XML, Excel atau Visio

15. Salin dan tempel bagian (atau semua) arsitektur Anda

16. Temukan dan ganti item dalam arsitektur Anda

17. Bentangkan / Collapse beberapa atau semua node di pohon

18. Menggabungkan item

19. Menetapkan dan Mengesahkan Kendala untuk membatasi struktur arsitektur Anda

20. Evolve arsitektur anda untuk membuat beberapa solusi arsitektur untuk membandingkan dan dasar

Lihat juga

Mengisi arsitektur anda - Ikhtisar | Membuat file baru


Publikasikan ke Web

Navigasi: Pelaporan arsitektur anda>

Publikasikan ke Web

Kirim komentar tentang topik ini.

ABACUS 'Publikasikan ke fitur Web memungkinkan model arsitektur untuk dilihat melalui situs web yang aman. Arsitektur yang diekspor ke format HTML dan dirancang untuk mencerminkan tampilan dan nuansa dari Explorer di ABACUS. Views (termasuk Katalog, Diagram, 3D dan Charts) juga diekspor ke dalam format yang dapat dilihat menggunakan browser internet.

Catatan

Saat ini, Pandangan dan Matriks tidak dipublikasikan.

Untuk mempublikasikan model arsitektur Anda ke web

1. Pastikan Anda memiliki yang relevan ABACUS berkasterbuka, yang berisi arsitektur pendudukAnda ingin mempublikasikan ke web.

2. Memilih Mengajukan| Menerbitkan....

3. Itu Mempublikasikan Untuk Konfigurasi Webwindow akan ditampilkan.

Publikasikan ke Konfigurasi Web

4. Secara default semua bagian dari model yang dipilih termasuk Tree View, yang Standar, Yang Jenis, Template dan Arsitektur (s). Hapus centang setiap bagian Anda tidak ingin mempublikasikan ke web, termasuk pandangan individual dalam arsitektur (s).

Tip

Jika Anda ingin menyembunyikan komponen tertentu, koneksi dan / atau properti mereka dianjurkan bahwa Administrator menciptakan peran 'Public' menggunakan Fitur akses berbasis peran ABACUS ' dan kemudian menghapus Baca izin dari jenis-jenis komponen, jenis koneksi dan / atau properti yang mereka tidak ingin dipublikasikan. Kemudian pengguna harus login di bawah peran itu dan mempublikasikan ke web sebagai ABACUS hanya akan mempublikasikan elemen yang telah Baca izin ditetapkan untuk peran. Selanjutnya, pengguna dapat auto-publish dari baris perintah seperti yang dijelaskan sini .

Catatan

Anda dapat memilih semua bagian yang ditampilkan dengan mengklik Semuatombol atau membalikkan seleksi dengan mengklik pada Membalikkan tombol. Anda juga dapat mengklik Tidak adatombol untuk menghapus pilihan Anda.

Catatan

jika kamu hapus centang pada opsi Tree Viewmaka tidak ada bingkai pohon (lihat di bawah) akan dipublikasikan. Demikian, Anda harus memilih halaman awal sesuai dengan langkah 6 di bawah atau setelah penerbitan Anda akan perlu untuk menyesuaikan baik tingkat atas; Sebuah) index.htmlFile dengan mengubah 'frame src = "mainPage.html" name = "element_details"' line untuk langsung link ke halaman html yang relevan di bawah folder Content, atau, b) mainPage.htmldengan menyediakan hyperlink atau redirect ke halaman html yang relevan di bawah folder Content.

5. Klik Pilihan tombol dan berikut Penerbit Pilihandialog akan ditampilkan.

Menerbitkaner Pilihan

6. Smemilih 3D, Diagramdan format Charts dan apakah akan menampilkan Judul, Deskripsi atau Properti untuk dilihat dari pilihan yang tersedia (lihat catatan di bawah untuk komentar pada berbagai format).

7. Jika Anda ingin mengatur halaman awal dari model dipublikasikan ke pandangan tertentu kemudian memeriksa Gunakan View Sebagai Start Pagepilihan dan browse ke tampilan melalui '...' tombol yang menjadi aktif.

Catatan

Hanya pandangan yang dipilih di bagian Area sesuai Langkah 4 di atas tersedia untuk ditetapkan sebagai halaman awal.

8. Jika Anda ingin menerima umpan balik pada halaman tertentu dalam model diterbitkan maka pastikan Email Feedbackopsi yang dipilih, masukkan alamat email di Alamat email kolom tulisandan mengedit Email TubuhBagian yang sesuai. Jika Anda tidak ingin memiliki umpan balik yang dikirim kemudian hapus centang pada Email FeedbackPilihan dan meninggalkan textbox kosong.

9. Klik pada oke tombol.

10. Klik pada Isi tombol.

11. Itu Browse Folderwindow akan ditampilkan.

12. Pilih lokasi Anda ingin menyimpan file HTML tingkat atas (dan file secara otomatis).

Catatan

Ini adalah ide yang baik untuk membuat folder tertentu (biasanya disebut "Diterbitkan") menggunakan Membuat New Foldertombol di bagian bawah dialog untuk menyimpan file HTML top-level dan file secara otomatis.

13. Klik pada oke tombol.

14. Path folder akan ditampilkan dalam Direktori kolom tulisan.

15. Klik pada Selesai tombol.

- atau -

15. Masukkan path folder di Direktoritextbox di mana Anda ingin menyimpan file HTML tingkat atas (dan file secara otomatis).

16. Klik pada Selesai tombol.

Catatan

Mengekspor Diagramsangat jarang gagal, paling sering ketika komputer keluar dari memori (biasanya ketika menggunakan file yang sangat besar). Sebuah ekspor gagal akan dicoba sekali. Akan ada satu peringatan untuk upaya awal gagal, dan peringatan kedua jika kembali upaya gagal. Oleh karena itu, jika hanya peringatan adalah "upaya awal gagal" yang, yang mempublikasikan berhasil. Jika re-upaya gagal mencoba menerbitkan sebagian kecil dari file Anda atau membebaskan beberapa memori sistem.

File HTML yang disimpan (s) sekarang bisa lihat dari lokasi atau disalin ke situs web yang aman.

Publikasikan ke Web di Internet Explorer10

Apa saja hyperlink yang diciptakan dalam model asli akan bertahan dalam model diterbitkan dan mengklik pada link akan mengikuti link ke tujuan (jika diterbitkan). Selanjutnya, setiap elemen dalam diagram diterbitkan yang belum hyperlink dalam model asli akan dengan hyperlink kembali ke elemen yang sesuai mereka dalam tampilan pohon (jika diterbitkan) dan dengan mengklik elemen dalam diagram diterbitkan fokus akan melompat kembali ke lokasi yang relevan di Pohon. Fitur ini mirip dengan "Tampilkan Dalam Explorer" fitur-klik kanan di ABACUS.

Catatan

Avolution sangat menganjurkan perangkat lunak dan format file berikut harus digunakan untuk sepenuhnya memanfaatkan Publikasikan ke fungsi Web di ABACUS:

1. Internet Explorer (80,0 dan di atas)untuk melihat tampilan explorer diterbitkan. Mozilla Firefox (30,0 atau lambat)juga dianjurkan dan didukung sepenuhnyaNamun, jika menggunakan format yang SVG yang direkomendasikan untuk diagram kemudian di Firefox 9 Anda hanya dapat menggunakan dukungan penampil SVG asli yang sayangnya tidak memungkinkan zoom atau panning.

2. Adobe SVG Viewer 3.0 menyambungkan (download dari sini ) dan SVGformat file untuk diterbitkan diagram. SVG format gambar untuk diagramdianjurkan karena; SVG adalah format gambar berbasis vektor dan oleh karena itu 'kerugian-kurang' dan terlihat jauh lebih baik pada setiap tingkat zoom yang diberikan dari salah satu format lain, SVG dapat diimpor ke MS Visio, SVG dapat diperbesar untuk setiap tingkat atau resolusi , SVG memiliki link kembali ke tampilan pohon untuk koneksi (bukan hanya komponen), SVG selalu mencetak pada resolusi yang lebih baik, dan, SVG adalah sekitar setengah ukuran file dari format lain. PNG adalah rekomendasi berikutnya, bagaimanapun, karena format rasterised pada tingkat zoom tertentu kejelasan pandangan akan hilang dan mengklik koneksi pada diagram tidak akan melompat kembali ke lokasi yang relevan di pohon. BMP tidak disarankan karena saat itu adalah 'kerugian-kurang' memformat ukuran file 100x bahwa dari format lain dan gambar 20MB yang tidak biasa.

Trade-off dengan SVG adalah bahwa penampil SVG akan perlu diinstal dan Anda perlu memastikan bahwa .svg image / svg + xml ditambahkan jenis MIME web server. Setelah instalasi penampil SVG Microsoft Internet Explorer akan meminta Anda untuk menerima perjanjian lisensi pemirsa dan kemudian harus bekerja dengan baik. Dan sementaraMozilla Firefox mendukung file SVG native, plugin Adobe masih dianjurkanuntuk dapat tampilannya diagram jika Anda menggunakan Firefox 8 atau sebelumnya (jika Anda menggunakan Firefox 9 Anda tidak dapat menonaktifkan SVG viewer asli). Setelah instalasi untuk plugin Adobe telah dijalankan, langkah-langkah berikut ini diperlukan menggunakannya di Firefox:

· Buka firefox dan masukkan "about: config" (tanpa tanda kutip) ke dalam bar URL.

· Gulir ke bawah dan menemukan properti svg.enabled(jika Anda menggunakan Firefox 9 maka SVG melihat asli tidak dapat dinonaktifkan dan properti ini tidak ada). Double klik untuk menonaktifkannya.

· Sekarang menemukan direktori dimana plugin SVG diinstal (misalnya C: \ Program Files \ Common Files \ Adobe \ SVG Viewer 30,0 \)

· Menyalin file NPSVG3Dll dan itu NPSVG3zip dan paste ke direktori plugin firefox (misalnya C: \ Program Files \ Mozilla Firefox \ plugin)

· Menutup semua contoh firefox

3. Avolution ini ABACUS 3D Viewer (3.1 dan di atas) dan Avolution ini .abacus3Dformat file untuk dilihat 3D diterbitkan. Selagi Cortona VRML Client plug-in (2.0 dan di atas)tersedia untuk melihat versi VRML dari pandangan diterbitkan itu tidak gratis untuk penggunaan komersial dan masih memerlukan instalasi client-side. The ABACUS 3D Viewer lebih kaya fitur daripada penampil VRML dan tersedia secara bebas untuk di-download dari sini . Dalam kedua kasus pastikan Anda menambahkan .vrml x-dunia / x-VRML dan .abacus3d aplikasi / octet-stream untuk jenis MIME web server.

4. PNGformat file untuk dilihat Chart diterbitkan. PNG format gambar untuk dilihat Bagan dianjurkan karena sementara itu adalah format rasterised dan ada 'hilangnya' trade-off antara ukuran file dan grafik kejelasan biasanya yang terbaik. BMP tidak disarankan karena saat itu adalah 'kerugian-kurang' memformat ukuran file 20x bahwa dari format lain dan grafik 2Mb yang tidak biasa.

Jika Anda ingin mengubah tampilan dan nuansa dari halaman web, Anda dapat mengedit file halaman awal bernama mainPage.html dan file style sheet bernama abacus.css. Anda akan menemukan file-file ini dalam folder yang sama di mana Anda memilih untuk menyimpan file HTML top-level. Untuk informasi lebih lanjut tentang struktur dan menjahit dari output diterbitkan lihat bagian berikutnya.

Struktur ABACUS diterbitkan model

The ABACUS Model diterbitkan disusun sebagai berikut:

1. Folder tingkat atas berisi beberapa file dan dengan asumsi semua pilihan termasuk dalam ABACUS Publikasikan ke Konfigurasi Web dialog itu akan mencakup indeks.htmlFile terdiri dari tiga frame; treeView.html, findNode.html dan mainPage.html dan kemudian shortcutError.html halaman. The treeView.html dihuni oleh tree.js, tree_items.js dan tree_tpl.js file javascript terletak di bawah termasuk folder (dibahas di bawah) dan ulangan pohon Explorer dari ABACUS. The findNode.html ini didukung oleh itu find.js File javascript terletak di bawah termasuk folder (dibahas di bawah) dan akan mencari cabang-cabang pohon bukan hanya node terlihat. Tia mainPage.html adalah halaman HTML statis yang dapat disesuaikan dengan logo perusahaan dan sejenisnyadan akan ditampilkan kecuali halaman awal yang dipilih saat penerbitan.Dan akhirnya, halaman shortcutError.html adalah halaman arahan untuk setiap shortcut yang rusak dari pohon karena halaman yang tepat tidak dipublikasikan.

Tip

Anda dapat melewatkan mainPage.html sama sekali dengan memilih untuk menggunakan halaman awal ketika menerbitkan atau memodifikasi file index.html untuk menunjuk langsung ke pandangan yang diberikan (katakanlah) dengan mengedit frame src = "mainPage.html" line untuk menunjuk langsung ke tampilan pertama dalam arsitektur pertama, biasanya 'kerangka' diagram.

2. Tingkat atas includefolder berisiing berbagai javascript (js) dan cascading style sheet (css) file yang digunakan oleh file html seluruh model yang diterbitkan.

3. The top-level folder Konten mengandung, Abjad;

· SEBUAH '3D Dilihat' folder dengan bernomorHalaman HTML dan VRML atau abacus3d file untuk setiap penayangan 3D yang diterbitkan. Lihat catatan di bawah ini untuk informasi tentang skema penomoran berkas.

· Sebuah Arsitektur folder dengan halaman HTML bernomor untuk setiap arsitektur yang diterbitkan. Lihat catatan di bawah ini untuk informasi tentang skema penomoran berkas.

· A Katalog folder yang berisi halaman HTML bernomor untuk setiap katalog yang diterbitkan. Lihat catatan di bawah ini untuk informasi tentang skema penomoran berkas.

· A Grafik folder dengan bernomorHalaman HTML dan PNG, JPG file yang dll untuk setiap penayangan Chart diterbitkan. Lihat catatan di bawah ini untuk informasi tentang skema penomoran berkas.

· A Komponen folder yang berisi bernomorHalaman HTML untuk masing-masing komponen yang diterbitkan. Lihat catatan di bawah ini untuk informasi tentang skema penomoran berkas.

· A Koneksi folder yang berisi bernomorHalaman HTML untuk setiap koneksi yang diterbitkan. Lihat catatan di bawah ini untuk informasi tentang skema penomoran berkas.

· A Diagram folder yang berisi bernomorHalaman HTML dan PNG, SVG berkas dll untuk masing-masing diterbitkan diagram. Lihat catatan di bawah ini untuk informasi tentang skema penomoran berkas.

· Sebuah ikon sub-map dengan berbagai gambar yang digunakan di seluruh model yang diterbitkan.

· A Standar sub-folder dengan bernomorHalaman HTML untuk setiap standaryang diterbitkan. Lihat catatan di bawah ini untuk informasi tentang skema penomoran berkas.

· A Template sub-map dengan koleksi bernomor sub-folder untuk setiap template diterbitkan dari proyek. Dalam setiap sub-folder adalah Komponen dan folder Connections dan dalam ini adalah halaman HTML bernomor untuk setiap komponen dan koneksi template. Lihat catatan di bawah ini untuk informasi tentang skema penomoran folder / file.

· A Jenis sub-folder dengan Komponen danKoneksi sub-folder dengan bernomorHalaman HTML untuk Komponen setiap danJenis koneksi yang diterbitkandan koleksi bernomor sub-folder untuk setiap jenis diterbitkan dari proyek yang berisi halaman HTML untuk setiap kendala. Lihat catatan di bawah ini untuk informasi tentang skema penomoran folder / file.

· A Melihattitiks sub-folder dan bernomorHalaman HTML untuk setiap Melihattitiks yang diterbitkan. Lihat catatan di bawah ini untuk informasi tentang skema penomoran berkas.

Catatan

Penomoran halaman HTML (dan dalam beberapa kasus file gambar) sesuai dengan unik ID untuk setiap objek repositori yang mengatur kapan dulu menciptakandalam ABACUS (disebut sebagai EEIDs). ID ini tidak mengubah begitu sebagai diagram, jenis, komponen dll adalah diperbarui mereka akanmempertahankan ID yang sama seperti sebelumnya. Dalam setiap kasus, yang relevan objek repositoriNama dapat ditemukan dekat awal halaman HTML antara ... tag HTML.

Membatasi Akses ke Tertentu Pages / Dilihat dengan IIS

Jika menggunakan IIS sebagai web server Anda untuk model diterbitkan, Anda mungkin dapat membatasi akses ke halaman tertentu / views memanfaatkan metode di bawah ini:

1. Membuat website di IIS (satu sama lain jika ada yang sudah ada Anda tidak ingin mengganggu).

2. Mengubah Properties> Direktori Keamanan-> Anonymous akses - akses anonim hapus centang, dan penggunaan dikonfirmasi akses.

3. Jika ini hanya server normal tanpa domain komplikasi dll, maka anda harus menggunakan opsi 'jendela terintegrasi otentikasi' yang kemudian akan menggunakan mesin server pengguna lokal / login sebagai otentikasi, dan hanya menambahkan pengguna ke komputer lokal (berhati-hati bahwa Anda menyadari implikasi, keamanan bijaksana, menambahkan pengguna baru untuk mesin, misalnya tergantung pada apakah akses remote adalah setup untuk mesin, dll).

4. Menambahkan izin ke file / folder tertentu yang diperlukan. Klik kanan file individual / folder -> Properties, dan menyesuaikan izin keamanan seperti biasa untuk file / folder.

Ini mungkin berbeda tergantung pada apa versi IIS dan apa yang spesifik OS Windows pada server, dan apakah Anda memiliki domain atau setup yang berbeda lainnya.

Lihat juga

Mengisi arsitektur anda | Menganalisis arsitektur anda


Mendaftarkan ABACUS

Navigasi: Referensi>

Mendaftarkan ABACUS

Kirim komentar tentang topik ini.

Ketika Anda pertama kali memulai ABACUS (atau setelah lisensi sementara telah kedaluwarsa) Anda akan perlu untuk mendaftarkan aplikasi terhadap server lisensi Avolution menggunakan kunci lisensi unik yang disediakan oleh Administrator ABACUS setempat atau langsung dari Avolution. Jika Anda tidak memiliki kunci lisensi silahkan hubungi Administrator ABACUS setempat atau Dukungan Avolution .

Untuk mendaftar dengan kunci lisensi

1. Setelah instalasi, mulai ABACUSoleh salah mengklik ganda shortcut di desktop atau dari menu Start Windows.

2. Dalam dialog Pendaftaran yang muncul masukkan 26 karakter kunci lisensidisediakan oleh Administrator ABACUS setempat atau Dukungan Avolution , Atau klik Isi ...dan pilih file .dlsc menandatangani kembali dari Dukungan Avolution per Catatan pada Langkah 4 di bawah ini. Jika menggunakan file .dlsc ditandatangani dengan benar ABACUS harus dimulai per Langkah 5 di bawah ini.

Tip

Anda dapat menyisipkan kunci lisensi ke dialog dengan menyalin ke clipboard Windows dan kemudian memilih latar belakang dialog dan menekan Ctrl + V.

Dialog registrasi

3. Klik okedan jika kunci lisensi adalah kunci lisensi ABACUS validABACUS sekarang akan mencoba untuk menghubungi server lisensi Avolution untuk mengotentikasi kunci lisensi.

Catatan

Jika Anda mendapatkan Kode instalasi tidak validkesalahan pendaftaran kemungkinan besar bahwa Anda telah mengetik kode salah. Coba menyalin dan menyisipkan kode sesuai Tip disebutkan di atas.

Menghubungi Avolution Lisensi Server

4. Klik okedan setelah jangka waktu singkat ABACUS harus mendaftar berhasil.

Pendaftaran sukses

Catatan

Jika Anda mendapatkan Tidak dapat menghubungi server lisensikesalahan pendaftaran kemungkinan besar bahwa firewall (atau langkah-langkah keamanan lainnya) pada jaringan Anda mencegah akses ke server lisensi Avolution ini. Klik oke, Menyimpan file .dlsc ke komputer lokal Anda dan kemudian salah satu email file .dlsc untuk Dukungan Avolution dan menunggu instruksi lebih lanjutatau mencoba untuk menandatangani lisensi file sendiri menggunakan URL berikut - http://licensing.avolutionsoftware.com/LicenceSign/ .

Tidak dapat menghubungi server lisensi

Buka halaman web penandatanganan Lisensi

Panduan Lisensi penandatanganan halaman web

Atau, jika Anda mendapatkan Kode instalasi ini telah digunakan pada lebih dari sistem diizinkan oleh lisensikesalahan pendaftaran ada kemungkinan bahwa komputer lokal Anda telah dibangun sejak Anda terakhir terdaftar ABACUS atau Anda mencoba untuk mendaftar dengan kunci lisensi pengguna lain. Silahkan hubungi Administrator ABACUS setempat atau Dukungan Avolution .

Kode instalasi telah digunakan

5. Klik okedan jika berhasil didaftarkan ABACUS harus membuka dengan Welcome Screen .

Lihat juga

Dukungan Avolution | Apa ABACUS lakukan?


Standar Elemen Seleksi

Navigasi: Menganalisis arsitektur anda>

Standar Elemen Seleksi

Kirim komentar tentang topik ini.

Ketika membuat diagram, 3D melihat, melaporkan,grafik standaratau menjalankan simulasi, Jendela pilihan elemen standar yang digunakan untuk memilih elemen yang Anda ingin menganalisis / view.

Standar Elemen Seleksi Jendela

Pulldowns

· Filter dengan View akan memasukkan elemens dari pandangan disimpan sebelumnya (yaitu Diagram, Bagan, 3D). Dengan cara ini Anda dapat melakukan kompleks 'bergabung' query dengan memperlakukan pandangan lain sebagai disimpan 'permintaan'.

Centang

· Tampilkan Tingkatkehendak kelompok elemen sesuai dengan tingkat dimana mereka terjadi di pohon. Level 1 adalah yang paling tingkat atas.

· Tampilkan Jeniskehendak kelompok elemen sesuai dengan jenis yang mereka.

· Orang tua yang dipilihakan mencakup unsur-unsur induk dari setiap elemen yang dipilih. Dengan cara ini Anda dapat memastikan bahwa hanya hirarki di atas anak akan dimasukkan untuk "bottom-up" pilihan.

· Anak-anak yang dipilihakan mencakup anak-anak unsur setiap elemen yang dipilih. Dengan cara ini Anda dapat memastikan bahwa hanya hierarki di bawah setiap orang tua akan dimasukkan untuk "top-down" pilihan.

· Nama Cocok Nilaiakan mencakup hanya unsur-unsur yang memiliki nama yang mengandung string tertentu (Harap dicatat: Wildcard (yaitu dan *) dapat digunakan?). Dengan cara ini Anda dapat membentuk "semantik" query.

· Memiliki Tipe Properti / Nama / Nilaiakan mencakup hanya elemen-elemen yang memiliki Tipe Properti, Nama dan Nilai yang mengandung string tertentu baik secara langsung pada elemen atau pada Standar nya (Harap dicatat:?.? Wildcard (yaitu dan *) dapat digunakan Misalnya * di bidang Nilai akan memberikan semua elemen yang memiliki nilai non-kosong untuk properti yang diberikan). Dengan cara ini Anda dapat membentuk "semantik" query.

· Memiliki Standarakan mencakup hanya unsur-unsur yang memiliki nama Standard mengandung string tertentu (Harap dicatat: Wildcard (yaitu dan *) dapat digunakan Misalnya HP * akan memberikan semua elemen dengan setidaknya satu standar dimulai dengan huruf H dan P?.). Dengan cara ini Anda dapat membentuk "semantik" query.

· Komponen / Koneksi melekat dipilihakan mencakup unsur-unsur yang melekat pada mereka yang telah dipilih. Dengan cara ini "call-pohon" atau "dampak-analisis" dapat dipilih.

Catatan

Jika Anda memiliki keduanya Tampilkan Tingkat dan Tampilkan Jeniskarena maka Anda dapat memilih untuk memiliki tingkat pohon pertunjukan pertama atau jenis pertama dengan tombol yang akan muncul di atas dua kotak centang.

Tip

Setelah item dipilih dalam Jendela Standar Elemen Seleksi, itu tidak akan tunduk pada perubahan filter lebih lanjut sampai itu terpilih. Karena tidak ada cara asli untuk mencari dua set yang berbeda dari unsur sekaligus (misalnya Komponen dengan Standar A ATAU Standard B), Anda dapat mencari pertama untuk satu set, pilih komponen yang diinginkan, dan kemudian melakukan pencarian kedua untuk set kedua .

Kancing-kancing

· Semuamemilih semua elemen.

· Membalikkanmembatalkan pilihan semua elemen yang sedang dipilih dan memilih semua orang yang tidak dipilih.

· Tidak adamembatalkan pilihan semua elemen.

· Tambahkan Filtermemilih konten yang dihasilkan dari pengaturan filter saat ini dan memungkinkan pemilihan konten tambahan sebagai efektif AND atau BERGABUNG filter.

Lihat juga

Menganalisis arsitektur anda


Menggambar Alat

Navigasi: Mengisi arsitektur anda> Menggunakan Gambar>

Menggambar Alat

Kirim komentar tentang topik ini.

Drawing Tool yang memungkinkan penciptaan berbagai skema arsitektur dan diagram. Arsitek tradisional menggunakan berbagai gambar yang berbeda untuk mencatat dan menyampaikan desain arsitektur. Dua dimensi (2D) diagram adalah cara biasa mendokumentasikan dan mengkomunikasikan berbagai bagian dari sistem. Gambar jenis yang biasa digunakan dalam sistem perusahaan adalah:

· Bisnis model proses dan diagram;

· Grafik Organisasi;

· Diagram kolaborasi;

· Entity-Relationship (ER) diagram;

· Data-Flow Diagram (DFD ini);

· Diagram kelas;

· IDEF (menggabungkan beberapa di atas); dan

· UML (menggabungkan beberapa di atas).

Tidak benar-benar ada batasan untuk jenis diagram yang dapat dibuat. ABACUS mencoba untuk menyeimbangkan fleksibilitas diagram sambil menjaga integritas arsitektur dan bentuk representasi.

Lingkungan menggambar adalah tab dan jendela dockable dalam aplikasi utama ABACUS. Jendela ini berisi kanvas di mana gambar berlangsung dan ketika jendela gambar terbuka kedua jendela dockable , Jendela stensil, ini dapat dilihat dengan satu set stensil gambar. Stensil pane memiliki 4 tab: Komponen, Connections, Bentuk dan Konektor. Kanvas muncul sebagai latar belakang putih dengan garis grid halus (membantu untuk tata letak).

Komponen diwakili oleh berbagai bentuk, sementara koneksi diambil sebagai garis diarahkan. Koneksi melampirkan komponen menggunakan peran (yaitu baik Sumber atau Sink) meskipun ini tidak ditampilkan untuk alasan estetika.

Tip

Sementara diagramsangat berguna untuk menampilkan berbagai bagian dari sistem, mereka terbatas dalam skalabilitas mereka, itulah sebabnya mengapa ABACUS menggunakan 3D untuk memvisualisasikan struktur sistem yang kompleks.

Anda mungkin ingin

1. Buka Diagram Alat

2. Membuat diagram baru bagian dari arsitektur Anda

3. Salin diagram di dalam atau di arsitektur

4. Menambahkan komponen untuk diagram

5. Membuat komponen baru dan koneksi dalam arsitektur Anda (diagram) menggunakan alat menggambar

6. Hapus komponen dari diagram

7. Lampirkan & memanipulasi koneksi

8. Mengubah sifat display komponen dan koneksi.

9. Menggunakan link di diagram

10. Menegakkan jenis asosiasi dan sudut pandang sehingga untuk membatasi jenis diagram yang dapat ditarik.

Lihat juga

Mengisi arsitektur anda | Mengisi arsitektur anda secara manual | Menganalisis arsitektur anda


Judul halaman

ABACUS

Penolakan

Avolution Pty Ltd tidak membuat pernyataan atau jaminan sehubungan dengan panduan ini dan, hingga batas maksimal yang diizinkan oleh hukum, tegas membatasi kewajibannya atas pelanggaran jaminan yang mungkin tersirat untuk penggantian manual ini dengan yang lain. Selanjutnya, Avolution Pty Ltd berhak untuk merevisi publikasi ini setiap saat tanpa menimbulkan kewajiban untuk memberitahukan siapapun tentang revisi.

Hak cipta

Copyright 2001-2015Avolution Pty Ltd..

Merek Dagang

Avolution Pty Ltd telah membuat setiap usaha untuk memberikan informasi tentang merek dagang nama perusahaan, produk dan layanan yang disebutkan dalam manual ini. Merek dagang yang ditunjukkan di bawah berasal dari berbagai sumber.

Microsoft Windows, Access, Visio, Excel, SQL Server dan Internet Exploreradalah merek dagang dari Microsoft Corporation.

Notice umum:

Beberapa nama produk yang digunakan dalam panduan ini digunakan untuk tujuan identifikasi dan mungkin merupakan merek dagang dari masing-masing perusahaan.

Desember 2015Edition untuk Avolution ABACUS Versi 4,5.

Pengguna Revisi 1.0

Dihasilkan, dicetak, dan terikat di Australia.


ABACUS Instalasi pra-syarat

Navigasi: Referensi>

ABACUS Instalasi pra-syarat

Kirim komentar tentang topik ini.

Informasi Mengenai Visio Impor dan Excel Impor / Ekspor

ABACUS mengharuskan Microsoft Office diinstal dalam rangka untuk melakukan Excel Impor / Ekspor dan Impor Visio operasi. Silakan verifikasi yang Microsoft Office 2003 atau yang lebih baruterpasang dengan benar. Jika Anda mengalami masalah lebih lanjut, hubungi Dukungan Avolution .

Dalam rangka untuk melakukan Visio Impor dan Excel Impor / Ekspor operasi, ABACUS menggunakan Microsoft Office Primer Interop Assemblies (PIA). ABACUS saat dikemas dengan majelis yang diperlukan untuk melakukan Excel Impor / Ekspor dan Impor Visio.

Informasi Mengenai SQL Server Impor

ABACUS mengharuskan Microsoft SQL Server 20052008, 2008 R2, 2012 atau 2014dipasang dalam rangka untuk memulai sebuah proyek baru Dari SQL Server. Silakan verifikasi yang Microsoft SQL Server 20052008, 2008 R2, 2012 atau 2014terpasang dengan benar. Jika Anda mengalami masalah lebih lanjut, hubungi Dukungan Avolution .

Kesalahan Membuka 3D visualisasi

Jika ABACUS 3D Viewer tidak bekerja untuk Anda, Anda mungkin akan hilang SlimDX DirectX Runtime (diinstal sebagai bagian dari penuh ABACUS EXE menginstal). Ini dapat didownload sini . Jika Anda memiliki versi 64bit Windows, Anda juga mungkin perlu menginstal ini .

Kesalahan Editing ABACUS Adat Laporan

Editing ABACUS 'Custom Reports membutuhkan Report Builder 3.0 yang akan diinstal. ABACUS dan Laporan Builder yang dibangun di atas Microsoft .NET Framework 4.0, dan sementara mereka berdua tidak memerlukan Microsoft .NET Framework 3.5, Microsoft telah tidak dikonfigurasi Laporan Builder MSI hanya melanjutkan jika Microsoft .NET Framework 3.5 diinstal.

Dengan demikian, Avolution memiliki versi diedit dari instalasi Report Builder file MSI yang tidak memerlukan Microsoft .NET Framework 3.5, ini dapat didownload sini .

Asli Microsoft Report Builder MSI dapat didownload sini . Jika Anda belum memiliki Microsoft .NET Framework 3.5 yang akan membutuhkan, Anda dapat men-download sini . Catatan: Untuk beberapa instalasi, offline menginstal Microsoft .NET Framework 3.5 dari sini mungkin lebih tepat.


Undo dan Redo

Navigasi: Mengisi arsitektur anda> Mengisi manual> Pilihan tambahan>

Undo dan Redo

Kirim komentar tentang topik ini.

Seperti banyak aplikasi modern, ABACUS mendukung kemampuan untuk kedua membatalkan dan mengulang perubahan pengguna baru dibuat untuk sebuah proyek open. Untuk membatalkan perubahan terbaru, cukup mengaktifkan perintah undo. Perubahan yang telah dibatalkan dapat diulang dengan mengaktifkan perintah redo; kembali menerapkan perubahan yang paling baru-baru ini dibatalkan.

Peringatan

Perubahan dibatalkan tidak dapat diterapkan kembali jika perubahan selanjutnya dibuat untuk proyek sejak dibatalkan.

Catatan

Sementara sebagian besar perubahan mendukung undo / redo secara real-time, beberapa diagram perubahan stensil, seperti membuat Type-Shape / asosiasi Jalur baru atau mengubah atribut warna asosiasi, tidak dapat dibatalkan segera. Dalam kasus ini, Diagram dimodifikasi (ditandai dengan tanda bintang) harus ditutup sebelum perubahan ini dapat dibatalkan.

Undo dan Redo lokasi perintah

The undo dan redo perintah dapat diakses dari tiga lokasi yang berbeda:

· menu Edit

· toolbar Standard

· tombol pintas keyboard CTRL + Z(membatalkan) dan CTRL + Y (mengulangi)

Tip

The undo dan redo tombol pada toolbar standar memberikan daftar dropdown menampilkan 10 perubahan terbaru yang dapat dibatalkan dan telah redone masing-masing. Mereka juga merupakan cara praktis untuk undo / redo beberapa perubahan sekaligus.


Menggunakan Macro

Navigasi: Simulasi arsitektur anda>

Menggunakan Macro

Kirim komentar tentang topik ini.

Jika Anda melakukan tugas berulang kali di ABACUS, Anda dapat mengotomatisasi tugas dengan menggunakan makro. Dengan demikian, makro ABACUS adalah serangkaian rekaman operasi yang dapat diputar setiap saat.

Merekam Makro

1. Pilih Tools | Rekam Macroatau alternatif tekan Alt + F10.

2. Mulai melakukan operasi yang ingin Anda merekam.

Peringatan

Pada saat ini, ada beberapa masalah yang diketahui dengan rekaman makro. Mohon ini menjadi pertimbangan saat merekam macro Anda:

· Saat macro hanya merekam keystrokes Anda Microsoft Windows, mouse-gerakan dan klik mouse. Namun, karena keterbatasan dengan perekam makro itu sendiri, ada beberapa penekanan tombol yang tidak selalu dicatat. Ini termasuk:

· [Tab]

· [Ctrl]

· [Alt]

· [Batal]

· [Mulai]

· [F1] untuk [F12]

· Oleh karena itu disarankan bahwa Anda memverifikasi bahwa cara pintas keyboard dicatat oleh perekam makro sebelum merekam urutan besar peristiwa yang mungkin tergantung pada yang bekerja pintas keyboard.

· Saat ini karena keterbatasan dengan perekam makro, menu konteks yang tidak ditangani dengan baik oleh ABACUS ketika mereka dibuka oleh aksi direkam oleh perekam makro. Ketika Anda membuka menu konteks, Anda harus melakukan salah satu fungsi yang tercantum dalam menu konteks melalui menu konteks, jika menu konteks mungkin tetap terbuka selama pemutaran, yang dapat menyebabkan tindakan yang tidak diinginkan atau tindakan yang dapat menyebabkan kesalahan dalam ABACUS.

· Perhatikan bahwa metode normal menutup menu konteks (misalnya menekan [Esc] pada keyboard, atau kiri-klik di tempat lain di layar) mungkin tidak benar-benar menutup menu konteks selama pemutaran makro.

Tip

Dalam dialog, daripada menggunakan klik mouse, dianjurkan untuk menggunakan tombol Tab untuk bergerak melalui kontrol yang tersedia dan tombol kursor untuk memilih item menu pull-down atau pilihan tombol radio dan Space bar untuk memilih / de-pilih cek kotak.

Berhenti merekam Makro

1. tekan Alt + F9atau alternatif pilih Tools | Berhenti Makro.

2. Dalam Simpan Makro Sebagai browse dialog untuk lokasi dan memilih ABACUS makro (file .abacusmac) nama file dan klik Simpan.

Catatan

Menggunakan Alat| Berhenti Makroakan mencakup operasi ini di makro direkam. Oleh karena itu, disarankan agar pengguna menjadi mahir dalam menggunakan pilihan tombol Alt + Fungsi untuk bekerja dengan macro agar tidak mencakup operasi makro yang tidak diinginkan dalam macro sendiri.

Tip

Sebagai makro saat ini tidak dapat diedit dianjurkan untuk merekam tugas yang panjang sebagai rangkaian macro terpisah menggunakan Alt + F10 / Alt + F9 'pasangan'.

Untuk Playback Makro direkam

1. Pilih Tools | Pemutaran Makroatau alternatif tekan Alt + F8.

2. Dalam Terbuka Makro dialog browse ke lokasi dan memilih ABACUS makro (file .abacusmac) nama file dan klik Open.

Peringatan

Ketika membuka makro ABACUS, jika Anda klik dua kali pada file makro dari dialog browse untuk membukanya, perekam makro dapat tahan tombol kiri mouse dalam keadaan kiri-diklik sampai direkam kiri-klik menimpa negara ini.

Catatan

Kecepatan pemutaran makro dapat diatur pada tab General di bawah Alat| Pilihanbaik sebagai normal (default), Cepat atau Lambat. Kedua kecepatan pemutaran Cepat dan Lambat tidak dianjurkan karena mereka akan memutar ulang macro tercatat sekitar 100 kali dan 1/100 real-time, masing-masing. Kecepatan pemutaran normal masih akan memutar ulang makro sekitar 30% lebih cepat dari kecepatan yang tercatat sehingga dianjurkan saat merekam untuk berhenti untuk waktu yang singkat setelah setiap tugas pengolahan yang panjang untuk memastikan bahwa pada pemutaran operasi berikutnya tidak dilaksanakan sebelum tugas pengolahan memiliki selesai.

Berhenti memainkan Makro rekaman

1. tekan Alt + F9.


Melihat diagram 3D

Navigasi: Menganalisis arsitektur anda> diagram 3D>

Melihat diagram 3D

Kirim komentar tentang topik ini.

ABACUS memungkinkan Anda untuk melihat arsitektur Anda sebagai tampilan 3D di mana komponen dan koneksi sifat yang berhubungan dengan warna, bentuk, dan ukuran.

Untuk melihat tampilan 3D arsitektur Anda

1. Pastikan Anda memiliki buka file ABACUSmengandung Anda arsitektur penduduk.

2. Memperluas Dilihatcabang pohon.

3. Memperluas 3Dcabang pohon.

4. Klik dua kali visualisasi Anda ingin membuka.

- atau -

1. Pastikan Anda memiliki buka file ABACUSmengandung Anda arsitektur penduduk.

2. Memilih Memasukkan| 3Datau klik tombol toolbar.

3. Buka adavisualisasi (.abacus3d)

- atau -

1. Pastikan Anda memiliki buka file ABACUSmengandung Anda arsitektur penduduk.

2. Memilih Memasukkan| 3Datau klik tombol toolbar.

3. Buat visualisasi baru:

· Pilih ArsitekturAnda ingin melihat dari menu pull-down.

· Pilih Komponen dan KoneksiAnda ingin memasukkan dalam diagram dari Unsur standar pemilihan window .

· Warna asosiasi, bentuk dan ukuran dengan Jenis komponen dan Properti.

· Warna dan bentuk asosiasi dengan Jenis koneksi dan Properti.

Untuk mengekspor tampilan 3D

1. Pastikan Anda memiliki membuka tampilan 3D yang ada.

2. Dalam menu pull-down tampilan 3D ini pilih Berkas | Ekspor...dan memilih lokasi dan tipe file untuk file visualisasi (.abacus3d, .vrml atau .html).

3. Klik Menyimpan.

Lihat juga

Menganalisis arsitektur anda | Navigasi 3D | The Diagram Alat


Melihat grafik bubble

Navigasi: Menganalisis arsitektur anda> grafik Kustom>

Melihat grafik bubble

Kirim komentar tentang topik ini.

Sebuah grafik gelembung memungkinkan Anda untuk membandingkan sampai 5 dimensi (yaitu X, Y, ukuran gelembung / radius, warna gelembung dan gelembung warna perbatasan) dalam satu tampilan.

Untuk melihat grafik bubble

1. Pastikan Anda memiliki ABACUS file yang terbuka .

2. Memilih Memasukkan| Grafik| itu Charts kustomtab | Gelembung Bagan.

3. Dalam Arsitekturbagian, centang arsitektur (jika ada) Anda ingin grafik, kemudian klik Berikutnya.

4. Pilih Komponen dan Koneksiyang Anda inginkan dalam grafik (jika ada) dari Unsur standar pemilihan window , Lalu klik Berikutnya.

5. Pilih Poros Xproperti, kemudian klik Berikutnya.

Catatan

Hanya Integer, desimal, Tanggal / Waktu, Boolean dan sifat Daftar dapat digunakan untuk sumbu X. Selanjutnya, Integer, Desimal dan Date / Time properti yang diplot kiri ke kanan sepanjang sumbu skala sesuai dengan nilai properti, bagaimanapun, Boolean dan Daftar properti hanya diplot kiri ke kanan dalam urutan yang tepat (atau di urutan terbalik jika pilihan untuk membalik urutan diperiksa) didefinisikan untuk properti terlepas dari nilai-nilai mereka. Misalnya. Rendah | Sedang | Tinggi atau 1, 2, 4, 8, 16.

6. Pilih Poros Yproperti, kemudian klik Berikutnya.

Catatan

Hanya Integer, desimal, Tanggal / Waktu, Boolean dan sifat Daftar dapat digunakan untuk Y-axis. Selanjutnya, Integer, Desimal dan Date / Time sifat diplot bawah-ke-atas sepanjang sumbu skala sesuai dengan nilai properti, bagaimanapun, Boolean dan Daftar properti hanya diplot bawah-ke-atas dalam urutan yang tepat (atau di urutan terbalik jika pilihan untuk membalik urutan diperiksa) didefinisikan untuk properti terlepas dari nilai-nilai mereka. Misalnya. Rendah | Sedang | Tinggi atau 1, 2, 4, 8, 16.

7. Pilih Ukuran gelembung / radiusproperti, kemudian klik Berikutnya.

Catatan

Hanya Integer, desimal, Boolean dan sifat Daftar dapat digunakan untuk bubble ukuran / radius. Selanjutnya, Integer dan sifat Decimal mengakibatkan ukuran gelembung / radius skala sesuai dengan nilai dari properti, namun, Boolean dan Daftar sifat menghasilkan langkah kenaikan yang sama gelembung ukuran / radius dalam urutan yang tepat (atau dalam urutan terbalik jika pilihan untuk membalik urutan diperiksa) didefinisikan untuk properti terlepas dari nilai-nilai mereka. Misalnya. Rendah | Sedang | Tinggi atau 1, 2, 4, 8, 16.

8. Pilih baik warna gelembung tetap atau mengasosiasikan properti dengan warna bubble, Lalu klik Berikutnya.

Catatan

Hanya Integer, desimal, Boolean dan sifat Daftar dapat digunakan untuk warna gelembung. Selanjutnya, Integer dan sifat Decimal mengakibatkan warna gelembung dalam kisaran yang dipilih skala sesuai dengan nilai properti, bagaimanapun, Boolean dan Daftar sifat menghasilkan langkah kenaikan yang sama warna gelembung dalam kisaran yang dipilih dalam urutan yang tepat yang ditetapkan untuk Properti terlepas dari nilai-nilai mereka. Misalnya. Rendah | Sedang | Tinggi atau 1, 2, 4, 8, 16.

9. Pilih salah satu ada warna perbatasan gelembung atau mengasosiasikan properti dengan warna perbatasan gelembung, Lalu klik Selesai.

Catatan

Hanya Integer, desimal, Boolean dan sifat Daftar dapat digunakan untuk warna border gelembung. Selanjutnya, Integer dan sifat Decimal mengakibatkan warna perbatasan gelembung dalam kisaran yang dipilih skala sesuai dengan nilai properti, bagaimanapun, Boolean dan Daftar sifat menghasilkan langkah kenaikan yang sama dengan warna perbatasan gelembung dalam kisaran yang dipilih dalam urutan yang tepat didefinisikan untuk properti terlepas dari nilai-nilai mereka. Misalnya. Rendah | Sedang | Tinggi atau 1, 2, 4, 8, 16.

Gelembung grafik

Untuk menyimpan grafik bubble

Catatan

Grafik bubble hanya dapat diselamatkan jika mereka hanya mengandung komponen dan koneksi, yang semuanya harus dari arsitektur tunggal dalam proyek ini.

1. Pastikan bahwa Anda memiliki grafik gelembung baru atau yang sudah ada Bukadan Anda telah membuat perubahan yang diperlukan.

2. Dalam grafik toolbar klik pada paling kiri Save Charttombol untuk menyimpan grafik dan perubahan format.

3. Dalam Grafik Namadialog yang muncul masukkan nama untuk grafik bubble dan tekan oke.

Untuk mengekspor grafik bubble

1. Pastikan Anda memiliki membuka grafik gelembung yang ada.

2. Di klik grafik toolbar pada tanggal 2 dari kiri Simpan Sebagai BMPtombol dan memilih lokasi untuk grafik.

3. Klik Menyimpan.

Lihat juga

Menganalisis arsitektur anda


Melihat grafik ruang kemampuan

Navigasi: Menganalisis arsitektur anda> grafik Kustom>

Melihat grafik ruang kemampuan

Kirim komentar tentang topik ini.

Sebuah grafik Kemampuan Ruang memungkinkan Anda untuk melihat apakah arsitektur Anda memenuhi kemampuan sistem yang diperlukan sehubungan dengan sifat yang diidentifikasi selama proses analisis kebutuhan sistem.

Untuk melihat grafik ruang kemampuan

1. Pastikan Anda memiliki ABACUS file yang terbuka mengandung Anda arsitektur penduduk, Dan bahwa Anda memiliki dievaluasiarsitektur anda.

2. Memilih Memasukkan| Grafik| Charts kustom| Kemampuan Ruang. (Itu Kemampuan Ruang Bagan Configdialog akan ditampilkan.)

3. Dalam Arsitekturbagian, centang arsitektur yang ingin Anda grafik, kemudian klik Berikutnya.

4. Dalam Propertidaerah, centang sifat arsitektur Anda ingin disertakan sebagai sumbu grafik.

5. Dalam Kemampuandaerah, untuk setiap properti termasuk dari langkah sebelumnya, pilih apakah Minimum atau batas kemampuan maksimum ada dan nilai-nilai dari batas-batas. Nilai default adalah nilai-nilai minimum dan maksimum dievaluasi untuk arsitektur atau Tujuannya untuk properti jika sudah ditetapkan.

Untuk mengekspor grafik ruang kemampuan

1. Pastikan Anda memiliki yang ada kemampuan grafik ruang Buka.

2. Dalam grafik toolbar klik pada paling kiri Simpan Sebagai BMPtombol dan memilih lokasi untuk grafik.

3. Klik Menyimpan.

Lihat juga

Menganalisis arsitektur anda | Melihat grafik waktu respon


Laporan standar

Navigasi: Pelaporan arsitektur anda>

Laporan standar

Kirim komentar tentang topik ini.

ABACUS ' standar laporan memungkinkan Anda untuk mendapatkan daftar komponen dan koneksi dalam satu atau lebih dari arsitektur Anda. Laporan ini berisi semua informasi yang berhubungan dengan komponen dan koneksi yang dipilih, termasuk informasi tentang komponen atau tempat sambungan dalam hirarki, jenis, standar, deskripsi, sifat dan lampirannya.

Catatan

Isi laporan aku sdikonfigurasimelalui dialog Report Pilihan dijelaskan di bawah, namun, to mengetahui informasi lebih lanjut tentang cara membuat kustom dikonfigurasi laporanmenggunakan ABACUS Kustom Laporan, silahkan mengacu pada topik sini atau kontak Dukungan Avolution .

Untuk melihat standar melaporkan

1. Pastikan Anda memiliki ABACUS file yang terbuka mengandung Anda arsitektur penduduk(s).

2. Memilih Memasukkan| Standar Laporanatau klik Buat Standar Laporan tombol toolbar. Itu Laporan konfigurasiwindow akan ditampilkan.

Jendela Konfigurasi laporan

3. Pilih Arsitektur, Komponen dan Koneksiyang Anda inginkan dalam laporan dari Laporan konfigurasi Jendela.Silakan merujuk ke Standard Elemen Seleksi sini topik untuk bantuan.

4. Sekarang klik pada Pilihantombol dan Laporan Pilihanwindow akan ditampilkan.

Window Options laporan

5. Anda dapat memilih untuk menampilkan Halaman baru untuk setiap Element, itu Cetak Tanggal, Cetak Waktu, Nomor Halamandan apakah untuk termasuk judul di headerlaporan dengan mencentang / unticking kotak centang yang relevan. Anda juga mungkin ingin menyesuaikan judul dan penulis dengan mengedit Laporan Judul dan Penulis kotak teks. Anda juga dapat memilih konten apa yang ditampilkan pada laporan dengan mencentang / unticking kotak centang di bawah Laporan Kontenbagian dari jendela. Setelah Anda selesai klik oke.

6. Sekarang klik pada Selesaidi jendela Configuration Report.

Menafsirkan laporan dapat dilihat

Contoh Laporan Generated dengan Penjelasan Ringkas

Untuk Menavigasi melalui halaman laporan, klik pada ikon [image] terletak pada toolbar di bagian atas sudut kiri layar.

Catatan

Kamu bisa menyimpan laporan ke berbagai format dengan mengklik Ekspor Laporan icon [image] terletak di toolbar. Anda dapat memilih untuk mengekspor dalam format berikut: Unggul, PDF dan Kata. Harap menyimpan laporan di lokasi yang diinginkan untuk digunakan nanti. Jika perubahan yang dibuat untuk arsitektur pada tahap berikutnya, sebuah laporan baru harus dibuat untuk mencerminkan perubahan.

Lihat juga

Menganalisis arsitektur anda


Melihat grafik waktu respon

Navigasi: Menganalisis arsitektur anda> grafik Kustom>

Melihat grafik waktu respon

Kirim komentar tentang topik ini.

Sebuah grafik waktu respon memungkinkan Anda untuk melihat apakah koneksi Anda sedang diproses pada tingkat yang diperlukan (yaitu dalam batas waktu mereka).

Untuk melihat grafik waktu respon

1. Pastikan Anda memiliki ABACUS file yang terbuka mengandung Anda arsitektur penduduk, Dan bahwa Anda memiliki dievaluasiarsitektur anda.

2. Memilih Memasukkan| Grafik| Charts kustom| Waktu merespon. (Itu Response Time Bagan Configdialog akan ditampilkan.)

3. Dari Arsitekturdaftar drop-down, pilih arsitektur yang ingin Anda grafik.

4. Dalam Koneksidaerah, centang koneksi Anda ingin disertakan dalam grafik.

5. Itu Jenis skaladaerah, pilih Linearjika Anda ingin sumbu vertikal (waktu respon) yang akan ditampilkan sebagai perkembangan linear - setiap segmen waktu dialokasikan bagian yang sama dari sumbu. Memilih Logaritmikjika Anda ingin ditampilkan sebagai perkembangan logaritmik - masing segmen sumbu merupakan periode yang semakin lama semakin tinggi sumbu Anda pergi. (Tingkat kenaikan tersebut ditentukan oleh MendasarkanAnda pilih.)

Waktu respon grafik skala sumbu vertikal

Untuk mengekspor grafik waktu respon

1. Pastikan Anda memiliki yang ada waktu respon grafik Buka.

2. Dalam grafik toolbar klik pada paling kiri Simpan Sebagai BMPtombol dan memilih lokasi untuk grafik.

3. Klik Menyimpan.

Lihat juga

Menganalisis arsitektur anda | Melihat grafik ruang kemampuan


Melihat plot pencar arsitektur Anda berkembang

Navigasi: Menganalisis arsitektur anda> grafik Kustom>

Melihat plot pencar arsitektur Anda berkembang

Kirim komentar tentang topik ini.

Setelah arsitektur telah berkembang dan tujuan didefinisikan, maka dapat dilihat dan dibandingkan dengan arsitektur asli menggunakan matriks sebar. Bagian ini menguraikan cara membuat dan memahami karakteristik dari matriks sebar.

Untuk melihat Matrix sebar arsitektur Anda berkembang

1. Pastikan Anda memiliki ABACUS file yang terbuka .

2. Pastikan Anda memiliki berevolusi dan menentukan tujuanuntuk arsitektur Anda seperti diuraikan di bawah Berkembang arsitektur anda

3. Memilih Memasukkan| Grafik| itu Charts kustomtab | Sebar Matrix.

4. Klik pada Selesai tombol.

5. Itu Scatter Plotdengan evolusi didefinisikan arsitektur dan tujuan akan ditampilkan.

Catatan

Daerah di sisi kiri matriks sebar menunjukkan pengaturan dari matriks sebar ditampilkan. Ini termasuk arsitektur yang telah berkembang (dalam hal ini "ABC Ltd As-Is 2010") Serta tujuan yang telah ditetapkan untuk arsitektur itu. Anda akan mencatat bahwa tujuan yang memiliki tanda centang di samping mereka yang direpresentasikan sebagai X dan Y sumbu dari matriks sebar (misalnya KPI- Biaya, KPI - Kualitas dan KPI - Waktu). Anda dapat untick tujuan-tujuan tersebut pada setiap titik waktu untuk menghapusnya dari matriks sebar.

Titik-titik biru yang muncul di plot Anda dalam matriks mewakili nilai normal, sebagaimana ditentukan oleh terbaik dan terburuk nilai (diuraikan di bawah Menetapkan tujuan untuk arsitektur anda berkembang ). Nilai-nilai ini diwakili dalam Ruang kualitas.

Dua gol didefinisikan dibandingkan terhadap satu sama lain dalam matriks sebar dan proses ini diulang sampai semua tujuan telah dibandingkan (misalnya Plot pertama dari matriks dalam diagram di atas membandingkan KPI - BiayaTujuan dengan KPI - Kualitas tujuan. Yang kedua adalah Biaya melawan Waktu dan plot terakhir adalah Kualitas melawan Waktu. Label tujuan yang relevan akan ditampilkan di bagian atas dan kanan atau setiap baris dari plot.).

6. Pilih Arsitekturtombol radio jika Anda ingin menampilkan metrik untuk arsitektur individu.

7. Pilih Evolusitombol radio jika Anda ingin menampilkan perubahan dinormalisasi dari arsitektur asli (misalnya As-Is 2010) Untuk arsitektur berevolusi (s) (misalnya To-Be 2011 - Strategi A dan ke-be 2011 - Strategi B).

Lihat juga

Menganalisis arsitektur anda | Melihat grafik waktu respon | Melihat plot bintang arsitektur Anda berkembang | Berkembang arsitektur anda


Melihat grafik standar

Navigasi: Menganalisis arsitektur anda> grafik Standard>

Melihat grafik standar

Kirim komentar tentang topik ini.

Grafik standar ABACUS 'termasuk garis, bar, kolom, daerah, menyebarkan, pie, kurva, pareto, langkah, permukaan, radar, kubus, donat, piramida, kontur dan grafik daerah kurva. Setelah Anda memilih jenis grafik yang Anda inginkan, sisa proses untuk melihat masing-masing grafik ini adalah sama.

Untuk melihat grafik standar arsitektur Anda

1. Pastikan Anda memiliki buka file ABACUSmengandung Anda arsitektur penduduk, Dan bahwa Anda memiliki dievaluasiarsitektur anda.

2. Memilih Memasukkan| Grafikatau klik tombol toolbar. Itu Grafikwindow akan ditampilkan.

Window grafik

3. Pilih jenis grafik yang Anda inginkan dan mengatur Pilihan Chart, lalu klik Berikutnya.

Grafik Pilihan

o Ditumpukakan menunjukkan hubungan item individu untuk keseluruhan. Anda dapat menggunakan grafik ditumpuk ketika Anda berencana untuk memiliki beberapa seri data (yaitu beberapa properti) dan ketika Anda ingin menekankan total.

o Ditumpuk 100%akan membandingkan persentase masing-masing nilai kontribusi untuk total di seluruh kategori. Anda dapat menggunakan 100% ditumpuk grafik ketika Anda berencana untuk memiliki beberapa seri data (yaitu beberapa properti) dan Anda ingin menekankan kontribusi untuk keseluruhan, terutama jika total adalah sama untuk setiap elemen.

o 3D Baganhanya akan menampilkan titik data dalam format 3-D untuk estetika. Jika Anda ingin menampilkan seri data sepanjang 3 dimensi / z-axis kemudian menggunakan opsi Cluster Seri dijelaskan di bawah.

o Seri dengan Propertiakan menampilkan serangkaian data untuk setiap properti yang akhirnya dipilih. Jika ini dicentang maka sifat akan menjadi kategori dan seri data akan untuk setiap elemen yang dipilih.

o Putar Baganakan memutar grafik 90 derajat searah jarum jam dengan mempertukarkan x dan y sumbu. Pilihan ini hanya tersedia untuk Lines, Langkah dan Cube grafikdan sangat berguna untuk membuat grafik Milestone seperti yang dijelaskan dalam ujung kedua di bawah. Catatan: Kolom dan Bar grafik yang sudah 'diputar' versi masing-masing.

o Cluster Seriakan menampilkan beberapa data deret di sepanjang dimensi 3 / z-axis. Pilihan ini hanya tersedia untuk Kolom, Bar dan Cube grafikdan sangat berguna untuk membuat grafik gaya Gantt seperti yang dijelaskan dalam Tip pertama di bawah.

Tip

Anda dapat membuat Gantt chartdengan bar horisontal menunjukkan waktu / tanggal properti untuk elemen yang berbeda dengan memilih jenis grafik Bar dan kemudian memilih opsi Cluster Seri.Selanjutnya, setelah dibuat, paling kiri bar pada grafik dapat dibuat 'tak terlihat' oleh mewarnai putih dengan mengklik kanan salah satu bar, memilih warna dari menu yang muncul dan memilih warna kiri atas dari palet. Selain itu perbatasan untuk paling kiri bar dapat dibuat 'tak terlihat' dengan mengklik kanan salah satu bar, memilih Properties ... dan pada tab Series dalam dialog yang muncul mengubah Effect Perbatasan ke Tidak ada dan Warna ke atas warna -left dari palet.

Tip

Anda dapat membuat Grafik Milestonedengan bentuk kecil yang menunjukkan waktu / tanggal properti untuk elemen yang berbeda dengan memilih jenis grafik Cube dan kemudian memilih Rotate Chart dan pilihan Cluster Seri.Selanjutnya, setelah dibuat, kubus dapat diubah ke bentuk lain dengan mengklik kanan salah satu batu dalam serangkaian data yang diberikan dan memilih Properties ... dan pada tab Series dalam dialog yang muncul mengubah Bar baik Cylinder atau Cone . Catatan: Gap nilai lebar juga dapat digunakan untuk 'mengecilkan' simbol pada tabel untuk mengurangi tumpang tindih, semakin tinggi angka yang kurang tumpang tindih akan ada.

4. Dalam ArsitekturBagian, centang arsitektur / s Anda ingin memetakan sifat tingkat arsitektur untuk, lalu klik Berikutnya.

Catatan

Memilih properti tingkat arsitektur merupakan langkah sepenuhnya opsional dan hanya boleh digunakan bila Anda ingin secara eksplisit memetakan sifat tingkat arsitektur sendiri.Arsitektur tidak perlu dipilih untuk kemudian termasuk komponen atau koneksi properti pada langkah berikutnya.

5. Pilih Komponen dan Koneksiyang Anda inginkan dalam grafik dari Unsur standar pemilihan window , Lalu klik Berikutnya.

6. Pilih PropertiAnda inginkan dalam grafik dan klik Selesai.

Grafik Pilihan

o Termasuk sifat Standar akan menunjukkan sifat yang diwarisi dari Standar yang tersedia untuk seleksi.

o Properti agregat akan menghitung varians antara nilai seri dan grafik hasil tersebut yang bertentangan dengan nilai-nilai individu sendiri.Pilihan ini hanya tersedia jika Series dengan pilihan Properti terpilih pada langkah 3 di atas.

Tip

Properti yang tersedia untuk charting tergantung pada elemen yang Anda pilih.

Untuk menyimpan grafik

Catatan

Grafik hanya dapat diselamatkan jika mereka hanya mengandung komponen dan koneksi, yang semuanya harus dari arsitektur tunggal dalam proyek ini.

1. Pastikan bahwa Anda memiliki grafik baru atau yang sudah ada Bukadan Anda telah membuat perubahan yang diperlukan.

2. Dalam grafik toolbar klik pada paling kiri Save Charttombol untuk menyimpan grafik dan perubahan format.

3. Dalam Grafik Namadialog yang muncul masukkan nama untuk grafik dan tekan oke.

Untuk mengekspor tabel

1. Pastikan Anda memiliki yang ada grafik Buka.

2. Di klik grafik toolbar pada tanggal 2 dari kiri Simpan Sebagai BMPtombol dan memilih lokasi untuk grafik.

3. Klik Menyimpan.

Lihat juga

Menganalisis arsitektur anda | Melihat grafik waktu respon | Melihat grafik ruang kemampuan


Melihat plot bintang arsitektur Anda berkembang

Navigasi: Menganalisis arsitektur anda> grafik Kustom>

Melihat plot bintang arsitektur Anda berkembang

Kirim komentar tentang topik ini.

Setelah arsitektur telah berkembang dan tujuan didefinisikan, maka dapat dilihat dan dibandingkan dengan arsitektur asli menggunakan bintang plot. Bagian ini menguraikan cara membuat dan memanipulasi plot bintang.

Untuk melihat plot bintang arsitektur Anda berkembang

1. Pastikan Anda memiliki ABACUS file yang terbuka .

2. Pastikan Anda memiliki berevolusi dan menentukan tujuanuntuk arsitektur Anda seperti diuraikan di bawah Berkembang arsitektur anda

3. Memilih Memasukkan| Grafik| itu Charts kustomtab | Plot Bintang.

4. Klik pada Selesai tombol.

5. Itu Plot Bintangdengan arsitektur berkembang dan menetapkan tujuan akan ditampilkan. Catatan: sumbu plot bintang dapat direposisi dengan mengklik dan menyeret kapak ke daerah lain dalam batas-batas ruang kualitas bintang petak.

Catatan

Daerah di sisi kiri plot bintang menunjukkan pengaturan plot bintang yang ditampilkan. Ini termasuk arsitektur yang telah berkembang (dalam hal ini "ABC Ltd As-Is 2010") Serta tujuan yang telah ditetapkan untuk arsitektur itu. Anda akan mencatat bahwa tujuan yang memiliki tanda centang di samping mereka yang direpresentasikan sebagai sumbu plot bintang (misalnya KPI- Biaya, KPI - Kualitas dan KPI - Waktu). Anda dapat untick tujuan-tujuan tersebut pada setiap titik waktu untuk menghapusnya dari plot bintang.

Merah dan hijau "titik" yang muncul pada plot bintang Anda mewakili nilai normal, sebagaimana ditentukan oleh terbaik dan terburuk nilai (diuraikan di bawah Menetapkan tujuan untuk arsitektur anda berkembang ) Untuk dipilih arsitektur tingkat atas dan setiap evolusi itu. Nilai-nilai ini diwakili dalam Ruang kualitas.

Sebagaimana diuraikan dalam gambar di atas, itu jelas terlihat bahwa arsitektur asli (As-Is 2010) Memiliki miskin Biaya, Sedangkan pilihan berevolusi pertama (To-Be 2011 - Strategi A) Telah bergerak dalam ruang yang berkualitas untuk meningkatkan Biaya, Kualitas dan Waktugol. Atau, kedua berevolusi pilihan (To-Be 2011 - Strategi B) sementara itu juga telah meningkatkan Biaya besarnya peningkatan yang lebih kecil dari Strategi A namun kedua tujuan Kualitas dan Waktu telah ditingkatkan lebih dari dengan Strategi A.Dalam hal ini seorang arsitek Mei memilih Strategi lebih Strategi Bsebagai rekomendasi merekadan selanjutnya berkembang opsi yang (To-Be 2012 - Strategi A).

6. Hapus Tampilkan Evolutionskotak centang untuk menyembunyikan garis (s) mewakili evolusi (s) antara asli (misalnya As-Is 2010) Dan berkembang (mis To-Be 2011 - StrategiA) arsitektur (s).

7. Pilih Tampilkan Stickskotak centang untuk menampilkan besarnya relatif setiap atribut kualitas (tujuan yang telah ditetapkan pada setiap sumbu) untuk setiap arsitektur.

8. Pilih Tampilkan Nama Arsitekturkotak centang jika Anda ingin nama-nama asli dan berevolusi arsitektur (s) untuk tampil pada plot bintang.

Lihat juga

Menganalisis arsitektur anda | Melihat grafik waktu respon | Melihat matriks sebar arsitektur Anda berkembang | Berkembang arsitektur anda


Menganalisis arsitektur anda

Navigasi: Menganalisis arsitektur anda>

Menganalisis arsitektur anda

Kirim komentar tentang topik ini.

Setelah Anda telah dihuni (dan opsional simulasi) arsitektur Anda, Anda siap untuk menggunakan ABACUS untuk menganalisanya. Dengan menganalisis itu, Anda dapat menentukan apakah arsitektur Anda akan memenuhi kebutuhan Anda.

Anda dapat menganalisis arsitektur anda dalam berbagai cara yang berbeda:

· Diagram

· 3D melihat

· grafik standar (pie, baris, kolom, bar, dll)

· grafik kustom ( waktu merespon , ruang kemampuan , Bintang petak , sebar matriks dan grafik bubble )

· Arsitektur Diff

Catatan

Ketika membuat diagram, 3D melihat, Laporan atau grafik standar, Unsur standar pemilihan window digunakan untuk memilih elemen yang Anda ingin melihat.

Lihat juga

Mengisi arsitektur anda | Simulasi arsitektur anda | Itu Diagram Alat


Apa arsitektur?

Navigasi: Pengantar ABACUS>

Apa arsitektur?

Kirim komentar tentang topik ini.

Arsitektur adalah abstrak konsep- Bukan fisik benda. Ini adalah deskripsi yang kaya dan komprehensif atau pemahaman tentang struktur sistem - menangkap komponen dan bagaimana mereka terhubung (berinteraksi). Karena gagasan arsitektur begitu mencakup semua, itu adalah dasar untuk biaya, ketersediaan, evolvability, keterbukaan, dan kinerja sistem. Sebuah arsitektur suara adalah prasyarat dari sound system.

Dalam ABACUS, Anda model arsitektur anda. Untuk mempermudah, kita sebut model arsitektur ini arsitektur.

Diagram di bawah menggambarkan arsitektur khas 5komponen (di hirarki) dihubungkan dengan 2 koneksi. Label menunjukkan nama yang diberikan berbagai bagian arsitektur di ABACUS.

Sebuah arsitektur sederhana

ABACUS menganggap semua hal ini menjadi bagian dari arsitektur:

· Komponenmewakili entitas arsitektur Anda yang Anda bisa menggambarkan sebagai "hal-hal". Untuk perusahaan asuransi, komponen mungkin sistem kebijakan pengolahan, klaim, pembayaran, dan penerimaan.

· Koneksimewakili hubungan antara komponen-komponen ini. Sebagai contoh, dalam sebuah perusahaan asuransi, penerimaan yang dihasilkan untuk kebijakan yang valid, klaim yang dibuat terhadap kebijakan yang valid, dan klaim yang valid mengakibatkan pembayaran. Ketika berpikir arsitektural - terutama ketika menggunakan ABACUS - koneksi yang sama pentingnya dengan komponen, dan mereka ditangani dengan cara yang hampir sama.

· Segala sesuatu di pohon dapat memiliki Properti. Sifat-hal seperti cara Anda memerlukan sistem Anda untuk melakukan, jumlah baris kode yang dimilikinya, persentase garis-garis yang komentar, dsb ABACUS menganggap semua hal ini menjadi bagian dari arsitektur.

· Dengan menggunakan hierarki (yaitu. sub-komponen dan sub-koneksi), Anda dapat menyembunyikan informasi dan de-menulis arsitektur anda. The ABACUS model arsitektur sangat fleksibel. Setiap komponen di tingkat apapun dapat berhubungan dengan komponen lain pada setiap tingkat lain dengan koneksi di tingkat manapun.

· Lampiranadalah operasi dimana komponen port terikat untuk koneksiperan. Port dan Peran adalah antarmukasantara komponen dan koneksi. Mereka digunakan untuk melampirkan koneksi ke komponen. Koneksi memiliki Sumber dan Sink peran(memfasilitasi aliran data dari komponen sumber ke komponen sink)dan konseptual, komponen memiliki port. Untuk kesederhanaan, namun, dalam ABACUS port komponen tidak ditampilkan dan peran koneksi secara langsung melekat pada komponen sendiri.

· Komponen dan koneksi dari tertentu Mengetik. Hal ini terutama untuk tujuan klasifikasi. Sebagai contoh kebijakan, klaim, pembayaran, dan penerimaan adalah komponen dari jenis 'Sistem'. Kebijakan valid, klaim yang valid, dll koneksi dari jenis 'Transaksi'. Tipe ditugaskan untuk komponen atau sambungan menyediakan template untuk properti dan standar memiliki. Misalnya, jenis komponen Server mungkin memiliki 'Membuat & Model' standardan properti IP Address. Tidak seperti alat kaku lainnya dengan dasar relasional data dasar (RDB) back-end, di ABACUS Anda dapat dengan bebas membuat Jenis baru Anda sendiri dan menetapkan kombinasi Anda sendiri sifat dan standar mereka.

· Perpustakaan standar sifat dapat ditentukan dan ditugaskan untuk hal lain dalam arsitektur. Perpustakaan ini dikenal sebagai Standar. Dengan menggunakan Standar, Anda hanya perlu mengumpulkan sistem sifat tertentu - sifat standar yang sudah ada. Misalnya karakteristik kinerja standar Microsoft Windows 2000 dapat ditugaskan untuk apa komponen menggunakan sistem operasi Microsoft Windows 2000.

Lihat juga

Bagaimana arsitektur diwakili dalam ABACUS? | Apa ABACUS lakukan? | Bagaimana Anda melakukannya (Ikhtisar) | Membuat Jenis baru


Bekerja dengan Enterprise Server

Navigasi: Administrasi>

Bekerja dengan Enterprise Server

Kirim komentar tentang topik ini.

ABACUS Perusahaan Server merupakan sebuah 'non-locking' pendekatan kolaboratif, tetapi 'terputus' satu juga. ABACUS adalah 'non-penguncian' karena tidak memaksa file yang akan dikunci oleh satu pengguna untuk itu harus diperbarui. Setiap pengguna memiliki salinan lokal mereka sendiri dari file, dan karena mereka membuat perubahan dan menyimpan file mereka, perubahan tersebut dicatat dan disimpan untuk saat pengguna ingin melakukan mereka ke server.

ABACUS yang 'terputus' dalam arti bahwa Anda tidak perlu terhubung ke server atau memerlukan akses jaringan sementara bekerja pada sebuah file. ABACUS hanya membutuhkan akses ke server ketika melakukan operasi seperti membuat file, atau melakukan checkout, bersama dengan operasi pada file yang ada - Update, komit, atau melihat log dari masa lalu melakukan. Akses ke server tidak diperlukan untuk bekerja pada file, dan perubahan tidak dikirim ke server segera (ini memungkinkan Anda untuk dengan mudah membuang perubahan Anda jika Anda membuat kesalahan). Ketika Anda menyimpan file Anda, Anda 'hanya' tabungan Anda salinan lokal - tidak sampai Anda melakukan perubahan lokal Anda (perubahan yang dibuat sejak Anda komit terakhir), dikirim ke server.

Membuat File Baru Perusahaan

Untuk membuat file Kewirausahaan baru, pilih Mengajukan| Baru ...dan kemudian pilih salah satu dari dua pilihan pertama di bawah bagian Perusahaan Model Dialog New Project (yaitu berupa file Kewirausahaan kosong, atau membuat satu dari file yang ada ABACUS). Pilihan ketiga adalah untuk 'Checkout' Enterprise berkas orang lain telah dibuat, ini akan dibahas pada bagian berikutnya.

Bila Anda memilih untuk membuat file Kewirausahaan baru, Anda akan diberikan sebuah dialog yang akan memungkinkan Anda untuk browse ke tempat di server repositori Anda ingin menyimpan file Anda. Hal ini juga akan memiliki path file yang ada dan nama masuk di bagian atas jika Anda memilih 'Dari yang ada Model' dari dialog New Project dan disediakan sebuah file.

URL: Ini adalah URL ke server repositori Anda di mana file ABACUS Enterprise disimpan. Anda harus meminta orang yang mengelola server apa URL ini harus.

Gambar di atas menunjukkan sebuah repositori dengan empat (4) ada proyek ABACUS Enterprise, setelah memasukkan URL dan menekan enter. Kamu akan melihat setelah Anda membuat file Kewirausahaan baru, pada screenshot berikutnya untuk 'Checkout', akan ada folder lain dan file di bawah repositori ini.

Catatan

Jika Anda menggunakan https (SSL) Server, dan server tidak memiliki sertifikat SSL yang sah (umum untuk intranet atau non-publik server karena itu biaya sertifikat SSLs) Akan ada langkah tambahan untuk mengambil. Anda akan diminta untuk menerima semua koneksi ke server dalam dialog yang muncul secara permanen (itu juga akan menampilkan informasi sedikit lebih di server). Untuk melakukannya, ketik 'p' (tanpa tanda kutip) dan tekan Enter. ABACUS akan muncul pesan yang mengingatkan Anda tentang hal ini sebelum menunjukkan dialog.

Catatan

Anda mungkin akan diminta untuk login ke server dalam hal orang yang mengelola serverdapat memberikan username dan password server yang. Juga, login untuk setiap server yang telah Anda terhubung ke diselamatkan sehingga jika untuk alasan apapun yang mereka perlu dibersihkan ini dapat dilakukan melalui Tools | Pilihandan kemudian pada Umum tab dengan mengklik Atur ulang Subversion Disimpan Logindan memilih server dari daftar drop-down dan klik Jelas Logindan memilih OK pada dialog yang muncul.

Catatan

Tidak seperti screenshot yang ditunjukkan di atas, biasanya ABACUS Proyek tunggal sudah termasuk dalam setiap ABACUS Repository karena jika lebih dari 1 ABACUS Proyek dibuat dalam satu ABACUS Repository, angka perubahan log ABACUS dibagi di semua Proyek ABACUS dan ini dapat membingungkan pengguna.

Disukai Filename: Ini mempengaruhi baik folder dan nama file yang akan digunakan (jika belum diambil) saat membuat file pada server repositori. Perhatikan bahwa folder baru dibuat secara otomatis di server repositori untuk setiap file (untuk alasan kinerja, file ABACUS Enterprise dibuat dalam folder sendiri di bawah lokasi melihat-lihat ke dalam dialog).

Menyimpan Copy Pekerjaan dalam direktori: Ketika file Enterprise dibuat pada server repositori, file kerja lokal harus dibuat di komputer Anda, sehingga Anda dapat bekerja pada file tanpa terhubung ke jaringan. Ini adalah tempat yang Anda akan browse ke bila Anda ingin membuka / membuka kembali file ABACUS Perusahaan.

Checkout yang ada Kewirausahaan Berkas

Jika seseorang telah menciptakan sebuah file Kewirausahaan baru, Anda bisa 'checkout' file ini, yang men-download salinan lokal dan set up file yang diperlukan sehingga ABACUS mengakui ini sebagai file Kewirausahaan. Dialog mirip dengan New Perusahaan Berkas Dialog. Masukkan repositori URL (subdirektori dapat dimasukkan dalam URL), pilih file yang diperlukan, dan klik OK. Tunduk pada catatan di bawah tia mengajukan kemudian akan dibuka.

Catatan

Anda mungkin akan diminta untuk login ke server dalam hal orang yang mengelola serverdapat memberikan username dan password server yang. Juga, login untuk setiap server yang telah Anda terhubung ke diselamatkan sehingga jika untuk alasan apapun yang mereka perlu dibersihkan ini dapat dilakukan melalui Tools | Pilihandan kemudian pada Umum tab dengan mengklik Atur ulang Subversion Disimpan Logindan memilih server dari daftar drop-down dan klik Jelas Logindan memilih OK pada dialog yang muncul.

Perusahaan Berkas Perbedaan

Bila Anda telah membuat file Enterprise (baik yang baru, atau melalui 'checkout' dari file yang dibuat oleh orang lain), folder akan dibuat untuk file, dan itu umumnya akan berisi ini 3 jenis utama dari file:

· File '.abacus'- Ini adalah file ABACUS itu sendiri. Perubahan yang Anda buat secara lokal tidak segera disimpan ke dalam file ini, itu hanya ditulis ketika Anda melakukan. File ini adalah file ABACUS 'normal', dapat diberikan kepada pengguna non-EEsebagai proyek yang berdiri sendiri (tanpa file .log), Atau digunakan sebagai titik awal untuk file EE baru.

· File '.changes'- Lokal (uncommitted) perubahan yang dibuat ke file. Jika file ini hilang, ini berarti tidak ada perubahan lokal.

· File '.log'- File ini hanya memiliki perubahan yang dibuat oleh pengguna terakhir (isi .changes file pengguna ketika mereka berkomitmen).

Catatan

Ada berbagai file lainnya yang mungkin dibuat selama update dan melakukan proses, yaitu; ‘.changesbefore' mengajukan- File ini adalah salinan dari .changes berkas setelah update telah dilakukan dan digunakan untuk secara otomatis mendamaikan ID konflik antara update dan setiap lokal (uncommitted) perubahan sebelum melakukan; ‘.backup' mengajukan- File ini adalah salinan dari .changes berkas sebelum pengguna menyimpan lebih lokal (uncommitted) perubahan pada .changes berkas; dan ‘.kesalahan' mengajukan- File ini adalah salinan dari .changes mengajukan jika ada masalah yang menyebabkan ABACUS gagal untuk membuka file .abacus dan pengguna memilih untuk kembali perubahan mereka.File-file ini dapat diabaikan.

Membuka File

Untuk Membuka file, Anda hanya perlu menelusuri ke mana Anda memilih untuk menyimpan copy pekerjaan, dan buka file ABACUS yang disimpan di sana. Ketika ABACUS melihat bahwa ada .File log (dan mungkin .perubahan file jika Anda telah membuat perubahan), itu akan memperlakukan file sebagai file Kewirausahaan.

Memperbarui File

Melakukann 'Update' akan memeriksa apakah versi terbaru dari file terletak di server. Jika ada, itu akan menutup file Anda saat ini, update ke file yang lebih baru dari server, dan men-download beberapa file sementara yang memiliki nomor sebagai perpanjangan - misalnya 'Demo.125'. File-file ini adalah versi file .log, dan digunakan untuk menentukan perubahan apa yang telah dibuat ke file sejak Anda terakhir diperbarui. Hal ini diperlukan untuk mendeteksi setiap konflik yang mungkin terjadi sehingga Anda dapat mengatasinya.

Jika selama proses update setiap konflik ditemukan, Anda akan perlu untuk menyelesaikan mereka sebelum Anda dapat membuka file Anda lagi (Anda dapat membatalkan tapi Anda akan diminta untuk menyelesaikan konflik lagipada saat Anda membuka file Anda).

Menyimpan File

Ketika Anda menyimpan file, ini menambahkan setiap perubahan yang Anda buat ke .changes berkas. Saya t tidakmemodifikasi file .abacus pada tahap ini - hanya ketika file tersebut berkomitmen untuk server akan itu ditulis lebih (atau ketika Anda menerima update dari server).

Dimana 'Save As'?

Tidak ada konsep Save As untuk file Kewirausahaan. Namun Anda dapat, copy copy pekerjaan Anda .abacus berkas, mengingat bahwa itu tidak akan memiliki perubahan lokal Anda di dalamnya.

Menyelesaikan Konflik

Jika pengguna lain memiliki perubahan berkomitmen untuk file di bagian yang sama dari file untuk Anda, mungkin ada beberapa konflik antara perubahan mereka dan Anda. Sebagai contoh, pengguna lain dapat menghapus komponen yang Anda punya memperbarui properti pada. Anda perlu baik membatalkan perubahan mereka (jika Anda yakin bahwa mereka harustidak telah terjadi), atau mengabaikan perubahan Anda (Anda kemudian dapat kembali ke file dan mengulang perubahan Anda).

Secara khusus ada 4 kelas konflik yang dapat terjadi;

1. Hapus - Ketika salah satu pengguna menghapus sebuah objek bahwa perubahan pengguna lain. Misalnya. Pengguna A dihapus komponen tetapi pengguna B berubah nama komponen atau terhubung atau ditambahkan komponen anak untuk itu dll

2. Atribut - Ketika dua pengguna kedua mengubah sama persis 'atribut' dari suatu objek. Misalnya. Kedua Pengguna A dan Pengguna B berubah nama komponen atau deskripsi atau nilai satu dari sifat-sifatnya dll

3. Referensi - Ketika dua pengguna mengubah 'referensi' yang sama persis sebuah objek memiliki ke objek lain. Misalnya. Kedua Pengguna A dan Pengguna B berubah jenis komponen atau komponen sumber / tenggelam melekat koneksi atau sudut pandang terkait untuk diagram dll

4. Koleksi - Ketika dua pengguna mengubah 'koleksi' untuk sebuah objek. Misalnya. Kedua Pengguna A dan Pengguna B pindah komponen dari satu orangtua lain atau re-memerintahkan kumpulan komponen anak.

Catatan

Berbagai konflik ngawur secara otomatis dipecahkan oleh ABACUS untuk meminimalkan overhead pada pengguna.Misalnya pengaturan pan-zoom yang bertentangan untuk diagram diselesaikan untuk menjaga pengaturan pan-zoom terbaru.

Melakukan Perubahan

Bila Anda memilih untuk melakukan perubahan, file ABACUS dari server dibuka, Anda lokal Perubahan yang dilakukan menentangnya, dan kemudian lokal Anda File .abacus diganti dengan satu yang memiliki perubahan di dalamnya. Perubahan mengajukan kemudian menimpa file .log, dan kedua file .abacus dan file .log dikirim ke server.Jika komit sukses Komit dialog Pesan seperti gambar di bawah ini disediakan untuk memasukkan pesan dengan komit.

Melihat Log Perubahan

Untuk melihat log perubahan ke Perusahaan proyek, memilih Mengajukan| Melihat log...

Entri Log maksimum: Ini akan default ke 10 entri terakhir tapi entri tambahan dapat diambil dengan mengubah nilai dan mengklik Mendapatkan kembali tombol.

Revisi: ThKolom e Revisi daftar nomor revisi berkomitmen untuk server Enterprise, secara default, dalam urutan kronologis terbalik.

Catatan

Angka revisi mungkin tidak berkelanjutan karena hanya ABACUS komit akan terdaftar sementara repositori Subversion yang sama dapat digunakan untuk proyek-proyek ABACUS lain dan / atau aplikasi kontrol versi lain.

Tanggal: The Tanggal kolom daftar tanggal revisi tersebut dilakukan ke server Perusahaan.

Waktu: ThKolom e Waktu daftar waktu hari (dalam format 24 jam) bahwa revisi tersebut dilakukan ke server Perusahaan.

Penulis: The Penulis kolom daftar nama login Microsoft Windows untuk pengguna yang melakukan komit diikuti oleh mereka ABACUS nama pengguna , Atau 'Anonymous' jika pengguna tidak dikonfirmasi dan pengguna anonim diizinkan akses ke proyek Perusahaan pada saat komit.

Log Pesan: ThKolom e Log Pesan berisi pesan commit yang diberikan dengan revisi sesuai dialog yang ditunjukkan di atas.

Download revisi XX sebagai berkas ABACUS yang berdiri sendiri: Jika Anda memilih revisi yang diberikan dalam tabel dan kemudian klik tombol Download Anda akan dapat mengekstrak revisi proyek ABACUS yang dipilih dari server dan menyimpannya sebagai / proyek ABACUS berdiri sendiri lokal.

Catatan

Untuk memutar kembali ke revisi sebelumnya silahkan lihat ini Avolution artikel masyarakat .

(Admin) Download file XML Log untuk revisi XX: Pengguna dengan kemampuan Administrator ABACUS dapat memilih revisi yang diberikan dalam tabel dan kemudian klik tombol Download untuk mengekstrak proyek ABACUS yang dipilih komit file log dari server dan menyimpannya sebagai file .xml.

Melihat sebuah Trail Audit Perubahan

Untuk melihat jejak audit dari perubahan setiap elemen yang diberikan (yaitu komponen, koneksi, lihat, anak-anak dll) dari sebuah Perusahaan proyek, klik kanan elemen dan memilih Audit Trail..., Mengatur Dari dan Untuk berbagai Revisi dan klik Pencarian.

Catatan

Setelah elemen dihapus dari proyek Anda tidak lagi dapat mengakses informasi audit trail spesifik tentang elemen. Anda bisa, bagaimanapun, masih mengakses komponen 'orang tua' (misalnya) dan melihat informasi audit trail tentang penghapusan (dalam hal ini daftar ID dari elemen yang telah dihapus).Selanjutnya, Komponen / Connection attachment adalah 'milik' dari koneksi sehingga mengubah komponen yang terpasang melalui jendela Explorer atau pada Diagram akan menunjukkan di jejak audit untuk koneksi TIDAK komponen, dan menghapus sambungan dan menciptakan koneksi baru (sebagai yang terjadi jika Anda klik kanan 'Unattach' dan kemudian 'Connect ...' di katalog) akan mengakibatkan hilangnya informasi jejak audit untuk komponen asli - lampiran koneksi sama sekali.

Catatan

Secara default jejak audit secara rekursif akan memeriksa perubahan ke salah satu dari anak-anak dari elemen yang dipilih. Hal ini dapat mengakibatkan waktu respon yang lama dan sesuai jejak audit dapat dibatasi ke elemen itu sendiri dengan menghapus tanda pada Rekursif pilihan di bawah Audit Pilihan'roda gigi' tombol toolbar dalam dialog Audit Trail.

Dari Revisi: Ini akan default untuk pertama / revisi tertua yang tersedia untuk proyek pada server Perusahaan.

Untuk Revisi: Ini akan default ke terakhir / paling revisi terbaru yang tersedia untuk proyek pada server Perusahaan.

Catatan

Setelah menetapkan Dari dan Untuk revisi range klik tombol Cari untuk mengambil perubahan spesifik untuk elemen yang dipilih.

Revisi: ThKolom e Revisi daftar nomor revisi berkomitmen untuk server Enterprise, secara default, dalam urutan kronologis maju.

Catatan

Angka revisi tidak mungkin terus menerus karena hanya revisi yang relevan dengan elemen yang dipilih akan ditampilkan dan hanya ABACUS berkomitmen akan terdaftar sementara repositori Subversion yang sama dapat digunakan untuk proyek-proyek ABACUS lain dan / atau aplikasi kontrol versi.

Tanggal: The Tanggal kolom daftar tanggal bahwa tindakan pengguna dibuat.

Catatan

Tanggal yang ditampilkan adalah tanggal tindakan pengguna, bukan tanggal revisi tersebut dilakukan ke server Perusahaan. Dengan demikian, tanggal mungkin mendahului revisi sesuai komit tanggal ditampilkan dengan Berkas | Melihat log... perintah.

Waktu: ThKolom e Waktu daftar waktu hari (dalam format 24 jam) bahwa tindakan pengguna dibuat.

Catatan

Waktu yang ditunjukkan adalah waktu tindakan pengguna, bukan waktu revisi tersebut dilakukan ke server Perusahaan. Dengan demikian, waktu yang paling mungkin akan mendahului revisi sesuai komit waktu ditunjukkan dengan Berkas | Melihat log... perintah.

Penulis: The Penulis kolom daftar pengguna yang dilakukan nama login tindakan ini Microsoft Windows diikuti oleh mereka ABACUS nama pengguna , Atau 'Anonymous' jika pengguna tidak dikonfirmasi dan pengguna anonim diizinkan akses ke proyek Perusahaan pada saat tindakan pengguna.

Catatan

Penulis tercantum dalam Audit Trail dialog belum tentu cocok dengan Penulis tercantum dalam dialog View Log atas untuk revisi yang sama. Hal ini karena daftar dialog View Log login pengguna pada saat komit sementara daftar dialog Audit Trail login pengguna pada saat tindakan pengguna, dan itu adalah mungkin untuk memiliki satu pengguna membuat perubahan dan mengirim mereka. perubahan file ke pengguna lain untuk melakukan - seperti yang terjadi ketika pengguna eksternal (seperti Avolution) adalah untuk bekerja pada sebuah proyek EE.

Rincian: The Detail kolom daftar rincian tepat dari tindakan pengguna seperti yang tercatat di server Perusahaan.

Tip

Hal ini berguna untuk kelompok oleh kolom Revisi (seperti yang ditunjukkan dalam dialog di atas) dan / atau kolom Action Pengguna untuk mudah mengklasifikasikan perubahan unsur bunga.

Penggunaan Scripting dengan file Kewirausahaan

Jika Anda menggunakan scripting dengan file Enterprise, Anda harus menyadari bagaimana benar menghapus objek dari model. Secara umum, ketika Anda menghapus sebuah objek, Anda akan memanggil metode .Delete () di atasnya, daripada hanya mengeluarkannya dari induknya.

Misalnya. jika Anda telah comp1 sebagai induk dari comp2 dan Anda ingin menghapus comp2 dalam naskah Anda, Anda harus menghubungi comp2.Delete (), bukan comp1.Components.Remove (comp2).

Anda mungkin menggunakan menghapus jika Anda berniat untuk menambahkan objek comp2 ke tempat lain dalam arsitektur, tetapi tidak boleh digunakan jika tujuannya adalah untuk menghapus objek.

Ada pengecualian untuk ini, ketika Anda ingin menghapus sebuah benda yang 'hidup' di tempat lain dalam model. Bila Anda ingin menghapus contoh standar dari arsitektur / komponen / koneksi, maka Anda akan melakukannya dengan mengeluarkannya dari contoh ini standar koleksi - arch1.Implementasi.Remove (Imp) - karena menghapusnya akan menghapusnya dari semua kasus.

Benar menggunakan Hapus di script ini penting karena jika sebuah objek dihapus dari objectmodel dan tidak kembali ditambahkan, maka tidak akan bisa ditemukan, tapi karena itu tidak secara khusus 'dihapus', Deteksi Konflik dan Resolusi tidak akan benar mendeteksi konflik jika pengguna lain adalah untuk mencoba menggunakan objek yang dalam setiap perubahan mereka, dan hasil akhirnya akan menjadi set rusak perubahan untuk pengguna tersebut.

Lihat juga

Bagaimana arsitektur diwakili dalam ABACUS?


Bekerja dengan file ABACUS

Navigasi: Pengantar ABACUS>

Bekerja dengan file ABACUS

Kirim komentar tentang topik ini.

Sebuah file ABACUS adalah wadah untuk model Anda arsitektur . Dalam file ABACUS tunggal, Anda dapat model sejumlah arsitektur beberapa kali.

Ketika Anda pertama kali membuka ABACUS, tidak ada file yang terbuka. Untuk bekerja pada arsitektur Anda, Anda harus baik membuat file baru, atau membuka file yang ada.

Ketika Anda membuka atau membuat file baru, pohon di jendela explorer secara otomatis akan ditampilkan. Tampilan explorer ini menunjukkan arsitektur anda sampai saat ini. Bila Anda menutup file, pohon di jendela explorer juga akan hilang.

Untuk membuat file baru ABACUS

1. Memilih Mengajukan| Baru ...

2. Dalam dialog New Project yang muncul (seperti gambar di bawah) Memilihbaik membuat model kosong, model dari standar perpustakaan ABACUS , Model dari ABACUS perpustakaan kustom, model dari XML, MS Access , MS Visio , MS Excel , MS SQL Server , sebuah Perusahaan Server model atau ABACUS perpustakaan kustom (file .abacuslib).

3. Klik pada oketombol dan mengikuti dialog yang mungkin muncul.

Tip

Anda tidak akan diminta untuk nama file sampai Anda menyimpan atau menutupnya. Ini adalah ide yang baik untuk menyimpan file Anda segera setelah Anda membuatnya. Maka Anda tidak perlu khawatir tentang penamaan itu nanti dalam proses ketika Anda berkonsentrasi pada hal-hal kompleks lainnya (seperti mengisi arsitektur anda).

Buat Proyek Baru

Perpustakaan Standard ABACUS

ABACUS mendukung lebih 100 kerangka kerja umum dan notasi beberapa di antaranya adalah sebagai berikut. Ketika memilih untuk membuat proyek baru dari pengguna perpustakaan standar memiliki awal yang cepat untuk pemodelan dalam suatu kerangka membangun mengambil keuntungan penuh dari setiap jenis elemen didefinisikan, atribut, notasi, sudut pandang dan template atau pola. Perpustakaan standar tambahan tersedia secara bebas melalui Komunitas Avolution sini .

Proyek baru dari Standard Library

Untuk menyimpan file ABACUS baru

1. Memilih Mengajukan| Save As

Tip

Nama file dapat setiap panjang, dan dapat berisi karakter alpha-numerik dan ruang. Mereka tidak bisa mengandung tilde (~) karakter, pipa (|) karakter, tanda tanya, atau karakter yang biasanya digunakan untuk deskripsi jalan seperti backslash (\) - kecuali sebagai bagian dari jalan (?).

Untuk membuka file yang ada ABACUS

1. Memilih Mengajukan| Buka

Catatan

Jika Anda membuka file dari lokasi jaringan bersama yang sudah terbuka ke pengguna lain, ABACUS akan memberikan Read Only akses. Bila menggunakan ABACUS dengan Read Only akses, Anda tidak akan dapat melakukan operasi write, seperti mengisi arsitektur dan berjalan evaluator. Anda bisa, bagaimanapun, melihat arsitektur anda menggunakan tampilan explorer dan pandangan 3D.

Lihat juga

Bagaimana arsitektur diwakili dalam ABACUS?


Bekerja dengan Dashboard

Navigasi: Administrasi>

Bekerja dengan Dashboard

Kirim komentar tentang topik ini.

Proyek ABACUS dapat memiliki konfigurasi pandangan (misalnya diagram, Grafik dll) disimpan sebagai dashboard dan ini dashboard disimpan dapat ditetapkan sebagai default mulai 'layar' pada pembukaan sebuah proyek dan / atau ditugaskan untuk tertentu grup pengguna dan disajikan kepada anggota kelompok pengguna ketika mereka masuk ke sebuah proyek ABACUS.

Catatan

Untuk mengkonfigurasi dashboard dalam proyek ABACUS lisensi kebutuhan pengguna kemampuan Administrator. Silahkan hubungi Administrator ABACUS setempat atau Dukungan Avolution jika Anda memerlukan kemampuan ini.

Melihat Panel Kontrol

Contoh Aplikasi Portfolio Management (APM) dashboard

Untuk melihat Dashboard disimpan

1. Memilih Melihat| Dashboard

2. Pilih dashboard diselamatkan dari daftar dashboard yang tersedia.

Catatan

Setelah dipilih ABACUS akan membangun pandangan yang diperlukan untuk dashboard dan ini mungkin memerlukan beberapa detik. Harap bersabar.

Mengelola Panel Kontrol

Mengelola Panel Kontrol

Untuk membuat Dashboard baru

1. Membuka pandangan yang diperlukan dan mengatur dan dermaga Jendela yang diperlukan untuk dashboard.

2. Memilih Melihat| Dashboard| Mengelola Dashboard ...

Catatan

Jika Anda tidak melihat Mengelola Dashboard item menu maka Anda tidak memiliki kemampuan Administrator. Silahkan hubungi Administrator ABACUS setempat atau Dukungan Avolution jika Anda memerlukan kemampuan ini.

3. Dalam dialog yang muncul pilih Membuattombol dan masukkan nama Dashboard di Buat dialog Dashboard Baru.

4. Klik pada oke tombol.

Untuk menghapus Dashboard yang ada

1. Memilih Melihat| Dashboard| Mengelola Dashboard ...

2. Pada dialog yang muncul pilih Dashboard yang ingin Anda hapus dari daftar dan pilih Hapus tombol.

Catatan

Menghapus dashboard juga akan menghapus tugas kelompok pengguna untuk dashboard itu.

3. Klik pada oke tombol.

Untuk menggantikan Dashboard yang ada

1. Membuka pandangan yang diperlukan dan mengatur dan dermaga Jendela yang diperlukan untuk dashboard pengganti.

2. Memilih Melihat| Dashboard| Mengelola Dashboard ...

3. Pada dialog yang muncul pilih Dashboard Anda ingin mengganti dari daftar dan pilih Menggantikan tombol.

4. Klik pada oketombol untuk mengakui dialog Dashboard Diganti.

Untuk menetapkan Dashboard asebagai default Mulai Layar

1. Memilih Melihat| Dashboard| Mengelola Dashboard ...

2. Pada dialog yang muncul pilih Dashboard dari daftar yang ingin Anda tetapkan sebagai default awal 'layar'dan pilih Menetapkan... tombol.

3. Dalam dialog yang muncul pilih masuk dalam Kelompok Pengguna kolom.

Catatan

Hanya satu dashboard dapat menetapkan sebagai mulai 'layar' sehingga penugasan kembali akan menghapus tugas dari dashboard sebelumnya.Selanjutnya, jika pengguna login sebagai anggota dari kelompok pengguna yang memiliki dashboard ditugaskan maka dashboard ditugaskan akan dibuka sebagai pengganti dashboard proyek default.

4. Klik pada oke tombol.

Untuk menetapkan Grup Pengguna ke Dashboard a

1. Memilih Melihat| Dashboard| Mengelola Dashboard ...

2. Pada dialog yang muncul pilih Dashboard dari daftar yang Anda ingin menetapkan kelompok pengguna untuk memilih dan Menetapkan... tombol.

3. Dalam dialog yang muncul pilih Kelompok pengguna (atau Grup)Anda ingin menetapkan dashboard sebagai 'start up' layar untuk.

Catatan

Jika User Group yang sama ditugaskan untuk beberapa dashboard maka tugas pertama dalam daftar akan digunakan.

4. Klik pada oke tombol.

Membatalkan penetapan Grup Pengguna dari Dashboard a

1. Memilih Melihat| Dashboard| Mengelola Dashboard ...

2. Dalam dialog yang muncul memperluas item Dashboard dari daftar yang Anda ingin membatalkan penetapan kelompok pengguna dari.

3. Pilih grup Pengguna yang ingin membatalkan penetapan dan memilih Unassign tombol.

4. Klik pada oke tombol.

Pengaturan hak akses

Izin dapat diatur untuk dashboard untuk memungkinkan dashboard untuk dapat dilihat, Diupdate dan / atau deleteablekelompok pengguna tertentu.

Manajemen hak akses

Untuk mengatur izin untuk Dashboard a

1. Memilih Melihat| Dashboard| Mengelola Dashboard ...

2. Pada dialog yang muncul pilih Dashboard dari daftar yang Anda ingin mengatur hak akses untuk dan pilih Izin ... tombol.

3. Pada dialog yang muncul klik pada Menambahkan...tombol dan pilih KelompokAnda ingin menambahkan dengan baik mengklik dua kali atau memilih dan mengklik oke tombol.

4. Secara default Anda akan melihat bahwa Baca, Update dan Delete izin semua tersedia. Lepaskan izin oleh centangkotak centang yang relevan.

5. Klik pada oke tombol.

Lihat juga

Menyesuaikan antarmuka ABACUS | Bekerja dengan Izin


Bekerja dengan Izin

Navigasi: Administrasi>

Bekerja dengan Izin

Kirim komentar tentang topik ini.

Proyek ABACUS dapat memiliki berbasis peranizin ditetapkan untuk setiap elemen dalam repositori. Secara khusus, berjaringan halus Create-Read-Update-Dapus (CRUD) Izin dapat diatur di 'objek' (yaitu komponen atau koneksi), pandangan dan atribut (yaitu properti) tingkat.

Ikhtisar

Ketika bekerja dengan ABACUS Perusahaan Server , ABACUS menyediakan halus, berbasis peran izin CRUD untuk mengontrol akses beberapa pengguna untuk repositori.

Catatan

Untuk mengkonfigurasi izin dalam sebuah proyek ABACUS lisensi kebutuhan pengguna kemampuan Administrator. Silahkan hubungi Administrator ABACUS setempat atau Dukungan Avolution jika Anda memerlukan kemampuan ini.

Izin dapat diatur untuk arsitektur, komponen dan koneksi jenis, sifat (melalui jenis mereka), template, sudut pandang dan diagram, katalog, matriks, grafik dan 3Dviews. Ketika hak akses yang ditetapkan untuk komponen atau koneksi jenis semua contoh dari jenis yang dalam arsitektur dalam proyek yang 'mewarisi' mereka izin. Demikian juga, ketika izin diatur untuk properti dari komponen atau koneksi jenis, properti diberikan pada contoh komponen atau sambungan dalam setiap arsitektur dalam proyek yang 'mewarisi' mereka izin. Dengan demikian, perizinan tertentu akan diterapkan pada pandangan yang elemen-elemen yang ada. Ketika izin ditetapkan untuk diagram, pandangan dan / atau isi dari pandangan itu sendiri memiliki berbagai izin diterapkan untuk itu.

Catatan

Secara default ada izin ditetapkan untuk unsur-unsur dalam suatu proyek ABACUS. Itu semua elemen yang Createable, Readable, diupdate dan Deleteable oleh semua pengguna. Dengan cara ini izin hanya harus dipertimbangkan untuk elemen tertentu dalam repositori ketika izin tertentu adalah menjadi terbatasuntuk kelompok pengguna tertentu. Misalnya, jika izin untuk kelompok pengguna tertentu yang ditambahkan ke sebuah objek (misalnya jenis komponen), tapi kiri dengan semua izin diaktifkan, maka ini adalah fungsional sama seperti jika kelompok pengguna tidak ditambahkan ke objek.

Izin tidak bisaditetapkan untuk kasus tertentu elemen arsitektur itu. Misalnya, Anda tidak dapat membuat satu komponen Aplikasi diupdate lagi tidak. Untuk secara efektif mencapai ini 'domain tertentu' izin Namun, Administrator dapat mengatur jenis elemen tertentu untuk domain yang diberikan, misalnya 'Aplikasi - domain CRM' komponen jenis dan 'Aplikasi - domain HR', dan kemudian mengatur hak akses untuk setiap jenis sesuai. Anda dapat membuat jenis Pengelompokan khusus untuk setiap domain dan kemudian menghapus izin update untuk domain-spesifik jenis kelompok dan ini akan membatasi kreasi dalam dan penghapusan dari yang Pengelompokan tapi tidak memperbarui dari anak-anak. Tentu saja jika Pengelompokan-domain tertentu disembunyikan dengan menghapus izin membaca maka anak-anak akan tersembunyi dan dengan demikian non-diupdate. Atau, jika dilihat (bukan explorer) digunakan terutama untuk mengelola / melihat repositori Anda, pandangan yang diberikan untuk setiap domain dapat dibentuk, dan kemudian Administrator bisa mengatur hak akses untuk setiap tampilan yang sesuai.

Mengelola Pengguna dan Grup

Izin didefinisikan pada peran atau kelompoktingkat, yang bertentangan dengan tingkat pengguna individu, sehingga sementara keanggotaan kelompok dapat berubah, izin bisa tetap tetap. Tentu saja jika Anda ingin izin pengguna tertentu maka cukup membuat mereka kelompok, atau lebih tepatnya membuat grup dengan pengguna sebagai satu-satunya anggota.

Perlu dicatat bahwa kelompok-kelompok yang atom, Yang mereka tidak dapat mewarisi izin atau pengguna dari satu ke yang lain, dan jika pengguna milik beberapa kelompok kemudian paling izin kelompok 'pesimis' akan diutamakan pada kasus-per kasus untuk setiap izin individu (yaitu Buat --Baca-Update Delete). Sebagai contoh jika pengguna yang sama adalah anggota Grup A dan Grup B dan Grup A baru saja Buat-Baca izin untuk jenis komponen Aplikasi sementara Grup B baru saja Baca-Update izin untuk jenis komponen aplikasi maka pengguna hanya akan Baca izin untuk contoh komponen aplikasi.

Selanjutnya, secara default, pengguna anonim(yaitu pengguna yang belum pasti atau yang belum login) memiliki akses penuhuntuk proyek. Hal ini untuk memastikan akses yang tersedia dalam konfigurasi awal. Untuk memblokir akses oleh pengguna anonim hanya hapus centang pada 'Izinkan pengguna anonim akses penuh ke file' pilihan dalam Mengelola Pengguna / Grup dialog yang ditampilkan di bawah ini. Ketika pengguna anonim dicentang hanya akan dapat melihat bagian Standar setiap proyek.

Akhirnya, jika opsi 'Gunakan Windows pengguna Login' diperiksa otentikasi username dilakukan terhadap Windows pengguna Login pada setiap mesin pengguna terhadap nama yang dimasukkan sebagai per di bawah ini. Itu kalau Windows pengguna Login untuk mesin pengguna tertentu yang ada sebagai username yang valid maka tidak ada sandi diperlukan dan pengguna dikonfirmasi secara otomatis. Catatan: ini secara efektif memungkinkan penggunaan Windows Active Directory (AD) otentikasi.

Catatan

Mengingat bahwa izin hanya didefinisikan ketika mereka perlu diambil (dibatasi) dari pengguna, setiap pengguna yang bukan anggota kelompok, atau kelompok yang tidak memiliki izin yang ditetapkan untuk itu terhadap setiap benda, akan memiliki akses penuh ke proyek.

Pengguna dan Grup Pengguna

Untuk membuat pengguna baru

1. Memilih Mengajukan| Mengelola Pengguna / Grup

Catatan

Jika Anda tidak melihat Mengelola Pengguna / Grup item menu maka Anda tidak memiliki kemampuan Administrator. Silahkan hubungi Administrator ABACUS setempat atau Dukungan Avolution jika Anda memerlukan kemampuan ini.

2. Dalam dialog yang muncul pilih Tambah usertombol dan masukkan nama pengguna dan password di Create New dialog Pengguna. Catatan: Nama pengguna dan password adalah case sensitif.

Catatan

Jika opsi 'Gunakan Windows pengguna Login' diperiksa seperti dijelaskan di atas maka password boneka dapat dimasukkan sebagai otentikasi akan dilakukan sesuai dengan pengguna Window pengguna hanya Login.

2. Secara default Anda akan melihat bahwa Pengguna dapat mengubah password mereka sendiri. Jika diperlukan, ABACUS Administrator dapat menghapus itu kemampuan bagi pengguna untuk mengatur password mereka sendiri oleh centangkotak centang.

Catatan

Jika pengguna dapat mengubah password mereka sendiri mereka akan memiliki Berkas | Ganti kata sandi...item menu untuk melakukannya.Perlu diketahui juga bahwa jika beberapa orang menggunakan nama pengguna yang sama maka salah satu pengguna dapat mengubah password sehingga tidak ada orang lain bisa login setelah itu. Praktek demikian, dianjurkan untuk memiliki nama pengguna tunggal per orang sebenarnya.

4. Opsional, masukkan alamat Email, Tempat dan Nomor telepon bagi pengguna untuk referensi di masa mendatang.

5. Klik pada oketombol di Create New dialog Pengguna.

6. Klik pada oke tombol.

Catatan

Setelah Anda membuat pengguna pertama Anda, Anda harus mempertimbangkan memblokir akses oleh pengguna anonim dengan centang 'Izinkan pengguna anonim akses penuh ke file' pilihan dalam Mengelola Pengguna / Grup dialog.Juga, setelah pengguna telah dibuat (dan jika proyek Enterprise, perubahan yang dilakukan ke server), pada saat proyek dibuka pengguna akan diminta untuk Masuk untuk akses dikonfirmasisesuai dialog yang ditampilkan di bawah ini. Jika Login secara otomatis dengan rincian inipilihan dicentang maka kombinasi nama pengguna / sandi akan diingat untuk proyek dan diterapkan setiap kali pada pembukaan. Untuk menghapus login disimpan pilih Berkas | Jelas Disimpan Loginsetelah membuka dan Anda akan diminta untuk login lagi lain kali Anda membuka proyek.

Masuk

Untuk menghapus Pengguna yang ada

1. Memilih Mengajukan| Mengelola Pengguna / Grup

2. Pada dialog yang muncul pilih nama pengguna di panel User yang ingin Anda hapus dan kemudian pilih Hapus Pengguna tombol.

3. Klik pada oke tombol.

Untuk membuat grup baru

1. Memilih Mengajukan| Mengelola Pengguna / Grup

2. Dalam dialog yang muncul pilih Tambah Gruptombol dan masukkan nama grup di panel Grup.

Catatan

Nama grup harus unik.

3. Klik pada oke tombol.

Untuk menyalin yang ada Kelompok

1. Memilih Mengajukan| Mengelola Pengguna / Grup

2. Dalam dialog yang muncul pilih Salinan Kelompok tombol.

Catatan

Sebuah kelompok duplikat akan dibuat diawali dengan "Copy".Secara default semua izin dari kelompok disalin akan diduplikasi untuk "Copy" kelompok termasuk tugas pengguna.

3. Mengubah nama "Copy" kelompok yang sesuai dengan Mengedit Grupatau lambat dua kali.

Untuk menghapus grup yang ada

1. Memilih Mengajukan| Mengelola Pengguna / Grup

2. Pada dialog yang muncul pilih nama grup di panel Grup yang ingin Anda hapus dan kemudian pilih Hapus Grup tombol.

Catatan

Setiap tugas Pengguna ke Grup juga akan dihapus.

3. Klik pada oke tombol.

Untuk menetapkan Pengguna untuk Grup yang

1. Memilih Mengajukan| Mengelola Pengguna / Grup

2. Pada dialog yang muncul pilih nama pengguna di panel User yang ingin Anda tetapkan untuk Grup dan drag-and-dropitu ke nama grup di panel Grup yang ingin Anda menetapkan ke.

3. Klik pada oke tombol.

Catatan

Kelompok (s) bahwa pengguna ditugaskan untuk ditunjukkan dengan memperluas Nama pengguna di panel Penggunadan pengguna yang ditugaskan untuk kelompok ditunjukkan dengan memperluas Nama grup di panel Grup. Sebagai contoh, dalam gambar di atas, "AS1-Aus" pengguna ditugaskan untuk tiga (3) kelompok, yaitu; "App Support Team 1", "Sebenarnya" dan "Australia".

Membatalkan penetapan Pengguna dari grup yang

1. Memilih Mengajukan| Mengelola Pengguna / Grup

2. Dalam dialog yang muncul memperluas Nama grup yang berisi penugasan Pengguna yang ingin Anda membatalkan penetapan dan pilih nama pengguna.

3. Klik pada Unassign Pengguna tombol.

4. Klik pada oke tombol.

Untuk mengimpor Pengguna dan / atau Groups (dan setiap Perizinan pencocokan)

1. Memilih Mengajukan| Mengelola Pengguna / Grup

2. Klik pada Impor tombol.

3. Dalam dialog yang muncul Isike dan membuka proyek ABACUS yang berisi Pengguna dan / atau Groups (dan Perizinan) Anda ingin mengimpor ke dalam proyek saat ini dan klik Buka. Pengguna dan Grup akan diimpor dan dialog Hasil Impor muncul meringkas impor Pengguna dan / atau Grup. Klik pada oke tombol.

Catatan

Jika Pengguna atau Grup diimpor sudah ada dalam proyek saat ini maka mereka akan digabung dengan Pengguna atau Grup yang ada.

4. Klik pada oketombol kembali utama Mengelola Pengguna / dialog Grup.

5. Jika ada Jenis pencocokan, Pandangan, Template atau Arsitektur antara proyek saat ini dan proyek ABACUS Anda mengimpor dari, lengkap dengan hak akses yang tidak sudah ada dalam proyek saat ini, izin yang diimpor dan dialog Hasil Impor kedua muncul meringkas impor. Klik pada oke tombol.

Catatan

Izin hanya ditambahkan ke Jenis yang ada (dan Properti mereka), Pandangan, Template atau Arsitektur untuk Grup di mana izin tidak sudah ada untuk Grup. Entah karena Group adalah baru atau kelompok sudah ada pada proyek saat ini tapi tidak ada izin telah ditugaskan untuk itu Group untuk item. Tidak ada 'penggabungan' izin untuk pencocokan item mana izin sudah ada untuk Group di proyek ini.

Pengaturan hak akses

Izin dapat diatur untuk arsitektur, komponen dan koneksi jenis, sifat (melalui jenis mereka), template, sudut pandang dan diagram, katalog, matriks, grafik sebuahd 3Dviews. Ketika hak akses yang ditetapkan untuk komponen atau koneksi jenis semua contoh dari jenis yang dalam arsitektur dalam proyek yang 'mewarisi' mereka izin. Demikian juga, ketika izin diatur untuk properti dari komponen atau koneksi jenis, properti diberikan pada contoh komponen atau sambungan dalam setiap arsitektur dalam proyek yang 'mewarisi' mereka izin. Dengan demikian, perizinan tertentu akan diterapkan pada pandangan yang elemen-elemen yang ada. Ketika izin ditetapkan untuk diagram, pandangan dan / atau isi dari pandangan itu sendiri memiliki berbagai izin diterapkan untuk itu.

Manajemen hak akses

Untuk mengatur izin untuk Komponen (atau Connection) Ketik

1. Memperluas Jeniscabang pohon.

2. Memperluas Komponen (atau Connection) Jeniscabang pohon.

3. Memperluas Grupbila perlu.

4. Klik kananpada Komponen (atau Connection) KetikAnda ingin mengatur hak akses dan memilih Edit Perizinan.

5. Pada dialog yang muncul klik pada Menambahkan...tombol dan pilih KelompokAnda ingin menambahkan dengan baik mengklik dua kali atau memilih dan mengklik oke tombol.

6. Secara default Anda akan melihat bahwa Buat, Baca, Update dan Delete izin semua tersedia. Lepaskan izin oleh centangkotak centang yang relevan.

Catatan

Buat izin mengatur juga ketika Anda dapat menyalin sebuah elemen. Oleh karena itu, untuk dapat menyalin elemen memerlukan Buat izin untuk semua anak-anaknya (karena untuk menyalin elemen berarti menyalin segala sesuatu di bawah itu). Menghapus izin Update dari unsur menghilangkan kemampuan untuk mengubah jenis itu sendiri, bahkan jika pengguna memiliki Designer add-on dan juga menghilangkan Perbarui izin untuk semua propertinya. Sebuah elemen induk harus memiliki Perbarui izin untuk dapat Buat anak elemen atau Hapus nya ada anak elemen. Hapus izin untuk unsur juga memerlukan menghapus izin untuk semua anak-anaknya. Hapus izin untuk komponen juga memerlukan pembaruan izin semua koneksi terlampir.Dan akhirnya, menghapus izin Delete dari unsur menghilangkan kemampuan untuk menghapus jenis itu sendiri, bahkan jika pengguna memiliki Designer add-on.

7. Klik pada oke tombol.

Untuk mengatur izin untuk Kelompok Komponen (atau Connection) Jenis

1. Memperluas Jeniscabang pohon.

2. Memperluas Komponen (atau Connection) Jeniscabang pohon.

3. Klik kananpada Kelompokyang berisi Component (atau Connection) Jenis yang ingin Anda untuk mengatur hak akses dan memilih Edit Perizinan.

4. Pada dialog yang muncul klik pada Menambahkan...tombol dan pilih KelompokAnda ingin menambahkan dengan baik mengklik dua kali atau memilih dan mengklik oke tombol.

5. Secara default Anda akan melihat bahwa Buat, Baca, Update dan Delete izin semua tersedia. Lepaskan izin oleh centangkotak centang yang relevan.

6. Klik pada oke tombol.

7. Pada dialog yang muncul klik iya nih tombol.

Untuk mengatur izin untuk Properti yang

1. Memperluas Jeniscabang pohon.

2. Memperluas Komponen (atau Connection) Jeniscabang pohon.

3. Memperluas Grupbila perlu.

4. Pilih Komponen (atau Connection) Ketik yang berisi properti yang ingin Anda izin ditetapkan untuk.

5. Pada jendela Properties klik kananpada MilikAnda ingin mengatur hak akses dan memilih Edit Perizinan.

6. Pada dialog yang muncul klik pada Menambahkan...tombol dan pilih KelompokAnda ingin menambahkan dengan baik mengklik dua kali atau memilih dan mengklik oke tombol.

7. Secara default Anda akan melihat bahwa Baca dan Update izin semua tersedia. Lepaskan izin oleh centangkotak centang yang relevan.

Catatan

Properti yang telah memiliki izin Perbarui dihapus ditunjukkan pada huruf miringpada jendela Propertiesdan nilai-nilai mereka tidak dapat diperbarui oleh peran yang. Juga, kemampuan untuk memodifikasi rincian properti (misalnya nama, unit dll) membutuhkan baik izin Perbarui di properti dan Designer add-on.

8. Klik pada oke tombol.

Untuk mengatur izin untuk Template

1. Memperluas Templatecabang pohon.

2. Browse ke Templatebahwa Anda tertarik.

3. Klik kananpada TemplateAnda ingin mengatur hak akses dan memilih Edit Perizinan.

4. Pada dialog yang muncul klik pada Menambahkan...tombol dan pilih KelompokAnda ingin menambahkan dengan baik mengklik dua kali atau memilih dan mengklik oke tombol.

5. Secara default Anda akan melihat bahwa Baca izin tersedia. Hapus izin oleh centangkotak centang.

6. Klik pada oke tombol.

Untuk mengatur izin untuk Viewpoint sebuah

1. Memperluas Pandangancabang pohon.

2. Memperluas Grupbila perlu.

3. Klik kananpada Sudut pandangAnda ingin mengatur hak akses dan memilih Edit Perizinan.

4. Pada dialog yang muncul klik pada Menambahkan...tombol dan pilih KelompokAnda ingin menambahkan dengan baik mengklik dua kali atau memilih dan mengklik oke tombol.

5. Secara default Anda akan melihat bahwa Buat, Baca, Update dan Delete izin semua tersedia. Lepaskan izin oleh centangkotak centang yang relevan.

6. Klik pada oke tombol.

Untuk mengatur izin untuk Arsitektur

1. Memperluas Arsitekturcabang pohon.

2. Memperluas ke Arsitekturbahwa Anda tertarik.

3. Klik kananpada ArsitekturAnda ingin mengatur hak akses dan memilih Edit Perizinan.

4. Pada dialog yang muncul klik pada Menambahkan...tombol dan pilih KelompokAnda ingin menambahkan dengan baik mengklik dua kali atau memilih dan mengklik oke tombol.

5. Secara default Anda akan melihat bahwa Baca izin tersedia. Hapus izin oleh centangkotak centang.

6. Klik pada oke tombol.

Untuk mengatur izin untuk Katalog

1. Memperluas Katalogcabang arsitektur Anda tertarik.

2. Memperluas Grupbila perlu.

3. Klik kananpada KatalogAnda ingin mengatur hak akses dan memilih Edit Perizinan.

4. Pada dialog yang muncul klik pada Menambahkan...tombol dan pilih KelompokAnda ingin menambahkan dengan baik mengklik dua kali atau memilih dan mengklik oke tombol.

5. Secara default Anda akan melihat bahwa Buat, Baca, Update dan Delete izin semua tersedia. Lepaskan izin oleh centangkotak centang yang relevan.

6. Klik pada oke tombol.

Untuk mengatur izin untuk Matriks

1. Memperluas Matrikscabang arsitektur Anda tertarik.

2. Memperluas Grupbila perlu.

3. Klik kananpada MatriksAnda ingin mengatur hak akses dan memilih Edit Perizinan.

4. Pada dialog yang muncul klik pada Menambahkan...tombol dan pilih KelompokAnda ingin menambahkan dengan baik mengklik dua kali atau memilih dan mengklik oke tombol.

5. Secara default Anda akan melihat bahwa Buat, Baca, Update dan Delete izin semua tersedia. Lepaskan izin oleh centangkotak centang yang relevan.

6. Klik pada oke tombol.

Untuk mengatur izin untuk Diagram sebuah

1. Memperluas Diagramcabang arsitektur Anda tertarik.

2. Memperluas Grupbila perlu.

3. Klik kananpada DiagramAnda ingin mengatur hak akses dan memilih Edit Perizinan.

4. Pada dialog yang muncul klik pada Menambahkan...tombol dan pilih KelompokAnda ingin menambahkan dengan baik mengklik dua kali atau memilih dan mengklik oke tombol.

5. Secara default Anda akan melihat bahwa Buat, Baca, Update dan Delete izin semua tersedia. Lepaskan izin oleh centangkotak centang yang relevan.

Catatan

Meskipun Anda dapat mengatur hak akses CRUD langsung untuk diagram, perlu dicatat bahwa izin dari unsur-unsur pada diagram dapat mempengaruhi izin untuk tampilan itu sendiri. Misalnya, jika ada bahkan hanya satu elemen pada pandangan bahwa telah nya Baca atau Perbarui izin dihapus maka diagram akan memiliki izin Perbarui nya dihapus. Hal ini dikarenakan; a) unsur-unsur pada pandangan bahwa memiliki izin Baca mereka dihapus tidak akan ditampilkan pada tampilan meninggalkan 'spasi' di mana Anda mungkin sebaliknya menempatkan beberapa elemen baru jika pemandangan itu diupdate, dan b) elemen pada pandangan bahwa memiliki izin Perbarui mereka dihapus maka bisa memiliki unsur-unsur lain turun ke mereka untuk menjadi anak-anak jika pemandangan itu diupdate. Juga, Buat dan Update izin untuk diagram mengharuskan semua elemen pada tampilan memiliki Baca izin dan komponen memiliki izin Update (ini adalah karena untuk memindahkan komponen ke komponen lain, Anda harus dapat memperbaruinya karena akan menjadi seorang anak).

6. Klik pada oke tombol.

Untuk mengatur izin untuk Tampilan 3D

1. Memperluas 3D Viewscabang arsitektur Anda tertarik.

2. Memperluas Grupbila perlu.

3. Klik kananpada Tampilan 3DAnda ingin mengatur hak akses dan memilih Edit Perizinan.

4. Pada dialog yang muncul klik pada Menambahkan...tombol dan pilih KelompokAnda ingin menambahkan dengan baik mengklik dua kali atau memilih dan mengklik oke tombol.

5. Secara default Anda akan melihat bahwa Buat, Baca, Update dan Delete izin semua tersedia. Lepaskan izin oleh centangkotak centang yang relevan.

6. Klik pada oke tombol.

Untuk mengatur izin untuk Grafik

1. Memperluas Grafikcabang arsitektur Anda tertarik.

2. Memperluas Grupbila perlu.

3. Klik kananpada GrafikAnda ingin mengatur hak akses dan memilih Edit Perizinan.

4. Pada dialog yang muncul klik pada Menambahkan...tombol dan pilih KelompokAnda ingin menambahkan dengan baik mengklik dua kali atau memilih dan mengklik oke tombol.

5. Secara default Anda akan melihat bahwa Buat, Baca, Update dan Delete izin semua tersedia. Lepaskan izin oleh centangkotak centang yang relevan.

6. Klik pada oke tombol.

Lihat juga

Bagaimana arsitektur diwakili dalam ABACUS?


Script Menulis

Navigasi: Simulasi arsitektur anda>

Script Menulis

Kirim komentar tentang topik ini.

The Script Editor adalah utilitas sederhana dan fungsional untuk menulis dan mengeksekusi VB atau C # Script terhadap Saat membuka file yang ABACUS(Perpustakaan tidak didukung di scripting). Memiliki File biasa Open, Close dan Save perintah, sehingga Anda dapat menyimpan dan mengambil script Anda tulis. Ini juga memiliki run dan debug fasilitas dasar. Script Manager memungkinkan Anda untuk dengan mudah menjalankan berbagai script yang telah Anda tulis dengan menempatkan menu-item bagi mereka langsung di menu Tools.

Untuk mengakses Script Editor

1. Pastikan Anda memiliki file ABACUS, Yang berisi Anda arsitektur penduduk, Buka.

2. Memilih Alat | Script Editordan jendela Script Editor akan terbuka. Maka baik;

3. Membuka script yang ada melalui Mengajukan | Buka dalam menu Script Editor,

atau

3. Membuka skrip Contoh melalui Contoh item dalam menu Script Editor,

atau

3. Mengatur Bahasa default baik VB atau C # melalui Bahasa item dalam menu Script Editor,

atau

3. Terbuka scripting Bantuan tertentu melalui Membantu item dalam menu Script Editor

Saat menulis script, Anda harus mematuhi baik VB atau C # sintaksissesuai dengan pengaturan di bawah item Bahasa di menu Script Editor.

CATATAN:

· Untuk menggunakan fungsi VB standar seperti MsgBox ()Anda harus menyertakan Impor Microsoft.VisualBasicPernyataan di awal skrip Anda. Ini tidak diperlukan sebelum Versi 3.0 dari ABACUS.

· Bantuan ini tidak mencakup informasi tentang cara menulis naskah VB, juga tidak berisi referensi VB. Jangan ragu untuk menulis skrip Anda di IDE favorit Anda atau editor, lalu copy dan paste ke dalam Editor Script.

Ketika Anda pertama kali memulai Script Editor, Script Editor akan kosong. Anda dapat mengakses naskah kerangka melalui menu Contoh. Pertama kali Anda memulai Anda Script Editor, Anda harus menjalankan kerangka Template untuk melihat bahwa ia bekerja. Selain itu, ada dua contoh script yang dapat diakses melalui menu Contoh.

Untuk menulis naskah yang berguna Anda akan perlu referensi ABACUS ObjectModel. Hal ini dibuat tersedia untuk naskah Anda dengan memasukkan Impor ABACUS.ObjectModelPernyataan di kepala naskah Anda. Sebuah referensi yang lengkap untuk seluruh model objek ABACUS disertakan dengan Script Editor. Anda dapat menemukannya dengan memilih Bantuan | Isidari jendela Script Editor.

Script editor mencakup banyak fitur yang berguna untuk menulis skrip, termasuk AutoComplete seperti yang ditunjukkan pada gambar di bawah. Namun, untuk pengalaman pengguna yang lebih kaya MS Visual Studio dapat diintegrasikan dengan ABACUS dan petunjuk rinci yang tersedia sini .

Script Editor dengan AutoComplete

Untuk menggunakan Script Manajer

1. Pastikan Anda memiliki file ABACUS, Yang berisi Anda arsitektur penduduk, Buka.

2. Pilih Tools | Script Manajer.

3. Klik pada Menambahkanikon dan Bukawindow muncul.

4. Browse ke ABACUS Script (.abacusscript, Vb atau Cs) File yang ingin Anda tambahkan ke menu Tools.

5. Klik okedan referensi ke script akan ditampilkan di jendela Script Manager. Masukkan nama untuk script yang Anda inginkan untuk muncul di menu Tools. Catatan: Script Manajer jendela dapat diubah ukurannya untuk melihat path lengkap jika diperlukan.

6. Ulangi langkah-langkah 3-5untuk membuat link ke lebih script ABACUS.

7. Klik Dekatuntuk menutup Script Manager dan perhatikan bahwa script ABACUS (s) sekarang muncul di bawah menu Tools.

Untuk menjalankan script

Salah satu;

1. Terbuka, ketik, atau copy paste di script Anda ingin menjalankan, sehingga ditampilkan di jendela utama Script Editor.

2. Klik Menjalankan tombol.

3. Jika naskah Anda mengandung kesalahan, Kesalahan Keterangan di bagian bawah Script Editor akan daftar rincian termasuk nomor baris. CATATAN: Setiap kesalahan individu dalam Kesalahan Keterangan bagian dapat mengklik ganda untuk membawa Anda ke garis yang sesuai dalam script.

- atau -

1. Memilih Alatdan kemudian Nama ABACUS Script menu item sebagai dibuat dengan Script Manajer.

2. Jika naskah Anda mengandung kesalahan, Script Editor akan dibuka dengan isi script ditampilkan di jendela utama (disorot di garis kesalahan pertama) dan Kesalahan Keterangan di bagian bawah Script Editor akan daftar rincian atau error (s) termasuk nomor baris. CATATAN: Setiap kesalahan individu dalam Kesalahan Keterangan bagian dapat mengklik ganda untuk membawa Anda ke garis yang sesuai dalam script.

Kesalahan Scripting Kompilasi

Kesalahan kompilasi terjadi ketika sintaks dari kode script tidak benar. Kesalahan ini akan muncul di bagian bawah jendela di bagian Kesalahan, dengan deskripsi kesalahan, dan nomor baris. Ini adalah nomor baris yang membedakan kesalahan kompilasi dari kesalahan Runtime (lihat di bawah), yang tidak akan memiliki nomor baris. Kesalahan kompilasi dapat diklik ganda untuk melompat ke dan menyorot garis tertentu yang dimaksud.

Kesalahan Scripting Runtime (Penting)

Runtime error terjadi setelah kode script telah berhasil dikompilasi tanpa kesalahan, tapi kesalahan terjadi pada saat runtime (lihat contoh turun lebih lanjut). Kesalahan runtime yang penting karena mereka dapat menghasilkan model yang rusak, ketika objek yang dibuat dan direferensikan oleh benda-benda lain dalam model, bukan merupakan bagian dari model (biasanya karena kesalahan runtime telah terjadi sebelum kode yang akan menempatkan mereka dalam model di suatu tempat, dieksekusi).

Jika script Anda menciptakan objek yang akan ditambahkan ke model, Anda dapat menghindari korupsi disebabkan oleh kesalahan runtime dengan menyimpan naskah Anda, menutup scripting, dan melakukan suatu undo perubahan yang diciptakan oleh script (jika eksekusi script tidak menyelesaikan normal ). Namun, ada juga cara lain untuk menghindari korupsi yang terjadi (lihat di bawah). Catatan: Setiap script yang hanya membaca dari model dan tidak menulis untuk itu, aman dan tidak akan menimbulkan masalah, terlepas dari apakah kesalahan runtime terjadi selama eksekusi mereka.

Untuk menghindari korupsi, saat menulis kode script yang membuat objek dan menambahkan mereka ke model objek, disarankan bahwa benda yang ditambahkan ke model sesegera mungkin jika mereka direferensikan oleh objek lain.

Misalnya, jika Anda membuat koneksi baru, dan 2 komponen baru, dan kemudian melampirkan mereka bersama-sama, yang terbaik adalah untuk membuat komponen pertama, tambahkan ke model, maka kedua dan menambahkannya, dan kemudian membuat koneksi dan menambahkannya, dan kemudian akhirnya membuat lampiran. Ini berarti bahwa jika ada menjadi kesalahan runtime yang mengganggu eksekusi script, semua benda yang diperlukan untuk berada di objectmodel sebelum lampiran dibuat, yang dalam model. Korupsi dapat terjadi jika, misalnya, hanya sambungan telah ditambahkan, lampiran dibuat, dan kemudian kesalahan runtime terjadi sebelum script akhirnya menambahkan komponen baru untuk model.Corruption dapat terjadi setiap kali sebuah objek yang direferensikan oleh objek lain di objectmodel, adalah itu sendiri tidak dalam objectmodel tersebut.

Kesalahan contoh runtime termasuk:

· Obyek referensi tidak diatur ke sebuah contoh dari obyek - ini terjadi ketika sebuah variabel objek adalah referensi null, dan metode atau properti pada objek yang sedang digunakan. Referensi nol dapat diperiksa oleh 'Jika objectVariable Apakah ada Lalu ...'

· Indeks berada di luar batas-batas array - ini terjadi ketika sebuah array sedang diakses dengan indeks yang di luar batas-batas - misalnya kurang dari 0 atau sama dengan atau lebih besar dari Panjang / Hitungan array. Array atau panjang Collection dapat diperiksa oleh .length atau Count sifat masing-masing.

· Tidak ada Izin Exception - Anda tidak memiliki izin untuk ... - satu ini terjadi jika Anda tidak memiliki izin untuk membuat perubahan yang diberikan

· Primary Exception Key - Duplikat / Hilang Nama / ID - satu ini akan terjadi jika perubahan dibuat untuk atribut yang unik yang bertentangan dengan objek lain. Misalnya. Arsitektur harus unik dengan nama, juga dengan Standar.

· Referential Integrity Exception - Menetapkan bidang referensi ke sebuah obyek yang tidak valid. Misalnya. menambahkan 'apa-apa' atau null sebagai seorang anak untuk banyak koleksi di objectmodel tersebut.

· Nol Panjang Exception - ini dapat terjadi jika Anda mencoba untuk menetapkan nama objek untuk string kosong. Kebanyakan objek memerlukan nama mereka untuk memiliki setidaknya 1 karakter.

Impor pernyataan

Perhatikan bahwa pada awal script kerangka ada pernyataan seperti Impor ABACUS.ObjectModel. Pernyataan-pernyataan ini tidak akan mencakup dll yang belum direferensikan oleh script - tujuan mereka adalah untuk memberikan 'jalan pintas' untuk memiliki untuk menentukan seluruh nama kelas.

Misalnya, untuk mendeklarasikan variabel jenis CComponent (mewakili komponen di ABACUS), dengan Impor ABACUS.ObjectModelPernyataan arah atas script, hanya akan memerlukannya untuk dinyatakan sebagai comp redup sebagai CComponent, Karena compiler tahu untuk melihat di namespace ABACUS.ObjectModel untuk kelas CComponent. Tanpa pernyataan impor, itu harus dinyatakan sebagai redup comp sebagai ABACUS.ObjectModel.CComponent. Perakitan (seperti mscorlib.dll, atau System.Windows.Forms.dll) dapat berisi lebih dari satu namespace - pernyataan Impor adalah untuk ruang nama tersebut, tidak untuk majelis sendiri. The ABACUS.ObjectModel.dll perakitan hanya memiliki ABACUS.ObjectModel namespace tunggal diakses melalui Scripting.

Majelis otomatis direferensikan

Berikut DLL yang direferensikan secara otomatis oleh Scripting:

· mscorlib.dll

· System.dll

· System.Drawing.dll

· System.Windows.Forms.dll

· Microsoft.VisualBasic.dll (implisit direferensikan oleh compiler)

· ABACUS.ObjectModel.dll

Untuk membuat referensi tambahan baik NET majelis lainnya, atau rakitan sendiri, lihat bagian berikut pada #Pernyataan ImportDLL.

#Pernyataan ImportDLL

Mulai di ABACUS 3.1, Anda dapat referensi majelis tambahan yang mungkin Anda butuhkan untuk scripting dengan penggunaan #Pernyataan ImportDLL. Sebagai contoh, jika Anda ingin mengakses DLL kebiasaan Anda dan memanfaatkan fungsi di dalamnya, Anda akan menempatkannya di direktori ABACUS dan termasuk pernyataan sebagai baris pertama (s) dalam script Anda. Jika itu adalah NET dll, maka biasanya Anda tidak perlu memasukkan seluruh jalan, hanya DLL.

· #ImportDLL C: \ Program Files \ Avolution \ ABACUS \ YourDLL.dll

· #ImportDLL system.xml.dll

Beberapa hal lain yang perlu diperhatikan:

1. Karena DLL perlu ditemukan di kompilasi dan runtime, ini membatasi kustom (non NET) DLL untuk ditempatkan di folder program ABACUS saja.

2. #Laporan ImportDLL harus menjadi baris pertama (s) dari naskah - jika Anda memiliki 5 laporan, maka mereka harus berada di pertama 5 baris script

3. Sebuah #Pernyataan ImportDLL ditempatkan di mana saja tapi baris pertama script (misalnya jika ditempatkan setelah komentar atau pernyataan Impor) tidak akan bekerja dengan benar dan / atau dapat menyebabkan kesalahan compiler yang tidak terkait.

#ImportDLL dengan Kantor Sidang

Jika Anda memiliki Microsoft Office diinstal, dan script Anda membutuhkan majelis Kantor Interop, adalah mungkin untuk referensi mereka hanya dengan menggunakan #ImportDLL dengan nama perakitan (seperti yang tercantum di bawah ini, misalnya #ImportDLL Excel). Dengan menggunakan metode ini memiliki keuntungan bahwa path dll mutlak tidak harus digunakan, sehingga script lebih portabel (harus bekerja di kedua Office 2003 dan 2007 tanpa mengedit script).

Bila Anda menggunakan fitur ini, GAC (Global Assembly Cache) dicari untuk perakitan Interop, dan script mengkompilasi dengan jalur perakitan bahwa jika ditemukan. Jika tidak ditemukan, scripting akan memeriksa direktori program ABACUS (yang berisi Excel dan Visio hanya interops). Jika Interop diminta tidak ditemukan saat ini, peringatan ditampilkan.

The interops biasanya tidak dipasang di GAC jika Anda telah menginstal Microsoft Office sebelum menginstal .NET Framework (yang merupakan bagian dari instalasi ABACUS penuh). Anda dapat menginstal mereka dengan melakukan perubahan pilihan untuk Microsoft Office dari Add / Remove Programs, dan pilih opsi Programmability NET. Untuk info lebih lanjut, lihat ini artikel di MSDN.

Majelis yang pintas ini didukung adalah:

· Mengakses

· Access.Dao

· Unggul

· Grafik

· MSProject

· Pandangan

· OutlookViewCtl

· Owc11

· Power Point

· Penerbit

· SmartTag

· Visio

· Visio.SaveAsWeb

· VisOcx

· Kata

It tidak sepenuhnya jelas apakah semua majelis di atas adalah berguna, kamar havebeen termasuk dalam fitur regardeless ini karena beberapa pengguna Februari memiliki kebutuhan untuk bahkan majelis jelas.

Lihat Juga

Simulasi arsitektur anda

© 2001-2015 Avolution Pty Ltd. Semua hak dilindungi.